﻿Imports XCM
Imports XSP
Imports System.Windows.Forms
Imports System.Data

''' ---------------------------------------------
''' <summary>
''' バーコード印刷（貸出）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU WEST LIMITED All rights reserved.<BR/>
''' FUJITSU WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class BCP020F010

#Region "コンスタント"
	' グリッドカラム名
	Private Const COL_SELECTED As String = "c01025BCP020F010"				'選択
	Private Const COL_DIV1_RNM As String = "c03025BCP020F010"				'区分１略称名
	Private Const COL_DIV2_RNM As String = "c04025BCP020F010"				'区分２略称名
	Private Const COL_MNGSTATUS_NM As String = "c07025BCP020F010"			'管理状況略称名
	' DGV 項目名
	Private Const COL_DIV1TITLE_RNM As String = "DIV1TITLE_RNM"				'区分１タイトル略称名
	Private Const COL_DIV2TITLE_RNM As String = "DIV2TITLE_RNM"				'区分２タイトル略称名
	Private Const COL_DIV1TITLE As String = "DIV1TITLE"						'区分１タイトル
	Private Const COL_DIV2TITLE As String = "DIV2TITLE"						'区分２タイトル
	' 列挙体一覧取得メソッド用列名 種類コンボ
	Public Const CST_PTN_CD = "PTN_CD"										'パターンコード
	Public Const CST_PTN_NM = "PTN_NM"										'パターン名
	' 遷移先固定ID
	Private Const CST_SHOW_XSP010F010_ID As String = "XSP010F010"			'患者検索画面
	Private Const CST_SHOW_BCP020F020_ID As String = "BCP020F020"			'詳細検索画面
	Private Const CST_SHOW_XSP020F010_ID As String = "XSP020F010"			'並べ替え画面
	' 管理物コードコンボ初期値
	Private Const CST_MNGCD As Integer = 0									'管理物
	' ヘッダー初期値
	Private Const CST_KUUHAKU As Integer = 0								'空白
	Private Const CST_BUSUU As Integer = 1									'部数
	Private Const CST_PATTERN As Integer = 0								'種類
	' 固定コード１(管理物コード)
	Private Const CST_FIXED_CD1 As String = "FIXED_CD1"						'固定コード１

	''' ---------------------------------------------
	''' <summary>
	''' 種類コンボ：[1:パターン１/2:パターン２]固定
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Enum Enum_DspPtnRow
		''' ---------------------------------------------
		''' <summary>パターン１</summary>
		''' ---------------------------------------------
		Ptn1 = 1															'一覧
		''' ---------------------------------------------
		''' <summary>パターン２</summary>
		''' ---------------------------------------------
		Ptn2 = 2															'バーコードラベル
		''' ---------------------------------------------
		''' <summary>パターン３</summary>
		''' ---------------------------------------------
		Ptn3 = 3
	End Enum

#End Region

#Region "変数"
	' クラス宣言
	Private cliCom As XSP.clsCom
	Private cliCombo As clsComboCom
	Private cliMngItem As XSP.clsLTM_MNGITEM
	' 管理物固定コード
	Private Fixed_MngIndex As Integer
	' 表示データテーブル
	Private pdtData As DataTable
	' 重複起動
	Private pbExclusive As Boolean = False
	' 詳細検索結果取得用データテーブル	
	Friend Schdt As DataTable
	' グリッドソート
	Private cliGridSort As clsGridSort
	' 管理物データテーブル
	Private pdtMngItem As DataTable
	' コンボボックスリスト種類
	Private Shared DispPtn_Str As String() = _
	{ _
	"", "パターン１", "パターン２", "パターン３" _
	}
	' 前回保存値
	Private ReadOnly LastValueCtl() As String = _
	{ _
	 "cmb002BCP020F010", "nud007BCP020F010", "cmb011BCP020F010" _
	}
	' ソート名称からコード変換
	Private ReadOnly SortBefore() As String = _
	{ _
	 "MNGITEM_RNM", "DIV1_RNM", "DIV2_RNM", "PATIENT_NO", "PATIENT_NM", "MNGSTATUS_RNM" _
	}
	Private ReadOnly SortAfter() As String = _
	{ _
	 "MNGITEM_CD", "DIV1_CD", "DIV2_CD", "PATIENT_NO", "PATIENT_NM", "MNGSTATUS_CD" _
	}
	' BCP020F010画面以外から遷移時、管理物情報受渡し
	Private m_Array As ArrayList = Nothing
	' チェックした件数
	Private Select_Cnt As Integer
'(A) STR V4-14047-000 003 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
	Private cliXSP240F010 As XSP240F010 = Nothing
'(A) END V4-14047-000 003 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New()
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pArray As ArrayList)
		Me.New()
		m_Array = pArray.Clone
	End Sub

#End Region

#Region "イベント"

'(A) STR V4-14047-000 019 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
	'''---------------------------------------------
	''' <summary>
	''' 管理物ボタン
	''' </summary>
	''' <remarks>
	''' 2013/10/10 新規作成 ID)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub btn026BCP020F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn026BCP020F010.Click
		log(clsSysMst.logLevel.NRM, "btn026BCP020F010_Click", "管理物グループ検索ボタンクリック Start")
		Try
			'管理物グループ検索開始
			SearchMNGITEM_GRP()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub
'(A) END V4-14047-000 019 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開くイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BCP020F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "BCP020F010_Load", "フォームを開くイベント START")
		Dim cliGridStyle As clsGridStyle
		Try
			Me.Schdt = New DataTable
			Me.cliGridSort = New clsGridSort
            Me.cliCombo = New clsComboCom
'(A) STR V4-14047-000 003 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
            Me.cliCom = New clsCom
'(A) END V4-14047-000 003 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索

			cliMngItem = New XSP.clsLTM_MNGITEM
			cliGridStyle = New clsGridStyle

			' 排他制御登録
			If Me.setStartStatus(True) = False Then
				Me.pbExclusive = True
				Me.CancelProc()
				Return
			End If

			' 管理物情報
			pdtMngItem = cliMngItem.getMngItemList()
			If pdtMngItem.Rows.Count <= 0 Then
				'pMngItmNone = True
				Exit Sub
			End If

			' 初期値設定
			' グリッド初期処理
			' フォント設定
			cliGridStyle.setGridHeight(Me.dgv025BCP020F010)

			' 種類コンボ設定
			Me.cmb002BCP020F010.DataSource = getDspPtnRow()
			' BT_MultiComboBox表示幅の設定
			Me.cmb002BCP020F010.setDropDownWidth()

			'管理物コンボ設定(ﾃｷｽﾄﾌﾗｸﾞ<>1の管理コード)
			With Me.cmb011BCP020F010
				.DisplayMember = sqlBCP020F010.itmMNGITEM_CD
				.DisplayMemberEx = sqlBCP020F010.itmMNGITEM_NM
				.ValueMember = sqlBCP020F010.itmMNGITEM_CD
				Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
					Dim dt As DataTable
					dt = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_L_MngItem_BarCode)
					.DataSource = dt
					'固定コード１インデックス取得
					Fixed_MngIndex = 0
					For i As Integer = 0 To dt.Rows.Count - 1
						If dt.Rows(i).Item(CST_FIXED_CD1).ToString = CType(clsConst.Enum_MngItem_Fix1.InitDisplay, String) Then
							Fixed_MngIndex = i
						End If
					Next
				End Using
				.setDropDownWidth()
			End With
			' グリッド初期処理
			cliGridStyle.setGridHeight(Me.dgv025BCP020F010)
			Me.setGridStyle(Me.dgv025BCP020F010)
			' 自動列追加オフ
			Me.dgv025BCP020F010.AutoGenerateColumns = False
			' 一覧表示項目設定
			Me.SetdgvCol()
			' 列非表示切替
			setUnVisibleColumns()
		Catch ex As Exception
			' 画面ロード時にエラーの場合、キャンセルして遷移元の画面に戻す
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開いた後のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BCP020F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(clsSysMst.logLevel.NRM, "BCP020F010_Shown", "フォームを開いた後のイベント START")
		Try
			'BCP020F010画面以外からの遷移
			If m_Array IsNot Nothing AndAlso m_Array.Count > 0 Then
				Dim sSQL As String = Nothing
				Dim wrkDT As New DataTable
				'SQL文編集
				For Each dt As clsBCP020F010 In m_Array
					If String.IsNullOrEmpty(sSQL) = True Then
						sSQL &= " ( "
					Else
						sSQL &= " OR "
					End If
					sSQL &= "( LTI_MNGITEMINFO.PATIENT_NO = " & dt.PATIENT_NO & " AND " _
					  & "  LTI_MNGITEMINFO.MNGITEM_CD = " & dt.MNGITEM_CD & " AND " _
					  & "  LTI_MNGITEMINFO.SERIAL_NO = " & dt.SERIAL_NO & " )"
				Next
				If String.IsNullOrEmpty(sSQL) = False Then
					sSQL = sqlBCP020F010.strsqlSel & sSQL & " ) AND " & _
					sqlBCP020F010.strsqlSel_Wh_Textflg & sqlBCP020F010.strsqlSel_Order
					wrkDT = GetData_Else(sSQL)
				End If

				Using dtData As DataTable = wrkDT
					' 取得結果を画面に反映
					If dtData IsNot Nothing AndAlso dtData.Rows.Count > 0 Then
						Me.dgv025BCP020F010.DataSource = dtData
						Me.cmb011BCP020F010.Enabled = False
						' セルスタイル配列作成
						Call createCellStyles()
						' コントロールのスタイルを変更
						Call setControlStyle()
						' 件数表示
						Me.updDisplayCount(COL_SELECTED, Me.dgv025BCP020F010, Me.lbl021BCP020F010, Me.lbl023BCP020F010)
					Else
						Me.showMsg("I0001")			'該当するデータはありませんでした。
					End If
				End Using
			End If
			' 管理物:固定コード１セット
			If String.IsNullOrEmpty(Me.cmb011BCP020F010.Text) = True Then
				Me.cmb011BCP020F010.SelectedIndex = Fixed_MngIndex
			Else ' 固定コード１未設定なら先頭をセット
				Me.cmb011BCP020F010.SelectedIndex = CST_MNGCD
			End If
			' 種類：パターン１をセットして初期表示
			If String.IsNullOrEmpty(Me.cmb002BCP020F010.Text) = True Then
				Me.cmb002BCP020F010.SelectedIndex = CST_PATTERN
			End If
			' 部数：１セット
			If Me.nud007BCP020F010.Text = 0 Then Me.nud007BCP020F010.Value = CST_BUSUU
			' 空白は常に０セット
			Me.nud005BCP020F010.Value = CST_KUUHAKU
			' 前回設定値取得
			LoadLastValue(LastValueCtl)
			' フォーカスを患者番号テキストボックスにセット
			Me.msk014BCP020F010.Focus()
			' コントロールのスタイルを変更
			Call setControlStyle()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じる時のイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub BCP020F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "BCP020F010_FormClosing", "フォームを閉じる時のイベント START")
		Try
			' 排他制御削除（排他エラー時は削除しない）
			If Me.pbExclusive = False Then
				Me.delStartStatus()
			End If
			' 前回設定値保存
			SaveLastValue(LastValueCtl)
			'ワークデータの消去
			Me.delWork()
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			'画面戻り
			Try
				If Me.Owner IsNot Nothing Then
					Me.setCloseFlg()
					DirectCast(Me.Owner, frmBase).backForm(False)
				End If
			Catch ex As Exception
				Me.ErrorProc(ex)
			End Try
			' 解放処理・変数クリア
			If Me.Schdt IsNot Nothing Then : Me.Schdt.Dispose() : Me.Schdt = Nothing : End If
			Me.cliGridSort = Nothing
			' DataGridViewバインドクリア
			If Me.dgv025BCP020F010.DataSource IsNot Nothing Then
				DirectCast(Me.dgv025BCP020F010.DataSource, DataTable).Dispose()
				Me.dgv025BCP020F010.DataSource = Nothing
			End If
			'解放処理
			If pdtData IsNot Nothing Then pdtData.Dispose()
			'DataTable変数クリア
			pdtData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 全選択ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn016BCP020F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn016BCP020F010.Click
		log(clsSysMst.logLevel.NRM, "btn016BCP020F010_Click", "全選択ボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 選択チェックボックス ONにする
			For Each row As DataGridViewRow In Me.dgv025BCP020F010.Rows
				row.Cells(COL_SELECTED).Value = clsConst.Enum_CheckBox_Flg.CheckOn
			Next
			' 件数表示
			Me.updDisplayCount(COL_SELECTED, Me.dgv025BCP020F010, Me.lbl021BCP020F010, Me.lbl023BCP020F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 全解除ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn017BCP020F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn017BCP020F010.Click
		log(clsSysMst.logLevel.NRM, "btn017BCP020F010_Click", "全解除ボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 選択チェックボックス OFFにする
			For Each row As DataGridViewRow In Me.dgv025BCP020F010.Rows
				row.Cells(COL_SELECTED).Value = clsConst.Enum_CheckBox_Flg.CheckOff
			Next
			' 件数表示
			Me.updDisplayCount(COL_SELECTED, Me.dgv025BCP020F010, Me.lbl021BCP020F010, Me.lbl023BCP020F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 並べ替えボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn018BCP020F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn018BCP020F010.Click
		log(clsSysMst.logLevel.NRM, "btn018BCP020F010_Click", "並べ替えボタンクリックイベント")
		Try
			Me.Cursor = Cursors.WaitCursor
			Call nextForm(New XSP020F010(Me.dgv025BCP020F010))
		Catch ex As Exception
			Call ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 選択外クリアボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn019BCP020F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn019BCP020F010.Click
		log(clsSysMst.logLevel.NRM, "btn019BCP020F010_Click", "選択外クリアボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			' データグリッドビューにバインド
			If pdtData IsNot Nothing Then
				' 未選択行データ削除処理
				pdtData = DelUnSelectRow(pdtData)
				' 削除後のデータテーブルをバインド
				Me.dgv025BCP020F010.DataSource = pdtData
			End If
			' セルスタイル配列作成
			Call createCellStyles()
			' 件数表示
			Me.updDisplayCount(COL_SELECTED, Me.dgv025BCP020F010, Me.lbl021BCP020F010, Me.lbl023BCP020F010)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 全クリアボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn020BCP020F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn020BCP020F010.Click
		log(clsSysMst.logLevel.NRM, "btn020BCP020F010_Click", "全クリアボタンクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 現在のDGVデータソースをセット
			Dim dt As DataTable = Me.dgv025BCP020F010.DataSource
			If dt IsNot Nothing Then
				' 行全部をクリア
				dt.Rows.Clear()
				' クリア後のデータテーブルをバインド
				Me.dgv025BCP020F010.DataSource = dt
				' 件数表示
				Me.updDisplayCount(COL_SELECTED, Me.dgv025BCP020F010, Me.lbl021BCP020F010, Me.lbl023BCP020F010)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号ボタン押下時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn013BCP020F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn013BCP020F010.Click
		log(clsSysMst.logLevel.NRM, "btn013BCP020F010_Click", "患者番号ボタンクリックイベント START")
		Try
			'患者検索画面遷移
			Me.showPatient()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 詳細検索ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn015BCP020F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn015BCP020F010.Click
		log(clsSysMst.logLevel.NRM, "btn015BCP020F010_Click", "詳細検索ボタンクリックイベント START")
		Dim ChildForm As BCP020F020
		Try
			Me.Cursor = Cursors.WaitCursor
			ChildForm = New BCP020F020()
			Me.nextForm(ChildForm)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			ChildForm = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ﾌﾟﾚﾋﾞｭｰボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btnPrnClick(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn008BCP020F010.Click, btn009BCP020F010.Click
		log(clsSysMst.logLevel.NRM, String.Format("{0}({1})", Reflection.MethodBase.GetCurrentMethod.Name, sender.name), "印刷ボタン START")
		Try
			Me.Cursor = Cursors.WaitCursor

			If Me.chkGridCnt = False Then
				Me.showMsg("E0005")
			ElseIf String.IsNullOrEmpty(Me.cmb002BCP020F010.Text) Then
				addErrList("E0001", Me.cmb002BCP020F010.Name, Me.lbl001BCP020F010.Text.Trim, Nothing)
				'エラー画面へ
				nextErrForm()
			ElseIf Me.cmb002BCP020F010.SelectedValue = Enum_DspPtnRow.Ptn1 Then
				' 印刷・ﾌﾟﾚﾋﾞｭｰ表示処理
				Using rBCP020R010 As New BCP020R010(Me, sender.name.Equals(Me.btn009BCP020F010.Name), Me.dgv025BCP020F010, Me.nud005BCP020F010.Value, Me.nud007BCP020F010.Value)
					If rBCP020R010.exeReport() = True Then
						'処理なし
					End If
				End Using
			ElseIf Me.cmb002BCP020F010.SelectedValue = Enum_DspPtnRow.Ptn2 Then
				' 印刷・ﾌﾟﾚﾋﾞｭｰ表示処理
				Using rBCP020R020 As New BCP020R020(Me, sender.name.Equals(Me.btn009BCP020F010.Name), Me.dgv025BCP020F010, Me.nud005BCP020F010.Value, Me.nud007BCP020F010.Value)
					If rBCP020R020.exeReport() = True Then
						'処理なし
					End If
				End Using
			ElseIf Me.cmb002BCP020F010.SelectedValue = Enum_DspPtnRow.Ptn3 Then
				' 印刷・ﾌﾟﾚﾋﾞｭｰ表示処理
				Using rBCP020R030 As New BCP020R030(Me, sender.name.Equals(Me.btn009BCP020F010.Name), Me.dgv025BCP020F010, Me.nud005BCP020F010.Value, Me.nud007BCP020F010.Value)
					If rBCP020R030.exeReport() = True Then
						'処理なし
					End If
				End Using
			Else
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' セルコンテンツクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv025BCP020F010_CellContentClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv025BCP020F010.CellContentClick
		log(clsSysMst.logLevel.NRM, "dgv025BCP020F010_CellContentClick", "セルコンテンツクリックイベント START")
		Try
			Me.Cursor = Cursors.WaitCursor
			If e.RowIndex <= -1 Then Return
			With DirectCast(sender, DataGridView)
				If .Columns(e.ColumnIndex).Name = COL_SELECTED Then											'チェックボックス列なら
					.CommitEdit(DataGridViewDataErrorContexts.CurrentCellChange)							'変更内容をコミット
					Me.updDisplayCount(COL_SELECTED, sender, Me.lbl021BCP020F010, Me.lbl023BCP020F010)		'件数表示
				End If
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリットマウスアップ
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv025BCP020F010_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles dgv025BCP020F010.MouseUp
		'イベント発生が多いのでDBGにしておく
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "グリットマウスアップ START")
		Try
			With DirectCast(sender, DataGridView)
				If .Rows.Count = 0 Then Return
				If .Columns(.CurrentCell.ColumnIndex).Name = COL_SELECTED AndAlso .IsCurrentCellDirty Then	'チェックボックス列 かつ 編集済みであれば
					.CommitEdit(DataGridViewDataErrorContexts.Commit)										'変更内容をコミット
					Me.updDisplayCount(COL_SELECTED, sender, Me.lbl021BCP020F010, Me.lbl023BCP020F010)		'件数表示
				End If
			End With
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧ヘッダークリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv025BCP020F010_ColumnHeaderMouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv025BCP020F010.ColumnHeaderMouseClick
		log(clsSysMst.logLevel.NRM, "dgv025BCP020F010_ColumnHeaderMouseClick", "一覧ヘッダークリック START")
		Dim arSort As ArrayList = Nothing
		Try
			Me.Cursor = Cursors.WaitCursor
			If e.ColumnIndex > 0 AndAlso Me.dgv025BCP020F010.Columns(e.ColumnIndex).DataPropertyName <> sqlBCP020F010.itmSELECTED Then
				arSort = New ArrayList
				'ソート
				Me.cliGridSort.Clear()
				'指定列
				arSort.Add(New DictionaryEntry(Me.dgv025BCP020F010.Columns(e.ColumnIndex).DataPropertyName, clsGridSort.Enum_SortType.SortNone))
				If Me.dgv025BCP020F010.Columns.Contains(sqlBCP020F010.itmSORT_SEQ) = True Then
					' 初期ソート
					arSort.Add(New DictionaryEntry(sqlBCP020F010.itmSORT_SEQ, clsGridSort.Enum_SortType.SortNone))
				End If
				Me.cliGridSort.Add(Me.dgv025BCP020F010.Columns(e.ColumnIndex).Name, arSort)
				Me.cliGridSort.SortRow(Me.dgv025BCP020F010, Me.dgv025BCP020F010.Columns(e.ColumnIndex).Name, e.ColumnIndex)
				' グリッドの先頭行をセレクト
				With Me.dgv025BCP020F010
					If .Rows.Count > 0 Then
						.CurrentCell = .Rows(0).Cells(0)									'現在のセルを最上左に設定
						.FirstDisplayedScrollingRowIndex = 0								'先頭行を可視する
						.Select()															'フォーカス移動
					End If
				End With
				' セルスタイル作成
				Call createCellStyles()
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			If arSort IsNot Nothing Then arSort.Clear()
			arSort = Nothing
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧カレント行変更イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv025BCP020F010_SelectionChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dgv025BCP020F010.SelectionChanged
		log(clsSysMst.logLevel.NRM, "dgv025BCP020F010_SelectionChanged", "一覧カレント行変更イベント START")
		Try
			If Me.dgv025BCP020F010.CurrentRow IsNot Nothing AndAlso _
			   Me.dgv025BCP020F010.CurrentRow.Index > -1 Then

				Dim bm As BindingManagerBase = dgv025BCP020F010.BindingContext(dgv025BCP020F010.DataSource, dgv025BCP020F010.DataMember)
				Dim drv As DataRowView = CType(bm.Current, DataRowView)
				Dim dtRow As DataRow = drv.Row

				Me.dgv025BCP020F010.Columns(COL_DIV1_RNM).HeaderText = dtRow.Item(COL_DIV1TITLE_RNM).ToString
				Me.dgv025BCP020F010.Columns(COL_DIV1_RNM).HeaderCell.ToolTipText = dtRow.Item(COL_DIV1TITLE).ToString
				Me.dgv025BCP020F010.Columns(COL_DIV2_RNM).HeaderText = dtRow.Item(COL_DIV2TITLE_RNM).ToString
				Me.dgv025BCP020F010.Columns(COL_DIV2_RNM).HeaderCell.ToolTipText = dtRow.Item(COL_DIV2TITLE).ToString

				Me.dgv025BCP020F010.CurrentRow.Cells(COL_SELECTED).Style.SelectionBackColor = Me.dgv025BCP020F010.CurrentRow.Cells(COL_SELECTED).Style.BackColor
				Me.dgv025BCP020F010.CurrentRow.Cells(COL_SELECTED).Style.SelectionForeColor = Me.dgv025BCP020F010.CurrentRow.Cells(COL_SELECTED).Style.ForeColor
			End If
		Catch ex As Exception
			Call ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧選択変更イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk010BCP020F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk010BCP020F010.CheckedChanged
		If Me.chk010BCP020F010.CanFocus = True Then
			log(clsSysMst.logLevel.NRM, "chk010BCP020F010_CheckedChanged", "ﾊﾞｰｺｰﾄﾞ印刷(貸出)")
		Else
			log(clsSysMst.logLevel.DBG, "chk010BCP020F010_CheckedChanged", "ﾊﾞｰｺｰﾄﾞ印刷(貸出)")
		End If
		Try
			' コントロールのスタイルを変更
			Call setControlStyle()
		Catch ex As Exception
			Call ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

'(A) STR V4-14047-000 021 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
	'''---------------------------------------------
	''' <summary>
	''' '管理物グループ検索
	''' </summary>
	''' <remarks>
	''' 2013/10/10 新規作成　ID)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub SearchMNGITEM_GRP()
		log(clsSysMst.logLevel.DBG, "SearchMNGITEM_GRP", "管理物グループ検索 Start")
		Try
			'管理物グループ検索
			cliXSP240F010 = Nothing
			cliXSP240F010 = New XSP240F010(XSP240F010.Enum_XSP240_SearchType.eBarcode)
			nextForm(cliXSP240F010)
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-14047-000 021 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索

	''' ---------------------------------------------
	''' <summary>
	''' ワークデータの削除
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delWork()
		log(clsSysMst.logLevel.DBG, "delWork", "ワークデータの削除 START")
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					'削除処理
					.setSQL(sqlBCP020R000.sqlDel_Data)
					.setParam(sqlBCP020R000.prmHOST_NM, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlBCP020R000.prmHOST_NM, clsConst.CST_HOST_NM)
					.execNonQuery()
				End With
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 非表示列設定処理
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setUnVisibleColumns()
		log(clsSysMst.logLevel.DBG, "setUnVisibleColumns", "非表示列設定処理")
		Try
			If pdtMngItem Is Nothing Then
				Exit Sub
			End If
			Dim bDiv1 As Boolean = False
			Dim bDiv2 As Boolean = False
			For Each row As DataRow In pdtMngItem.Rows
				' 区分１
				If row(sqlBCP020F010.itmDIV1TITLE) IsNot DBNull.Value Then
					bDiv1 = True
				End If
				' 区分２
				If row(sqlBCP020F010.itmDIV2TITLE) IsNot DBNull.Value Then
					bDiv2 = True
				End If
			Next

			setVisibleFalse(Me.dgv025BCP020F010.Columns(COL_DIV1_RNM), bDiv1)
			setVisibleFalse(Me.dgv025BCP020F010.Columns(COL_DIV2_RNM), bDiv2)
		Catch ex As Exception
			Throw
		End Try
		Return
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データグリッドビュースタイル設定
	''' </summary>
	''' <param name="dgv"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setGridStyle(ByVal dgv As DataGridView)
		log(clsSysMst.logLevel.DBG, "setGridStyle", "データグリッドビュースタイル設定")
		Try
			dgv.ReadOnly = False
			dgv.AutoGenerateColumns = False
			For Each col As DataGridViewColumn In dgv.Columns
				If Not TypeOf col Is DataGridViewButtonColumn AndAlso
				 Not TypeOf col Is BT_DataGridView.DataGridViewImageButtonColumn Then
					If TypeOf col Is DataGridViewCheckBoxColumn Then
						If col.DataPropertyName <> sqlBCP020F010.itmSELECTED Then
							col.ReadOnly = True
						End If
					Else
						col.ReadOnly = True
					End If
				End If
			Next
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 種類コンボボックス設定
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDspPtnRow() As DataTable
		log(clsSysMst.logLevel.DBG, "getDspPtnRow", "種類コンボボックス設定")
		Dim dtRet As New DataTable
		Try
			'列定義
			dtRet.Columns.Add(CST_PTN_CD)
			dtRet.Columns.Add(CST_PTN_NM)
			Dim dtrow As DataRow
			For Each enum_menber As Enum_DspPtnRow In [Enum].GetValues(GetType(Enum_DspPtnRow))
				dtrow = dtRet.NewRow
				dtrow.Item(0) = DirectCast(enum_menber, Integer)
				dtrow.Item(1) = DispPtn_Str(enum_menber)
				'行追加
				dtRet.Rows.Add(dtrow)
			Next
		Catch ex As Exception
			Throw
		End Try
		Return dtRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 値がFalseの場合のみVisible=Falseを設定
	''' </summary>
	''' <param name="dgvc"></param>
	''' <param name="bVisible"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setVisibleFalse(ByVal dgvc As DataGridViewColumn, ByVal bVisible As Boolean)
		log(clsSysMst.logLevel.DBG, "setVisibleFalse", "値がFalseの場合のみVisible=Falseを設定")
		Try
			' 非表示のみ設定
			If Not bVisible Then
				dgvc.Visible = bVisible
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 患者検索画面遷移
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showPatient()
		log(clsSysMst.logLevel.DBG, "showPatient", "患者検索画面遷移 START")
		Dim ChildForm As XSP010F010
		Try
			' 貸出管理用患者検索画面
			ChildForm = New XSP010F010(CST_SHOW_XSP010F010_ID, Me.msk014BCP020F010.Name, XSP010F010.Enum_XSP010F010_Prd.prdL)
			nextForm(ChildForm)
		Catch ex As Exception
			Throw
		Finally
			ChildForm = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データ表示処理
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setGridData(Optional ByVal srcDT As DataTable = Nothing, Optional ByVal srcFlg As Boolean = True)
		log(clsSysMst.logLevel.DBG, "setGridData", "データ表示処理 START")
		Dim wrkDT As DataTable

		Try
			Me.Cursor = Cursors.WaitCursor
			wrkDT = New DataTable
			If srcFlg = True Then
				' コントロール値確定(ゼロサプレス処理）
				Me.ValidateChildren()
				'' 入力チェック(患者番号入力チェック)
				If ChkInput() = False Then Return
				wrkDT = GetData()
			Else
				wrkDT = srcDT.Copy
			End If
			' 対象データを取得
			Using dtData As DataTable = wrkDT
				If dtData IsNot Nothing AndAlso dtData.Rows.Count > 0 Then
					' 取得データをDGVにバインド
					pdtData = Me.dgv025BCP020F010.DataSource
					pdtData = mergeDataTable(pdtData, dtData)
					Me.dgv025BCP020F010.DataSource = pdtData
					' 件数表示
					Me.updDisplayCount(COL_SELECTED, Me.dgv025BCP020F010, Me.lbl021BCP020F010, Me.lbl023BCP020F010)
					' セルスタイル配列作成
					Call createCellStyles()
					' コントロールのスタイルを変更
					Call setControlStyle()
				Else
					'取得データが存在しない場合は、エラーメッセージ表示
					'「検索条件に対する該当データが存在しません」メッセージ
					Me.showMsg("E0010")
				End If
			End Using
			' フォーカスを患者番号テキストボックスに移動
			Me.msk014BCP020F010.Text = String.Empty
			Me.msk014BCP020F010.Select()
		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
			wrkDT = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 対象データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetData() As DataTable
		log(clsSysMst.logLevel.DBG, "getData", "対象データ取得 START")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' SQL文編集
				If Me.chk010BCP020F010.Checked Then	' 管理物コード指定あり
					db.setSQLDa(sqlBCP020F010.strsqlSel & sqlBCP020F010.strsqlSel_wh_Pat & _
					  " AND " & sqlBCP020F010.strsqlSel_wh_Mng & sqlBCP020F010.strsqlSel_Order)
				Else
					db.setSQLDa(sqlBCP020F010.strsqlSel & sqlBCP020F010.strsqlSel_wh_Pat & _
					  " AND " & sqlBCP020F010.strsqlSel_Wh_Textflg & sqlBCP020F010.strsqlSel_Order)
				End If
				' SQLパラメータ宣言
				db.setParamDa(sqlBCP020F010.prmSELECTED, clsDB.Enum_dbType.dbInt)
				db.setParamDa(sqlBCP020F010.prmMNGITEM_CD, clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(sqlBCP020F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				' 選択チェックボックス(初期表示はチェック＝ON）
				db.setValDa(sqlBCP020F010.prmSELECTED, CType(clsConst.Enum_CheckBox_Flg.CheckOn, String))
				db.setValDa(sqlBCP020F010.prmMNGITEM_CD, Me.cmb011BCP020F010.Text)
				db.setValDa(sqlBCP020F010.prmPATIENT_NO, Me.msk014BCP020F010.Text)
				' データ取得
				db.execQueryDa(dtData)
			End Using
			' 戻り値を返す
			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 対象データ取得 BCP020F010以外からの遷移
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetData_Else(ByVal strSql As String) As DataTable
		log(clsSysMst.logLevel.DBG, "GetData_Else", "対象データ取得( BCP020F010以外からの遷移) START")
		Dim dtData As DataTable = Nothing
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' SQL文
				db.setSQLDa(strSql)
				' SQLパラメータ宣言
				db.setParamDa(sqlBCP020F010.prmSELECTED, clsDB.Enum_dbType.dbInt)
				' 選択チェックボックス(初期表示はチェック＝ON）
				db.setValDa(sqlBCP020F010.prmSELECTED, CType(clsConst.Enum_CheckBox_Flg.CheckOn, String))
				' データ取得
				db.execQueryDa(dtData)
			End Using
			' 戻り値を返す
			Return dtData
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データテーブルを重複分を除きマージ
	''' </summary>
	''' <param name="dtTo">マージ先データテーブル</param>
	''' <param name="dtFrom">マージ元データテーブル</param>
	''' <returns>マージ後のデータテーブル</returns>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function mergeDataTable(ByVal dtTo As DataTable, ByVal dtFrom As DataTable) As DataTable
		log(clsSysMst.logLevel.DBG, "mergeDataTable", "データテーブルを重複分を除きマージ START")
		Dim dt As DataTable
		Dim NewRow As DataRow
		Dim cliCom As clsCom
		Dim strWhere As String = Nothing
		Dim CopyFlg As Boolean = False
		Try
			cliCom = New clsCom
			'データが取得できていないなら終了
			If dtFrom Is Nothing Then Return dtTo

			If dtTo Is Nothing OrElse dtTo.Rows.Count = 0 Then					'マージ先がなければ、複写
				Return dtFrom
			Else
				dt = dtTo.Copy()
			End If

			For Each row As DataRow In dtFrom.Rows
				strWhere = String.Format("({0} = '{1}') AND ({2} = '{3}') AND ({4} = '{5}')",
				   sqlBCP020F010.itmPATIENT_NO, _
				   cliCom.getDtItmValue(row(sqlBCP020F010.itmPATIENT_NO).ToString), _
				   sqlBCP020F010.itmMNGITEM_CD, _
				   cliCom.getDtItmValue(row(sqlBCP020F010.itmMNGITEM_CD).ToString), _
				   sqlBCP020F010.itmSERIAL_NO, _
				   cliCom.getDtItmValue(row(sqlBCP020F010.itmSERIAL_NO).ToString) _
				   )
				If strWhere Is Nothing OrElse dtTo.Select(strWhere).Length = 0 Then		'条件一致しないデータを先頭にマージ
					NewRow = dt.NewRow
					NewRow.ItemArray = row.ItemArray
					dt.Rows.InsertAt(NewRow, 0)
					CopyFlg = True
				End If
			Next

			If CopyFlg = False AndAlso dtFrom.Rows.Count > 0 Then						'マージデータがなければエラーメッセージ
				Me.showMsg("E0012", "追加", Nothing)
				Return dtTo
			Else
				Return dt
			End If
		Catch ex As Exception
			Throw
		Finally
			dt = Nothing
			NewRow = Nothing
			cliCom = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データテーブル重複チェック
	''' </summary>
	''' <param name="row"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2009/12/08 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDBlDataTable(ByVal row As DataRow) As Boolean
		log(clsSysMst.logLevel.DBG, "chkDBlDataTable", "データテーブル重複チェック")
		Try
			If pdtData IsNot Nothing Then
				If pdtData.Select(getWhereMngItemInfo(row(sqlBCP020F010.itmPATIENT_NO).ToString, _
				 row(sqlBCP020F010.itmMNGITEM_CD).ToString, _
				 row(sqlBCP020F010.itmSERIAL_NO).ToString)).Length > 0 Then
					Return False
				End If
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理物情報データテーブルWhere文作成
	''' </summary>
	''' <param name="strPatient_No"></param>
	''' <param name="strMngItem_Cd"></param>
	''' <param name="strSerial_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/01/04 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getWhereMngItemInfo(ByVal strPatient_No As String, ByVal strMngItem_Cd As String, ByVal strSerial_No As String) As String
		log(clsSysMst.logLevel.DBG, "getWhereMngItemInfo", "管理物情報データテーブルWhere文作成")
		Try
			Dim strWhere As String = ""
			strWhere = sqlBCP020F010.itmPATIENT_NO & " = '" & cliCom.getDtItmValue(strPatient_No) & "'" & _
			  " AND " & sqlBCP020F010.itmMNGITEM_CD & " = '" & cliCom.getDtItmValue(strMngItem_Cd) & "'" & _
			  " AND " & sqlBCP020F010.itmSERIAL_NO & " = " & strSerial_No
			Return strWhere
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 選択済件数と全体件数を更新
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub updDisplayCount(ByVal strColumnName As String, ByVal dgv As DataGridView, ByVal lblCount As Label, ByVal lblTotalCount As Label)
		log(clsSysMst.logLevel.DBG, "updDisplayCount", "選択済件数と全体件数を更新 START")
		'※True=1:False=0で判断するときは、DGVのコレクション内の
		'　選択セルのTrueValueに1、FalseValueに0を入れておく。
		Try
			If dgv.Rows IsNot Nothing Then
				Select_Cnt = 0
				For Each row As DataGridViewRow In dgv.Rows
					If row.Cells(strColumnName).Value = clsConst.Enum_CheckBox_Flg.CheckOn Then
						Select_Cnt += 1
					End If
				Next
				lblCount.Text = Format(Select_Cnt, clsConst.CST_KENSU_FORMAT)
				lblTotalCount.Text = Format(dgv.Rows.Count, clsConst.CST_KENSU_FORMAT)
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧表示項目設定
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SetdgvCol()
		log(clsSysMst.logLevel.DBG, "SetdgvCol", "一覧表示項目設定 START")
		Dim wdgvVisible() As Boolean = Nothing
		Dim Idx As clsConst.Enum_LendUnit
		Try
			' データをDGVにバインド、表示非表示フラグ設定
			Me.dgv025BCP020F010.DataSource = pdtData
			'一覧項目表示非表示フラグ設定
			Idx = clsConst.Enum_LendUnit.Each_Patient
			'「管理物コード」チェックを使用不可にする
			Me.cmb011BCP020F010.Enabled = False
			' 件数表示
			Me.updDisplayCount(COL_SELECTED, Me.dgv025BCP020F010, Me.lbl021BCP020F010, Me.lbl023BCP020F010)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索入力チェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function ChkInput() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkInput", "検索入力チェック START")
		Try
			' 患者番号入力チェック
			With Me.msk014BCP020F010
				If String.IsNullOrEmpty(.Text) = True Then
					Me.addErrList("E0001", .Name, Me.btn013BCP020F010.Text)
				End If
			End With

			If Me.getErrCount > 0 Then
				Me.nextErrForm()
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 未選択データテーブル行削除
	''' </summary>
	''' <param name="dt"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function DelUnSelectRow(ByVal dt As DataTable) As DataTable
		log(clsSysMst.logLevel.DBG, "delUnSelectRow", "未選択データテーブル行削除 START")
		Try
			If dt IsNot Nothing Then
				dt.AcceptChanges()
				' 未選択行をデータテーブルから削除
				For i As Integer = dt.Rows.Count - 1 To 0 Step -1
					If CInt(dt.Rows(i)(sqlBCP020F010.itmSELECTED).ToString) = clsConst.Enum_CheckBox_Flg.CheckOff Then
						dt.Rows(i).Delete()
					End If
				Next
			End If
			dt.AcceptChanges()
			Return dt
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 件数判定
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkGridCnt() As Boolean
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "件数判定 START")
		Try
			With Me.dgv025BCP020F010
				If .DataSource Is Nothing Then Return False
				With DirectCast(.DataSource, DataTable)
					If .Rows Is Nothing OrElse .Rows.Count = 0 Then Return False
					'If .Select(sqlBCP020F010.itmSELECTED & "=" & clsConst.Enum_CheckBox_Flg.CheckOn).Length > 0 Then Return True
					If Select_Cnt > 0 Then Return True
				End With
			End With
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' セルスタイル作成
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub createCellStyles()
		log(clsSysMst.logLevel.DBG, "createCellStyles", "セルスタイル作成")
		Try
			Dim iRed As Integer
			Dim iGreen As Integer
			Dim iBlue As Integer
			Dim dRow As DataRow = Nothing

			With Me.dgv025BCP020F010
				For i As Integer = 0 To .Rows.Count - 1
					dRow = CType(.Rows(i).DataBoundItem, DataRowView).Row

					' 管理物毎に行背景色設定
					iRed = 0
					iGreen = 0
					iBlue = 0
					With dRow
						If .Item("COLOR_CD_R") IsNot DBNull.Value Then iRed = CInt(.Item("COLOR_CD_R"))
						If .Item("COLOR_CD_G") IsNot DBNull.Value Then iGreen = CInt(.Item("COLOR_CD_G"))
						If .Item("COLOR_CD_B") IsNot DBNull.Value Then iBlue = CInt(.Item("COLOR_CD_B"))
					End With
					.Rows(i).DefaultCellStyle.BackColor = _
					 ColorTranslator.FromWin32(Microsoft.VisualBasic.RGB(iRed, iGreen, iBlue))
					.Rows(i).DefaultCellStyle.SelectionBackColor = _
					 ColorTranslator.FromWin32(Microsoft.VisualBasic.RGB(iRed, iGreen, iBlue))

					' 管理物管理状況毎に管理状況セル前景色設定
					iRed = 0
					iGreen = 0
					iBlue = 0
					With dRow
						If .Item("COLOR_CD_R_S") IsNot DBNull.Value Then iRed = CInt(.Item("COLOR_CD_R_S"))
						If .Item("COLOR_CD_G_S") IsNot DBNull.Value Then iGreen = CInt(.Item("COLOR_CD_G_S"))
						If .Item("COLOR_CD_B_S") IsNot DBNull.Value Then iBlue = CInt(.Item("COLOR_CD_B_S"))
					End With
					.Rows(i).Cells(COL_MNGSTATUS_NM).Style.ForeColor = _
					 ColorTranslator.FromWin32(Microsoft.VisualBasic.RGB(iRed, iGreen, iBlue))
					.Rows(i).Cells(COL_MNGSTATUS_NM).Style.SelectionForeColor = _
					 ColorTranslator.FromWin32(Microsoft.VisualBasic.RGB(iRed, iGreen, iBlue))
				Next
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 初期データ表示処理
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setInitGridData()
		log(clsSysMst.logLevel.DBG, "setInitGridData", "初期データ表示処理 START")
		Dim dtAll As DataTable = Nothing
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' SQL設定
				db.setParamDa(sqlBCP020F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(sqlBCP020F010.prmSELECTED, clsDB.Enum_dbType.dbInt)
				db.setParamDa(sqlBCP020F010.prmMNGITEM_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlBCP020F010.prmSELECTED, CType(clsConst.Enum_CheckBox_Flg.CheckOn, String))
				db.setValDa(sqlBCP020F010.prmMNGITEM_CD, clsConst.Enum_Lenditem.MedicalRecord)
			End Using

			' 取得結果を画面に反映
			If dtAll IsNot Nothing AndAlso dtAll.Rows.Count > 0 Then
				pdtData = dtAll
				Me.dgv025BCP020F010.DataSource = dtAll
				Me.cmb011BCP020F010.Enabled = False

				Me.updDisplayCount(COL_SELECTED, Me.dgv025BCP020F010, Me.lbl021BCP020F010, Me.lbl023BCP020F010)
			Else
				Me.showMsg("I0001")									'該当するデータはありませんでした。
			End If
		Catch ex As Exception
			Throw
		Finally
			dtAll = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コントロールのスタイルを変更
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlStyle()
		log(clsSysMst.logLevel.DBG, "setControlStyle", "コントロールのスタイルを変更")
		Try
			' ヘッダー部
			If Me.chk010BCP020F010.Checked Then								'管理物コードチェック
				Me.cmb011BCP020F010.Enabled = True
			Else
				Me.cmb011BCP020F010.Enabled = False
			End If
			' 一覧
			If Me.dgv025BCP020F010.Rows IsNot Nothing AndAlso _
			 Me.dgv025BCP020F010.Rows.Count > 0 Then
				' 一覧明細あり
				Me.btn016BCP020F010.Enabled = True							'全選択
				Me.btn017BCP020F010.Enabled = True							'全解除
				Me.btn018BCP020F010.Enabled = True							'並べ替え
				Me.btn019BCP020F010.Enabled = True							'選択外クリア
				Me.btn020BCP020F010.Enabled = True							'全クリア
			Else
				' 一覧明細なし
				Me.btn016BCP020F010.Enabled = False							'全選択
				Me.btn017BCP020F010.Enabled = False							'全解除
				Me.btn018BCP020F010.Enabled = False							'並べ替え
				Me.btn019BCP020F010.Enabled = False							'選択外クリア
				Me.btn020BCP020F010.Enabled = False							'全クリア
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ソート文字列付加
	''' </summary>
	''' <param name="strSort"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetSortOrder(ByVal strSort As String) As String
		log(clsSysMst.logLevel.DBG, "GetSortOrder", "ソート文字列付加")
		Try
			Dim strSortConv As String = ""
			Dim strSortItems() As String = strSort.Split(CChar(","))
			For i As Integer = 0 To strSortItems.Length - 1
				Dim bFind As Boolean = False
				For j As Integer = 0 To SortBefore.Length - 1
					If SortBefore(j) = strSortItems(i).Replace(" DESC", "") Then
						strSortConv &= strSortItems(i).Replace(SortBefore(j), SortAfter(j)) & ", "
						bFind = True
						Exit For
					End If
				Next
				If Not bFind Then
					strSortConv &= strSortItems(i) & ", "
				End If
			Next
			Return strSortConv & _
			 sqlBCP020F010.itmMNGITEM_CD & "," & _
			 sqlBCP020F010.itmSERIAL_NO & " DESC ," & _
			 sqlBCP020F010.itmPATIENT_NO
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' DataRowsをDataTableに変換
	''' </summary>
	''' <param name="row"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/01/18 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getTableFromRows(ByVal dtFrom As DataTable, ByVal row() As DataRow) As DataTable
		log(clsSysMst.logLevel.DBG, "getTableFromRows", "DataRowsをDataTableに変換")
		If dtFrom Is Nothing Then
			Return Nothing
		End If
		Dim dt As DataTable = dtFrom.Clone
		Try
			For Each rw As DataRow In row
				dt.ImportRow(rw)
			Next
		Catch ex As Exception
			Throw
		End Try
		Return dt
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Enterキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.DBG, "EnterProc", "Enterキー押下処理 START")
		Try
			' 患者番号でEnterキー
			If Me.ActiveControl.Equals(Me.msk014BCP020F010) Then
				log(clsSysMst.logLevel.NRM, "EnterProc", "Enterキー押下")
				'一覧表示
				Me.setGridData()
				'戻り値を返す
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
		' ベース処理実行
		Return MyBase.EnterProc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１キー押下処理
	''' </summary>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F1KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F1KeyProc", "Ｆ１キー押下処理 START")
		Try
'(A) STR V4-14047-000 004 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
			Select Case Me.ActiveControl.Name
				Case Me.msk014BCP020F010.Name
'(A) END V4-14047-000 004 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
					'患者検索画面遷移
					Me.showPatient()
'(A) STR V4-14047-000 007 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
				Case Me.cmb011BCP020F010.Name
					'管理物グループ検索
					SearchMNGITEM_GRP()
				Case Else
			End Select
'(A) END V4-14047-000 007 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2013/01/09 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 START")
		Dim wrkPATIENT_NO As String				 '取得した患者番号
		Try
			Select Case de.Key.ToString
				Case CST_SHOW_XSP010F010_ID
					' 患者検索画面より戻ってきたとき
					If ret = Enum_FormReturn.OK Then
						'患者検索画面で、確定ボタンが押下されたとき（結果が存在するとき）
						'患者検索画面より、患者番号を戻す
						wrkPATIENT_NO = de.Value.PATIENT_NO
						'患者番号テキストボックスに戻り値をセット
						Me.msk014BCP020F010.Text = wrkPATIENT_NO
						'一覧表示
						Me.setGridData()
					End If
				Case CST_SHOW_BCP020F020_ID
					' 詳細検索画面より戻ってきたとき
					If ret = Enum_FormReturn.OK Then
						Me.setGridData(Me.Schdt, False)
					End If
				Case CST_SHOW_XSP020F010_ID
					' 並べ替え画面より戻ってきたとき
					If ret = Enum_FormReturn.OK Then
						If Me.dgv025BCP020F010.DataSource IsNot Nothing Then
							CType(Me.dgv025BCP020F010.DataSource, DataTable).DefaultView.Sort = GetSortOrder(de.Value.ToString)
							' セルスタイル作成
							Call createCellStyles()
						End If
					End If
					' 患者番号にカーソルを移動
					Me.msk014BCP020F010.Focus()
					Me.msk014BCP020F010.Select(0, 0)
'(A) STR V4-14047-000 011 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
				Case GetType(XSP240F010).Name
					'管理物グループ検索画面
					If Me.cmb011BCP020F010.Text <> CType(de.Value, String) Then
						'コンボボックスへの値を設定
						cliCom.setComboValue(Me.cmb011BCP020F010, CType(de.Value, String))
					End If
					Me.cmb011BCP020F010.Focus()
					If Me.cliXSP240F010 IsNot Nothing Then cliXSP240F010.Dispose()
					cliXSP240F010 = Nothing
'(A) END V4-14047-000 011 20131016 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
				Case Else
			End Select
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

End Class
