﻿Imports XCM
Imports System.Reflection
''' ---------------------------------------------
''' <summary>
''' バーコード印刷（貸出）SQLクラス
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU WEST LIMITED All rights reserved.<BR/>
''' FUJITSU WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public NotInheritable Class sqlBCP020F010
	'非テーブル項目名
	Public Const itmSELECTED As String = "SELECTED"						'選択
	Public Const itmSORT_SEQ As String = "SORT_SEQ"						'順番
	'項目名
	Public Const itmPATIENT_NO As String = "PATIENT_NO"					'患者番号
	Public Const itmMNGITEM_CD As String = "MNGITEM_CD"					'管理物コード
	Public Const itmMNGITEM_NM As String = "MNGITEM_NM"					'管理物名称
	Public Const itmSERIAL_NO As String = "SERIAL_NO"					'一連番号
	Public Const itmDIV1_CD As String = "DIV1_CD"						'区分１コード
	Public Const itmDIV2_CD As String = "DIV2_CD"						'区分２コード
	Public Const itmDIV1TITLE As String = "DIV1TITLE"					'区分１タイトル
	Public Const itmDIV2TITLE As String = "DIV2TITLE"					'区分２タイトル
	'取得条件用
	Public Const prmSELECTED As String = "@SELECTED"					'選択
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"				'患者番号
	Public Const prmMNGITEM_CD As String = "@MNGITEM_CD"				'管理物コード
	Public Const prmSERIAL_NO As String = "@SERIAL_NO"					'一連番号

	Public Const C_CHECK_ON As String = "-1"							'チェックオン

	'*** SQL文 ***
	Public Const strsqlSel As String = _
	"SELECT " & prmSELECTED & " AS SELECTED," _
	& "    ROW_NUMBER() OVER (ORDER BY LTI_MNGITEMINFO.MNGITEM_CD, " _
	& "    LTI_MNGITEMINFO.SERIAL_NO DESC, LTI_MNGITEMINFO.PATIENT_NO) AS " _
	& itmSORT_SEQ & "," _
	& "    LTI_MNGITEMINFO.PATIENT_NO, " _
	& "    LTI_MNGITEMINFO.BYOREKI_NO, " _
	& "    XTI_BASICINFO.PATIENT_KNM, " _
	& "    XTI_BASICINFO.PATIENT_NM, " _
	& "    XTI_BASICINFO.GENDER_CD, " _
	& "    XTM_GENDER.GENDER_NM, " _
	& "    XTI_BASICINFO.BIRTH_DT, " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD, " _
	& "    LTM_MNGITEM.MNGITEM_RNM, " _
	& "    LTM_MNGITEM.MNGITEM_NM, " _
	& "    LTM_MNGITEM.DIV1TEXT_FLG, " _
	& "    LTI_MNGITEMINFO.DIV1_CD, " _
	& "    LTM_MNGITEM.DIV1TITLE_RNM, " _
	& "    LTM_MNGITEM.DIV1TITLE, " _
	& "    CASE " _
	& "    WHEN LTM_MNGITEM.DIV1TEXT_FLG = '0' THEN " _
	& "        LTM_DIV1.DIV1_RNM " _
	& "    ELSE " _
	& "        LTI_MNGITEMINFO.DIV1_CD " _
	& "    END AS DIV1_RNM, " _
	& "    CASE " _
	& "    WHEN LTM_MNGITEM.DIV1TEXT_FLG = '0' THEN " _
	& "        LTM_DIV1.DIV1_NM " _
	& "    ELSE " _
	& "        LTI_MNGITEMINFO.DIV1_CD " _
	& "    END AS DIV1_NM, " _
	& "    LTM_MNGITEM.DIV2TEXT_FLG, " _
	& "    LTI_MNGITEMINFO.DIV2_CD, " _
	& "    LTM_MNGITEM.DIV2TITLE_RNM, " _
	& "    LTM_MNGITEM.DIV2TITLE, " _
	& "    CASE " _
	& "    WHEN LTM_MNGITEM.DIV2TEXT_FLG = '0' THEN " _
	& "        LTM_DIV2.DIV2_RNM " _
	& "    ELSE " _
	& "        LTI_MNGITEMINFO.DIV2_CD " _
	& "    END AS DIV2_RNM, " _
	& "    CASE " _
	& "    WHEN LTM_MNGITEM.DIV2TEXT_FLG = '0' THEN " _
	& "        LTM_DIV2.DIV2_NM " _
	& "    ELSE " _
	& "        LTI_MNGITEMINFO.DIV2_CD " _
	& "    END AS DIV2_NM, " _
	& "    LTI_MNGITEMINFO.DATE1, " _
	& "    LTI_MNGITEMINFO.DATE2, " _
	& "    LTI_MNGITEMINFO.FIRSTRECEIVING_DT, " _
	& "    LTI_MNGITEMINFO.LASTRECEIVING_DT, " _
	& "    LTI_MNGITEMINFO.RECIPIENT_CD, " _
	& "    STAFF_RCP.STAFF_NM AS RECIPIENT_NM, " _
	& "    LTM_MNGITEMMNGSTATUS.MNGSTATUS_CD, " _
	& "    LTM_MNGITEMMNGSTATUS.MNGSTATUS_RNM, " _
	& "    LTM_MNGITEMMNGSTATUS.MNGSTATUS_NM, " _
	& "    LTI_MNGITEMINFO.KEEPLCT_CD, " _
	& "    LTM_MNGITEMKEEPLCT.KEEPLCT_NM, " _
	& "    LTI_MNGITEMINFO.DOCTOR_CD, " _
	& "    STAFF_DOC.STAFF_NM AS DOCTOR_NM, " _
	& "    LTI_MNGITEMINFO.MNGITEMCMB1 AS MNGITEMCMB1_CD, " _
	& "    CMBNM1.CMBCNT_NM AS MNGITEMCMB1_NM, " _
	& "    LTI_MNGITEMINFO.MNGITEMCMB2 AS MNGITEMCMB2_CD, " _
	& "    CMBNM2.CMBCNT_NM AS MNGITEMCMB2_NM, " _
	& "    LTI_MNGITEMINFO.MNGITEMTEXT1, " _
	& "    LTI_MNGITEMINFO.MNGITEMTEXT2, " _
	& "    LTI_MNGITEMINFO.MNGITEMCHK1, " _
	& "    LTI_MNGITEMINFO.MNGITEMCHK2, " _
	& "    LTI_MNGITEMINFO.MNGITEMCHK3, " _
	& "    LTI_MNGITEMINFO.MNGITEMCHK4, " _
	& "    CASE " _
	& "    WHEN LTI_MNGITEMINFO.VOLUMEKEY IS NOT NULL THEN " _
	& "        '子' " _
	& "    WHEN EXISTS ( " _
	& "                SELECT " _
	& "                    * " _
	& "                FROM " _
	& "                    LTI_MNGITEMINFO AS VOL_MNG " _
	& "                WHERE " _
	& "                    (VOL_MNG.PATIENT_NO = LTI_MNGITEMINFO.PATIENT_NO AND " _
	& "                     VOL_MNG.MNGITEM_CD = LTI_MNGITEMINFO.MNGITEM_CD AND " _
	& "                     VOL_MNG.VOLUMEKEY = LTI_MNGITEMINFO.SERIAL_NO) " _
	& "                 ) THEN " _
	& "        '親' " _
	& "    ELSE " _
	& "        NULL " _
	& "    END AS VOLUMEKEY_NM, " _
	& "    LTI_MNGITEMINFO.REMARKS AS MNGITEM_REMARKS, " _
	& "    LTI_MNGITEMINFO.SERIAL_NO, " _
	& "    LTM_MNGITEM.COLOR_CD_R, " _
	& "    LTM_MNGITEM.COLOR_CD_G, " _
	& "    LTM_MNGITEM.COLOR_CD_B, " _
	& "    LTM_MNGITEMMNGSTATUS.COLOR_CD_R AS COLOR_CD_R_S, " _
	& "    LTM_MNGITEMMNGSTATUS.COLOR_CD_G AS COLOR_CD_G_S, " _
	& "    LTM_MNGITEMMNGSTATUS.COLOR_CD_B AS COLOR_CD_B_S " _
	& "FROM " _
	& "    LTI_MNGITEMINFO " _
	& "    LEFT JOIN " _
	& "    XTI_BASICINFO ON " _
	& "    LTI_MNGITEMINFO.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
	& "    LEFT JOIN " _
	& "    LTM_MNGITEM ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = LTM_MNGITEM.MNGITEM_CD " _
	& "    LEFT JOIN " _
	& "    LTM_DIV1 ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = LTM_DIV1.MNGITEM_CD AND " _
	& "    LTI_MNGITEMINFO.DIV1_CD = LTM_DIV1.DIV1_CD " _
	& "    LEFT JOIN " _
	& "    LTM_DIV2 ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = LTM_DIV2.MNGITEM_CD AND " _
	& "    LTI_MNGITEMINFO.DIV2_CD = LTM_DIV2.DIV2_CD " _
	& "    LEFT JOIN " _
	& "    LTM_MNGITEMMNGSTATUS ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = LTM_MNGITEMMNGSTATUS.MNGITEM_CD AND " _
	& "    LTI_MNGITEMINFO.MNGSTATUS_CD = LTM_MNGITEMMNGSTATUS.MNGSTATUS_CD " _
	& "    LEFT JOIN " _
	& "    LTM_MNGITEMKEEPLCT ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = LTM_MNGITEMKEEPLCT.MNGITEM_CD AND " _
	& "    LTI_MNGITEMINFO.KEEPLCT_CD = LTM_MNGITEMKEEPLCT.KEEPLCT_CD " _
	& "    LEFT JOIN " _
	& "    XTM_STAFF STAFF_DOC ON " _
	& "    LTI_MNGITEMINFO.DOCTOR_CD = STAFF_DOC.STAFF_CD " _
	& "    LEFT JOIN " _
	& "    XTM_STAFF STAFF_RCP ON " _
	& "    LTI_MNGITEMINFO.RECIPIENT_CD = STAFF_RCP.STAFF_CD " _
	& "    LEFT JOIN " _
	& "    XTM_GENDER ON " _
	& "    XTI_BASICINFO.GENDER_CD = XTM_GENDER.GENDER_CD " _
	& "    LEFT JOIN " _
	& "    LTM_LENDCMB CMBNM1 ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = CMBNM1.MNGITEM_CD AND " _
	& "    CMBNM1.DIV_CD = '1' AND " _
	& "    LTI_MNGITEMINFO.MNGITEMCMB1 = CMBNM1.CMB_CD " _
	& "    LEFT JOIN " _
	& "    LTM_LENDCMB CMBNM2 ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = CMBNM2.MNGITEM_CD AND " _
	& "    CMBNM2.DIV_CD = '2' AND " _
	& "    LTI_MNGITEMINFO.MNGITEMCMB2 = CMBNM2.CMB_CD " _
	& "WHERE "

	'条件（患者番号指定）
	Public Const strsqlSel_wh_Pat As String = "( LTI_MNGITEMINFO.PATIENT_NO = " & prmPATIENT_NO & " ) "

	'条件（管理物コード指定）
	Public Const strsqlSel_wh_Mng As String = "( LTI_MNGITEMINFO.MNGITEM_CD = " & prmMNGITEM_CD & " ) "

	'抽出順
	Public Const strsqlSel_Order As String = " ORDER  BY" _
	& "    LTI_MNGITEMINFO.MNGITEM_CD," _
	& "    LTI_MNGITEMINFO.SERIAL_NO DESC," _
	& "    LTI_MNGITEMINFO.PATIENT_NO"

	'BCP020F010以外から呼び出された時
	Public Const strsqlSel_Else As String = _
	"SELECT " _
	& C_CHECK_ON & " AS SELECTED," _
	& "    LTI_MNGITEMINFO.PATIENT_NO, " _
	& "    LTI_MNGITEMINFO.BYOREKI_NO, " _
	& "    XTI_BASICINFO.PATIENT_KNM, " _
	& "    XTI_BASICINFO.PATIENT_NM, " _
	& "    XTI_BASICINFO.GENDER_CD, " _
	& "    XTM_GENDER.GENDER_NM, " _
	& "    XTI_BASICINFO.BIRTH_DT, " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD, " _
	& "    LTM_MNGITEM.MNGITEM_RNM, " _
	& "    LTM_MNGITEM.MNGITEM_NM, " _
	& "    LTM_MNGITEM.DIV1TEXT_FLG, " _
	& "    LTI_MNGITEMINFO.DIV1_CD, " _
	& "    LTM_MNGITEM.DIV1TITLE_RNM, " _
	& "    LTM_MNGITEM.DIV1TITLE, " _
	& "    CASE " _
	& "    WHEN LTM_MNGITEM.DIV1TEXT_FLG = '0' THEN " _
	& "        LTM_DIV1.DIV1_RNM " _
	& "    ELSE " _
	& "        LTI_MNGITEMINFO.DIV1_CD " _
	& "    END AS DIV1_RNM, " _
	& "    CASE " _
	& "    WHEN LTM_MNGITEM.DIV1TEXT_FLG = '0' THEN " _
	& "        LTM_DIV1.DIV1_NM " _
	& "    ELSE " _
	& "        LTI_MNGITEMINFO.DIV1_CD " _
	& "    END AS DIV1_NM, " _
	& "    LTM_MNGITEM.DIV2TEXT_FLG, " _
	& "    LTI_MNGITEMINFO.DIV2_CD, " _
	& "    LTM_MNGITEM.DIV2TITLE_RNM, " _
	& "    LTM_MNGITEM.DIV2TITLE, " _
	& "    CASE " _
	& "    WHEN LTM_MNGITEM.DIV2TEXT_FLG = '0' THEN " _
	& "        LTM_DIV2.DIV2_RNM " _
	& "    ELSE " _
	& "        LTI_MNGITEMINFO.DIV2_CD " _
	& "    END AS DIV2_RNM, " _
	& "    CASE " _
	& "    WHEN LTM_MNGITEM.DIV2TEXT_FLG = '0' THEN " _
	& "        LTM_DIV2.DIV2_NM " _
	& "    ELSE " _
	& "        LTI_MNGITEMINFO.DIV2_CD " _
	& "    END AS DIV2_NM, " _
	& "    LTI_MNGITEMINFO.DATE1, " _
	& "    LTI_MNGITEMINFO.DATE2, " _
	& "    LTI_MNGITEMINFO.FIRSTRECEIVING_DT, " _
	& "    LTI_MNGITEMINFO.LASTRECEIVING_DT, " _
	& "    LTI_MNGITEMINFO.RECIPIENT_CD, " _
	& "    STAFF_RCP.STAFF_NM AS RCP_NM, " _
	& "    LTM_MNGITEMMNGSTATUS.MNGSTATUS_CD, " _
	& "    LTM_MNGITEMMNGSTATUS.MNGSTATUS_RNM, " _
	& "    LTM_MNGITEMMNGSTATUS.MNGSTATUS_NM, " _
	& "    LTI_MNGITEMINFO.KEEPLCT_CD, " _
	& "    LTM_MNGITEMKEEPLCT.KEEPLCT_NM, " _
	& "    LTI_MNGITEMINFO.DOCTOR_CD, " _
	& "    STAFF_DOC.STAFF_NM AS DOC_NM, " _
	& "    LTI_MNGITEMINFO.MNGITEMCMB1, " _
	& "    CMBNM1.CMBCNT_NM AS CMBNM1, " _
	& "    LTI_MNGITEMINFO.MNGITEMCMB2, " _
	& "    CMBNM2.CMBCNT_NM AS CMBNM2, " _
	& "    LTI_MNGITEMINFO.MNGITEMTEXT1, " _
	& "    LTI_MNGITEMINFO.MNGITEMTEXT2, " _
	& "    LTI_MNGITEMINFO.MNGITEMCHK1, " _
	& "    LTI_MNGITEMINFO.MNGITEMCHK2, " _
	& "    LTI_MNGITEMINFO.MNGITEMCHK3, " _
	& "    LTI_MNGITEMINFO.MNGITEMCHK4, " _
	& "    CASE " _
	& "    WHEN LTI_MNGITEMINFO.VOLUMEKEY IS NOT NULL THEN " _
	& "        '子' " _
	& "    WHEN EXISTS ( " _
	& "                SELECT " _
	& "                    * " _
	& "                FROM " _
	& "                    LTI_MNGITEMINFO AS VOL_MNG " _
	& "                WHERE " _
	& "                    (VOL_MNG.PATIENT_NO = LTI_MNGITEMINFO.PATIENT_NO AND " _
	& "                     VOL_MNG.MNGITEM_CD = LTI_MNGITEMINFO.MNGITEM_CD AND " _
	& "                     VOL_MNG.VOLUMEKEY = LTI_MNGITEMINFO.SERIAL_NO) " _
	& "                 ) THEN " _
	& "        '親' " _
	& "    ELSE " _
	& "        NULL " _
	& "    END AS VOLUMEKEY_NM, " _
	& "    LTI_MNGITEMINFO.REMARKS, " _
	& "    LTI_MNGITEMINFO.SERIAL_NO, " _
	& "    LTM_MNGITEM.COLOR_CD_R, " _
	& "    LTM_MNGITEM.COLOR_CD_G, " _
	& "    LTM_MNGITEM.COLOR_CD_B, " _
	& "    LTM_MNGITEMMNGSTATUS.COLOR_CD_R AS COLOR_CD_R_S, " _
	& "    LTM_MNGITEMMNGSTATUS.COLOR_CD_G AS COLOR_CD_G_S, " _
	& "    LTM_MNGITEMMNGSTATUS.COLOR_CD_B AS COLOR_CD_B_S " _
	& "FROM " _
	& "    LTI_MNGITEMINFO " _
	& "    LEFT JOIN " _
	& "    XTI_BASICINFO ON " _
	& "    LTI_MNGITEMINFO.PATIENT_NO = XTI_BASICINFO.PATIENT_NO " _
	& "    LEFT JOIN " _
	& "    LTM_MNGITEM ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = LTM_MNGITEM.MNGITEM_CD " _
	& "    LEFT JOIN " _
	& "    LTM_DIV1 ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = LTM_DIV1.MNGITEM_CD AND " _
	& "    LTI_MNGITEMINFO.DIV1_CD = LTM_DIV1.DIV1_CD " _
	& "    LEFT JOIN " _
	& "    LTM_DIV2 ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = LTM_DIV2.MNGITEM_CD AND " _
	& "    LTI_MNGITEMINFO.DIV2_CD = LTM_DIV2.DIV2_CD " _
	& "    LEFT JOIN " _
	& "    LTM_MNGITEMMNGSTATUS ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = LTM_MNGITEMMNGSTATUS.MNGITEM_CD AND " _
	& "    LTI_MNGITEMINFO.MNGSTATUS_CD = LTM_MNGITEMMNGSTATUS.MNGSTATUS_CD " _
	& "    LEFT JOIN " _
	& "    LTM_MNGITEMKEEPLCT ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = LTM_MNGITEMKEEPLCT.MNGITEM_CD AND " _
	& "    LTI_MNGITEMINFO.KEEPLCT_CD = LTM_MNGITEMKEEPLCT.KEEPLCT_CD " _
	& "    LEFT JOIN " _
	& "    XTM_STAFF STAFF_DOC ON " _
	& "    LTI_MNGITEMINFO.DOCTOR_CD = STAFF_DOC.STAFF_CD " _
	& "    LEFT JOIN " _
	& "    XTM_STAFF STAFF_RCP ON " _
	& "    LTI_MNGITEMINFO.RECIPIENT_CD = STAFF_RCP.STAFF_CD " _
	& "    LEFT JOIN " _
	& "    XTM_GENDER ON " _
	& "    XTI_BASICINFO.GENDER_CD = XTM_GENDER.GENDER_CD " _
	& "    LEFT JOIN " _
	& "    LTM_LENDCMB CMBNM1 ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = CMBNM1.MNGITEM_CD AND " _
	& "    CMBNM1.DIV_CD = '1' AND " _
	& "    LTI_MNGITEMINFO.MNGITEMCMB1 = CMBNM1.CMB_CD " _
	& "    LEFT JOIN " _
	& "    LTM_LENDCMB CMBNM2 ON " _
	& "    LTI_MNGITEMINFO.MNGITEM_CD = CMBNM2.MNGITEM_CD AND " _
	& "    CMBNM2.DIV_CD = '2' AND " _
	& "    LTI_MNGITEMINFO.MNGITEMCMB2 = CMBNM2.CMB_CD " _
	& "WHERE "

	'条件（管理物コードがテキスト以外）
	Public Const strsqlSel_Wh_Textflg As String = " ( " _
	& "    LTM_MNGITEM.DIV1TEXT_FLG <> '1' AND" _
	& "    LTM_MNGITEM.DIV2TEXT_FLG <> '1'" _
	& "    ) "

End Class