﻿Imports XCM
Imports System.Drawing
Imports System.Windows.Forms
Imports XSP
Imports System.Globalization
''' ---------------------------------------------
''' <summary>
''' 貸出準備明細一覧　修正番号：V4-14056
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights resered.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTAIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class LMN010F130

#Region "変数"

	'遷移元情報
	Private m_Frm As frmBase								'遷移元画面ID
	Private pValueSlipCd As String = Nothing				'伝票番号
	Private pValueResultDate As Date = Nothing				'貸出準備日
	Private pValueResultUserName As String = Nothing		'貸出準備者名

	'共通クラス変数
	Private cliGridSort As clsGridSort
	Private cliXTM_ITMSEL_LIST As clsXTM_ITMSEL_LIST
	Private cliLMN_MNGITEM As clsLTM_MNGITEM

	'遷移先情報
	Private fXSP040F010 As XSP040F010 = Nothing
	Private colorBack As Color = Nothing
	Private colorFore As Color = Nothing

	'データクラス
	Private arXTM_ITEMLIST_Mng As ArrayList = Nothing		'一覧表示項目データクラス
	Private arXTM_SELECTLIST_Mng As ArrayList = Nothing		'一覧選択項目データクラス

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pSlipCd">伝票番号</param>
	''' <param name="pResultDate">準備日</param>
	''' <param name="pResultUserName">準備者</param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pSlipCd As String, ByVal pResultDate As String, ByVal pResultUserName As String)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()
		' InitializeComponent() 呼び出しの後で初期化を追加します。

		'変数引き取り
		Me.pValueSlipCd = pSlipCd
		Me.pValueResultDate = pResultDate
		Me.pValueResultUserName = pResultUserName
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMN010F130_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		log(XCM.clsSysMst.logLevel.NRM, "LMN010F130_Load", "画面ロード START")
		Dim cliGridStyle As clsGridStyle = Nothing
		Try
			cliGridStyle = New clsGridStyle
			cliGridSort = New clsGridSort
			cliXTM_ITMSEL_LIST = New clsXTM_ITMSEL_LIST
			cliLMN_MNGITEM = New clsLTM_MNGITEM

			'画面情報引き継ぎ
			Me.m_Frm = Me.Owner

			'基本のバックカラーを取得（管理物情報から取得）
			Me.colorBack = Me.dgv008LMN010F130.DefaultCellStyle.BackColor
			Me.colorFore = Me.dgv008LMN010F130.DefaultCellStyle.ForeColor

			cliGridStyle.setGridHeight(Me.dgv008LMN010F130)

			Me.lbl002LMN010F130.Text = Me.pValueSlipCd
			Me.lbl004LMN010F130.Text = Me.pValueResultDate.ToString(clsConst.CST_YYYYMMDD_FORMAT)
			Me.lbl006LMN010F130.Text = Me.pValueResultUserName

			'一覧表示項目情報取得
			Me.arXTM_ITEMLIST_Mng = Me.cliXTM_ITMSEL_LIST.getDispDefaultClm(Me.Name, Me.dgv008LMN010F130.Name)

			'一覧選択項目情報取得
			Me.arXTM_SELECTLIST_Mng = Me.cliXTM_ITMSEL_LIST.getDispClm(Me.Name, Me.dgv008LMN010F130.Name, Me._userID)

			'一覧の精査（表示列の制御）
			Select Case True
				Case Me.arXTM_SELECTLIST_Mng IsNot Nothing
					'一覧選択項目設定
					Me.cliXTM_ITMSEL_LIST.setDispClm(Me.dgv008LMN010F130, Me.arXTM_SELECTLIST_Mng)
				Case Me.arXTM_ITEMLIST_Mng IsNot Nothing
					'一覧表示項目設定
					Me.cliXTM_ITMSEL_LIST.setDispClm(Me.dgv008LMN010F130, Me.arXTM_ITEMLIST_Mng)
				Case Else
					'デザインに任せる
			End Select

			'カラムを制御
			Call Me.setColumns()

		Catch ex As Exception
			Me.ErrorProc(ex)
			If Me.Owner IsNot Nothing Then CType(Me.Owner, frmBase).setCancelFlg(True)
			Me.EndProc(Enum_FormReturn.CANSEL)
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダークリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv_ColumnHeaderMouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv008LMN010F130.ColumnHeaderMouseClick
		log(clsSysMst.logLevel.NRM, "dgv_ColumnHeaderMouseClick", "ヘッダークリック START")
		Me.Cursor = Cursors.WaitCursor
		Dim arSort As ArrayList = Nothing
		Try
			arSort = New ArrayList

			Select Case CType(sender, DataGridView).Name
				Case Me.dgv008LMN010F130.Name
					'ソート（管理物一覧）
					Me.cliGridSort.Clear()
					arSort.Add(New DictionaryEntry(Me.dgv008LMN010F130.Columns(e.ColumnIndex).DataPropertyName, clsGridSort.Enum_SortType.SortNone))
					arSort.Add(New DictionaryEntry(sqlLMN010F130.itmMNG_DSPORDER, clsGridSort.Enum_SortType.SortAsc))
					If Me.dgv008LMN010F130.Columns(e.ColumnIndex).DataPropertyName <> sqlLMN010F130.itmBYOREKI_NO Then
						arSort.Add(New DictionaryEntry(sqlLMN010F130.itmBYOREKI_NO, clsGridSort.Enum_SortType.SortAsc))
					End If

					If Me.dgv008LMN010F130.Columns(e.ColumnIndex).DataPropertyName <> sqlLMN010F130.itmPATIENT_NO Then
						arSort.Add(New DictionaryEntry(sqlLMN010F130.itmPATIENT_NO, clsGridSort.Enum_SortType.SortAsc))
					End If
					arSort.Add(New DictionaryEntry(sqlLMN010F130.itmSERIAL_NO, clsGridSort.Enum_SortType.SortDesc))
					Me.cliGridSort.Add(Me.dgv008LMN010F130.Columns(e.ColumnIndex).Name, arSort)
					Me.cliGridSort.SortRow(Me.dgv008LMN010F130, Me.dgv008LMN010F130.Columns(e.ColumnIndex).Name, e.ColumnIndex)
				Case Else
			End Select

			'背景色を設定
			Call Me.setBackColorGrd(False)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
			If arSort IsNot Nothing Then arSort.Clear()
			arSort = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMN010F130_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		log(XCM.clsSysMst.logLevel.NRM, "LMN010F130_Shown", "画面表示 START")
		Try
			Me.repaint()

			Me.dgv008LMN010F130.Focus()
			Me.dgv008LMN010F130.Select()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 終了ボタン
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn007LMN000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007LMN000F010.Click
		log(clsSysMst.logLevel.NRM, "btn007LMN000F010_Click", "終了ボタン START")
		Try
			'終了処理
			Call closeForm()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' メモリ解放用
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMN010F130_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(XCM.clsSysMst.logLevel.NRM, "LMN010F130_FormClosing", "メモリ解放用 START")
		Dim retDictionary As DictionaryEntry = Nothing
		Try
			Try
				'遷移もとに返す変数を返す
				retDictionary = New DictionaryEntry(Me.Name, Nothing)

				'表示項目選択を保存
				Me.cliXTM_ITMSEL_LIST.exeUpdDispClm(Me._userID, Me.Name, Me.dgv008LMN010F130.Name, Me.dgv008LMN010F130)

				'メモリ解放処理（Dispose）
				If Me.dgv008LMN010F130.DataSource IsNot Nothing Then CType(Me.dgv008LMN010F130.DataSource, DataTable).Dispose()
			Catch ex As Exception
				Me.ErrorProc(ex)
			Finally
				'画面クローズ処理
				Me.setCloseFlg()
				If Me.m_Frm IsNot Nothing Then
					Me.m_Frm.Select()
					Me.m_Frm.backForm(False, Enum_FormReturn.CANSEL, retDictionary)
				End If
			End Try
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			retDictionary = Nothing
			'メモリ解放（Nothing）
			Me.m_Frm = Nothing
			Me.colorBack = Nothing
			Me.colorFore = Nothing
			Me.dgv008LMN010F130.DataSource = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 表示項目（明細一覧）ボタンクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn003LMN010F130_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007LMN010F130.Click
		log(clsSysMst.logLevel.NRM, "btn003LMN010F130_Click", "表示項目（明細一覧）ボタンクリック START")
		Try
			Me.Cursor = Cursors.WaitCursor
			Call Me.exeShownXSP040F010(Me.dgv008LMN010F130, Me.arXTM_ITEMLIST_Mng)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <remarks>
	''' 2010/07/22 新規作成 CS)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub closeForm()
		log(clsSysMst.logLevel.DBG, "closeForm", "終了処理 START")
		Try
			Call Me.EndProc(Enum_FormReturn.CANSEL)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 表示列の制御
	''' </summary>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setColumns()
		log(clsSysMst.logLevel.DBG, "setColumns", "表示列の制御 START")
		Dim daMngItem As DataTable = Nothing
		Dim daRow() As DataRow
		Try
			'管理物マスタ情報取得
			daMngItem = Me.cliLMN_MNGITEM.getMngItemList

			'管理物マスタ情報で列を表示する、しないを対応
			If daMngItem IsNot Nothing Then
				'区分１タイトル
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmDIV1TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c02008LMN010F130.Name).Visible = False

				'区分２タイトル
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmDIV2TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c03008LMN010F130.name).Visible = False

				'日付１タイトル
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmDATE1TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c06008LMN010F130.name).Visible = False

				'日付２タイトル
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmDATE2TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c07008LMN010F130.name).Visible = False

				'チェック１タイトル
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmMNGITEMCHK1TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c15008LMN010F130.Name).Visible = False

				'チェック２タイトル
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmMNGITEMCHK2TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c16008LMN010F130.Name).Visible = False

				'チェック３タイトル
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmMNGITEMCHK3TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c17008LMN010F130.Name).Visible = False

				'チェック４タイトル
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmMNGITEMCHK4TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c18008LMN010F130.Name).Visible = False

				'医師
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmDOCTORDSP_FLG & " = " & CStr(clsConst.Enum_CheckBox_Flg.CheckOff))
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c08008LMN010F130.Name).Visible = False

				'コメント
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmMNGITEMTEXT3TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c19008LMN010F130.Name).Visible = False

				'コンボ１
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmMNGITEMCMB1TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c11008LMN010F130.Name).Visible = False

				'コンボ２
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmMNGITEMCMB2TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c12008LMN010F130.Name).Visible = False

				'テキスト１
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmMNGITEMTEXT1TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c13008LMN010F130.Name).Visible = False

				'テキスト２
				daRow = daMngItem.Select(sqlLTM_MNGITEM.itmMNGITEMTEXT2TITLE & " IS NOT NULL")
				If daRow.Length = 0 Then Me.dgv008LMN010F130.Columns(c14008LMN010F130.Name).Visible = False
			End If
		Catch ex As Exception
			Throw
		Finally
			If daMngItem IsNot Nothing Then daMngItem.Dispose()
			daMngItem = Nothing
			daRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' SQLパラメタ
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSqlParam(ByVal db As clsDB)
		log(clsSysMst.logLevel.DBG, "setSqlParam", "SQLパラメタ START")
		Try
			With db
				.setParamDa(sqlLMN010F130.prmSLIP_CD, clsDB.Enum_dbType.dbNVarChar)											'伝票番号
				.setParamDa(sqlLMN010F130.prmDEL_FLG, clsDB.Enum_dbType.dbNVarChar)											'削除フラグ
				.setParamDa(sqlLMN010F130.prmLendCmb1, clsDB.Enum_dbType.dbNVarChar)										'管理物コンボ１コンボコード
				.setParamDa(sqlLMN010F130.prmLendCmb2, clsDB.Enum_dbType.dbNVarChar)										'管理物コンボ２コンボコード
				.setParamDa(sqlLMN010F130.prmLendCmb3, clsDB.Enum_dbType.dbNVarChar)										'貸出コンボ１コンボコード
				.setParamDa(sqlLMN010F130.prmLendCmb4, clsDB.Enum_dbType.dbNVarChar)										'貸出コンボ２コンボコード
				.setParamDa(sqlLMN010F130.prmDivText, clsDB.Enum_dbType.dbNVarChar)											'テキストタイプ
				.setParamDa(sqlLMN010F130.prmDivText_Date, clsDB.Enum_dbType.dbNVarChar)									'テキストタイプ
				.setParamDa(sqlLMN010F130.prmVolumeParent, clsDB.Enum_dbType.dbNVarChar)									'分冊親マーク
				.setParamDa(sqlLMN010F130.prmVolumeChildren, clsDB.Enum_dbType.dbNVarChar)									'分冊子マーク

				.setValDa(sqlLMN010F130.prmSLIP_CD, Me.pValueSlipCd)														'伝票番号
				.setValDa(sqlLMN010F130.prmDEL_FLG, CType(clsConst.Enum_LendPrepare_DelFlg.NoDelFlg, String))				'削除フラグ
				.setValDa(sqlLMN010F130.prmLendCmb1, CStr(clsConst.Enum_FreeCmb_Flg.ItemFreeCmb1))							'管理物コンボ１コンボコード
				.setValDa(sqlLMN010F130.prmLendCmb2, CStr(clsConst.Enum_FreeCmb_Flg.ItemFreeCmb2))							'管理物コンボ２コンボコード
				.setValDa(sqlLMN010F130.prmLendCmb3, CStr(clsConst.Enum_FreeCmb_Flg.LendFreeCmb1))							'貸出コンボ１コンボコード
				.setValDa(sqlLMN010F130.prmLendCmb4, CStr(clsConst.Enum_FreeCmb_Flg.LendFreeCmb2))							'貸出コンボ２コンボコード
				.setValDa(sqlLMN010F130.prmDivText, CStr(clsConst.Enum_DivType_Flg.Txt_Type))								'テキストタイプ
				.setValDa(sqlLMN010F130.prmDivText_Date, CStr(clsConst.Enum_DivType_Flg.Date_Type))							'テキストタイプ
				.setValDa(sqlLMN010F130.prmVolumeParent, clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00056))			'分冊親マーク
				.setValDa(sqlLMN010F130.prmVolumeChildren, clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00057))			'分冊子マーク
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出履歴のバックカラーをセット
	''' </summary>
	''' <param name="pRowSet">True：行位置を設定 False：行位置を設定しない</param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setBackColorGrd(ByVal pRowSet As Boolean)
		log(clsSysMst.logLevel.DBG, "setBackColorGrdKasidai", "貸出履歴のバックカラーをセット START")
		Dim DefaultBackColor As Color = Nothing
		Dim DefaultForeColor As Color = Nothing
		Dim pMngStatus_ColorR As String = Nothing
		Dim pMngStatus_ColorG As String = Nothing
		Dim pMngStatus_ColorB As String = Nothing
		Dim StartIndex As Integer = -1
		Dim foColor As Color = Color.Black
		Dim datRow As DataRow = Nothing
		Dim datColor As Color = Nothing
		Try
			'ヘッダー部分セット
			Call Me.setHedderTitle()

			'明細がないなら処理しない
			If Me.getCurrentRow(Me.dgv008LMN010F130) = -1 Then Exit Sub

			DefaultBackColor = Me.colorBack
			DefaultForeColor = Me.colorFore

			'管理物情報のカラーをクリア
			For Idx As Integer = 0 To Me.dgv008LMN010F130.Rows.Count - 1
				datRow = CType(Me.dgv008LMN010F130.Rows(Idx).DataBoundItem, DataRowView).Row
				With Me.dgv008LMN010F130
					'１行のバックカラーをデフォルトに設定する
					For cIdx As Integer = 0 To .ColumnCount - 1
						'背景色を管理物の背景色に設定
						datColor = DefaultBackColor
						With datRow
							pMngStatus_ColorR = .Item(sqlLMN010F130.itmMNGSTATUS_COLOR_CD_R).ToString
							pMngStatus_ColorG = .Item(sqlLMN010F130.itmMNGSTATUS_COLOR_CD_G).ToString
							pMngStatus_ColorB = .Item(sqlLMN010F130.itmMNGSTATUS_COLOR_CD_B).ToString

							If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNG_COLOR_CD_R).ToString) AndAlso IsNumeric(.Item(sqlLMN010F130.itmMNG_COLOR_CD_R).ToString) AndAlso _
							   Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNG_COLOR_CD_G).ToString) AndAlso IsNumeric(.Item(sqlLMN010F130.itmMNG_COLOR_CD_G).ToString) AndAlso _
							   Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNG_COLOR_CD_B).ToString) AndAlso IsNumeric(.Item(sqlLMN010F130.itmMNG_COLOR_CD_B).ToString) Then
								datColor = Color.FromArgb(CInt(.Item(sqlLMN010F130.itmMNG_COLOR_CD_R).ToString), _
								 CInt(.Item(sqlLMN010F130.itmMNG_COLOR_CD_G).ToString), _
								 CInt(.Item(sqlLMN010F130.itmMNG_COLOR_CD_B).ToString))
							End If
						End With
						Call Me.setCellColor(.Rows(Idx), datColor, DefaultForeColor)

						'デフォルトを黒に設定
						foColor = Color.Black

						'RGB変換
						If Not String.IsNullOrEmpty(pMngStatus_ColorR) AndAlso IsNumeric(pMngStatus_ColorR) AndAlso _
						   Not String.IsNullOrEmpty(pMngStatus_ColorG) AndAlso IsNumeric(pMngStatus_ColorG) AndAlso _
						   Not String.IsNullOrEmpty(pMngStatus_ColorB) AndAlso IsNumeric(pMngStatus_ColorB) Then
							foColor = Color.FromArgb(CInt(pMngStatus_ColorR), CInt(pMngStatus_ColorG), CInt(pMngStatus_ColorB))
						End If

						'管理状況の文字色を設定
						Call Me.setCellForeColor(.Rows(Idx).Cells(c09008LMN010F130.Name), foColor)
					Next
				End With
			Next
		Catch ex As Exception
			Throw
		Finally
			DefaultBackColor = Nothing
			DefaultForeColor = Nothing
			StartIndex = Nothing
			datRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' セルカラー設定（管理状況の文字色を変更）
	''' </summary>
	''' <param name="pCell">セル</param>
	''' <param name="FoColor">文字カラー</param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCellForeColor(ByVal pCell As DataGridViewCell, ByVal FoColor As Color)
		log(clsSysMst.logLevel.DBG, "setCellForeColor", "セルカラー設定（管理状況の文字色を変更） START")
		Try
			pCell.Style.ForeColor = FoColor
			pCell.Style.SelectionForeColor = FoColor
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' セルカラー設定
	''' </summary>
	''' <param name="pRow">行</param>
	''' <param name="BkColor">バックカラー</param>
	''' <param name="FoColor">文字カラー</param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCellColor(ByVal pRow As DataGridViewRow, ByVal BkColor As Color, ByVal FoColor As Color)
		log(clsSysMst.logLevel.DBG, "setCellColor", "セルカラー設定 START")
		Try
			pRow.DefaultCellStyle.ForeColor = FoColor
			pRow.DefaultCellStyle.SelectionForeColor = FoColor
			pRow.DefaultCellStyle.BackColor = BkColor
			pRow.DefaultCellStyle.SelectionBackColor = BkColor
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダータイトルセット
	''' </summary>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setHedderTitle()
		log(clsSysMst.logLevel.DBG, "setHedderTitle", "ヘッダータイトルセット START")
		Try
			If Me.dgv008LMN010F130.CurrentCell Is Nothing Then
				'一件も管理情報がない場合はデフォルト設定する
				With Me.dgv008LMN010F130
					.Columns(c02008LMN010F130.Name).HeaderText = "区分１"
					.Columns(c03008LMN010F130.Name).HeaderText = "区分２"
					.Columns(c06008LMN010F130.Name).HeaderText = "日付１"
					.Columns(c07008LMN010F130.Name).HeaderText = "日付２"
					.Columns(c15008LMN010F130.Name).HeaderText = "①"
					.Columns(c16008LMN010F130.Name).HeaderText = "②"
					.Columns(c17008LMN010F130.Name).HeaderText = "③"
					.Columns(c18008LMN010F130.Name).HeaderText = "④"
					.Columns(c11008LMN010F130.Name).HeaderText = "コンボ１"
					.Columns(c12008LMN010F130.Name).HeaderText = "コンボ２"
					.Columns(c13008LMN010F130.Name).HeaderText = "テキスト１"
					.Columns(c14008LMN010F130.Name).HeaderText = "テキスト２"
					.Columns(c19008LMN010F130.Name).HeaderText = "テキスト３"
					.Columns(c02008LMN010F130.Name).ToolTipText = "区分１"
					.Columns(c03008LMN010F130.Name).ToolTipText = "区分２"
					.Columns(c06008LMN010F130.Name).ToolTipText = "日付１"
					.Columns(c07008LMN010F130.Name).ToolTipText = "日付２"
					.Columns(c11008LMN010F130.Name).ToolTipText = "管理物コンボ１"
					.Columns(c12008LMN010F130.Name).ToolTipText = "管理物コンボ２"
					.Columns(c13008LMN010F130.Name).ToolTipText = "管理物テキスト１"
					.Columns(c14008LMN010F130.Name).ToolTipText = "管理物テキスト２"
					.Columns(c15008LMN010F130.Name).ToolTipText = "管理物チェック１"
					.Columns(c16008LMN010F130.Name).ToolTipText = "管理物チェック２"
					.Columns(c17008LMN010F130.Name).ToolTipText = "管理物チェック３"
					.Columns(c18008LMN010F130.Name).ToolTipText = "管理物チェック４"
					.Columns(c19008LMN010F130.Name).ToolTipText = "管理物テキスト３"
				End With
			Else
				'一件のみ
				With CType(Me.dgv008LMN010F130.Rows(Me.dgv008LMN010F130.CurrentCell.RowIndex).DataBoundItem, DataRowView).Row
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmDIV1TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c02008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmDIV1TITLE_RNM))
						Me.dgv008LMN010F130.Columns(c02008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmDIV1TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c02008LMN010F130.Name).HeaderText = "区分１"
						Me.dgv008LMN010F130.Columns(c02008LMN010F130.Name).ToolTipText = "区分１"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmDIV2TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c03008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmDIV2TITLE_RNM))
						Me.dgv008LMN010F130.Columns(c03008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmDIV2TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c03008LMN010F130.Name).HeaderText = "区分２"
						Me.dgv008LMN010F130.Columns(c03008LMN010F130.Name).ToolTipText = "区分２"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmDATE1TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c06008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmDATE1TITLE_RNM))
						Me.dgv008LMN010F130.Columns(c06008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmDATE1TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c06008LMN010F130.Name).HeaderText = "日付１"
						Me.dgv008LMN010F130.Columns(c06008LMN010F130.Name).ToolTipText = "日付１"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmDATE2TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c07008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmDATE2TITLE_RNM))
						Me.dgv008LMN010F130.Columns(c07008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmDATE2TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c07008LMN010F130.Name).HeaderText = "日付２"
						Me.dgv008LMN010F130.Columns(c07008LMN010F130.Name).ToolTipText = "日付２"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNGITEMCHK1TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c15008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCHK1TITLE1))
						Me.dgv008LMN010F130.Columns(c15008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCHK1TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c15008LMN010F130.Name).HeaderText = "①"
						Me.dgv008LMN010F130.Columns(c15008LMN010F130.Name).ToolTipText = "管理物チェック１"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNGITEMCHK2TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c16008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCHK2TITLE1))
						Me.dgv008LMN010F130.Columns(c16008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCHK2TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c16008LMN010F130.Name).HeaderText = "②"
						Me.dgv008LMN010F130.Columns(c16008LMN010F130.Name).ToolTipText = "管理物チェック２"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNGITEMCHK3TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c17008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCHK3TITLE1))
						Me.dgv008LMN010F130.Columns(c17008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCHK3TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c17008LMN010F130.Name).HeaderText = "③"
						Me.dgv008LMN010F130.Columns(c17008LMN010F130.Name).ToolTipText = "管理物チェック３"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNGITEMCHK4TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c18008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCHK4TITLE1))
						Me.dgv008LMN010F130.Columns(c18008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCHK4TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c18008LMN010F130.Name).HeaderText = "④"
						Me.dgv008LMN010F130.Columns(c18008LMN010F130.Name).ToolTipText = "管理物チェック４"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNGITEMTEXT3TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c19008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMTEXT3TITLE_RNM))
						Me.dgv008LMN010F130.Columns(c19008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMTEXT3TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c19008LMN010F130.Name).HeaderText = "テキスト３"
						Me.dgv008LMN010F130.Columns(c19008LMN010F130.Name).ToolTipText = "管理物テキスト３"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNGITEMCMB1TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c11008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCMB1TITLE_RNM))
						Me.dgv008LMN010F130.Columns(c11008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCMB1TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c11008LMN010F130.Name).HeaderText = "コンボ１"
						Me.dgv008LMN010F130.Columns(c11008LMN010F130.Name).ToolTipText = "管理物コンボ１"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNGITEMCMB2TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c12008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCMB2TITLE_RNM))
						Me.dgv008LMN010F130.Columns(c12008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMCMB2TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c12008LMN010F130.Name).HeaderText = "コンボ２"
						Me.dgv008LMN010F130.Columns(c12008LMN010F130.Name).ToolTipText = "管理物コンボ２"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNGITEMTEXT1TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c13008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMTEXT1TITLE_RNM))
						Me.dgv008LMN010F130.Columns(c13008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMTEXT1TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c13008LMN010F130.Name).HeaderText = "テキスト１"
						Me.dgv008LMN010F130.Columns(c13008LMN010F130.Name).ToolTipText = "管理物テキスト１"
					End If
					If Not String.IsNullOrEmpty(.Item(sqlLMN010F130.itmMNGITEMTEXT2TITLE).ToString) Then
						Me.dgv008LMN010F130.Columns(c14008LMN010F130.Name).HeaderText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMTEXT2TITLE_RNM))
						Me.dgv008LMN010F130.Columns(c14008LMN010F130.Name).ToolTipText = Me.chkNull(.Item(sqlLMN010F130.itmMNGITEMTEXT2TITLE))
					Else
						Me.dgv008LMN010F130.Columns(c14008LMN010F130.Name).HeaderText = "テキスト２"
						Me.dgv008LMN010F130.Columns(c14008LMN010F130.Name).ToolTipText = "管理物テキスト２"
					End If

				End With
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' NULLチェック（ヘッダー部で使用）
	''' </summary>
	''' <param name="pObj">項目</param>
	''' <returns>項目がDBNULLなら空白,DBNullでないなら値を返す</returns>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkNull(ByVal pObj As Object) As String
		log(clsSysMst.logLevel.DBG, "chkNull", "NULLチェック START")
		Try
			If Convert.DBNull.Equals(pObj) Then
				Return ""
			Else
				Return pObj.ToString
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' データグリッドのカレント行を返す（管理物のみ）
	''' </summary>
	''' <returns>カレントインデックス</returns>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getCurrentRow(ByVal dgv As DataGridView) As Integer
		'多回数ロジックを通るため、レスポンス考慮により削除
		'log(clsSysMst.logLevel.DBG, "", "")
		Try
			If dgv.Rows.Count = 0 Then
				Return -1
			Else
				Return dgv.CurrentRow.Index
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 終了処理
	''' </summary>
	''' <param name="pReturnValue">戻り値</param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub EndProc(ByVal pReturnValue As Enum_FormReturn)
		log(clsSysMst.logLevel.DBG, "EndProc", "終了処理 START")

		Try
			'画面クローズ
			Me.AutoValidate = Windows.Forms.AutoValidate.Disable
			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 表示項目選択遷移時処理
	''' </summary>
	''' <param name="pDgv">対象データグリッド</param>
	''' <param name="pArData">対象データ</param>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub exeShownXSP040F010(ByVal pDgv As DataGridView, ByVal pArData As ArrayList)
		log(clsSysMst.logLevel.DBG, "exeShownXSP040F010", "表示項目選択遷移時処理")
		Try
			Me.fXSP040F010 = Nothing
			Me.fXSP040F010 = New XSP040F010(pDgv, pArData)
			Call Me.nextForm(Me.fXSP040F010)
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧情報を取得
	''' </summary>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getData(ByVal pSlipCd As String) As DataTable
		log(clsSysMst.logLevel.DBG, "getData", "一覧情報を取得 START")

		Dim retData As DataTable = New DataTable
		Dim iRet As Long
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					'通常検索
					.setSQLDa(sqlLMN010F130.sqlSelMain)	 'SELECT文設定
					Call Me.setSqlParam(db)
					.execQueryDa(retData)	'値取得
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メモリ解放
			iRet = Nothing
		End Try

		'返り値設定
		Return retData

	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' F12キークリック
	''' </summary>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F12KeyProc() As Boolean
		log(clsSysMst.logLevel.NRM, "F12KeyProc", "F12キークリック START")
		Try
			'終了処理
			Call closeForm()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面描画
	''' </summary>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面描画 START")

		Dim daKanriData As DataTable = Nothing
		Dim strMngitem As String = Nothing
		Dim strSerialNo As String = Nothing
		Me.SuspendLayout()

		Try
			'管理物情報行クリア
			If Me.dgv008LMN010F130.DataSource IsNot Nothing Then CType(Me.dgv008LMN010F130.DataSource, DataTable).Rows.Clear()

			'自動列幅修正機能停止
			Me.dgv008LMN010F130.AutoSize = False

			'ReadonlyをTrueに設定して読み取り専用とする
			Me.dgv008LMN010F130.ReadOnly = True

			'列追加プロパティを解除
			Me.dgv008LMN010F130.AutoGenerateColumns = False

			'管理物情報セット
			daKanriData = Nothing
			daKanriData = Me.getData(pValueSlipCd)
			If daKanriData IsNot Nothing AndAlso daKanriData.Rows.Count > 0 Then
				Me.dgv008LMN010F130.DataSource = daKanriData.Copy

				Me.dgv008LMN010F130.Focus()
				Me.dgv008LMN010F130.Select()
			Else
				'閉じるボタンにフォーカスを設定する
				Me.btn007LMN000F010.Focus()
				Me.btn007LMN000F010.Select()
			End If

			'背景色を設定
			Call Me.setBackColorGrd(True)
		Catch ex As Exception
			Throw
		Finally
			If daKanriData IsNot Nothing Then daKanriData.Dispose()
			daKanriData = Nothing
			Me.ResumeLayout()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面遷移から戻ってきたときの処理
	''' </summary>
	''' <remarks>
	''' 2013/10/22 新規作成 ID)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "画面遷移から戻ってきたときの処理 START")
		Try
			'Keyに遷移先フォームIDが代入されている
			Select Case CType(de, DictionaryEntry).Key
				Case GetType(XSP040F010).Name
					'メモリ解放
					If Me.fXSP040F010 IsNot Nothing Then
						Me.fXSP040F010.Dispose()
						Me.fXSP040F010 = Nothing
					End If
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class