﻿Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 入退院・科歴一覧　修正番号：V4-14059
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class LMN010F140

#Region "変数"

	' 画面情報
	Private m_pdtHistory As DataTable					'入退院情報データテーブル
	Private m_pdtCh As DataTable					  '科歴情報データテーブル

	Private m_pSelectHistoryNo As Integer = Nothing	  '入退院歴番号（絞込み条件）
	Private m_pSelectChNo As Integer = Nothing		  '科歴番号（絞込み条件）

	Private m_pReturnClass As clsLMN010				  '入退院歴番号、科歴番号、患者番号

	' 呼び出し元情報
	Private m_frm As frmBase = Nothing				'呼び出し元画面
	Private m_PatientNo As String = Nothing			'患者番号
	Private m_MngItemCd As String = Nothing			'管理物コード
	Private m_dtMngItemDefinition As DataTable = Nothing	'明細一括作成マスタ

	' 読み出し元へ戻す値
	Private m_returnFlg As Boolean = False			'処理済フラグ

	Private m_cliGridSort As clsGridSort

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="mngitemcd">管理物コード</param>
	''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Sub New(ByVal patientNo As String, ByVal mngitemcd As String)
        ' この呼び出しはデザイナーで必要です。
        InitializeComponent()

        ' InitializeComponent() 呼び出しの後で初期化を追加します。
        Me.m_PatientNo = patientNo      '患者番号
        Me.m_MngItemCd = mngitemcd      '管理物コード
    End Sub

#End Region

#Region "イベント"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面ロード時イベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub LMN010F140_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        log(clsSysMst.logLevel.NRM, "LMN010F140_Load", "画面ロード時イベント Start")
        Dim cliGridStyle As clsGridStyle
        Dim envTitle As String = Nothing
        Try
            cliGridStyle = New clsGridStyle
            m_cliGridSort = New clsGridSort

            '呼び出し元画面設定
            Me.m_frm = Me.Owner

            '「明細一括作成マスタ」を起動時の引数（管理物コード）より取得する
            Dim cliLTM_MNGITEM_DEFINITION As New clsLTM_MNGITEM_DEFINITION(Me._userID)
            Dim dtMngItemDefinition As DataTable = Nothing

            '初期化
            Me.m_pdtHistory = New DataTable           '入退院情報データテーブル
            Me.m_pdtCh = New DataTable                '科歴情報データテーブル
            Me.m_pSelectHistoryNo = Nothing           '入退院歴番号（絞込み条件）
            Me.m_pSelectChNo = Nothing                '科歴番号（絞込み条件）

            '動作環境設定テーブルより「入退院歴情報」および「科歴情報」の病歴番号列タイトルを設定する。
            envTitle = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
            Me.c02002LMN010F140.HeaderText = envTitle
            Me.c02006LMN010F140.HeaderText = envTitle

            Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
                '明細一括作成マスタの取得
                Me.m_dtMngItemDefinition = cliLTM_MNGITEM_DEFINITION.getMNGITEM_DEFINITION_ALL(db, m_MngItemCd)
                If Me.m_dtMngItemDefinition.Rows.Count = 0 Then
                    showMsg("E0011", "明細一括作成マスタの設定を行ってください。(管理物コード=" & m_MngItemCd & ")", Nothing)
                    CType(Me.Owner, frmBase).setCancelFlg(True)
                    Me.EndProc()
                    Exit Sub
                End If

                '入退院情報の検索
                Using cliHsp As clsMTI_HSP = New clsMTI_HSP
                    Me.m_pdtHistory = cliHsp.getHspPlusPatientDa(db, Me.m_PatientNo)
                    If CType(clsConst.Enum_MngDefDataTypeCd.HspOut, String).Equals( _
                             getMngDefinitionRow.Item(sqlLTM_MNGITEM_DEFINITION.itmDATATYPE_CD).ToString _
                             ) = True Then
                        'データ種別がBの場合は退院日が入っていないデータは表示しない
                        For idx As Integer = Me.m_pdtHistory.Rows.Count - 1 To 0 Step -1
                            If String.IsNullOrEmpty(Me.m_pdtHistory.Rows(idx).Item(sqlMTI_HSP.itmOUT_HSP_DT).ToString) = True Then
                                Me.m_pdtHistory.Rows.RemoveAt(idx)
                            End If
                        Next
                        Me.m_pdtHistory.AcceptChanges()       '更新
                    End If
                End Using

                '科歴情報の検索
                Using cliCh As clsMTI_CH = New clsMTI_CH
                    Me.m_pdtCh = cliCh.getChPlusPatientDa(db, Me.m_PatientNo)
                End Using
            End Using

            If getMngDefinitionRow.Item(sqlLTM_MNGITEM_DEFINITION.itmUNIT_CD) <> _
                CType(clsConst.Enum_LendUnit.Each_Dept, String) Then
                Me.btn005LMN010F140.Visible = False
                Me.dgv006LMN010F140.Visible = False
                Me.lbl004LMN010F140.Visible = False
                Me.Size = New Size(Me.Width, Me.Height - (Me.dgv006LMN010F140.Bottom - Me.dgv002LMN010F140.Bottom))
            Else
                Me.btn002LMN010F140.Visible = False
            End If

            cliGridStyle.setGridHeight(Me.dgv002LMN010F140)
            cliGridStyle.setGridHeight(Me.dgv006LMN010F140)
        Catch ex As Exception
            Me.ErrorProc(ex)
            CType(Me.Owner, frmBase).setCancelFlg(True)
            Me.EndProc()
        Finally
            cliGridStyle = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面オープン時イベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub MEN040F020_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
        log(clsSysMst.logLevel.NRM, "MEN040F020_Shown", "画面オープン時イベント Start")
        Try
            '入退院歴情報一覧表示
            Me.setHistoryList()
            '入退院歴一覧にフォーカス移動
            Me.dgv002LMN010F140.Focus()
        Catch ex As Exception
            Me.ErrorProc(ex)
            Me.EndProc()
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 「入退院歴情報」行変更時イベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub dgv002LMN010F140_SelectionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv002LMN010F140.SelectionChanged
        log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "「入退院歴情報」行変更時イベント Start")
        Try
            With Me.dgv002LMN010F140
                If .CurrentRow IsNot Nothing AndAlso .CurrentRow.Index > -1 Then
                    Me.m_pSelectHistoryNo = .Rows(.CurrentRow.Index).Cells(Me.c01002LMN010F140.Name).Value
                End If
            End With
            '科歴情報一覧表示
            Me.setChList(False)
            Me.setChListCursor()
            '科歴情報一覧にフォーカス移動
            Me.dgv006LMN010F140.Focus()
        Catch ex As Exception
            Me.ErrorProc(ex)
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' ヘッダークリック
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub dgv_ColumnHeaderMouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles _
            dgv002LMN010F140.ColumnHeaderMouseClick,
            dgv006LMN010F140.ColumnHeaderMouseClick
        log(clsSysMst.logLevel.NRM, "dgv_ColumnHeaderMouseClick", "ヘッダークリック START")
        Me.Cursor = Cursors.WaitCursor
        Dim arSort As ArrayList = Nothing
        Try
            arSort = New ArrayList

            'ソート（管理物一覧）
            Me.m_cliGridSort.Clear()
            arSort.Add(New DictionaryEntry(CType(sender, DataGridView).Columns(e.ColumnIndex).DataPropertyName, clsGridSort.Enum_SortType.SortNone))
            If CType(sender, DataGridView).Name = Me.dgv002LMN010F140.Name Then
                arSort.Add(New DictionaryEntry(sqlMTI_HSP.itmHSP_HISTORY_NO, clsGridSort.Enum_SortType.SortAsc))
            Else
                arSort.Add(New DictionaryEntry(sqlMTI_CH.itmCH_NO, clsGridSort.Enum_SortType.SortDesc))
            End If
            Me.m_cliGridSort.Add(CType(sender, DataGridView).Columns(e.ColumnIndex).Name, arSort)
            Me.m_cliGridSort.SortRow(CType(sender, DataGridView), CType(sender, DataGridView).Columns(e.ColumnIndex).Name, e.ColumnIndex)
        Catch ex As Exception
            ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
            If arSort IsNot Nothing Then arSort.Clear()
            arSort = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 「一覧」ダブルクリック時イベント
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub dgv_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv006LMN010F140.DoubleClick, dgv002LMN010F140.DoubleClick
        log(clsSysMst.logLevel.NRM, "dgv_DoubleClick", "「一覧」ダブルクリック時イベント Start")
        Try
            With DirectCast(sender, DataGridView)
                If getMngDefinitionRow.Item(sqlLTM_MNGITEM_DEFINITION.itmUNIT_CD) <> _
                    CType(clsConst.Enum_LendUnit.Each_Dept, String) Then
                Else
                    If .Name = Me.dgv002LMN010F140.Name Then Exit Sub
                End If
                If .DataSource Is Nothing OrElse CType(.DataSource, DataTable).Rows.Count <= 0 Then
                    Exit Sub
                End If
                '科歴情報が選択されていない場合
                If .CurrentCell Is Nothing OrElse .CurrentCell.ColumnIndex < 0 OrElse .CurrentCell.RowIndex < 0 Then
                    Exit Sub
                End If
            End With
            If Me.execEnter() = True Then
                Me.EndProc()
                Exit Sub
            End If
        Catch ex As Exception
            Me.ErrorProc(ex)
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 閉じる処理
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn007LMN000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007LMN000F010.Click
        log(clsSysMst.logLevel.NRM, "btn007LMN000F010_Click", "閉じる処理 START")
        Try
            Me.EndProc()
        Catch ex As Exception
            Me.ErrorProc(ex)
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 画面クローズ
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub LMN010F140_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        log(clsSysMst.logLevel.NRM, "LMN010F140_FormClosing", "画面クローズ START")
        Dim retDictionary As DictionaryEntry = Nothing
        Try
            '遷移もとに返す変数を返す
            retDictionary = New DictionaryEntry(Me.Name, Me.m_pReturnClass)

            'フォームクローズ設定
            Me.setCloseFlg()
            '２連続で画面を閉じるとフォームが選択されない対応
            Me.m_frm.Select()
            If Me.m_returnFlg = True Then
                '処理済み
                Me.m_frm.backForm(True, Enum_FormReturn.OK, retDictionary)
            Else
                '未処理
                Me.m_frm.backForm(False, Enum_FormReturn.CANSEL, retDictionary)
            End If

            'クラス変数解放（Dispose）
            If Me.m_pdtHistory IsNot Nothing Then Me.m_pdtHistory.Dispose()
            If Me.m_pdtCh IsNot Nothing Then Me.m_pdtCh.Dispose()
        Catch ex As Exception
            ErrorProc(ex)
        Finally
            retDictionary = Nothing
            '変数解放（Nothing）
            Me.m_pdtHistory = Nothing
            Me.m_pdtCh = Nothing
            Me.dgv002LMN010F140.DataSource = Nothing
            Me.dgv006LMN010F140.DataSource = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 確定ボタン
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub btn002LMN010F140_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn002LMN010F140.Click, btn005LMN010F140.Click
        log(clsSysMst.logLevel.NRM, "btn002LMN010F140_Click", "確定ボタン START")
        Try
            If Me.execEnter() = True Then
                Me.EndProc()
                Exit Sub
            End If
        Catch ex As Exception
            ErrorProc(ex)
        End Try
    End Sub

#End Region

#Region "メソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' データ種別を判断して、デフォルトカーソル位置を設定する
    ''' </summary>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub setChListCursor()
        log(clsSysMst.logLevel.DBG, "setChListCursor", "データ種別を判断して、デフォルトカーソル位置を設定する START")
        Try
            If Me.getMngDefinitionRow.Item(sqlLTM_MNGITEM_DEFINITION.itmUNIT_CD).ToString = _
               CType(clsConst.Enum_LendUnit.Each_Dept, String) Then
                '科歴一覧にフォーカスを設定する
                For rowIndex As Integer = 0 To Me.dgv006LMN010F140.Rows.Count - 1
                    Dim row As DataGridViewRow = Me.dgv006LMN010F140.Rows(rowIndex)
                    Select Case Me.getMngDefinitionRow.Item(sqlLTM_MNGITEM_DEFINITION.itmDATATYPE_CD).ToString
                        Case CType(clsConst.Enum_MngDefDataTypeCd.Hsp, String)
                            If row.DataBoundItem(sqlMTI_CH.itmHSP_FLG).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) Then
                                Me.dgv006LMN010F140.CurrentCell = row.Cells(c01006LMN010F140.Name)
                                Exit For
                            End If
                        Case CType(clsConst.Enum_MngDefDataTypeCd.HspOut, String)
                            If row.DataBoundItem(sqlMTI_CH.itmOUT_HSP_FLG).ToString = CType(clsConst.Enum_CheckBox_Flg.CheckOn, String) Then
                                Me.dgv006LMN010F140.CurrentCell = row.Cells(c01006LMN010F140.Name)
                                Exit For
                            End If
                        Case Else
                    End Select
                Next
            End If
        Catch ex As Exception
            Throw
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 明細一括作成マスタのレコードを取得する
    ''' </summary>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Function getMngDefinitionRow() As DataRow
        'log(clsSysMst.logLevel.DBG, "getMngDefinitionRow", "明細一括作成マスタのレコードを取得する Start")
        Try
            Return Me.m_dtMngItemDefinition.Rows(0)
        Catch ex As Exception
            Throw
        End Try
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 入退院歴情報一覧表示
    ''' </summary>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub setHistoryList()
        log(clsSysMst.logLevel.DBG, "setHistoryList", "入退院歴情報一覧表示 Start")
        Try
            With Me.dgv002LMN010F140
                'ReadonlyをTrueに設定して読み取り専用とする
                .ReadOnly = True
                '列追加プロパティを解除
                .AutoGenerateColumns = False
                .DataSource = Me.m_pdtHistory
                If CType(.DataSource, DataTable).Rows.Count > 0 Then
                    .Rows(0).Selected = True
                    Me.m_pSelectHistoryNo = .Rows(.CurrentRow.Index).Cells(Me.c01002LMN010F140.Name).Value
                End If
            End With
            '科歴情報一覧表示
            Me.setChList(False)
            Me.setChListCursor()
        Catch ex As Exception
            Throw
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 科歴情報一覧表示
    ''' </summary>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub setChList(ByVal allFlg As Boolean)
        log(clsSysMst.logLevel.DBG, "setChList", "科歴情報一覧表示 Start")
        Dim listData As New DataTable
        Try
            If m_pdtCh IsNot Nothing Then
                listData = Me.m_pdtCh.Clone
                With Me.m_pdtCh
                    ' 表示する科歴一覧を表示する
                    For i As Integer = 0 To .Rows.Count - 1
                        If allFlg = True OrElse Me.m_pSelectHistoryNo = .Rows(i)(sqlMTI_CH.itmHSP_HISTORY_NO) Then
                            listData.ImportRow(.Rows(i))
                        End If
                    Next
                End With

                With Me.dgv006LMN010F140
                    'ReadonlyをTrueに設定して読み取り専用とする
                    .ReadOnly = True
                    '列追加プロパティを解除
                    .AutoGenerateColumns = False
                    .DataSource = listData
                    If CType(.DataSource, DataTable).Rows.Count > 0 Then
                        .Rows(0).Selected = True
                        Me.m_pSelectChNo = .Rows(.CurrentRow.Index).Cells(Me.c01006LMN010F140.Name).Value
                    End If
                End With
            End If

        Catch ex As Exception
            Throw
        Finally
            listData = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 確定処理
    ''' </summary>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Function execEnter() As Boolean
        log(clsSysMst.logLevel.DBG, "execEnter", "確定処理 Start")
        Dim bChListVisible As Boolean = True
        Try
            '科歴一覧の表示、非表示を判断
            If getMngDefinitionRow.Item(sqlLTM_MNGITEM_DEFINITION.itmUNIT_CD) <> _
                CType(clsConst.Enum_LendUnit.Each_Dept, String) Then
                bChListVisible = False
            End If

            If bChListVisible = True Then
                '科歴一覧が表示されている場合
                '科歴情報が０件の場合
                If Me.dgv006LMN010F140.DataSource Is Nothing OrElse CType(Me.dgv006LMN010F140.DataSource, DataTable).Rows.Count <= 0 Then
                    'エラーメッセージを出力し処理を抜ける。
                    Me.showMsg("E0003", "科歴情報が０件の", "処理", Nothing)
                    Return False
                End If
                '科歴情報が選択されていない場合
                If Me.dgv006LMN010F140.CurrentCell Is Nothing OrElse Me.dgv006LMN010F140.CurrentCell.ColumnIndex < 0 OrElse Me.dgv006LMN010F140.CurrentCell.RowIndex < 0 Then
                    'エラーメッセージを出力し処理を抜ける。
                    Me.showMsg("E0014", "科歴情報", Nothing)
                    Return False
                End If
            Else
                '入退院情報が０件の場合
                If Me.dgv002LMN010F140.DataSource Is Nothing OrElse CType(Me.dgv002LMN010F140.DataSource, DataTable).Rows.Count <= 0 Then
                    'エラーメッセージを出力し処理を抜ける。
                    Me.showMsg("E0003", "入退院情報が０件の", "処理", Nothing)
                    Return False
                End If
                '入退院情報が選択されていない場合
                If Me.dgv002LMN010F140.CurrentCell Is Nothing OrElse Me.dgv002LMN010F140.CurrentCell.ColumnIndex < 0 OrElse Me.dgv006LMN010F140.CurrentCell.RowIndex < 0 Then
                    'エラーメッセージを出力し処理を抜ける。
                    Me.showMsg("E0014", "入退院情報", Nothing)
                    Return False
                End If
            End If

            '内部変数に科歴情報をセット
            With CType(Me.dgv006LMN010F140.DataSource, DataTable)
                '追加
                m_pReturnClass = New clsLMN010
                m_pReturnClass.PATIENT_NO = Me.m_PatientNo
                m_pReturnClass.HSP_NO = Me.dgv002LMN010F140.Rows(Me.dgv002LMN010F140.CurrentCell.RowIndex).Cells(Me.c01002LMN010F140.Name).Value

                '科歴一覧が表示されている場合のみ科歴NOを返す
                If bChListVisible = True Then
                    m_pReturnClass.CH_NO = Me.dgv006LMN010F140.Rows(Me.dgv006LMN010F140.CurrentCell.RowIndex).Cells(Me.c01006LMN010F140.Name).Value
                End If
            End With

            '成功
            Return True
        Catch ex As Exception
            Throw
        End Try
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 終了処理
    ''' </summary>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub EndProc()
        log(clsSysMst.logLevel.DBG, "EndProc", "終了処理 START")
        Try
            '呼び出し元画面に戻る
            If Me.m_pReturnClass IsNot Nothing Then
                Me.m_returnFlg = True
            End If
            Me.Close()
        Catch ex As Exception
            Throw
        End Try
    End Sub

#End Region

#Region "オーバーライドメソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' Ｆ７キー（確定）押下処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F7KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F7KeyProc", "Ｆ７キー（確定）押下処理 Start")
        Try
            '確定処理
            If Me.execEnter() = True Then
                Me.EndProc()
                Exit Function
            End If
        Catch ex As Exception
            Throw
        End Try
        Return True
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' Ｆ１２キー（閉じる）押下処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F12KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下処理 Start")
        Dim retArray As ArrayList
        Try
            '終了処理
            Me.EndProc()
        Catch ex As Exception
            Throw
        Finally
            retArray = Nothing
        End Try

        Return True
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' ＥＮＴＥＲキー押下処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2013/10/24 新規作成 ID)荒川<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function EnterProc() As Boolean
        Try
            If Me.ActiveControl.Name = Me.dgv006LMN010F140.Name Then
                '追加処理
                log(clsSysMst.logLevel.NRM, "EnterProc", "ＥＮＴＥＲキー押下処理 Start")
                If Me.execEnter() = True Then
                    Me.EndProc()
                End If
            Else
                log(clsSysMst.logLevel.DBG, "EnterProc", "ＥＮＴＥＲキー押下処理 Start")
                Return MyBase.EnterProc()
            End If
        Catch ex As Exception
            Throw
        End Try
    End Function

#End Region

End Class