﻿Imports XCM
Imports XSP
Imports XMS

''' ---------------------------------------------
''' <summary>
''' 区分１グループマスタメンテクラス（新規作成：V4-14047）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class LMS080F030

#Region "コンスタント"
#End Region

#Region "変数"
    Private pFrm As frmBase
    Private fret As Enum_FormReturn
    Private cliXSP240F010 As XSP.XSP240F010 = Nothing
    Private MngItem_tmp As String
    Private DivGrpCd_tmp As String
    Private m_cliLTM_MNGITEM As clsLTM_MNGITEM
    Private m_dtMngItem As DataTable
#End Region

#Region "イベント"
    ''' ---------------------------------------------
    ''' <summary>
    ''' 区分１グループマスタ画面＿初期設定
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/09/11 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub LMS080F030_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If Me.IsDisposed = True Then Return
        log(clsSysMst.logLevel.NRM, "LMS080F030_Load", "区分１グループマスタ画面＿初期設定＿初期設定 Start")
        Try
            pFrm = Me.Owner
            '管理物コンボ設定
            m_cliLTM_MNGITEM = New clsLTM_MNGITEM
            Me.cmb003LMS080F030.DisplayMember = sqlLTM_MNGITEM.itmMNGITEM_CD
            Me.cmb003LMS080F030.DisplayMemberEx = sqlLTM_MNGITEM.itmMNGITEM_NM
            Me.cmb003LMS080F030.ValueMember = sqlLTM_MNGITEM.itmMNGITEM_CD
            m_dtMngItem = m_cliLTM_MNGITEM.getAllMngItem()
            Me.cmb003LMS080F030.DataSource = m_dtMngItem
            Me.cmb003LMS080F030.setDropDownWidth()
            MngItem_tmp = String.Empty
            DivGrpCd_tmp = String.Empty
            Me.F11KeyProc()
        Catch ex As Exception
            Me.ErrorProc(ex)
            Me.CancelProc()
        End Try
    End Sub

    '''---------------------------------------------
    ''' <summary>
    ''' 区分１グループマスタ画面＿閉じる
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/09/11 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    '''---------------------------------------------
    Private Sub LMS080F030_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        log(clsSysMst.logLevel.NRM, "LMS080F030_FormClosing", "区分１グループマスタ画面＿閉じる Start")
        Dim de As DictionaryEntry = Nothing
        Try
            setCloseFlg()
            de = New DictionaryEntry
            de.Key = Me.Name
            de.Value = Nothing
            pFrm.backForm(False, fret, de)
            If m_dtMngItem IsNot Nothing Then m_dtMngItem.Dispose()
        Catch ex As Exception
            ErrorProc(ex)
        Finally
            pFrm = Nothing
            m_dtMngItem = Nothing
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 管理物コード検証時
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/09/10 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub cmb003LMS080F030_Validated(sender As System.Object, e As System.EventArgs) Handles cmb003LMS080F030.Validated
        log(clsSysMst.logLevel.NRM, "cmb003LMS080F030_Validated", "管理物コード検証時 Start")

        Try
            If MngItem_tmp <> cmb003LMS080F030.Text Then
                MngItem_tmp = Me.cmb003LMS080F030.Text
                ' ダブルクリック時以外
                If Me.isEnableRowSelect Then
                    Me.F11KeyProc()
                    '一覧を選択
                    setDataSelectData()
                End If
            End If
        Catch ex As Exception
            Me.ErrorProc(ex)
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' 区分グループコード入力
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/09/10 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub txt006LMS080F030_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles txt006LMS080F030.Validated
        log(clsSysMst.logLevel.NRM, "txt002LMS020F020_Validated", "区分グループコード入力 Start")
        Try
            If DivGrpCd_tmp <> Me.txt006LMS080F030.Text Then
                '区分グループコードより一覧に設定されたデータを画面に表示
                If Me.isEnableRowSelect Then
                    setDataSelectData()
                End If
                DivGrpCd_tmp = Me.txt006LMS080F030.Text
            End If
        Catch ex As Exception
            ErrorProc(ex)
        End Try
    End Sub

    '''---------------------------------------------
    ''' <summary>
    ''' 管理物グループ検索ボタンクリック
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks>
    ''' 2013/09/10 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    '''---------------------------------------------
    Private Sub btn002LMS080F030_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn002LMS080F030.Click
        log(clsSysMst.logLevel.NRM, "btn002LMS080F030_Click", "管理物グループ検索ボタンクリック Start")
        Try
            '管理物グループ検索開始
            SearchMNGITEM_GRP()
        Catch ex As Exception
            ErrorProc(ex)
        End Try
    End Sub

#End Region

#Region "メソッド"
    '''---------------------------------------------
    ''' <summary>
    ''' '管理物グループ検索
    ''' </summary>
    ''' <remarks>
    ''' 2013/09/10 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    '''---------------------------------------------
    Private Sub SearchMNGITEM_GRP()
        log(clsSysMst.logLevel.DBG, "SearchMNGITEM_GRP", "管理物グループ検索 Start")
        Try
            '管理物グループ検索
            cliXSP240F010 = Nothing
            cliXSP240F010 = New XSP.XSP240F010()
            nextForm(cliXSP240F010)
        Catch ex As Exception
            Throw
        End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' データ設定、行選択
    ''' </summary>
    ''' <remarks>
    ''' 2013/07/25 新規作成　ID)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Private Sub setDataSelectData()
        log(clsSysMst.logLevel.DBG, "setDataSelectData", "データ設定、行選択 Start")
        Try
            Using cliMstMenteCom As New clsMstMenteCom(Me)
                cliMstMenteCom.selectRowFromData()
            End Using
        Catch ex As Exception
            Throw
        End Try
    End Sub

#End Region

#Region "オーバーライドメソッド"
    ''' ---------------------------------------------
    ''' <summary>
    ''' 子画面処理後の処理
    ''' </summary>
    ''' <param name="ret"></param>
    ''' <param name="de"></param>
    ''' <remarks>
    ''' 2013/09/11 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
        log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理")
        Try
            Select Case de.Key.ToString
                Case GetType(XSP240F010).Name
                    '管理物グループ検索画面
                    '管理物グループ検索画面からの管理物コードが前回と違う値なら各入力項目表示処理
                    If Me.cmb003LMS080F030.Text <> CType(de.Value, String) Then
                        cliCom.setComboValue(Me.cmb003LMS080F030, CType(de.Value, String))
                    End If
                    Me.cmb003LMS080F030.Focus()
            End Select
        Catch ex As Exception
            Call ErrorProc(ex)
        Finally
            Me.Cursor = Cursors.Default
        End Try
	End Sub

'(A) STR V4-14047-000 033 2013/10/31 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索
	'''---------------------------------------------
	''' <summary>
	''' 更新後のフォーカス設定
	''' </summary>
	''' <remarks>
	''' 2013/10/31 新規作成　ID)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Sub setUpdAfterFocusControl()
		Try
			Me.txt006LMS080F030.Focus()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 削除後のフォーカス設定
	''' </summary>
	''' <remarks>
	''' 2013/10/31 新規作成　ID)荒川<BR/>
	''' </remarks>
	'''---------------------------------------------
	Public Overrides Sub setDelAfterFocusControl()
		Try
			Me.txt006LMS080F030.Focus()
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-14047-000 033 2013/10/31 ID)荒川 貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索

    '''---------------------------------------------
    ''' <summary>
    ''' F1処理
    ''' </summary>
    ''' <remarks>
    ''' 2013/09/10 新規作成　ID)鐘井<BR/>
    ''' </remarks>
    '''---------------------------------------------
    Public Overrides Function F1KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F1KeyProc", "Ｆ１キー押下処理 Start")
        Try
            MyBase.F1KeyProc()
            '管理物グループ検索
            SearchMNGITEM_GRP()
        Catch ex As Exception
            Throw
        End Try
        Return True
    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' 終了処理
    ''' </summary>
    ''' <remarks>
    ''' 2010/10/05 新規作成　ACS)常包<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Sub EndProc()
        log(clsSysMst.logLevel.DBG, "EndProc", "終了処理 START")
        Try
            fret = Enum_FormReturn.OK
            MyBase.EndProc()
        Catch ex As Exception
            Throw
        End Try
    End Sub
#End Region

End Class