﻿Imports XCM
Imports XSP
Imports XMS

''' ---------------------------------------------
''' <summary>
''' 目的別保管場所マスタメンテクラス（新規作成：V4-14046）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class LMS120F010

#Region "変数"

	Private pstrMngItem_Cd As String = String.Empty						'管理物コード
	Private pstrLendAim_Cd As String = String.Empty						'貸出目的コード

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開く時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/22 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMS120F010_Load(sender As Object, e As System.EventArgs) Handles Me.Load
		If Me.IsDisposed = True Then Return
		log(clsSysMst.logLevel.NRM, "LMS040F010_Load", "管理物保管場所マスタ画面＿初期設定 Start")
		Dim cliLTM_MNGITEM As clsLTM_MNGITEM
		Dim cliLTM_MNGITEMKEEPLCT As clsLTM_MNGITEMKEEPLCT
		Dim cliComboCom As clsComboCom
		Try
			pstrMngItem_Cd = String.Empty
			cliLTM_MNGITEM = New clsLTM_MNGITEM
			cliLTM_MNGITEMKEEPLCT = New clsLTM_MNGITEMKEEPLCT
			cliComboCom = New clsComboCom
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				'管理物コンボ設定
				Me.cmb003LMS120F010.DataSource = cliLTM_MNGITEM.getAllMngItem()
				Me.cmb003LMS120F010.setDropDownWidth()
				Me.cmb006LMS120F010.DataSource = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_L_LendAim)
				Me.cmb006LMS120F010.setDropDownWidth()
				Me.cmb009LMS120F010.DataSource = cliLTM_MNGITEMKEEPLCT.getMngKeepLctList(Me.cmb003LMS120F010.Text)
				Me.cmb009LMS120F010.setDropDownWidth()
			End Using
			Me.F11KeyProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			cliLTM_MNGITEM = Nothing
			cliLTM_MNGITEMKEEPLCT = Nothing
			cliComboCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 管理物コード検証時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/22 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb003LMS120F010_Validated(sender As System.Object, e As System.EventArgs) Handles cmb003LMS120F010.Validated
		log(clsSysMst.logLevel.NRM, "cmb002LMS120F010_Validated", "管理物コード検証時 Start")
		Dim cliLTM_MNGITEMKEEPLCT As clsLTM_MNGITEMKEEPLCT
		Dim cliCom As clsCom
		Try
			If pstrMngItem_Cd <> Me.cmb003LMS120F010.Text Then
				cliLTM_MNGITEMKEEPLCT = New clsLTM_MNGITEMKEEPLCT
				Me.cmb009LMS120F010.DataSource = cliLTM_MNGITEMKEEPLCT.getMngKeepLctList(Me.cmb003LMS120F010.Text)
				cliCom = New clsCom
				cliCom.setComboValue(Me.cmb006LMS120F010, String.Empty)
				cliCom.setComboValue(Me.cmb009LMS120F010, String.Empty)
				pstrMngItem_Cd = Me.cmb003LMS120F010.Text
				' ダブルクリック時以外
				If Me.isEnableRowSelect Then
					Me.F11KeyProc()
					'一覧を選択
					setDataSelectData()
				End If
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			cliLTM_MNGITEMKEEPLCT = Nothing
			cliCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出目的コード検証時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb006LMS120F010_Validated(sender As System.Object, e As System.EventArgs) Handles cmb006LMS120F010.Validated
		log(clsSysMst.logLevel.NRM, "cmb006LMS120F010_Validated", "貸出目的コード検証時 Start")
		Try
			If pstrLendAim_Cd <> Me.cmb006LMS120F010.Text Then
				'一覧を選択
				If Me.isEnableRowSelect Then
					setDataSelectData()
				End If
				pstrLendAim_Cd = Me.cmb006LMS120F010.Text
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' データ設定、行選択
	''' </summary>
	''' <remarks>
	''' 2013/07/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataSelectData()
		log(clsSysMst.logLevel.DBG, "setDataSelectData", "データ設定、行選択 Start")
		Try
			Using cliMstMenteCom As New clsMstMenteCom(Me)
				cliMstMenteCom.selectRowFromData()
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class