﻿Imports XCM
Imports XSP
Imports XMS

''' ---------------------------------------------
''' <summary>
''' 目的別所在場所マスタメンテクラス（新規作成：V4-14046）
''' </summary>
''' <remarks>
''' Copyright 2013 FUJITSU SYSTEMS WEST LIMITED All rights reserved.<BR/>
''' FUJITSU SYSTEMS WEST LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class LMS130F010

#Region "変数"

	Private pstrLendAim_Cd As String = String.Empty					'貸出目的
	Private pstrLct_Cd As String = String.Empty						'所在場所

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開く時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/22 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LMS130F010_Load(sender As Object, e As System.EventArgs) Handles Me.Load
		If Me.IsDisposed = True Then Return
		log(clsSysMst.logLevel.NRM, "LMS040F010_Load", "管理物保管場所マスタ画面＿初期設定 Start")
		Dim cliLTM_MNGITEMLCT As clsLTM_MNGITEMLCT
		Dim cliComboCom As clsComboCom
		Try
			cliLTM_MNGITEMLCT = New clsLTM_MNGITEMLCT
			cliComboCom = New clsComboCom
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				'管理物コンボ設定
				Me.cmb002LMS130F010.DataSource = cliComboCom.getCombo(db, clsComboCom.Enum_ComboType.Enum_L_LendAim)
				cmb002LMS130F010.setDropDownWidth()
				Me.cmb005LMS130F010.DataSource = cliLTM_MNGITEMLCT.getAll_MngLct()
				cmb005LMS130F010.setDropDownWidth()
			End Using
			Me.F11KeyProc()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		Finally
			cliLTM_MNGITEMLCT = Nothing
			cliComboCom = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出目的検証時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb002LMS130F010_Validated(sender As System.Object, e As System.EventArgs) Handles cmb002LMS130F010.Validated
		Try
			If pstrLendAim_Cd <> Me.cmb002LMS130F010.Text Then
				'一覧を選択
				If Me.isEnableRowSelect Then
					setDataSelectData()
				End If
				pstrLendAim_Cd = Me.cmb002LMS130F010.Text
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 所在場所検証時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2013/07/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb005LMS130F010_Validated(sender As System.Object, e As System.EventArgs) Handles cmb005LMS130F010.Validated
		Try
			If pstrLct_Cd <> Me.cmb005LMS130F010.Text Then
				'一覧を選択
				If Me.isEnableRowSelect Then
					setDataSelectData()
				End If
				pstrLct_Cd = Me.cmb005LMS130F010.Text
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' データ設定、行選択
	''' </summary>
	''' <remarks>
	''' 2013/07/25 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDataSelectData()
		log(clsSysMst.logLevel.DBG, "setDataSelectData", "データ設定、行選択 Start")
		Try
			Using cliMstMenteCom As New clsMstMenteCom(Me)
				cliMstMenteCom.selectRowFromData()
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

End Class
