﻿Imports System.Windows.Forms
Imports XCM
Imports XSP
''' ---------------------------------------------
''' <summary>
''' 受領貸出_検索
''' </summary>
''' <remarks>
''' Copyright 2009 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class LSR010F010

#Region "変数"
	Private cliResultInfo As clsLTT_RESULT_DSP
	' コントロール定義
	Public fLSR000C010 As LSR000C010
	' フォーム定義
	Private fLSR010F020 As LSR010F020
	Private fLSR010F030 As LSR010F030
	' 処理日ラベル
	Private ctlDate() As String = {"lbl006LSR010F010", "lbl014LSR010F010", "lbl022LSR010F010", "lbl030LSR010F010", "lbl038LSR010F010"}
	' 処理時ラベル
	Private ctlTime() As String = {"lbl007LSR010F010", "lbl015LSR010F010", "lbl023LSR010F010", "lbl031LSR010F010", "lbl039LSR010F010"}
	' 患者数ラベル
	Private ctlBasicInfoSu() As String = {"lbl008LSR010F010", "lbl016LSR010F010", "lbl024LSR010F010", "lbl032LSR010F010", "lbl040LSR010F010"}
	' 管理物数ラベル
	Private ctLSRgItemInfoSu() As String = {"lbl009LSR010F010", "lbl017LSR010F010", "lbl025LSR010F010", "lbl033LSR010F010", "lbl041LSR010F010"}
	' 重複起動
	Private pbExclusive As Boolean = False
#End Region

#Region "コンスタント"
	' 結果表示のフラグ
	Public Enum ENUM_Flag As Integer
		Flag_Off = 0
		Flag_On = 1
	End Enum
	' 検索タイプ
	Public Enum ENUM_SELTYPE As Integer
		NormalSelect = 1
		AndSelect = 2
		OrSelect = 3
	End Enum
	' フォームＩＤ
	Private Const C_LSR010F020_ID As String = "LSR010F020"
	' 固定SQL文
	Private Const C_WHERE As String = " WHERE "
	Private Const C_AND As String = "   AND "
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' フォームを開くイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LSR010F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		log(clsSysMst.logLevel.NRM, "LSR010F010_Load", "フォームを開くイベント")
		Try
			' インスタンス生成
			cliResultInfo = New clsLTT_RESULT_DSP
			' 排他制御登録
			If Me.setStartStatus(False) = False Then
				Call closeForm()
				Exit Sub
			End If
			pbExclusive = True
			' コントロール追加
			fLSR000C010 = New LSR010C010
			Me.pnl045LSR010F010.Controls.Add(fLSR000C010)
			fLSR000C010.Location = New Drawing.Point(Me.btn046LSR010F010.Left, Me.btn046LSR010F010.Top * 2 + Me.btn046LSR010F010.Height)
			' 件数表示
			For i As Integer = 1 To ctlDate.Length
				Call setDspCnt(i)
			Next i
		Catch ex As Exception
			ErrorProc(ex)
			closeForm()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームが閉じるイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub LSR010F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "LSR010F010_FormClosing", "フォームが閉じるイベント")
		Try
			' 排他制御削除（排他エラー時は削除しない）
			If pbExclusive Then
				Me.delStartStatus()
			End If
			' 開放
			'If fLSR000C010 IsNot Nothing Then fLSR000C010.Dispose()
			If fLSR010F020 IsNot Nothing Then fLSR010F020.Dispose()
			If fLSR010F030 IsNot Nothing Then fLSR010F030.Dispose()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			cliResultInfo = Nothing
			fLSR000C010 = Nothing
			fLSR010F020 = Nothing
			fLSR010F030 = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 終了ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn007LSR000F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn007LSR000F010.Click
		log(clsSysMst.logLevel.NRM, "btn007LSR000F010_Click", "終了ボタンクリックイベント")
		Try
			Call closeForm()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧(n)ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn010LSR010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn010LSR010F010.Click, _
																										   btn018LSR010F010.Click, _
																										   btn026LSR010F010.Click, _
																										   btn034LSR010F010.Click, _
																										   btn042LSR010F010.Click
		log(clsSysMst.logLevel.NRM, "btn010LSR010F010_Click", "一覧(n)ボタンクリックイベント（" & CType(sender, Button).Name & "）")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 検索番号
			Dim iSearch_No As Integer = getSearch_No(sender)
			If iSearch_No = 1 Then
				If Me.lbl008LSR010F010.Text = "0" AndAlso _
					Me.lbl009LSR010F010.Text = "0" Then
					Call showMsg("E0010")
					Exit Sub
				End If
			ElseIf iSearch_No = 2 Then
				If Me.lbl016LSR010F010.Text = "0" AndAlso _
					Me.lbl017LSR010F010.Text = "0" Then
					Call showMsg("E0010")
					Exit Sub
				End If
			ElseIf iSearch_No = 3 Then
				If Me.lbl024LSR010F010.Text = "0" AndAlso _
					Me.lbl025LSR010F010.Text = "0" Then
					Call showMsg("E0010")
					Exit Sub
				End If
			ElseIf iSearch_No = 4 Then
				If Me.lbl032LSR010F010.Text = "0" AndAlso _
					Me.lbl033LSR010F010.Text = "0" Then
					Call showMsg("E0010")
					Exit Sub
				End If
			ElseIf iSearch_No = 5 Then
				If Me.lbl040LSR010F010.Text = "0" AndAlso _
					Me.lbl041LSR010F010.Text = "0" Then
					Call showMsg("E0010")
					Exit Sub
				End If
			End If
			' 一覧メニュー　表示
			fLSR010F030 = New LSR010F030(iSearch_No)
			nextForm(fLSR010F030)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 条件(n)ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn011LSR010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn011LSR010F010.Click, _
																										   btn019LSR010F010.Click, _
																										   btn027LSR010F010.Click, _
																										   btn035LSR010F010.Click, _
																										   btn043LSR010F010.Click
		log(clsSysMst.logLevel.NRM, "btn011LSR010F010_Click", "条件(n)ボタンクリックイベント（" & CType(sender, Button).Name & "）")
		Try
			Me.Cursor = Cursors.WaitCursor
			' 検索番号
			Dim iSearch_No As Integer = getSearch_No(sender)
			' 条件画面　表示
			fLSR010F020 = New LSR010F020(iSearch_No)
			Me.nextForm(fLSR010F020)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' クリアボタン(n)クリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn012LSR010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn012LSR010F010.Click, _
																										   btn020LSR010F010.Click, _
																										   btn028LSR010F010.Click, _
																										   btn036LSR010F010.Click, _
																										   btn044LSR010F010.Click
		log(clsSysMst.logLevel.NRM, "btn012LSR010F010_Click", "クリアボタン(n)クリックイベント（" & CType(sender, Button).Name & "）")
		Try
			' 検索番号
			Dim iSearch_No As Integer = getSearch_No(sender)
			Dim iRet As Integer = 0
			Dim bExist As Boolean = True
			Me.Cursor = Cursors.WaitCursor
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					Try
						.ctlTran(clsDB.Enum_TranMode.Begin)

						' LTW_検索処理結果情報　削除
						Call delResult_Info(db, iSearch_No)
						' LTW_検索処理結果表示　削除
						Call delResult_Dsp(db, iSearch_No)
						' LTW_検索処理結果表示２　削除
						Call delResult_Dsp2(db, iSearch_No)
						' LTW_検索処理検索内容情報　削除
						Call delSearch_Cnt_Info(db, iSearch_No)

						.ctlTran(clsDB.Enum_TranMode.Commit)

						' 件数表示
						Call setDspCnt(iSearch_No)

					Catch ex As SqlClient.SqlException
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Call ErrorProc(ex)
					Catch ex As Exception
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Call ErrorProc(ex)
					End Try
				End With
			End Using

		Catch ex As Exception
			Call ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索条件クリアイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/02/12 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn046LSR010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn046LSR010F010.Click
		log(clsSysMst.logLevel.NRM, "btn046LSR010F010_Click", "検索条件クリアイベント")
		Try
			fLSR000C010.Clear()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索(n)ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/02/12 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn047LSR010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn047LSR010F010.Click, _
																										   btn050LSR010F010.Click, _
																										   btn053LSR010F010.Click, _
																										   btn056LSR010F010.Click, _
																										   btn059LSR010F010.Click
		log(clsSysMst.logLevel.NRM, "btn047LSR010F010_Click", "検索(n)ボタンクリックイベント（" & CType(sender, Button).Name & "）")
		Try
			Dim clsR As clsLSR000COut = fLSR000C010.getSearchInfo()
			Me.Cursor = Cursors.WaitCursor
			' 検索番号
			Dim iSearch_No As Integer = getSearch_No(sender)
			' チェック
			If Not chkInput(iSearch_No, ENUM_SELTYPE.NormalSelect) Then
				Exit Sub
			End If
			' LTW_検索処理検索 作成
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					Try
						.ctlTran(clsDB.Enum_TranMode.Begin)

						' LTW_検索処理検索　作成
						Call searchData(db, iSearch_No, clsR.SQL, clsR.DBParam)
						' LTW_検索処理結果情報　作成
						Call setResultInfo(db, iSearch_No, ENUM_SELTYPE.NormalSelect, fLSR000C010.CondCount)
						' LTW_検索処理結果表示　作成
						If Not addResultDsp(db, iSearch_No) Then
							If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
							Exit Try
						End If
						' LTW_検索処理結果表示２　作成
						Call addResultDsp2(db, iSearch_No, clsR.SQLWHERE)
						' LTW_検索処理検索内容情報　作成
						Call addSearchCntInfo(db, iSearch_No, clsR.SEARCH_CNT_INFO)

						.ctlTran(clsDB.Enum_TranMode.Commit)

						' 件数表示
						Call setDspCnt(iSearch_No)

						Call showMsg("I0006", "検索", Nothing)
						Select Case CType(sender, Button).Name
							Case Me.btn047LSR010F010.Name : Me.btn010LSR010F010.Focus()
							Case Me.btn050LSR010F010.Name : Me.btn018LSR010F010.Focus()
							Case Me.btn053LSR010F010.Name : Me.btn026LSR010F010.Focus()
							Case Me.btn056LSR010F010.Name : Me.btn034LSR010F010.Focus()
							Case Me.btn059LSR010F010.Name : Me.btn042LSR010F010.Focus()
							Case Else
						End Select
					Catch ex As SqlClient.SqlException
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Call ErrorProc(ex)
						If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
							Call showMsg("E0007", "検索", Nothing)
						End If
					Catch ex As Exception
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Call ErrorProc(ex)
					End Try
				End With
			End Using
		Catch ex As Exception
			Call ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＡＮＤ(n)ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/02/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn048LSR010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn048LSR010F010.Click, _
																										   btn051LSR010F010.Click, _
																										   btn054LSR010F010.Click, _
																										   btn057LSR010F010.Click, _
																										   btn060LSR010F010.Click
		log(clsSysMst.logLevel.NRM, "btn048LSR010F010_Click", "ＡＮＤ(n)ボタンクリックイベント（" & CType(sender, Button).Name & "）")
		Try
			Dim clsR As clsLSR000COut = fLSR000C010.getSearchInfo()
			' 検索番号
			Dim iSearch_No As Integer = getSearch_No(sender)

			' チェック
			If Not chkInput(iSearch_No, ENUM_SELTYPE.AndSelect) Then
				Exit Sub
			End If
			' LTW_検索処理検索 作成
			Me.Cursor = Cursors.WaitCursor
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					Try
						.ctlTran(clsDB.Enum_TranMode.Begin)

						' LTW_検索処理検索　作成
						Call searchData(db, iSearch_No, clsR.SQL, clsR.DBParam)
						' LTW_検索処理結果情報　作成
						Call setResultInfo(db, iSearch_No, ENUM_SELTYPE.AndSelect, fLSR000C010.CondCount)
						' LTW_検索処理結果表示　作成
						If Not updResultDsp(db, iSearch_No) Then
							If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
							Exit Try
						End If
						' LTW_検索処理結果表示２　作成
						Call addResultDsp2(db, iSearch_No, clsR.SQLWHERE)
						' LTW_検索処理検索内容情報　作成
						Call addSearchCntInfo(db, iSearch_No, clsR.SEARCH_CNT_INFO)

						.ctlTran(clsDB.Enum_TranMode.Commit)

						' 件数表示
						Call setDspCnt(iSearch_No)

						Call showMsg("I0006", "検索", Nothing)

					Catch ex As SqlClient.SqlException
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Call ErrorProc(ex)
						If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
							Call showMsg("E0007", "検索", Nothing)
						End If
					Catch ex As Exception
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Call ErrorProc(ex)
					End Try
				End With
			End Using
		Catch ex As Exception
			Call ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ＯＲ(n)ボタンクリックイベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/02/16 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn049LSR010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn049LSR010F010.Click, _
																										   btn052LSR010F010.Click, _
																										   btn055LSR010F010.Click, _
																										   btn058LSR010F010.Click, _
																										   btn061LSR010F010.Click
		log(clsSysMst.logLevel.NRM, "btn049LSR010F010_Click", "ＯＲ(n)ボタンクリックイベント（" & CType(sender, Button).Name & "）")
		Try
			Dim clsR As clsLSR000COut = fLSR000C010.getSearchInfo()
			' 検索番号
			Dim iSearch_No As Integer = getSearch_No(sender)
			' チェック
			If Not chkInput(iSearch_No, ENUM_SELTYPE.OrSelect) Then
				Exit Sub
			End If
			' LTW_検索処理検索 作成
			Me.Cursor = Cursors.WaitCursor
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					Try
						.ctlTran(clsDB.Enum_TranMode.Begin)

						' LTW_検索処理検索　作成
						Call searchData(db, iSearch_No, clsR.SQL, clsR.DBParam)
						' LTW_検索処理結果情報　作成
						Call setResultInfo(db, iSearch_No, ENUM_SELTYPE.OrSelect, fLSR000C010.CondCount)
						' LTW_検索処理結果表示　作成
						If Not updResultDsp(db, iSearch_No) Then
							If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
							Exit Try
						End If
						' LTW_検索処理結果表示２　作成
						Call addResultDsp2(db, iSearch_No, clsR.SQLWHERE)
						' LTW_検索処理検索内容情報　作成
						Call addSearchCntInfo(db, iSearch_No, clsR.SEARCH_CNT_INFO)

						.ctlTran(clsDB.Enum_TranMode.Commit)

						' 件数表示
						Call setDspCnt(iSearch_No)

						Call showMsg("I0006", "検索", Nothing)

					Catch ex As SqlClient.SqlException
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Call ErrorProc(ex)
						If ex.Number = clsSysMst.sqlErrCode.KeyDuplicate Then
							Call showMsg("E0007", "検索", Nothing)
						End If
					Catch ex As Exception
						If db.statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Call ErrorProc(ex)
					End Try
				End With
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 検索番号をコントロールより取得
	''' </summary>
	''' <param name="sender"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/02/12 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getSearch_No(ByVal sender As Object) As Integer
		log(clsSysMst.logLevel.DBG, "getSearch_No", "検索番号をコントロールより取得")
		Try
			If CType(sender, Button).Equals(Me.btn010LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn011LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn012LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn047LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn048LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn049LSR010F010) Then
				Return 1
			ElseIf CType(sender, Button).Equals(Me.btn018LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn019LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn020LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn050LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn051LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn052LSR010F010) Then
				Return 2
			ElseIf CType(sender, Button).Equals(Me.btn026LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn027LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn028LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn053LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn054LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn055LSR010F010) Then
				Return 3
			ElseIf CType(sender, Button).Equals(Me.btn034LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn035LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn036LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn056LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn057LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn058LSR010F010) Then
				Return 4
			ElseIf CType(sender, Button).Equals(Me.btn042LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn043LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn044LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn059LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn060LSR010F010) OrElse _
				CType(sender, Button).Equals(Me.btn061LSR010F010) Then
				Return 5
			End If

			Return 0

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <param name="iSearch_No"></param>
	''' <param name="seltype"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/02/12 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkInput(ByVal iSearch_No As Integer, ByVal seltype As ENUM_SELTYPE) As Boolean
		log(clsSysMst.logLevel.DBG, "chkInput", "入力チェック")
		Try
			' 検索項目有無
			Dim bCond As Boolean = False
			For i As Integer = 0 To fLSR000C010.tab001LSR000C010.TabPages.Count - 1
				If fLSR000C010.Condition(i) Then
					bCond = True
					Exit For
				End If
			Next
			If Not bCond Then
				Call addErrList("E0003", fLSR000C010.tab001LSR000C010.Name, "検索", "検索処理条件が未指定の", "検索", Nothing)
			End If
			' 検索済み有無チェック（AND、OR）
			If seltype = ENUM_SELTYPE.AndSelect OrElse _
				seltype = ENUM_SELTYPE.OrSelect Then
				Select Case iSearch_No
					Case 1
						If Me.lbl008LSR010F010.Text = "0" Then
							Call addErrList("E0010", fLSR000C010.tab001LSR000C010.Name, "検索", Nothing)
						End If
					Case 2
						If Me.lbl016LSR010F010.Text = "0" Then
							Call addErrList("E0010", fLSR000C010.tab001LSR000C010.Name, "検索", Nothing)
						End If
					Case 3
						If Me.lbl024LSR010F010.Text = "0" Then
							Call addErrList("E0010", fLSR000C010.tab001LSR000C010.Name, "検索", Nothing)
						End If
					Case 4
						If Me.lbl032LSR010F010.Text = "0" Then
							Call addErrList("E0010", fLSR000C010.tab001LSR000C010.Name, "検索", Nothing)
						End If
					Case 5
						If Me.lbl040LSR010F010.Text = "0" Then
							Call addErrList("E0010", fLSR000C010.tab001LSR000C010.Name, "検索", Nothing)
						End If
				End Select
			End If
			If getErrCount() > 0 Then
				nextErrForm()
				Return False
			Else
				Return True
			End If

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 件数取得
	''' </summary>
	''' <param name="iSearch_No"></param>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDspCnt(ByVal iSearch_No As Integer)
		log(clsSysMst.logLevel.DBG, "setDspCnt", "件数取得")
		Dim iIdx As Integer = iSearch_No - 1
		Try
			' 件数取得
			Dim datResultDsp As datLTT_RESULT_DSP = cliResultInfo.getResultDsp(Me._userID, iSearch_No)
			If datResultDsp Is Nothing Then
				Call setControlText(ctlDate(iIdx), "")
				Call setControlText(ctlTime(iIdx), "")
				Call setControlText(ctlBasicInfoSu(iIdx), "0")
				Call setControlText(ctLSRgItemInfoSu(iIdx), "0")
			Else
				Call setControlText(ctlDate(iIdx), datResultDsp.END_DT.ToString("yyyy/MM/dd"))
				Call setControlText(ctlTime(iIdx), datResultDsp.END_DT.ToString("HH:mm:ss"))
				Call setControlText(ctlBasicInfoSu(iIdx), Format(datResultDsp.PATIENT_NUM, "#,##0"))
				Call setControlText(ctLSRgItemInfoSu(iIdx), Format(datResultDsp.MNGITEM_NUM, "#,##0"))
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' LTW_検索処理検索作成
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <param name="strSQL"></param>
	''' <param name="dbParam"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/02/12 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function searchData(ByVal db As clsDB, ByVal iSearch_No As Integer, ByVal strSQL As String, ByVal dbParam As List(Of clsLSR000COut.clsDBPARAM)) As Boolean
		log(clsSysMst.logLevel.DBG, "searchData", "LTW_検索処理検索作成")
		Try
			Dim iRet As Integer = 0
			Dim bExist As Boolean = True
			With db
				Try
					' ■LTW_検索処理検索　削除■
					Call delSearch_Work(db)
					' ■LTW_検索処理検索　追加■
					For i As Integer = 0 To fLSR000C010.tab001LSR000C010.TabPages.Count - 1
						If fLSR000C010.Condition(i) Then
							.setSQL(strSQL & getSqlWhere(fLSR000C010.Table_Cd(i), dbParam))
							' 使用者コード
							.setParam(sqlLSR000C010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
							.setVal(sqlLSR000C010.prmUSER_CD, Me._userID)
							' テーブルコード
							.setParam(sqlLSR000C010.prmTABLE_CD, clsDB.Enum_dbType.dbInt)
							.setVal(sqlLSR000C010.prmTABLE_CD, i.ToString)

							For Each dbp As clsLSR000COut.clsDBPARAM In dbParam
								If dbp.Table_Cd = fLSR000C010.Table_Cd(i) Then
									If Not String.IsNullOrEmpty(dbp.Param_Name) Then
										.setParam(dbp.Param_Name, dbp.dbType)
										.setVal(dbp.Param_Name, dbp.Value)
									End If
								End If
							Next
							' 更新者コード
							.setParam(sqlLSR000C010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
							.setVal(sqlLSR000C010.prmLASTUPDUSER_CD, Me._userID)
							' 更新日
							.setParam(sqlLSR000C010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
							.setVal(sqlLSR000C010.prmLASTUPD_DT, Now())
							iRet = .execNonQuery(False)
							If iRet <= 0 Then
								bExist = False
							End If
						End If
					Next
				Catch ex As SqlClient.SqlException
					bExist = False
					Throw
				Catch ex As Exception
					bExist = False
					Throw
				End Try
			End With

			Return bExist

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' テーブルコード単位のSQL WHERE文取得
	''' </summary>
	''' <param name="iTable_Cd"></param>
	''' <param name="dbParam"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/05/11 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getSqlWhere(ByVal iTable_Cd As Integer, ByVal dbParam As List(Of clsLSR000COut.clsDBPARAM)) As String
		log(clsSysMst.logLevel.DBG, "getSqlWhere", "テーブルコード単位のSQL WHERE文取得")
		Try
			Dim strRet As String = ""
			Dim iIdx As Integer = 0
			For Each dbp As clsLSR000COut.clsDBPARAM In dbParam
				If dbp.Table_Cd = iTable_Cd Then
					If iIdx = 0 Then
						strRet &= C_WHERE & dbp.Sql_Where
					Else
						strRet &= C_AND & dbp.Sql_Where
					End If
					iIdx += 1
				End If
			Next

			Return strRet

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' LTW_検索処理結果情報作成
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <param name="seltype"></param>
	''' <param name="iTable_Cd_Count"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/02/12 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setResultInfo(ByVal db As clsDB, ByVal iSearch_No As Integer, ByVal seltype As ENUM_SELTYPE, ByVal iTable_Cd_Count As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "setResultInfo", "LTW_検索処理結果情報作成")
		Try
			Dim iRet As Integer = 0
			Dim bExist As Boolean = True
			With db
				Try
					' ■LTW_検索処理結果情報　削除■
					If seltype = ENUM_SELTYPE.NormalSelect Then
						Call delResult_Info(db, iSearch_No)
					End If
					' ■LTW_検索処理結果情報　追加■
					' SQL文作成
					If seltype = ENUM_SELTYPE.NormalSelect Then
						.setSQL(sqlLSR010F010.strSqlIns_Result_Info)
					ElseIf seltype = ENUM_SELTYPE.AndSelect Then
						.setSQL(sqlLSR010F010.strSqlAndDel_Result_Info)
					ElseIf seltype = ENUM_SELTYPE.OrSelect Then
						.setSQL(sqlLSR010F010.strSqlOrIns_Result_Info)
					End If
					' パラメータ作成
					' 使用者コード
					.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
					' 検索番号
					.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
					' テーブルコード件数
					.setParam(sqlLSR010F010.prmTABLE_CD_COUNT, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmTABLE_CD_COUNT, CType(iTable_Cd_Count, String))
					' 更新者コード
					.setParam(sqlLSR010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmLASTUPDUSER_CD, Me._userID)
					' 更新日
					.setParam(sqlLSR010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					.setVal(sqlLSR010F010.prmLASTUPD_DT, Now)

					iRet = .execNonQuery(False)
					If iRet <= 0 Then
						bExist = False
					End If
					' LTW_検索処理検索　削除
					Call delSearch_Work(db)

				Catch ex As SqlClient.SqlException
					bExist = False
					Throw
				Catch ex As Exception
					bExist = False
					Throw
				End Try
			End With

			Return bExist

		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理結果表示作成
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <returns></returns> 
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function addResultDsp(ByVal db As clsDB, ByVal iSearch_No As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "addResultDsp", "検索処理結果表示作成")
		Dim iRet As Integer = 0
		Try
			With db
				Try
					' ■LTW_検索処理結果表示　削除■
					Call delResult_Dsp(db, iSearch_No)
					' ■LTW_検索処理結果表示　追加■
					Dim iBasicInfoSu As Integer = getBasicInfoSu(db, iSearch_No)
					Dim iMngItemInfoSu As Integer = getMngItemInfoSu(db, iSearch_No)
					Dim iLendInfoSu As Integer = getLendInfoSu(db, iSearch_No)
					Dim iBasicInfoFlag As Integer = ENUM_Flag.Flag_Off
					Dim iMngItemInfoFlag As Integer = ENUM_Flag.Flag_Off
					If fLSR000C010.Condition(2) Then
					ElseIf fLSR000C010.Condition(1) Then
						iMngItemInfoFlag = ENUM_Flag.Flag_On
					Else
						iBasicInfoFlag = ENUM_Flag.Flag_On
					End If
					.setSQL(sqlLSR010F010.strSqlIns_Result_Dsp)
					' パラメータ設定
					' 使用者コード
					.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
					' 検索番号
					.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
					' 患者数
					.setParam(sqlLSR010F010.prmPATIENT_NUM, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmPATIENT_NUM, CType(iBasicInfoSu, String))
					' 管理物数
					.setParam(sqlLSR010F010.prmMNGITEM_NUM, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmMNGITEM_NUM, CType(iMngItemInfoSu, String))
					' 貸出数
					.setParam(sqlLSR010F010.prmLEND_NUM, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmLEND_NUM, CType(iLendInfoSu, String))
					' 患者フラグ
					.setParam(sqlLSR010F010.prmPATIENT_FLG, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmPATIENT_FLG, CType(iBasicInfoFlag, String))
					' 管理物フラグ
					.setParam(sqlLSR010F010.prmMNGITEM_FLG, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmMNGITEM_FLG, CType(iMngItemInfoFlag, String))
					' 更新者コード
					.setParam(sqlLSR010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmLASTUPDUSER_CD, Me._userID)
					' 更新日
					.setParam(sqlLSR010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					.setVal(sqlLSR010F010.prmLASTUPD_DT, Now)
					' 追加
					iRet = .execNonQuery(False)

					Return True

				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try
			End With
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理結果表示更新
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <returns></returns> 
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function updResultDsp(ByVal db As clsDB, ByVal iSearch_No As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "updResultDsp", "検索処理結果表示更新")
		Dim iRet As Integer = 0
		Try
			With db
				Try
					' ■LTW_検索処理結果表示　更新■
					Dim iBasicInfoSu As Integer = getBasicInfoSu(db, iSearch_No)
					Dim iMngItemInfoSu As Integer = getMngItemInfoSu(db, iSearch_No)
					Dim iLendInfoSu As Integer = getLendInfoSu(db, iSearch_No)

					Dim iBasicInfoFlag As Integer = ENUM_Flag.Flag_Off
					Dim iMngItemInfoFlag As Integer = ENUM_Flag.Flag_Off
					If fLSR000C010.Condition(2) Then
					ElseIf fLSR000C010.Condition(1) Then
						iMngItemInfoFlag = ENUM_Flag.Flag_On
					Else
						iBasicInfoFlag = ENUM_Flag.Flag_On
					End If
					.setSQL(sqlLSR010F010.strSqlUpd_Result_Dsp)
					' パラメータ設定
					' 使用者コード
					.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
					' 検索番号
					.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
					' 患者数
					.setParam(sqlLSR010F010.prmPATIENT_NUM, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmPATIENT_NUM, CType(iBasicInfoSu, String))
					' 管理物数
					.setParam(sqlLSR010F010.prmMNGITEM_NUM, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmMNGITEM_NUM, CType(iMngItemInfoSu, String))
					' 貸出数
					.setParam(sqlLSR010F010.prmLEND_NUM, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmLEND_NUM, CType(iLendInfoSu, String))
					' 患者フラグ
					.setParam(sqlLSR010F010.prmPATIENT_FLG, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmPATIENT_FLG, CType(iBasicInfoFlag, String))
					' 管理物フラグ
					.setParam(sqlLSR010F010.prmMNGITEM_FLG, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmMNGITEM_FLG, CType(iMngItemInfoFlag, String))
					' 更新者コード
					.setParam(sqlLSR010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmLASTUPDUSER_CD, Me._userID)
					' 更新日
					.setParam(sqlLSR010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					.setVal(sqlLSR010F010.prmLASTUPD_DT, Now)
					' 追加
					iRet = .execNonQuery(False)

					Return True

				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try
			End With
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理結果表示２作成
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <param name="sqlWhere"></param>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub addResultDsp2(ByVal db As clsDB, ByVal iSearch_No As Integer, ByVal sqlWhere As List(Of clsLSR000COut.clsSQLWHERE))
		log(clsSysMst.logLevel.DBG, "addResultDsp2", "検索処理結果表示２作成")
		Dim iRet As Integer = 0
		Try
			With db
				Try
					' ■LTW_検索処理結果表示２　削除■
					Call delResult_Dsp2(db, iSearch_No)
					' ■LTW_検索処理結果表示２　追加■
					For Each sw As clsLSR000COut.clsSQLWHERE In sqlWhere
						.setSQL(sqlLSR010F010.strSqlIns_Result_Dsp2)
						' パラメータ設定
						' 使用者コード
						.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
						' 検索番号
						.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
						' 連番
						.setParam(sqlLSR010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlLSR010F010.prmSERIAL_NO, CType(sw.SERIAL_NO, String))
						' フォーム名
						.setParam(sqlLSR010F010.prmSCREEN_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlLSR010F010.prmSCREEN_CD, sw.FORM_NM)
						' フィールド名
						.setParam(sqlLSR010F010.prmCTRL_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlLSR010F010.prmCTRL_CD, sw.FIELD_NM)
						' フィールド値
						.setParam(sqlLSR010F010.prmCTRL_VAL, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlLSR010F010.prmCTRL_VAL, sw.FIELD_VAL)
						' 更新者コード
						.setParam(sqlLSR010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlLSR010F010.prmLASTUPDUSER_CD, Me._userID)
						' 更新日
						.setParam(sqlLSR010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
						.setVal(sqlLSR010F010.prmLASTUPD_DT, Now)
						' 追加
						iRet = .execNonQuery(False)
					Next
				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理検索内容情報作成
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <param name="SEARCH_CNT_INFO"></param>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub addSearchCntInfo(ByVal db As clsDB, ByVal iSearch_No As Integer, ByVal SEARCH_CNT_INFO As List(Of clsLSR000COut.clsSEARCH_CNT_INFO))
		log(clsSysMst.logLevel.DBG, "addSearchCntInfo", "検索処理検索内容情報作成")
		Dim iRet As Integer = 0
		Try
			With db
				Try
					' ■LTW_検索処理検索内容情報　削除■
					Call delSearch_Cnt_Info(db, iSearch_No)
					' ■LTW_検索処理検索内容情報　追加■
					For Each sci As clsLSR000COut.clsSEARCH_CNT_INFO In SEARCH_CNT_INFO
						.setSQL(sqlLSR010F010.strSqlIns_Search_Cnt_Info)
						' パラメータ設定
						' 使用者コード
						.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
						' 検索番号
						.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
						' 連番
						.setParam(sqlLSR010F010.prmSERIAL_NO, clsDB.Enum_dbType.dbInt)
						.setVal(sqlLSR010F010.prmSERIAL_NO, sci.SERIAL_NO.ToString)
						' テーブルコード
						.setParam(sqlLSR010F010.prmTABLE_CD, clsDB.Enum_dbType.dbInt)
						.setVal(sqlLSR010F010.prmTABLE_CD, sci.TABLE_CD.ToString)
						' SQL文
						.setParam(sqlLSR010F010.prmSQL_SNT, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlLSR010F010.prmSQL_SNT, sci.SQL_SNT)
						' SQL内容
						.setParam(sqlLSR010F010.prmSQL_CNT, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlLSR010F010.prmSQL_CNT, sci.SQL_CNT)
						' 更新者コード
						.setParam(sqlLSR010F010.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
						.setVal(sqlLSR010F010.prmLASTUPDUSER_CD, Me._userID)
						' 更新日
						.setParam(sqlLSR010F010.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
						.setVal(sqlLSR010F010.prmLASTUPD_DT, Now())
						' 追加
						iRet = .execNonQuery(False)
					Next
				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 患者数取得
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getBasicInfoSu(ByVal db As clsDB, ByVal iSearch_No As Integer) As Integer
		log(clsSysMst.logLevel.DBG, "getBasicInfoSu", "患者数取得")
		Dim iRet As Integer = 0
		Dim arData As ArrayList = New ArrayList()
		Try
			With db
				Try
					' ■LTW_検索処理結果情報　検索■
					' SQL設定
					.setSQL(sqlLSR010F010.strSqlSel_BasicInfoSu)
					' パラメータ設定
					' 使用者コード
					.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
					' 検索番号
					.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
					' 件数取得
					iRet = .execQuery(GetType(datLSR010F010_COUNT), arData)
					If iRet <= 0 OrElse _
						arData Is Nothing OrElse _
						arData.Count <= 0 Then
						iRet = 0
					Else
						iRet = CType(arData(0), datLSR010F010_COUNT).RCOUNT
					End If
				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try

				Return iRet

			End With
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理物数取得
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getMngItemInfoSu(ByVal db As clsDB, ByVal iSearch_No As Integer) As Integer
		log(clsSysMst.logLevel.DBG, "getMngItemInfoSu", "管理物数取得")
		Dim iRet As Integer = 0
		Dim arData As ArrayList = New ArrayList()
		Try
			With db
				Try
					' ■LTW_検索処理結果情報　検索■
					' SQL設定
					.setSQL(sqlLSR010F010.strSqlSel_MngItemInfoSu)
					' パラメータ設定
					' 使用者コード
					.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
					' 検索番号
					.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
					' 件数取得
					iRet = .execQuery(GetType(datLSR010F010_COUNT), arData)
					If iRet <= 0 OrElse _
						arData Is Nothing OrElse _
						arData.Count <= 0 Then
						iRet = 0
					Else
						iRet = CType(arData(0), datLSR010F010_COUNT).RCOUNT
					End If
				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try

				Return iRet

			End With
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 貸出数取得
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getLendInfoSu(ByVal db As clsDB, ByVal iSearch_No As Integer) As Integer
		log(clsSysMst.logLevel.DBG, "getLendInfoSu", "貸出数取得")
		Dim iRet As Integer = 0
		Dim arData As ArrayList = New ArrayList()
		Try
			With db
				Try
					' ■LTW_検索処理結果情報　検索■
					' SQL設定
					.setSQL(sqlLSR010F010.strSqlSel_LendInfoSu)
					' パラメータ設定
					' 使用者コード
					.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
					' 検索番号
					.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
					' 件数取得
					iRet = .execQuery(GetType(datLSR010F010_COUNT), arData)
					If iRet <= 0 OrElse _
						arData Is Nothing OrElse _
						arData.Count <= 0 Then
						iRet = 0
					Else
						iRet = CType(arData(0), datLSR010F010_COUNT).RCOUNT
					End If
				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try

				Return iRet

			End With
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理検索　削除
	''' </summary>
	''' <param name="db"></param>
	''' <remarks>
	''' 2010/02/12 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delSearch_Work(ByVal db As clsDB)
		log(clsSysMst.logLevel.DBG, "delSearch_Work", "検索処理検索　削除")
		Dim iRet As Integer = 0
		Try
			With db
				Try
					' ■LTW_検索処理検索　削除■
					' SQL設定
					.setSQL(sqlLSR010F010.strSqlDel_Search_Work)
					' パラメータ設定
					' 使用者コード
					.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
					' 削除
					iRet = .execNonQuery(False)
				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理結果情報　削除
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <remarks>
	''' 2010/02/12 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delResult_Info(ByVal db As clsDB, ByVal iSearch_No As Integer)
		log(clsSysMst.logLevel.DBG, "delResult_Info", "検索処理結果情報　削除")
		Dim iRet As Integer = 0
		Try
			With db
				Try
					' ■LTW_検索処理結果情報　削除■
					' SQL設定
					.setSQL(sqlLSR010F010.strSqlDel_Result_Info)
					' ■パラメータ設定■
					' 使用者コード
					.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
					' 検索番号
					.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
					' 削除
					iRet = .execNonQuery(False)
				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理結果表示　削除
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <remarks>
	''' 2010/02/12 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delResult_Dsp(ByVal db As clsDB, ByVal iSearch_No As Integer)
		log(clsSysMst.logLevel.DBG, "delResult_Dsp", "検索処理結果表示　削除")
		Dim iRet As Integer = 0
		Try
			With db
				Try
					' ■LTW_検索処理結果表示　削除■
					' SQL設定
					.setSQL(sqlLSR010F010.strSqlDel_Result_Dsp)
					' パラメータ設定
					' 使用者コード
					.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
					' 検索番号
					.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
					' 削除
					iRet = .execNonQuery(False)
				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理結果表示２　削除
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <remarks>
	''' 2010/02/12 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delResult_Dsp2(ByVal db As clsDB, ByVal iSearch_No As Integer)
		log(clsSysMst.logLevel.DBG, "delResult_Dsp2", "検索処理結果表示２　削除")
		Dim iRet As Integer = 0
		Try
			With db
				Try
					' ■LTW_検索処理結果表示２　削除■
					' SQL設定
					.setSQL(sqlLSR010F010.strSqlDel_Result_Dsp2)
					' パラメータ設定
					' 使用者コード
					.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
					' 検索番号
					.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
					' 削除
					iRet = .execNonQuery(False)
				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 検索処理検索内容情報　削除
	''' </summary>
	''' <param name="db"></param>
	''' <param name="iSearch_No"></param>
	''' <remarks>
	''' 2010/02/12 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub delSearch_Cnt_Info(ByVal db As clsDB, ByVal iSearch_No As Integer)
		log(clsSysMst.logLevel.DBG, "delSearch_Cnt_Info", "検索処理検索内容情報　削除")
		Dim iRet As Integer = 0
		Try
			With db
				Try
					' ■LTW_検索処理検索内容情報　削除■
					' SQL設定
					.setSQL(sqlLSR010F010.strSqlDel_Search_Cnt_Info)
					' パラメータ設定
					' 使用者コード
					.setParam(sqlLSR010F010.prmUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlLSR010F010.prmUSER_CD, Me._userID)
					' 検索番号
					.setParam(sqlLSR010F010.prmSEARCH_NO, clsDB.Enum_dbType.dbInt)
					.setVal(sqlLSR010F010.prmSEARCH_NO, CType(iSearch_No, String))
					' 削除
					iRet = .execNonQuery(False)
				Catch ex As SqlClient.SqlException
					Throw
				Catch ex As Exception
					Throw
				End Try
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コントロールのテキストに値設定
	''' </summary>
	''' <param name="strCtlName"></param>
	''' <param name="strText"></param>
	''' <remarks>
	''' 2010/02/15 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlText(ByVal strCtlName As String, ByVal strText As String)
		log(clsSysMst.logLevel.DBG, "setControlText", "コントロールのテキストに値設定")
		Try
			Dim ctl() As Control = Me.Controls.Find(strCtlName, True)
			If ctl.Length > 0 Then
				ctl(0).Text = strText
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォームを閉じる
	''' </summary>
	''' <remarks>
	''' 2010/04/02 新規作成　CS)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub closeForm()
		log(clsSysMst.logLevel.DBG, "closeForm", "フォームを閉じる")
		Try
			Me.Close()
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

    ''' ---------------------------------------------
    ''' <summary>
    ''' 子画面処理後の処理
    ''' </summary>
    ''' <param name="ret"></param>
    ''' <param name="de"></param>
    ''' <remarks>
    ''' 2009/11/11 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理")
		Try
			Select Case de.Key.ToString
				Case C_LSR010F020_ID
					If ret = Enum_FormReturn.OK Then
						fLSR000C010.Clear()
						fLSR000C010.setCondition(de.Value)
					End If
'(A) STR V4-14047-000 007 20130801 ID)平井(貸出管理レベルアップ２次開発　大規模病院への対応　グループ検索)
				Case Else
					If Me.fLSR000C010 IsNot Nothing Then
						'検索コントロールへ引き渡し
						Me.fLSR000C010.rcvData(ret, de)
					End If
'(A) END V4-14047-000 007 20130801
			End Select
			MyBase.rcvData()
		Catch ex As Exception
			Throw
		End Try
    End Sub

    ''' ---------------------------------------------
    ''' <summary>
    ''' Ｆ１０キー押下処理
    ''' </summary>
    ''' <returns></returns>
    ''' <remarks>
    ''' 2010/06/02 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F10KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F10KeyProc", "Ｆ１０キー押下処理")
        Try
            If fLSR000C010.tab001LSR000C010.SelectedIndex >= fLSR000C010.tab001LSR000C010.TabPages.Count - 1 Then
                fLSR000C010.tab001LSR000C010.SelectedIndex = 0
            Else
                fLSR000C010.tab001LSR000C010.SelectedIndex += 1
            End If
            Return True
        Catch ex As Exception
            Throw
        End Try

    End Function

    ''' ---------------------------------------------
    ''' <summary>
    ''' Ｆ１２キー押下処理
    ''' </summary>
    ''' <remarks>
    ''' 2009/12/08 新規作成　CS)平井<BR/>
    ''' </remarks>
    ''' ---------------------------------------------
    Public Overrides Function F12KeyProc() As Boolean
        log(clsSysMst.logLevel.NRM, "F12KeyProc", "Ｆ１２キー押下処理")
        Try
            Me.AutoValidate = Windows.Forms.AutoValidate.Disable
            Call closeForm()
            Return True
        Catch ex As Exception
            Throw
        End Try
    End Function

    '''' ---------------------------------------------
    '''' <summary>
    '''' 職員検索処理（F1）
    '''' </summary>
    '''' <returns></returns>
    '''' <remarks>
    '''' 2009/12/24 新規作成　CS)平井<BR/>
    '''' </remarks>
    '''' ---------------------------------------------
    'Public Overrides Function StaffFormProc() As Boolean
    '    log(clsSysMst.logLevel.NRM, "StaffFormProc", "職員検索処理（F1）")
    '    Try
    '        Dim myForm As frmBase = Me
    '        Dim cliXSP030F010 As XSP.XSP030F010
    '        cliXSP030F010 = New XSP.XSP030F010(Me.ActiveControl.Name, CType(Me.ActiveControl, BT_MultiComboBox).LinkControl)
    '        myForm.nextForm(cliXSP030F010)
    '        Return MyBase.StaffFormProc()
    '    Catch ex As Exception
    '        Throw
    '    End Try
    'End Function

#End Region

End Class