﻿Imports System.Runtime.ConstrainedExecution
Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 未入力チェック帳票（未入力チェック入退院対象一覧）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX020R010

#Region "解放処理"

	'確実な解放処理を実行するために指定
	Inherits System.Runtime.ConstrainedExecution.CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements System.IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			Me.pForm = Nothing
			Me.pPrint = Nothing
			Me.pTitle = Nothing
			Me.pCondition = Nothing
			Me.pCliSearch = Nothing
			Me.pPattern = 0
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "コンスタント"

	'対応SQL取得用
	Private Enum Enum_SQLID As Integer
		'* 入退院情報関連 *
		SQLID_MTI_HSP_CHK1 = 1										'病歴番号
		SQLID_MTI_HSP_CHK2 = 2										'入院科歴数
		SQLID_MTI_HSP_CHK3 = 3										'主科科歴数
		SQLID_MTI_HSP_CHK4 = 4										'退院科歴数
		SQLID_MTI_HSP_CHK5 = 5										'診療科
		SQLID_MTI_HSP_CHK6 = 6										'病棟
		SQLID_MTI_HSP_CHK7 = 7										'在院日数
		SQLID_MTI_HSP_CHK8 = 8										'医師
		SQLID_MTI_HSP_CHK9 = 9										'入院日
		SQLID_MTI_HSP_CHK10 = 10									'予定・緊急
		SQLID_MTI_HSP_CHK11 = 11									'入院目的
		SQLID_MTI_HSP_CHK12 = 12									'入院形態
		SQLID_MTI_HSP_CHK13 = 13									'救急車有無
		SQLID_MTI_HSP_CHK14 = 14									'退院日
		SQLID_MTI_HSP_CHK15 = 15									'退院転帰
		SQLID_MTI_HSP_CHK16 = 16									'入院契機
		SQLID_MTI_HSP_CHK17 = 17									'医療資源投入１位
		SQLID_MTI_HSP_CHK18 = 18									'医療資源投入２位

		'* 帳票出力用ワークテーブル操作用 *				
		SQLID_SEL_MTW_CHK_HSP_OBJECT = 20							'TW_チェック入退院対象一覧のデータ件数確認

	End Enum

	Private Const CST_LOG_PRODUCT As String = "診療情報管理"
	Private Const CST_LOG_CLASS As String = "未入力チェック印刷"

	Private Const sBTN_PTN_1_1 As String = "btn012MAX020F010"		'入退院情報の１番目のチェックに対する印刷ボタン名  （病歴番号）
	Private Const sBTN_PTN_1_2 As String = "btn015MAX020F010"		'入退院情報の２番目のチェックに対する印刷ボタン名  （入院科歴数）
	Private Const sBTN_PTN_1_3 As String = "btn018MAX020F010"		'入退院情報の３番目のチェックに対する印刷ボタン名  （主科科歴数）
	Private Const sBTN_PTN_1_4 As String = "btn021MAX020F010"		'入退院情報の４番目のチェックに対する印刷ボタン名  （退院科歴数）
	Private Const sBTN_PTN_1_5 As String = "btn024MAX020F010"		'入退院情報の５番目のチェックに対する印刷ボタン名  （診療科）
	Private Const sBTN_PTN_1_6 As String = "btn027MAX020F010"		'入退院情報の６番目のチェックに対する印刷ボタン名  （病棟）
	Private Const sBTN_PTN_1_7 As String = "btn030MAX020F010"		'入退院情報の７番目のチェックに対する印刷ボタン名  （在院日数）
	Private Const sBTN_PTN_1_8 As String = "btn033MAX020F010"		'入退院情報の８番目のチェックに対する印刷ボタン名  （医師）
	Private Const sBTN_PTN_1_9 As String = "btn036MAX020F010"		'入退院情報の９番目のチェックに対する印刷ボタン名  （入院日）
	Private Const sBTN_PTN_1_10 As String = "btn039MAX020F010"		'入退院情報の１０番目のチェックに対する印刷ボタン名（予定・緊急）
	Private Const sBTN_PTN_1_11 As String = "btn042MAX020F010"		'入退院情報の１１番目のチェックに対する印刷ボタン名（入院目的）
	Private Const sBTN_PTN_1_12 As String = "btn045MAX020F010"		'入退院情報の１２番目のチェックに対する印刷ボタン名（入院形態）
	Private Const sBTN_PTN_1_13 As String = "btn048MAX020F010"		'入退院情報の１３番目のチェックに対する印刷ボタン名（救急車有無）
	Private Const sBTN_PTN_1_14 As String = "btn051MAX020F010"		'入退院情報の１４番目のチェックに対する印刷ボタン名（退院日）
	Private Const sBTN_PTN_1_15 As String = "btn054MAX020F010"		'入退院情報の１５番目のチェックに対する印刷ボタン名（退院転帰）
	Private Const sBTN_PTN_1_16 As String = "btn061MAX020F010"		'入退院情報の１６番目のチェックに対する印刷ボタン名（入院契機）
	Private Const sBTN_PTN_1_17 As String = "btn065MAX020F010"		'入退院情報の１７番目のチェックに対する印刷ボタン名（医療資源投入１位）
	Private Const sBTN_PTN_1_18 As String = "btn068MAX020F010"		'入退院情報の１８番目のチェックに対する印刷ボタン名（医療資源投入２位）

#End Region

#Region "変数"

	'IN項目
	Private pForm As frmBase = Nothing								'遷移元画面
	Private pPrint As Boolean = Nothing								'印刷フラグ
	Private pTitle As String = Nothing								'タイトル情報
	Private pSubTitle As String = Nothing							'サブタイトル
	Private pCondition As String = Nothing							'検索条件
	Private pPattern As String = Nothing							'出力パターン
	Private pCliSearch As XSP.clsSearch								'検索条件クラス
	Private pTblCd As String = Nothing								'検索条件選択用キー文字列

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pTitle">タイトル</param>
	''' <param name="pCondition">条件</param>
	''' <param name="pCliSearch">印刷出力用条件クラス</param>
	''' <param name="pTblCd">検索条件選択用キー文字列</param>
	''' <param name="pPattern">出力帳票パターン</param>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase,
			ByVal pPrint As Boolean, _
			ByVal pTitle As String, _
			ByVal pCondition As String, _
			ByRef pCliSearch As XSP.clsSearch, _
			ByVal pTblCd As String, _
			ByVal pPattern As String)
		'IN項目引き継ぎ
		Me.pForm = pForm
		Me.pPrint = pPrint
		Me.pTitle = pTitle
		Me.pCondition = pCondition
		Me.pCliSearch = pCliSearch
		Me.pTblCd = pTblCd
		Me.pPattern = pPattern
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力処理
	''' </summary>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Friend Function exeReport() As Boolean
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReport", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力処理 Start")
		Dim cliAccess As XSP.clsXTM_PRINTSETTING_ACCESS
		Dim datAccess As XSP.datXTM_PRINTSETTING_ACCESS_OneRec = Nothing
		Dim cliCom As XSP.clsCom
		Dim FilePath As String = Nothing
		Dim flg As Boolean = False
		Try
			cliAccess = New XSP.clsXTM_PRINTSETTING_ACCESS
			cliCom = New XSP.clsCom

			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pForm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBのパスを取得
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)
			Using cliReportFunc As New clsReportFunc(Me.pForm, FilePath, datAccess.REPORT_NM, Me.pPrint)
				'DB処理
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'ワークテーブルのクリア
					cliReportFunc.exeHeaderDel(db, Me.GetType.Name, True)
					cliReportFunc.exeWorkDel(db, sqlMAX020R010.sqlDel_MTW_CHK_HSP_OBJECT, sqlMAX020R010.prmHOST_NM)

					'印刷用データ準備処理
					If Me.exeReportPre(db) = False Then
						Return False
					End If

					'データ件数確認
					Dim icnt = Me.GetPrtDatCnt(db)
					If icnt = 0 Then
						'データが存在しない
						Me.pForm.showMsg("E0004", Nothing, Nothing)
						Return flg
					End If
					'ヘッダの作成
					cliReportFunc.exeHeaderIns(db, Me.getHeaderData, True)
				End Using

				'印刷/プレビュー
				If cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) = False Then
					flg = False
				Else
					flg = True
				End If
			End Using
			Return flg
		Catch ex As Exception
			Throw
		Finally
			cliAccess = Nothing
			datAccess = Nothing
			cliCom = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データ準備処理
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Friend Function exeReportPre(ByRef db As XCM.clsDB) As Boolean
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReportPre", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力用データ準備処理 Start")
		Try
			'各チェックの帳票データを作成
			Select Case Me.pPattern
				'* 入退院歴系 *
				Case sBTN_PTN_1_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK1)
				Case sBTN_PTN_1_2
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK2)
				Case sBTN_PTN_1_3
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK3)
				Case sBTN_PTN_1_4
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK4)
				Case sBTN_PTN_1_5
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK5)
				Case sBTN_PTN_1_6
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK6)
				Case sBTN_PTN_1_7
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK7)
				Case sBTN_PTN_1_8
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK8)
				Case sBTN_PTN_1_9
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK9)
				Case sBTN_PTN_1_10
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK10)
				Case sBTN_PTN_1_11
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK11)
				Case sBTN_PTN_1_12
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK12)
				Case sBTN_PTN_1_13
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK13)
				Case sBTN_PTN_1_14
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK14)
				Case sBTN_PTN_1_15
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK15)
				Case sBTN_PTN_1_16
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK16)
				Case sBTN_PTN_1_17
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK17)
				Case sBTN_PTN_1_18
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK18)
				Case Else
					Return False
			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データ件数の確認
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetPrtDatCnt(ByRef db As XCM.clsDB) As Integer
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetPrtDatCnt", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力用データ件数の確認 Start")
		Dim icnt As Integer = 0
		Try
			Using dat As New DataTable
				'SQL文生成、パラメータ設定
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_SEL_MTW_CHK_HSP_OBJECT)
				db.setParamDa(sqlMAX020R010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlMAX020R010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				db.execQueryDa(dat)

				For Each tmprow As DataRow In dat.Rows
					'件数取得
					icnt = tmprow.Item(sqlMAX020R010.itmCOUNTER)
					Exit For
				Next tmprow
			End Using
			Return icnt
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データの取得（１回のSQL発行で件数が取得できるもの用）
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="tbltyp">実行SQL識別ID</param>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetPrtDat(ByRef db As XCM.clsDB, ByVal tbltyp As Enum_SQLID)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetPrtDat", CST_LOG_PRODUCT, CST_LOG_CLASS, "件数の取得（１回のSQL発行で件数が取得できるもの用） Start")
		Try
			'SQL文生成、パラメータ設定
			Me.setSQL(db, Nothing, tbltyp)
			db.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="prcId">
	''' 取得SQLID
	''' （Enum_SQLID値）
	''' </param>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSQL(ByRef db As XCM.clsDB, ByRef sql As String, Optional ByVal prcId As Integer = Nothing)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSQL", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文作成 Start")
		Try
			Dim strCnd As String = Nothing

			If Me.pCliSearch.getSearch(Me.pForm) = False Then Exit Sub

			'対象のSQL分を設定する
			Select Case prcId
				'* 入退院情報関連
				'病歴番号
				Case Enum_SQLID.SQLID_MTI_HSP_CHK1
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK1_PRT)

				'入院科歴数
				Case Enum_SQLID.SQLID_MTI_HSP_CHK2
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK2_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R010.prmHSP_FLG, XCM.clsDB.Enum_dbType.dbInt)
					db.setVal(sqlMAX020R010.prmHSP_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'主科科歴数
				Case Enum_SQLID.SQLID_MTI_HSP_CHK3
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK3_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R010.prmMAIN_DPM_FLG, XCM.clsDB.Enum_dbType.dbInt)
					db.setVal(sqlMAX020R010.prmMAIN_DPM_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'退院科歴数
				Case Enum_SQLID.SQLID_MTI_HSP_CHK4
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK4_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R010.prmOUT_HSP_FLG, XCM.clsDB.Enum_dbType.dbInt)
					db.setVal(sqlMAX020R010.prmOUT_HSP_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'診療科
				Case Enum_SQLID.SQLID_MTI_HSP_CHK5
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK5_PRT)

				'病棟
				Case Enum_SQLID.SQLID_MTI_HSP_CHK6
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK6_PRT)

				'在院日数
				Case Enum_SQLID.SQLID_MTI_HSP_CHK7
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK7_PRT)

				'医師
				Case Enum_SQLID.SQLID_MTI_HSP_CHK8
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK8_PRT)

				'入院日
				Case Enum_SQLID.SQLID_MTI_HSP_CHK9
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK9_PRT)

				'予定・緊急
				Case Enum_SQLID.SQLID_MTI_HSP_CHK10
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK10_PRT)

				'入院目的
				Case Enum_SQLID.SQLID_MTI_HSP_CHK11
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK11_PRT)

				'入院形態
				Case Enum_SQLID.SQLID_MTI_HSP_CHK12
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK12_PRT)

				'救急車有無
				Case Enum_SQLID.SQLID_MTI_HSP_CHK13
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK13_PRT)

				'退院日
				Case Enum_SQLID.SQLID_MTI_HSP_CHK14
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK14_PRT)

				'退院転帰
				Case Enum_SQLID.SQLID_MTI_HSP_CHK15
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK15_PRT)

				'入院契機
				Case Enum_SQLID.SQLID_MTI_HSP_CHK16
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK16_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R010.prmHSP_CHANCE_DISEASE_FLG, XCM.clsDB.Enum_dbType.dbInt)
					db.setVal(sqlMAX020R010.prmHSP_CHANCE_DISEASE_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'医療資源投入１位
				Case Enum_SQLID.SQLID_MTI_HSP_CHK17
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK17_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R010.prmDISEASE_MED_RES_FLG1, XCM.clsDB.Enum_dbType.dbInt)
					db.setVal(sqlMAX020R010.prmDISEASE_MED_RES_FLG1, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'医療資源投入２位
				Case Enum_SQLID.SQLID_MTI_HSP_CHK18
					Me.setSubSql(db, sqlMAX020R010.sqlIns_MTI_HSP_CHK18_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX020R010.prmDISEASE_MED_RES_FLG2, XCM.clsDB.Enum_dbType.dbInt)
					db.setVal(sqlMAX020R010.prmDISEASE_MED_RES_FLG2, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'* 帳票出力関連
				'TW_チェック入退院対象一覧テーブルのデータ件数確認
				Case Enum_SQLID.SQLID_SEL_MTW_CHK_HSP_OBJECT
					sql = sqlMAX020R010.sqlSel_MTW_CHK_HSP_OBJECT
					db.setSQLDa(sql)
					'パラメータは呼び出し側で設定
				Case Else

			End Select

			'帳票出力関連以外の場合、以下のパラメータを設定
			If prcId.Equals(Enum_SQLID.SQLID_SEL_MTW_CHK_HSP_OBJECT) = False Then
				'共通設定パラメータ
				db.setParam(sqlMAX020R010.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParam(sqlMAX020R010.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParam(sqlMAX020R010.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
				db.setVal(sqlMAX020R010.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				db.setVal(sqlMAX020R010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
				db.setVal(sqlMAX020R010.prmLASTUPD_DT, DateTime.Now())
			End If

		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <remarks>
	''' 2011/11/17 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSubSql(ByRef db As XCM.clsDB, ByVal sql As String, Optional ByVal addTblCd As String = Nothing)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSubSql", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文作成 Start")
		Dim where As String = Nothing
		Try
			where = Me.pCliSearch.getSqlWhere(Me.pTblCd)
			If addTblCd IsNot Nothing Then
				where &= Me.pCliSearch.getSqlWhere(addTblCd)
			End If
			db.setSQL(String.Format(sql, where))
			If Debugger.IsAttached = True Then Debug.Print(String.Format(sql, where))
			Me.pCliSearch.setDbParam(db, Me.pTblCd)
			If addTblCd IsNot Nothing Then
				Me.pCliSearch.setDbParam(db, addTblCd)
			End If

		Catch ex As Exception
			Throw
		Finally
			where = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダ情報編集
	''' </summary>
	''' <returns>ヘッダ情報</returns>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getHeaderData() As datHeader
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeaderData", CST_LOG_PRODUCT, CST_LOG_CLASS, "ヘッダ情報編集 START")
		Dim retHeader As datHeader
		Try
			retHeader = New datHeader
			With retHeader
				.PRT_ID = Me.GetType.Name							'帳票ID	
				.TITLE_NM = Me.pTitle								'タイトル
				.STR1 = Me.pSubTitle								'サブタイトル
				.STR2 = Me.pCondition								'検索条件
				.STR3 = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)	'病歴番号
			End With
			Return retHeader
		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
		End Try
	End Function

#End Region

End Class