﻿Imports System.Runtime.ConstrainedExecution
Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 未入力チェック帳票（未入力チェック対象主病名入退院一覧）
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX020R030

#Region "解放処理"

	'確実な解放処理を実行するために指定
	Inherits System.Runtime.ConstrainedExecution.CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements System.IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			Me.pForm = Nothing
			Me.pPrint = Nothing
			Me.pTitle = Nothing
			Me.pCondition = Nothing
			Me.pCliSearch = Nothing
			Me.pPattern = 0
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "コンスタント"

	'対応SQL取得用
	Private Enum Enum_SQLID As Integer
		'* 入退院情報関連 *
		SQLID_MTI_HSP_CHK19 = 19									'主病名

		'* 帳票出力用ワークテーブル操作用 *				
		SQLID_SEL_MTW_CHK_HSP_OBJECT = 20							'TW_チェック入退院対象一覧のデータ件数確認

	End Enum

	Private Const CST_LOG_PRODUCT As String = "診療情報管理"
	Private Const CST_LOG_CLASS As String = "未入力チェック印刷"
	Private Const sBTN_PTN_1_1 As String = "btn058MAX020F010"		'入退院情報の主病名のチェックに対する印刷ボタン名  （主病名）

#End Region

#Region "変数"

	'IN項目
	Private pForm As frmBase = Nothing								'遷移元画面
	Private pPrint As Boolean = Nothing								'印刷フラグ
	Private pTitle As String = Nothing								'タイトル情報
	Private pSubTitle As String = Nothing							'サブタイトル
	Private pCondition As String = Nothing							'検索条件
	Private pPattern As String = Nothing							'出力パターン
	Private pCliSearch As XSP.clsSearch								'検索条件クラス
	Private pTblCd As String = Nothing								'検索条件選択用キー文字列

	Private eUNIT_CD As XCM.clsConst.Enum_LendUnit = Nothing		'TM_貸出物マスタ.単位

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pTitle">タイトル</param>
	''' <param name="pCondition">条件</param>
	''' <param name="pCliSearch">印刷出力用条件クラス</param>
	''' <param name="pTblCd">検索条件選択用キー文字列</param>
	''' <param name="pPattern">出力帳票パターン</param>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase,
			ByVal pPrint As Boolean, _
			ByVal pTitle As String, _
			ByVal pCondition As String, _
			ByRef pCliSearch As XSP.clsSearch, _
			ByVal pTblCd As String, _
			ByVal pPattern As String)
		'IN項目引き継ぎ
		Me.pForm = pForm
		Me.pPrint = pPrint
		Me.pTitle = pTitle
		Me.pCondition = pCondition
		Me.pCliSearch = pCliSearch
		Me.pTblCd = pTblCd
		Me.pPattern = pPattern
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力処理
	''' </summary>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Friend Function exeReport() As Boolean
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReport", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力処理 Start")
		Dim cliAccess As XSP.clsXTM_PRINTSETTING_ACCESS
		Dim datAccess As XSP.datXTM_PRINTSETTING_ACCESS_OneRec = Nothing
		Dim cliCom As XSP.clsCom
		Dim FilePath As String = Nothing
		Dim flg As Boolean = False
		Try
			cliAccess = New XSP.clsXTM_PRINTSETTING_ACCESS
			cliCom = New XSP.clsCom

			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pForm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBのパスを取得
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)
			Using cliReportFunc As New clsReportFunc(Me.pForm, FilePath, datAccess.REPORT_NM, Me.pPrint)
				'DB処理
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'ワークテーブルのクリア
					cliReportFunc.exeHeaderDel(db, Me.GetType.Name, True)
					cliReportFunc.exeWorkDel(db, sqlMAX020R030.sqlDel_MTW_CHK_HSP_OBJECT, sqlMAX020R030.prmHOST_NM)

					'印刷用データ準備処理
					If Me.exeReportPre(db) = False Then
						Return False
					End If

					'データ件数確認
					Dim icnt = Me.GetPrtDatCnt(db)
					If icnt = 0 Then
						'データが存在しない
						Me.pForm.showMsg("E0004", Nothing, Nothing)
						Return flg
					End If
					'ヘッダの作成
					cliReportFunc.exeHeaderIns(db, Me.getHeaderData, True)
				End Using

				'印刷/プレビュー
				If cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) = False Then
					flg = False
				Else
					flg = True
				End If
			End Using
			Return flg
		Catch ex As Exception
			Throw
		Finally
			cliAccess = Nothing
			datAccess = Nothing
			cliCom = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データ準備処理
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Friend Function exeReportPre(ByRef db As XCM.clsDB) As Boolean
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReportPre", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力用データ準備処理 Start")
		Try
			'各チェックの帳票データを作成
			Select Case Me.pPattern
				'* 入退院歴系 *
				'主病名
				Case sBTN_PTN_1_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_HSP_CHK19)
				Case Else
					Return False
			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データ件数の確認
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetPrtDatCnt(ByRef db As XCM.clsDB) As Integer
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetPrtDatCnt", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力用データ件数の確認 Start")
		Dim icnt As Integer = 0
		Try
			Using dat As New DataTable
				'SQL文生成、パラメータ設定
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_SEL_MTW_CHK_HSP_OBJECT)
				db.setParamDa(sqlMAX020R030.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlMAX020R030.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				db.execQueryDa(dat)

				For Each tmprow As DataRow In dat.Rows
					'件数取得
					icnt = tmprow.Item(sqlMAX020R030.itmCOUNTER)
					Exit For
				Next tmprow
			End Using
			Return icnt
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データの取得（１回のSQL発行で件数が取得できるもの用）
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="tbltyp">実行SQL識別ID</param>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetPrtDat(ByRef db As XCM.clsDB, ByVal tbltyp As Enum_SQLID)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetPrtDat", CST_LOG_PRODUCT, CST_LOG_CLASS, "件数の取得（１回のSQL発行で件数が取得できるもの用） Start")
		Try
			'SQL文生成、パラメータ設定
			Me.setSQL(db, Nothing, tbltyp)
			db.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="prcId">
	''' 取得SQLID
	''' （Enum_SQLID値）
	''' </param>
	''' <remarks>
	''' 2010/11/29 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSQL(ByRef db As XCM.clsDB, ByRef sql As String, Optional ByVal prcId As Integer = Nothing)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetSQL", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文作成 Start")
		Dim adat As DataTable = Nothing
		Try
			Dim strCnd As String = Nothing

			'貸出物マスタから、カルテの貸出物単位を取得する
			Using cliLENDITM As New XSP.clsMTM_LENDITEM
				Dim tmpclr As Drawing.Color = Nothing
				adat = cliLENDITM.getLendItemOneRecDa(XCM.clsConst.Enum_Lenditem.MedicalRecord)
				For Each tmprow As DataRow In adat.Rows
					'単位を取得
					eUNIT_CD = tmprow.Item(sqlMAX020R030.itmUNIT_CD)
					Exit For
				Next tmprow
			End Using

			'対象のSQL分を設定する
			Select Case prcId
				'* 入退院情報関連
				'主病名
				Case Enum_SQLID.SQLID_MTI_HSP_CHK19
					'条件用パラメータ設定
					Me.pCliSearch.getSearch(Me.pForm)
					'管理単位を取得しSQLを決定
					Select Case eUNIT_CD
						Case XCM.clsConst.Enum_LendUnit.Each_Patient
							'患者毎の場合
							sql = String.Format(sqlMAX020R030.sqlIns_MTI_HSP_CHK19_PRT_SUB1, sqlMAX020R030.sqlSel_MTI_HSP_CHK19_PRT_SUB3, Me.pCliSearch.getSqlWhere(Me.pTblCd, False), sqlMAX020R030.sqlSel_MTI_HSP_CHK19_PRT_SUB4)
						Case XCM.clsConst.Enum_LendUnit.Each_Hosp
							'入退院毎の場合
							sql = String.Format(sqlMAX020R030.sqlIns_MTI_HSP_CHK19_PRT_SUB1, sqlMAX020R030.sqlSel_MTI_HSP_CHK19_PRT_SUB3, Me.pCliSearch.getSqlWhere(Me.pTblCd, False), sqlMAX020R030.sqlSel_MTI_HSP_CHK19_PRT_SUB5)
						Case XCM.clsConst.Enum_LendUnit.Each_Dept
							'診療科毎の場合
							sql = String.Format(sqlMAX020R030.sqlIns_MTI_HSP_CHK19_PRT_SUB1, sqlMAX020R030.sqlSel_MTI_HSP_CHK19_PRT_SUB2, Me.pCliSearch.getSqlWhere(Me.pTblCd, False), String.Empty)
					End Select
					db.setSQL(sql)
					Me.pCliSearch.setDbParam(db, Me.pTblCd)

					'追加設定パラメータ
					db.setParam(sqlMAX020R030.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX020R030.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX020R030.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setParam(sqlMAX020R030.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX020R030.prmMAIN_DPM_FLG, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setVal(sqlMAX020R030.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX020R030.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX020R030.prmLASTUPD_DT, DateTime.Now())
					db.setVal(sqlMAX020R030.prmFIXED_CD, XCM.clsConst.Enum_Disease_Div_Fix1.MainDisease)
					db.setVal(sqlMAX020R030.prmMAIN_DPM_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

					'* 帳票出力関連
					'TW_チェック入退院対象一覧テーブルのデータ件数確認
				Case Enum_SQLID.SQLID_SEL_MTW_CHK_HSP_OBJECT
					sql = sqlMAX020R030.sqlSel_MTW_CHK_HSP_OBJECT
					db.setSQLDa(sql)
					'パラメータは呼び出し側で設定
				Case Else

			End Select

		Catch ex As Exception
			Throw
		Finally
			If adat Is Nothing = False Then
				adat.Dispose()
			End If
			adat = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダ情報編集
	''' </summary>
	''' <returns>ヘッダ情報</returns>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getHeaderData() As datHeader
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeaderData", CST_LOG_PRODUCT, CST_LOG_CLASS, "ヘッダ情報編集 START")
		Dim retHeader As datHeader
		Try
			retHeader = New datHeader
			With retHeader
				.PRT_ID = Me.GetType.Name							'帳票ID	
				.TITLE_NM = Me.pTitle								'タイトル
				.STR1 = Me.pSubTitle								'サブタイトル
				.STR2 = Me.pCondition								'検索条件
				.STR3 = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)	  '病歴番号
			End With
			Return retHeader
		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
		End Try
	End Function

#End Region

End Class