﻿Imports System.Windows.Forms
Imports System.ComponentModel
Imports System.Drawing

Imports XSP

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 論理チェック
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX030F010

#Region "コンスタント"

	'対応SQL取得用
	Private Enum Enum_SQLID As Integer
		'* 入退院情報関連 *
		SQLID_MTI_HSP_ALL = 1						'入退院情報総件数取得用
		SQLID_MTI_HSP_BASE = 2						'入退院情報比較元データ取得用
		SQLID_MTI_HSP_CHK1 = 3						'入院日が前の退院日より過去のデータ件数チェック用
		SQLID_MTI_HSP_CHK2 = 4						'退院日が次の入院日より未来のデータ件数チェック用
		SQLID_MTI_HSP_CHK3 = 5						'退院転帰「死亡」が複数存在するデータ件数チェック用
		SQLID_MTI_HSP_CHK4 = 6						'入院契機が１入退院内に複数存在するデータ件数チェック用
		SQLID_MTI_HSP_CHK5 = 7						'医療投入資源１位が１入退院内に２つ以上存在するデータ件数チェック用
		SQLID_MTI_HSP_CHK6 = 8						'医療投入資源２位が１入退院内に２つ以上存在するデータ件数チェック用
		SQLID_MTI_HSP_CHK7_SUB1 = 9					'入退院歴内の科歴の前後関係チェック比較元データ取得用
		SQLID_MTI_HSP_CHK7_SUB2 = 10				'入退院歴内の科歴の前後関係チェック比較先データ取得用
		'* 死亡情報関連 *
		SQLID_MTI_DEATH_ALL = 11					'死亡情報総件数取得用
		SQLID_MTI_DEATH_CHK1 = 12					'死亡日と最新入退院歴の退院日が一致しないデータ件数取得用
		'* 科歴情報関連 *
		SQLID_MTI_CH_ALL = 13						'科歴情報総件数取得用
		SQLID_MTI_CH_CHK1_SUB1 = 14					'開始経路が転科のとき転科元の科歴が存在しないデータ件数チェック比較元データ取得用
		SQLID_MTI_CH_CHK1_SUB2 = 15					'開始経路が転科のとき転科元の科歴が存在しないデータ件数チェック用
		SQLID_MTI_CH_CHK2_SUB1 = 16					'終了経路が転科のとき転科先の科歴が存在しないデータ件数チェック比較元データ取得用
		SQLID_MTI_CH_CHK2_SUB2 = 17					'終了経路が転科のとき転科先の科歴が存在しないデータ件数チェック用
		SQLID_MTI_CH_CHK3 = 18						'開始日が入院科歴の開始日より過去のデータ件数チェック用
		SQLID_MTI_CH_CHK4 = 19						'終了日が入院科歴の終了日より未来のデータ件数チェック用
		'* 手術情報関連 *
		SQLID_MTI_OPE_ALL = 20						'手術情報総件数取得用
		SQLID_MTI_OPE_CHK1 = 21						'手術開始日が科開始日より過去のデータ件数チェック用
		SQLID_MTI_OPE_CHK2 = 22						'手術終了日が科終了日より未来のデータ件数チェック用
		SQLID_MTI_OPE_CHK3_CHK4 = 23				'術前日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のデータ件数チェック用
													'＆術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のデータ件数チェック用
		'* 病棟情報関連 *
		SQLID_MTI_WARD_ALL = 24						'病棟情報総件数取得用
		SQLID_MTI_WARD_CHK1 = 25					'病棟開始日が科開始日より過去のデータ件数チェック用
		SQLID_MTI_WARD_CHK2 = 26					'病棟終了日が科終了日より未来のデータ件数チェック用
		SQLID_MTI_WARD_CHK3_CHK5 = 27				'病棟開始日が前の病棟終了日より過去のデータ件数チェック用
													'＆科歴内での病棟の前後関係
		SQLID_MTI_WARD_CHK4 = 28					'病棟開始日が病棟終了日より過去のデータ件数チェック用
		'* 救命救急情報関連 *
		SQLID_MTI_EMERGENCY_ALL = 29				'救命救急情報総件数取得用
		SQLID_MTI_EMERGENCY_CHK1 = 30				'救命救急入室日が科開始日より過去のデータ件数チェック用
		SQLID_MTI_EMERGENCY_CHK2 = 31				'救命救急退室日が科終了日より未来のデータ件数チェック用
		'* 分娩情報関連 *
		SQLID_MTI_CB_ALL = 32						'分娩情報総件数取得用
		SQLID_MTI_CB_CHK1 = 33						'分娩日が科開始日より過去のデータ件数チェック用
		SQLID_MTI_CB_CHK2 = 34						'分娩日が科終了日より未来のデータ件数チェック用
		'* その他（データ取得用） *
		SQLID_GET_BASE = 35							'複数のチェックで共有している比較元データ取得用
	End Enum

	'画面文言切替用
	Private Const strOPE_WORD_STARTEND1 As String = "１）手術開始日が科開始日より過去である"
	Private Const strOPE_WORD_STARTEND2 As String = "２）手術終了日が科終了日より未来である"
	Private Const strOPE_WORD_HSPOUT1 As String = "１）手術開始日が入院日より過去である"
	Private Const strOPE_WORD_HSPOUT2 As String = "２）手術終了日が退院日より未来である"
	Private Const strCB_WORD_STARTEND1 As String = "１）分娩日が科開始日より過去である"
	Private Const strCB_WORD_STARTEND2 As String = "２）分娩日が科終了日より未来である"
	Private Const strCB_WORD_HSPOUT1 As String = "１）分娩日が入院日より過去である"
	Private Const strCB_WORD_HSPOUT2 As String = "２）分娩日が退院日より未来である"

#End Region

#Region "変数"

	Private strENV0005 As String					'動作環境（転科、転棟の終了日、開始日の関係）
    Private strENV0067 As String                    '動作環境（手術実施日登録可能範囲）
    Private strENV0071 As String                    '動作環境（分娩日登録可能範囲）
	Private strENV0078 As String					'動作環境（術前日数の計算式の選択）
	Private strENV0079 As String					'動作環境（術後日数の計算式の選択）
#End Region

#Region "イベント"

	'''---------------------------------------------
	''' <summary>
	''' 論理チェック画面＿初期設定
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/16 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX030F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.IsDisposed = True Then Return
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX030F010_Load", "論理チェック画面＿初期設定 Start")
		Try
			'（転科、転棟の終了日、開始日の関係）
			Me.strENV0005 = XCM.clsSysMst.ctlEnvData.getEnv(XCM.datEnv.Enum_ENV.ENV_00005)
			'（手術実施日登録可能範囲）
            Me.strENV0067 = XCM.clsSysMst.ctlEnvData.getEnv(XCM.datEnv.Enum_ENV.ENV_00067)
            '（分娩日登録可能範囲）
            Me.strENV0071 = XCM.clsSysMst.ctlEnvData.getEnv(XCM.datEnv.Enum_ENV.ENV_00071)
			'（術前日数の計算式の選択）
			Me.strENV0078 = XCM.clsSysMst.ctlEnvData.getEnv(XCM.datEnv.Enum_ENV.ENV_00078)
			'（術後日数の計算式の選択）
			Me.strENV0079 = XCM.clsSysMst.ctlEnvData.getEnv(XCM.datEnv.Enum_ENV.ENV_00079)

			'入退院歴チェックボックス連動チェックボックス群
			Me.chkObjs_HSP = New XCM.BT_CheckBox() { _
													Me.chk004MAX030F010, Me.chk007MAX030F010, Me.chk010MAX030F010, _
													Me.chk013MAX030F010, Me.chk016MAX030F010, Me.chk019MAX030F010, Me.chk022MAX030F010}

			'死亡チェックボックス連動チェックボックス群
			Me.chkObjs_DEATH = New XCM.BT_CheckBox() { _
													Me.chk027MAX030F010}

			'科歴チェックボックス連動チェックボックス群
			Me.chkObjs_CH = New XCM.BT_CheckBox() { _
													Me.chk033MAX030F010, Me.chk036MAX030F010, Me.chk039MAX030F010, Me.chk042MAX030F010}

			'手術チェックボックス連動チェックボックス群
			Me.chkObjs_OPE = New XCM.BT_CheckBox() { _
													Me.chk047MAX030F010, Me.chk050MAX030F010, Me.chk053MAX030F010, Me.chk056MAX030F010}

			'病棟チェックボックス連動チェックボックス群
			Me.chkObjs_WARD = New XCM.BT_CheckBox() { _
													Me.chk061MAX030F010, Me.chk064MAX030F010, Me.chk067MAX030F010, Me.chk070MAX030F010, Me.chk073MAX030F010}

			'救命救急チェックボックス連動チェックボックス群
			Me.chkObjs_EME = New XCM.BT_CheckBox() { _
													Me.chk078MAX030F010, Me.chk081MAX030F010}

			'分娩チェックボックス連動チェックボックス群
			Me.chkObjs_CB = New XCM.BT_CheckBox() { _
													Me.chk086MAX030F010, Me.chk089MAX030F010}

			'カウンタラベル群（総件数系を除く）
			Me.lblObjs_Cnt = New System.Windows.Forms.Label() { _
													Me.lbl005MAX030F010, Me.lbl008MAX030F010, Me.lbl011MAX030F010, _
													Me.lbl014MAX030F010, Me.lbl017MAX030F010, Me.lbl020MAX030F010, Me.lbl023MAX030F010, _
													Me.lbl028MAX030F010, _
													Me.lbl034MAX030F010, Me.lbl037MAX030F010, Me.lbl040MAX030F010, Me.lbl043MAX030F010, _
													Me.lbl048MAX030F010, Me.lbl051MAX030F010, Me.lbl054MAX030F010, Me.lbl057MAX030F010, _
													Me.lbl062MAX030F010, Me.lbl065MAX030F010, Me.lbl068MAX030F010, Me.lbl071MAX030F010, Me.lbl074MAX030F010, _
													Me.lbl079MAX030F010, Me.lbl082MAX030F010, _
													Me.lbl087MAX030F010, Me.lbl090MAX030F010}

			'印刷ボタン群
			Me.btnObjs_Prt = New System.Windows.Forms.Button() { _
													Me.btn006MAX030F010, Me.btn009MAX030F010, Me.btn012MAX030F010, _
													Me.btn015MAX030F010, Me.btn018MAX030F010, Me.btn021MAX030F010, Me.btn024MAX030F010, _
													Me.btn029MAX030F010, _
													Me.btn035MAX030F010, Me.btn038MAX030F010, Me.btn041MAX030F010, Me.btn044MAX030F010, _
													Me.btn049MAX030F010, Me.btn052MAX030F010, Me.btn055MAX030F010, Me.btn058MAX030F010, _
													Me.btn063MAX030F010, Me.btn066MAX030F010, Me.btn069MAX030F010, Me.btn072MAX030F010, Me.btn075MAX030F010, _
													Me.btn080MAX030F010, Me.btn083MAX030F010, _
													Me.btn088MAX030F010, Me.btn091MAX030F010}

			'前回値保存対象コントロール
			Me.strLastValues = New String() { _
													Me.chk002MAX030F010.Name,
													Me.chk004MAX030F010.Name, Me.chk007MAX030F010.Name, Me.chk010MAX030F010.Name, Me.chk013MAX030F010.Name,
													Me.chk016MAX030F010.Name, Me.chk019MAX030F010.Name, Me.chk022MAX030F010.Name,
													Me.chk025MAX030F010.Name,
													Me.chk027MAX030F010.Name,
													Me.chk031MAX030F010.Name,
													Me.chk033MAX030F010.Name, Me.chk036MAX030F010.Name, Me.chk039MAX030F010.Name, Me.chk042MAX030F010.Name,
													Me.chk045MAX030F010.Name,
													Me.chk047MAX030F010.Name, Me.chk050MAX030F010.Name, Me.chk053MAX030F010.Name, Me.chk056MAX030F010.Name,
													Me.chk059MAX030F010.Name,
													Me.chk061MAX030F010.Name, Me.chk064MAX030F010.Name, Me.chk067MAX030F010.Name, Me.chk070MAX030F010.Name, Me.chk073MAX030F010.Name,
													Me.chk076MAX030F010.Name,
													Me.chk078MAX030F010.Name, Me.chk081MAX030F010.Name,
													Me.chk084MAX030F010.Name,
													Me.chk086MAX030F010.Name, Me.chk089MAX030F010.Name
												}

			'画面初期化
			Me.ClearDsp(ENUM_SET_CONTROL.ENUM_LOAD)
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.CancelProc()
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 論理チェック画面＿表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/17 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX030F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX030F010_Shown", "論理チェック画面＿表示 Start")
		Try
			Me.Cursor = Cursors.WaitCursor
			'前回値の反映
			Me.LoadLastValue(Me.strLastValues)
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 論理チェック画面＿破棄
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/17 新規作成 ACS)福士
	''' </remarks>
	'''---------------------------------------------
	Private Sub MAX030F010_FormClosing(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.FormClosing
		Me.log(XCM.clsSysMst.logLevel.NRM, "MAX030F010_Disposed", "論理チェック画面＿破棄 Start")
		Try
			If Me.cancelFlg = False Then
				'前回値の保存
				Me.SaveLastValue(Me.strLastValues)
			End If
		Catch ex As Exception
			Me.ErrorProc(ex)
		Finally
			Me.strLastValues = Nothing
			Me.chkObjs_HSP = Nothing
			Me.chkObjs_DEATH = Nothing
			Me.chkObjs_CH = Nothing
			Me.chkObjs_OPE = Nothing
			Me.chkObjs_WARD = Nothing
			Me.chkObjs_EME = Nothing
			Me.chkObjs_CB = Nothing
		End Try
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 帳票名取得処理
	''' </summary>
	''' <returns>帳票名</returns>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetPrintTitle(ByVal obtn As System.Windows.Forms.Button) As String
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetPrintTitle", "帳票名取得処理 Start")
		Dim stitle As String = Nothing
		Dim ssubt As String = Nothing
		Try
			Const shyphen As String = "－"
			Const sarcL As String = "（"
			Const sarcR As String = "）"
			Dim ochk1 As System.Windows.Forms.CheckBox = Nothing
			Dim ochk2 As System.Windows.Forms.CheckBox = Nothing

			'文字列取得元コントロール設定（チェックボックス）
			Select Case True
				'* 入退院情報系 *
				Case obtn Is Me.btn006MAX030F010
					ochk1 = Me.chk002MAX030F010
					ochk2 = Me.chk004MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn009MAX030F010
					ochk1 = Me.chk002MAX030F010
					ochk2 = Me.chk007MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn012MAX030F010
					ochk1 = Me.chk002MAX030F010
					ochk2 = Me.chk010MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn015MAX030F010
					ochk1 = Me.chk002MAX030F010
					ochk2 = Me.chk013MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn018MAX030F010
					ochk1 = Me.chk002MAX030F010
					ochk2 = Me.chk016MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn021MAX030F010
					ochk1 = Me.chk002MAX030F010
					ochk2 = Me.chk019MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn024MAX030F010
					ochk1 = Me.chk002MAX030F010
					ochk2 = Me.chk022MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1) & "が違う"

				'* 死亡情報系 *
				Case obtn Is Me.btn029MAX030F010
					ochk1 = Me.chk025MAX030F010
					ochk2 = Me.chk027MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)

				'* 科歴情報系 *
				Case obtn Is Me.btn035MAX030F010
					ochk1 = Me.chk031MAX030F010
					ochk2 = Me.chk033MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn038MAX030F010
					ochk1 = Me.chk031MAX030F010
					ochk2 = Me.chk036MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn041MAX030F010
					ochk1 = Me.chk031MAX030F010
					ochk2 = Me.chk039MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn044MAX030F010
					ochk1 = Me.chk031MAX030F010
					ochk2 = Me.chk042MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)

				'* 手術情報系 *
				Case obtn Is Me.btn049MAX030F010
					ochk1 = Me.chk045MAX030F010
					ochk2 = Me.chk047MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn052MAX030F010
					ochk1 = Me.chk045MAX030F010
					ochk2 = Me.chk050MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn055MAX030F010
					ochk1 = Me.chk045MAX030F010
					ochk2 = Me.chk053MAX030F010
					ssubt = "術前日数が計算値と違う"
				Case obtn Is Me.btn058MAX030F010
					ochk1 = Me.chk045MAX030F010
					ochk2 = Me.chk056MAX030F010
					ssubt = "術後日数が計算値と違う"

				'* 病棟情報系 *
				Case obtn Is Me.btn063MAX030F010
					ochk1 = Me.chk059MAX030F010
					ochk2 = Me.chk061MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn066MAX030F010
					ochk1 = Me.chk059MAX030F010
					ochk2 = Me.chk064MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn069MAX030F010
					ochk1 = Me.chk059MAX030F010
					ochk2 = Me.chk067MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn072MAX030F010
					ochk1 = Me.chk059MAX030F010
					ochk2 = Me.chk070MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn075MAX030F010
					ochk1 = Me.chk059MAX030F010
					ochk2 = Me.chk073MAX030F010
					ssubt = "科歴内の病棟前後関係が違う"

				'* 救命救急情報系 *
				Case obtn Is Me.btn080MAX030F010
					ochk1 = Me.chk076MAX030F010
					ochk2 = Me.chk078MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn083MAX030F010
					ochk1 = Me.chk076MAX030F010
					ochk2 = Me.chk081MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)

				'* 分娩情報系 *
				Case obtn Is Me.btn088MAX030F010
					ochk1 = Me.chk084MAX030F010
					ochk2 = Me.chk086MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)
				Case obtn Is Me.btn091MAX030F010
					ochk1 = Me.chk084MAX030F010
					ochk2 = Me.chk089MAX030F010
					ssubt = ochk2.Text.Substring(ochk2.Text.IndexOf(sarcR) + 1)

				Case Else
			End Select

			'文字列の結合
			If ochk1 Is Nothing = False AndAlso _
			   ochk2 Is Nothing = False Then
				stitle &= Me.lbl002MAX000F020.Text.Replace(Space(1), vbNullString) _
						 & ochk1.Text.Substring(0, 1) _
						 & shyphen _
						 & ochk2.Text.Substring(0, 1) & "," _
						 & sarcL _
						 & ssubt _
						 & sarcR
			End If
			Return stitle
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 件数の取得（１回のSQL発行で件数が取得できるもの用）
	''' </summary>
	''' <returns>レコード取得件数（-1の場合は取得失敗）</returns>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetAllCnt(ByVal db As XCM.clsDB, ByVal tbltyp As Enum_SQLID) As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetAllCnt", "件数の取得（１回のSQL発行で件数が取得できるもの用） Start")
		Try
			Using dat As New DataTable
				'SQL文生成、パラメータ設定
				Me.setSQL(db, Nothing, tbltyp)
				db.execQueryDa(dat)
				'件数取得
				If dat.Rows.Count > 0 Then
					Return dat.Rows(0).Item(sqlMAX030F010.itmCOUNTER)
				Else
					Return 0
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 入院日が前の退院日よりも過去日のチェック
	''' </summary>
	''' <returns>レコード取得件数</returns>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetMTI_HSP_CHK1() As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetMTI_HSP_CHK1", "入院日が前の退院日よりも過去日のチェック Start")
		Dim icnt As Integer = 0
		Dim icntall As Integer = 0
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'チェック元情報の取得
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_BASE)
				db.execQueryDa(datM)

				'チェック処理
				For Each tmpdatM As DataRow In datM.Rows
					Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030F010.itmPATIENT_NO).ToString
					Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030F010.itmHSP_HISTORY_NO)
					Dim sHSP_DT As String = tmpdatM.Item(sqlMAX030F010.itmHSP_DT).ToString
					Dim sOUT_HSP_DT As String = Nothing

					'ステータスバーにメッセージ表示
					icntall += 1
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "1.1" & Space(2) & icntall.ToString(XCM.clsConst.CST_KENSU_FORMAT) & "件目", Nothing)
					Me.sst001frmBase.Refresh()

                    '比較先データの取得
                    datR.Clear()
                    Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_CHK1)
					db.setParamDa(sqlMAX030F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMAX030F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlMAX030F010.prmPATIENT_NO, sPATIENT_NO)
					db.setValDa(sqlMAX030F010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
					db.execQueryDa(datR)

					For Each tmpdatR As DataRow In datR.Rows
						'入院日取得
						sOUT_HSP_DT = tmpdatR.Item(sqlMAX030F010.itmOUT_HSP_DT).ToString

						'入院日が前の退院日よりも過去
						If String.IsNullOrEmpty(sHSP_DT) = False AndAlso _
						   String.IsNullOrEmpty(sOUT_HSP_DT) = False AndAlso _
						   Date.Compare(Date.Parse(sHSP_DT), Date.Parse(sOUT_HSP_DT)) = -1 Then
							'エラー数カウントアップ
							icnt += 1
						End If
						Exit For
					Next tmpdatR
				Next tmpdatM
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メッセージバー表示クリア
			Me.clearMsgBar()
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
		Return icnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 退院日が次の入院日よりも未来日のチェック
	''' </summary>
	''' <returns>レコード取得件数</returns>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetMTI_HSP_CHK2() As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetMTI_HSP_CHK2", "退院日が次の入院日よりも未来日のチェック Start")
		Dim icnt As Integer = 0
		Dim icntall As Integer = 0
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'チェック元情報の取得
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_BASE)
				db.execQueryDa(datM)

				'チェック処理
				For Each tmpdatM As DataRow In datM.Rows
					Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030F010.itmPATIENT_NO).ToString
					Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030F010.itmHSP_HISTORY_NO)
					Dim sHSP_DT As String = Nothing
					Dim sOUT_HSP_DT As String = tmpdatM.Item(sqlMAX030F010.itmOUT_HSP_DT).ToString

					'比較先データの取得
					'ステータスバーにメッセージ表示
					icntall += 1
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "1.2" & Space(2) & icntall.ToString(XCM.clsConst.CST_KENSU_FORMAT) & "件目", Nothing)
					Me.sst001frmBase.Refresh()

					'比較先データの取得
					datR.Clear()
					Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_CHK2)
					db.setParamDa(sqlMAX030F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMAX030F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlMAX030F010.prmPATIENT_NO, sPATIENT_NO)
					db.setValDa(sqlMAX030F010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
					db.execQueryDa(datR)

					For Each tmpdatR As DataRow In datR.Rows
						'入院日取得
						sHSP_DT = tmpdatR.Item(sqlMAX030F010.itmHSP_DT).ToString

						'退院日が次の入院日よりも未来
						If (String.IsNullOrEmpty(sOUT_HSP_DT) = False AndAlso _
							String.IsNullOrEmpty(sHSP_DT) = False AndAlso _
							Date.Compare(Date.Parse(sOUT_HSP_DT), Date.Parse(sHSP_DT)) = 1) Then
							icnt += 1
						End If
						Exit For
					Next tmpdatR
				Next tmpdatM
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メッセージバー表示クリア
			Me.clearMsgBar()
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
		Return icnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 入退院歴内の科歴の前後関係チェック
	''' </summary>
	''' <returns>レコード取得件数</returns>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetMTI_HSP_CHK7() As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetMTI_HSP_CHK7", "入退院歴内の科歴の前後関係チェック Start")
		Dim icnt As Integer = 0
		Dim icntall As Integer = 0
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'チェック元情報の取得
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_CHK7_SUB1)
				db.execQueryDa(datM)

				'チェック処理
				For Each tmpdatM As DataRow In datM.Rows
					Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030F010.itmPATIENT_NO)
					Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030F010.itmHSP_HISTORY_NO)
					Dim sSTART_DT As String = Nothing
					Dim sEND_DT As String = Nothing

					'比較先データの取得
					'ステータスバーにメッセージ表示
					icntall += 1
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "1.7" & Space(2) & icntall.ToString(XCM.clsConst.CST_KENSU_FORMAT) & "件目", Nothing)
					Me.sst001frmBase.Refresh()

					'チェック先情報の取得
					datR.Clear()
					Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_HSP_CHK7_SUB2)
					db.setParamDa(sqlMAX030F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMAX030F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setParamDa(sqlMAX030F010.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030F010.prmPATIENT_NO, sPATIENT_NO)
					db.setValDa(sqlMAX030F010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
					db.setValDa(sqlMAX030F010.prmFIXED_CD, XCM.clsConst.Enum_HspChannel_Fix1.HoldDept)
					db.execQueryDa(datR)

					'比較処理
					For Each tmpdatR As DataRow In datR.Rows
						'開始日の取得
						sSTART_DT = tmpdatR.Item(sqlMAX030F010.itmSTART_DT).ToString

						'動作環境（転科、転棟の終了日、開始日の関係）で比較方法異なる
						Select Case Me.strENV0005
							'同一日
							Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual
								'１つ前の科歴情報の終了日と、比較元科歴情報の開始日が異なる？
								If String.IsNullOrEmpty(sSTART_DT) = False AndAlso _
								   String.IsNullOrEmpty(sEND_DT) = False AndAlso _
								   Date.Compare(Date.Parse(sSTART_DT), Date.Parse(sEND_DT)) <> 0 Then
									icnt += 1
									Exit For
								End If
							'一日ずらす
							Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift
								'１つ前の科歴情報の終了日と、比較元科歴情報の開始日（および１日ずらした開始日）が異なる？
								If String.IsNullOrEmpty(sSTART_DT) = False AndAlso _
								   String.IsNullOrEmpty(sEND_DT) = False Then
									Dim bfrDay As String = Date.Parse(sSTART_DT).AddDays(-1)
									If Date.Compare(Date.Parse(sSTART_DT), Date.Parse(sEND_DT)) <> 0 AndAlso _
									   Date.Compare(Date.Parse(bfrDay), Date.Parse(sEND_DT)) <> 0 Then
										icnt += 1
										Exit For
									End If
								End If
							Case Else
						End Select

						'終了日の取得
						sEND_DT = tmpdatR.Item(sqlMAX030F010.itmEND_DT).ToString
					Next tmpdatR
				Next tmpdatM
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メッセージバー表示クリア
			Me.clearMsgBar()
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
		Return icnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 科歴内の転科元終了日との前後関係チェック
	''' </summary>
	''' <returns>レコード取得件数</returns>
	''' <remarks>
	''' 2010/11/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetMTI_CH_CHK1() As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetMTI_CH_CHK1", "科歴内の転科元終了日との前後関係チェック Start")
		Dim icnt As Integer = 0
		Dim icntall As Integer = 0
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'チェック元情報の取得
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_CH_CHK1_SUB1)
				db.execQueryDa(datM)

				'チェック処理
				For Each tmpdatM As DataRow In datM.Rows
					Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030F010.itmPATIENT_NO)
					Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030F010.itmHSP_HISTORY_NO)
					Dim iCH_NO As Integer = tmpdatM.Item(sqlMAX030F010.itmCH_NO)
					Dim sSTART_DT As String = tmpdatM.Item(sqlMAX030F010.itmSTART_DT).ToString
					Dim sEND_DT As String = Nothing

					'比較先データの取得
					'ステータスバーにメッセージ表示
					icntall += 1
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "3.1" & Space(2) & icntall.ToString(XCM.clsConst.CST_KENSU_FORMAT) & "件目", Nothing)
					Me.sst001frmBase.Refresh()

					'チェック先情報の取得
					datR.Clear()
					Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_CH_CHK1_SUB2)
					db.setParamDa(sqlMAX030F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMAX030F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setParamDa(sqlMAX030F010.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlMAX030F010.prmPATIENT_NO, sPATIENT_NO)
					db.setValDa(sqlMAX030F010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
					db.setValDa(sqlMAX030F010.prmCH_NO, iCH_NO, False)
					db.execQueryDa(datR)

					'比較処理
					If datR.Rows.Count = 0 Then
						'転科元が存在しないためエラー
						icnt += 1
					Else
						For Each tmpdatR As DataRow In datR.Rows
							'終了日の取得
							sEND_DT = tmpdatR.Item(sqlMAX030F010.itmEND_DT).ToString

							'動作環境（転科、転棟の終了日、開始日の関係）で比較方法異なる
							Select Case Me.strENV0005
								'同一日
								Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual
									'転科元の科歴情報の終了日と、比較元科歴情報の開始日が異なる？
									If String.IsNullOrEmpty(sSTART_DT) = False AndAlso _
									   String.IsNullOrEmpty(sEND_DT) = False AndAlso _
									   Date.Compare(Date.Parse(sSTART_DT), Date.Parse(sEND_DT)) <> 0 Then
										icnt += 1
									End If
								'一日ずらす
								Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift
									'転科元の科歴情報の終了日と、比較元科歴情報の開始日（および１日ずらした開始日）が異なる？
									If String.IsNullOrEmpty(sSTART_DT) = False AndAlso _
									   String.IsNullOrEmpty(sEND_DT) = False Then
										Dim bfrDay As String = Date.Parse(sSTART_DT).AddDays(-1)
										If Date.Compare(Date.Parse(sSTART_DT), Date.Parse(sEND_DT)) <> 0 AndAlso _
										   Date.Compare(Date.Parse(bfrDay), Date.Parse(sEND_DT)) <> 0 Then
											icnt += 1
										End If
									End If
								Case Else
							End Select
							Exit For
						Next tmpdatR
					End If
				Next tmpdatM
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メッセージバー表示クリア
			Me.clearMsgBar()
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
		Return icnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 科歴内の転科先開始日との前後関係チェック
	''' </summary>
	''' <returns>レコード取得件数</returns>
	''' <remarks>
	''' 2010/11/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetMTI_CH_CHK2() As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetMTI_CH_CHK2", "科歴内の転科先開始日との前後関係チェック Start")
		Dim icnt As Integer = 0
		Dim icntall As Integer = 0
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'チェック元情報の取得
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_CH_CHK2_SUB1)
				db.execQueryDa(datM)

				'チェック処理
				For Each tmpdatM As DataRow In datM.Rows
					Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030F010.itmPATIENT_NO)
					Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030F010.itmHSP_HISTORY_NO)
					Dim iCH_NO As Integer = tmpdatM.Item(sqlMAX030F010.itmCH_NO)
					Dim sSTART_DT As String = Nothing
					Dim sEND_DT As String = tmpdatM.Item(sqlMAX030F010.itmEND_DT).ToString

					'比較先データの取得
					'ステータスバーにメッセージ表示
					icntall += 1
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "3.2" & Space(2) & icntall.ToString(XCM.clsConst.CST_KENSU_FORMAT) & "件目", Nothing)
					Me.sst001frmBase.Refresh()

					'チェック先情報の取得
					datR.Clear()
					Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_CH_CHK2_SUB2)
					db.setParamDa(sqlMAX030F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMAX030F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setParamDa(sqlMAX030F010.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlMAX030F010.prmPATIENT_NO, sPATIENT_NO)
					db.setValDa(sqlMAX030F010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
					db.setValDa(sqlMAX030F010.prmCH_NO, iCH_NO, False)
					db.execQueryDa(datR)

					'比較処理
					If datR.Rows.Count = 0 Then
						'転科元が存在しないためエラー
						icnt += 1
					Else
						For Each tmpdatR As DataRow In datR.Rows
							'開始日の取得
							sSTART_DT = tmpdatR.Item(sqlMAX030F010.itmSTART_DT).ToString

							'動作環境（転科、転棟の終了日、開始日の関係）で比較方法異なる
							Select Case Me.strENV0005
								'同一日
								Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual
									'転科先の科歴情報の開始日と、比較元科歴情報の終了日が異なる？
									If String.IsNullOrEmpty(sSTART_DT) = False AndAlso _
									   String.IsNullOrEmpty(sEND_DT) = False AndAlso _
									   Date.Compare(Date.Parse(sSTART_DT), Date.Parse(sEND_DT)) <> 0 Then
										icnt += 1
									End If
								'一日ずらす
								Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift
									'転科先の科歴情報の開始日と、比較元科歴情報の終了日（および１日ずらした終了日）が異なる？
									If String.IsNullOrEmpty(sSTART_DT) = False AndAlso _
									   String.IsNullOrEmpty(sEND_DT) = False Then
										Dim bfrDay As String = Date.Parse(sEND_DT).AddDays(1)
										If Date.Compare(Date.Parse(sSTART_DT), Date.Parse(sEND_DT)) <> 0 AndAlso _
										   Date.Compare(Date.Parse(sSTART_DT), Date.Parse(bfrDay)) <> 0 Then
											icnt += 1
										End If
									End If
								Case Else
							End Select
							Exit For
						Next tmpdatR
					End If
				Next tmpdatM
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メッセージバー表示クリア
			Me.clearMsgBar()
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
		Return icnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 術前日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のチェック
	''' </summary>
	''' <returns>レコード取得件数</returns>
	''' <remarks>
	''' 2010/11/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetMTI_OPE_CHK3() As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetMTI_OPE_CHK3", "術前日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のチェック Start")
		Dim icnt As Integer = 0
		Dim icntall As Integer = 0
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'チェック元情報の取得
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_GET_BASE)
				db.execQueryDa(datM)

				'チェック処理
				For Each tmpdatM As DataRow In datM.Rows
					Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030F010.itmPATIENT_NO).ToString
					Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030F010.itmHSP_HISTORY_NO)
					Dim sCH_NO As String = tmpdatM.Item(sqlMAX030F010.itmCH_NO).ToString
					Dim sHSP_DT As String = tmpdatM.Item(sqlMAX030F010.itmHSP_DT).ToString

					'比較先データの取得
					'ステータスバーにメッセージ表示
					icntall += 1
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "4.3" & Space(2) & icntall.ToString(XCM.clsConst.CST_KENSU_FORMAT) & "件目", Nothing)
					Me.sst001frmBase.Refresh()

					If String.IsNullOrEmpty(sCH_NO) = False Then
						'チェック先情報の取得
						datR.Clear()
						Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_OPE_CHK3_CHK4)
						db.setParamDa(sqlMAX030F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(sqlMAX030F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
						db.setParamDa(sqlMAX030F010.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
						db.setValDa(sqlMAX030F010.prmPATIENT_NO, sPATIENT_NO)
						db.setValDa(sqlMAX030F010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
						db.setValDa(sqlMAX030F010.prmCH_NO, CInt(sCH_NO), False)
						db.execQueryDa(datR)

						For Each tmpdatR As DataRow In datR.Rows
							'手術日、術前日数の取得
							Dim sOPE_DT As String = tmpdatR.Item(sqlMAX030F010.itmOPE_DT).ToString
							Dim sPRE_OPE_DAYS As String = tmpdatR.Item(sqlMAX030F010.itmPRE_OPE_DAYS).ToString
							Dim idays As Integer = 0

							'手術日、術前日数がNullなどの場合、比較日数を0に設定
							If String.IsNullOrEmpty(sHSP_DT) = True OrElse _
							   String.IsNullOrEmpty(sOPE_DT) = True OrElse _
							   String.IsNullOrEmpty(sPRE_OPE_DAYS) = True Then
								idays = 0
								sPRE_OPE_DAYS = 0
							Else
								'比較日数を算出
								'動作環境（術前日数の計算式の選択）で比較方法異なる
								Select Case Me.strENV0078
									Case XCM.clsConst.Enum_PreOpeCalcSel.StartHsp
										idays = DateDiff(DateInterval.Day, Date.Parse(sHSP_DT), Date.Parse(sOPE_DT))
									Case XCM.clsConst.Enum_PreOpeCalcSel.StartHspPlus
										idays = DateDiff(DateInterval.Day, Date.Parse(sHSP_DT).AddDays(1), Date.Parse(sOPE_DT))

									Case Else
								End Select
							End If

							'術前日数が-1または算出日と一致しない場合はエラー
							If CInt(sPRE_OPE_DAYS) < -1 OrElse _
							   CInt(sPRE_OPE_DAYS) <> idays Then
								icnt += 1
								Exit For
							End If
						Next tmpdatR
					End If
				Next tmpdatM
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メッセージバー表示クリア
			Me.clearMsgBar()
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
		Return icnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のチェック
	''' </summary>
	''' <returns>レコード取得件数</returns>
	''' <remarks>
	''' 2010/11/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetMTI_OPE_CHK4() As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetMTI_OPE_CHK4", "術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のチェック Start")
		Dim icnt As Integer = 0
		Dim icntall As Integer = 0
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'チェック元情報の取得
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_GET_BASE)
				db.execQueryDa(datM)

				'チェック処理
				For Each tmpdatM As DataRow In datM.Rows
					Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030F010.itmPATIENT_NO).ToString
					Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030F010.itmHSP_HISTORY_NO)
					Dim sCH_NO As String = tmpdatM.Item(sqlMAX030F010.itmCH_NO).ToString
					Dim sOUT_HSP_DT As String = tmpdatM.Item(sqlMAX030F010.itmOUT_HSP_DT).ToString

					'比較先データの取得
					'ステータスバーにメッセージ表示
					icntall += 1
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "4.4" & Space(2) & icntall.ToString(XCM.clsConst.CST_KENSU_FORMAT) & "件目", Nothing)
					Me.sst001frmBase.Refresh()

					If String.IsNullOrEmpty(sCH_NO) = False Then
						'チェック先情報の取得
						datR.Clear()
						Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_OPE_CHK3_CHK4)
						db.setParamDa(sqlMAX030F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(sqlMAX030F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
						db.setParamDa(sqlMAX030F010.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
						db.setValDa(sqlMAX030F010.prmPATIENT_NO, sPATIENT_NO)
						db.setValDa(sqlMAX030F010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
						db.setValDa(sqlMAX030F010.prmCH_NO, CInt(sCH_NO), False)
						db.execQueryDa(datR)

						For Each tmpdatR As DataRow In datR.Rows
							'退院日、手術開始日、術後日数の取得
							Dim sOPE_DT As String = tmpdatR.Item(sqlMAX030F010.itmOPE_DT).ToString
							Dim sEND_DT As String = tmpdatR.Item(sqlMAX030F010.itmEND_DT).ToString
							Dim sAFTER_OPE_DAYS As String = tmpdatR.Item(sqlMAX030F010.itmAFTER_OPE_DAYS).ToString
							Dim idays As Integer = 0

							'手術日、術前日数がNullなどの場合、比較日数を0に設定
							If String.IsNullOrEmpty(sOUT_HSP_DT) = True OrElse _
							   (String.IsNullOrEmpty(sOPE_DT) = True AndAlso String.IsNullOrEmpty(sEND_DT) = True) OrElse _
							   String.IsNullOrEmpty(sAFTER_OPE_DAYS) = True Then
								idays = 0
								sAFTER_OPE_DAYS = 0
							Else
								If String.IsNullOrEmpty(sEND_DT) = True Then
									idays = DateDiff(DateInterval.Day, Date.Parse(sOPE_DT), Date.Parse(sOUT_HSP_DT))
								Else
									idays = DateDiff(DateInterval.Day, Date.Parse(sEND_DT), Date.Parse(sOUT_HSP_DT))
								End If
								'比較日数を算出
								'動作環境（術後日数の計算式の選択）で比較方法異なる
								Select Case Me.strENV0079
									Case XCM.clsConst.Enum_AfterOpeCalcSel.OutStart
									Case XCM.clsConst.Enum_AfterOpeCalcSel.OutStartPlus
										idays += 1 '+1日

									Case Else
								End Select
							End If

							'術後日数が0または算出日と一致しない場合はエラー
							If CInt(sAFTER_OPE_DAYS) < 0 OrElse _
							   CInt(sAFTER_OPE_DAYS) <> idays Then
								icnt += 1
								Exit For
							End If
						Next tmpdatR
					End If
				Next tmpdatM
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メッセージバー表示クリア
			Me.clearMsgBar()
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
		Return icnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 病棟開始日が前の病棟の病棟終了日より過去のチェック
	''' </summary>
	''' <returns>レコード取得件数</returns>
	''' <remarks>
	''' 2010/11/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetMTI_WARD_CHK3() As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetMTI_WARD_CHK3", "病棟開始日が前の病棟の病棟終了日より過去のチェック Start")
		Dim icnt As Integer = 0
		Dim icntall As Integer = 0
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'チェック元情報の取得
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_GET_BASE)
				db.execQueryDa(datM)

				'チェック処理
				For Each tmpdatM As DataRow In datM.Rows
					Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030F010.itmPATIENT_NO).ToString
					Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030F010.itmHSP_HISTORY_NO)
					Dim sCH_NO As String = tmpdatM.Item(sqlMAX030F010.itmCH_NO).ToString
					Dim sWARD_START_DT As String = Nothing
					Dim sWARD_END_DT As String = Nothing

					'比較先データの取得
					'ステータスバーにメッセージ表示
					icntall += 1
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "5.3" & Space(2) & icntall.ToString(XCM.clsConst.CST_KENSU_FORMAT) & "件目", Nothing)
					Me.sst001frmBase.Refresh()

					If String.IsNullOrEmpty(sCH_NO) = False Then
						'比較先データの取得
						datR.Clear()
						Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_WARD_CHK3_CHK5)
						db.setParamDa(sqlMAX030F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(sqlMAX030F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
						db.setParamDa(sqlMAX030F010.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
						db.setValDa(sqlMAX030F010.prmPATIENT_NO, sPATIENT_NO)
						db.setValDa(sqlMAX030F010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
						db.setValDa(sqlMAX030F010.prmCH_NO, CInt(sCH_NO), False)
						db.execQueryDa(datR)

						For Each tmpdatR As DataRow In datR.Rows
							'病棟開始日取得
							sWARD_START_DT = tmpdatR.Item(sqlMAX030F010.itmWARD_START_DT).ToString

							'病棟開始日が前の病棟終了日よりも過去
							If String.IsNullOrEmpty(sWARD_START_DT) = False AndAlso _
							   String.IsNullOrEmpty(sWARD_END_DT) = False AndAlso _
							   Date.Compare(Date.Parse(sWARD_START_DT), Date.Parse(sWARD_END_DT)) = -1 Then
								icnt += 1
								Exit For
							End If

							'病棟終了日取得
							sWARD_END_DT = tmpdatR.Item(sqlMAX030F010.itmWARD_END_DT).ToString
						Next tmpdatR
					End If
				Next tmpdatM
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メッセージバー表示クリア
			Me.clearMsgBar()
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
		Return icnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 科歴内での病棟前後関係のチェック
	''' </summary>
	''' <returns>レコード取得件数</returns>
	''' <remarks>
	''' 2010/11/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetMTI_WARD_CHK5() As Integer
		Me.log(XCM.clsSysMst.logLevel.DBG, "GetMTI_WARD_CHK5", "科歴内での病棟前後関係のチェック Start")
		Dim icnt As Integer = 0
		Dim icntall As Integer = 0
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
				'チェック元情報の取得
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_GET_BASE)
				db.execQueryDa(datM)

				'チェック処理
				For Each tmpdatM As DataRow In datM.Rows
					Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030F010.itmPATIENT_NO).ToString
					Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030F010.itmHSP_HISTORY_NO)
					Dim sCH_NO As String = tmpdatM.Item(sqlMAX030F010.itmCH_NO).ToString
					Dim sWARD_START_DT As String = Nothing
					Dim sWARD_END_DT As String = Nothing

					'比較先データの取得
					'ステータスバーにメッセージ表示
					icntall += 1
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "5.5" & Space(2) & icntall.ToString(XCM.clsConst.CST_KENSU_FORMAT) & "件目", Nothing)
					Me.sst001frmBase.Refresh()

					If String.IsNullOrEmpty(sCH_NO) = False Then
						'比較先データの取得
						datR.Clear()
						Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_WARD_CHK3_CHK5)
						db.setParamDa(sqlMAX030F010.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
						db.setParamDa(sqlMAX030F010.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
						db.setParamDa(sqlMAX030F010.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
						db.setValDa(sqlMAX030F010.prmPATIENT_NO, sPATIENT_NO)
						db.setValDa(sqlMAX030F010.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
						db.setValDa(sqlMAX030F010.prmCH_NO, CInt(sCH_NO), False)
						db.execQueryDa(datR)

						For Each tmpdatR As DataRow In datR.Rows
							'病棟開始日取得
							sWARD_START_DT = tmpdatR.Item(sqlMAX030F010.itmWARD_START_DT).ToString

							'動作環境（転科、転棟の終了日、開始日の関係）で比較方法異なる
							Select Case Me.strENV0005
								'同一日
								Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual
									'１つ前の病棟終了日と、病棟開始日が異なる？
									If String.IsNullOrEmpty(sWARD_START_DT) = False AndAlso _
									   String.IsNullOrEmpty(sWARD_END_DT) = False AndAlso _
									   Date.Compare(Date.Parse(sWARD_START_DT), Date.Parse(sWARD_END_DT)) <> 0 Then
										icnt += 1
										Exit For
									End If
								'一日ずらす
								Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift
									'１つ前の科歴情報の終了日と、比較元科歴情報の開始日（および１日ずらした開始日）が異なる？
									If String.IsNullOrEmpty(sWARD_START_DT) = False AndAlso _
									   String.IsNullOrEmpty(sWARD_END_DT) = False Then
										Dim bfrDay As String = Date.Parse(sWARD_START_DT).AddDays(-1)
										If Date.Compare(Date.Parse(sWARD_START_DT), Date.Parse(sWARD_END_DT)) <> 0 AndAlso _
										   Date.Compare(Date.Parse(bfrDay), Date.Parse(sWARD_END_DT)) <> 0 Then
											icnt += 1
											Exit For
										End If
									End If
								Case Else
							End Select

							'病棟終了日取得
							sWARD_END_DT = tmpdatR.Item(sqlMAX030F010.itmWARD_END_DT).ToString
						Next tmpdatR
					End If
				Next tmpdatM
			End Using
		Catch ex As Exception
			Throw
		Finally
			'メッセージバー表示クリア
			Me.clearMsgBar()
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
		Return icnt
	End Function

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="prcId">
	''' 取得SQLID
	''' （Enum_SQLID値）
	''' </param>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSQL(ByRef db As XCM.clsDB, ByRef sql As String, Optional ByVal prcId As Integer = Nothing)
		Me.log(XCM.clsSysMst.logLevel.DBG, "setSQL", "SQL文作成 Start")
		Try
			'対象のSQL分を設定する
			Select Case prcId
				'* 入退院情報関連
				'入退院情報総件数
				Case Enum_SQLID.SQLID_MTI_HSP_ALL
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_HSP_CNT, True)

				'入退院情報チェック用比較元データ取得（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_BASE
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_HSP_BASE, True)

				'１つ前の入院日、退院日チェック用（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK1
					sql = sqlMAX030F010.sqlSel_MTI_HSP_CHK1
					sql &= sqlMAX030F010.sqlSel_MTI_HSP_BASE_ORD2
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し元で設定

				'１つ次の入院日、退院日チェック用（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK2
					sql = sqlMAX030F010.sqlSel_MTI_HSP_CHK2
					sql &= sqlMAX030F010.sqlSel_MTI_HSP_BASE_ORD1
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し元で設定

				'退院転帰が死亡のものが複数存在するデータ件数チェック用
				Case Enum_SQLID.SQLID_MTI_HSP_CHK3
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_HSP_CHK3 & sqlMAX030F010.sqlSel_MTI_HSP_HAVING, True)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030F010.prmFIXED_CD_A, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMAX030F010.prmFIXED_CD_B, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030F010.prmFIXED_CD_A, XCM.clsConst.Enum_DiscchargeOutcome_Fix1.Decease)
					db.setValDa(sqlMAX030F010.prmFIXED_CD_B, XCM.clsConst.Enum_HspChannel_Fix1.HoldDept)

				'入院契機が１入退院内に複数存在（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK4
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_HSP_CHK4 & sqlMAX030F010.sqlSel_MTI_HSP_HAVING, True)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030F010.prmHSP_CHANCE_DISEASE_FLG, XCM.clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlMAX030F010.prmHSP_CHANCE_DISEASE_FLG, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'医療投入資源１位が１入退院内に２つ以上存在（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK5
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_HSP_CHK5 & sqlMAX030F010.sqlSel_MTI_HSP_HAVING, True)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030F010.prmDISEASE_MED_RES_FLG1, XCM.clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlMAX030F010.prmDISEASE_MED_RES_FLG1, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'医療投入資源２位が１入退院内に２つ以上存在（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK6
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_HSP_CHK6 & sqlMAX030F010.sqlSel_MTI_HSP_HAVING, True)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030F010.prmDISEASE_MED_RES_FLG2, XCM.clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlMAX030F010.prmDISEASE_MED_RES_FLG2, XCM.clsConst.Enum_CheckBox_Flg.CheckOn)

				'入退院歴内の科歴の前後関係元データ取得
				Case Enum_SQLID.SQLID_MTI_HSP_CHK7_SUB1
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_HSP_CHK7_SUB1, True)

				'１つ前の開始日、終了日取得（入退院情報）
				Case Enum_SQLID.SQLID_MTI_HSP_CHK7_SUB2
					sql = sqlMAX030F010.sqlSel_MTI_HSP_CHK7_SUB2
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し元で設定


				'* 死亡情報関連
				'死亡情報総件数取得
				Case Enum_SQLID.SQLID_MTI_DEATH_ALL
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_DEATH_CNT, True)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030F010.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030F010.prmFIXED_CD, XCM.clsConst.Enum_DiscchargeOutcome_Fix1.Decease)

				'死亡日と最新入退院歴の退院日が一致しない件数取得
				Case Enum_SQLID.SQLID_MTI_DEATH_CHK1
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_DEATH_CHK1, True)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030F010.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030F010.prmFIXED_CD, XCM.clsConst.Enum_DiscchargeOutcome_Fix1.Decease)


				'* 科歴情報関連
				'科歴情報総件数取得
				Case Enum_SQLID.SQLID_MTI_CH_ALL
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_CH_CNT, True)

				'開始経路が転科のとき転科元の科歴が存在しない件数を取得（取得元）
				Case Enum_SQLID.SQLID_MTI_CH_CHK1_SUB1
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_CH_CHK1_SUB1, True)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030F010.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030F010.prmFIXED_CD, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept)

				'開始経路が転科のとき転科元の科歴が存在しない件数を取得
				Case Enum_SQLID.SQLID_MTI_CH_CHK1_SUB2
					sql = sqlMAX030F010.sqlSel_MTI_CH_CHK1_SUB2
					sql &= sqlMAX030F010.sqlSel_MTI_CH_ORD2
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030F010.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030F010.prmFIXED_CD, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept)
					'他の追加パラメータは呼び出し元で設定

				'終了経路が転科のとき転科先の科歴が存在しない件数を取得（取得元）
				Case Enum_SQLID.SQLID_MTI_CH_CHK2_SUB1
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_CH_CHK2_SUB1, True)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030F010.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030F010.prmFIXED_CD, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept)

				'終了経路が転科のとき転科先の科歴が存在しない件数を取得
				Case Enum_SQLID.SQLID_MTI_CH_CHK2_SUB2
					sql = sqlMAX030F010.sqlSel_MTI_CH_CHK2_SUB2
					sql &= sqlMAX030F010.sqlSel_MTI_CH_ORD1
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030F010.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030F010.prmFIXED_CD, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept)
					'他の追加パラメータは呼び出し元で設定

				'開始日が入院科歴の開始日より過去である件数を取得
				Case Enum_SQLID.SQLID_MTI_CH_CHK3
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_CH_CHK3)

				'終了日が入院科歴の終了日より未来である件数を取得
				Case Enum_SQLID.SQLID_MTI_CH_CHK4
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_CH_CHK4)


				'* 手術情報関連
				'手術情報総件数取得
				Case Enum_SQLID.SQLID_MTI_OPE_ALL
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_OPE_CNT, True)

				'手術開始日が科開始日より過去である件数取得用
				Case Enum_SQLID.SQLID_MTI_OPE_CHK1
					'手術実施日登録可能範囲の設定によって使用するSQL文が異なる
					Select Case Me.strENV0067
						Case XCM.clsConst.Enum_DiseaseDtRange.StartEnd
							sql = sqlMAX030F010.sqlSel_MTI_OPE_CHK1_PTN2
						Case XCM.clsConst.Enum_DiseaseDtRange.HspOut
							sql = sqlMAX030F010.sqlSel_MTI_OPE_CHK1_PTN1
						Case Else
					End Select

					Me.setSubSql(db, sql & sqlMAX030F010.sqlSel_ALIAS, False)

				'手術終了日が科終了日より未来である件数取得用
				Case Enum_SQLID.SQLID_MTI_OPE_CHK2
					'手術実施日登録可能範囲の設定によって使用するSQL文が異なる
					Select Case Me.strENV0067
						Case XCM.clsConst.Enum_DiseaseDtRange.StartEnd
							sql = sqlMAX030F010.sqlSel_MTI_OPE_CHK2_PTN2
						Case XCM.clsConst.Enum_DiseaseDtRange.HspOut
							sql = sqlMAX030F010.sqlSel_MTI_OPE_CHK2_PTN1
						Case Else
					End Select

					Me.setSubSql(db, sql & sqlMAX030F010.sqlSel_ALIAS, False)

				'術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)
				'および術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)
				Case Enum_SQLID.SQLID_MTI_OPE_CHK3_CHK4
					sql = sqlMAX030F010.sqlSel_MTI_OPE_CHK3_CHK4
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し元で設定


				'* 病棟情報関連
				'病棟情報総件数取得
				Case Enum_SQLID.SQLID_MTI_WARD_ALL
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_WARD_CNT, True)

				'病棟開始日が科開始日より過去である
				Case Enum_SQLID.SQLID_MTI_WARD_CHK1
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_WARD_CHK1 & sqlMAX030F010.sqlSel_ALIAS, False)

				'病棟終了日が科終了日より未来である
				Case Enum_SQLID.SQLID_MTI_WARD_CHK2
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_WARD_CHK2 & sqlMAX030F010.sqlSel_ALIAS, False)

				'病棟開始日が前の病棟終了日より過去である
				'＆科歴内での病棟の前後関係
				Case Enum_SQLID.SQLID_MTI_WARD_CHK3_CHK5
					sql = sqlMAX030F010.sqlSel_MTI_WARD_CHK3_CHK5
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し元で設定

				'病棟開始日が病棟終了日より過去である
				Case Enum_SQLID.SQLID_MTI_WARD_CHK4
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_WARD_CHK4 & sqlMAX030F010.sqlSel_ALIAS, False)


				'* 救命救急情報関連
				'救命救急情報総件数取得
				Case Enum_SQLID.SQLID_MTI_EMERGENCY_ALL
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_EMERGENCY_CNT, True)

				'救命救急入室日が科開始日より過去である
				Case Enum_SQLID.SQLID_MTI_EMERGENCY_CHK1
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_EMERGENCY_CHK1 & sqlMAX030F010.sqlSel_ALIAS, False)

					'救命救急退室日が科終了日より未来である
				Case Enum_SQLID.SQLID_MTI_EMERGENCY_CHK2
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_EMERGENCY_CHK2 & sqlMAX030F010.sqlSel_ALIAS, False)


				'* 分娩情報関連
				'分娩情報総件数取得
				Case Enum_SQLID.SQLID_MTI_CB_ALL
					Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_CB_CNT, True)

				'分娩日が科開始日より過去である
				Case Enum_SQLID.SQLID_MTI_CB_CHK1
					Select Case Me.strENV0071
						Case XCM.clsConst.Enum_CbDtRange.StartEnd
							'開始日～終了日
							Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_CB_CHK1, False)
						Case XCM.clsConst.Enum_CbDtRange.HspOut
							'入院日～退院日
							Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_CB_CHK3, False)

					End Select


					'分娩日が科終了日より未来である
				Case Enum_SQLID.SQLID_MTI_CB_CHK2
					Select Case Me.strENV0071
						Case XCM.clsConst.Enum_CbDtRange.StartEnd
							'開始日～終了日
							Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_CB_CHK2, False)
						Case XCM.clsConst.Enum_CbDtRange.HspOut
							'入院日～退院日
							Me.setSubSql(db, sqlMAX030F010.sqlSel_MTI_CB_CHK4, False)

					End Select



				'* その他
				'複数から参照する参照元取得用
				Case Enum_SQLID.SQLID_GET_BASE
					Me.setSubSql(db, sqlMAX030F010.sqlSel_GET_BASE, True)

				Case Else

			End Select

		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="condFlg">Where句接頭語変換可否フラグ</param>
	''' <remarks>
	''' 2011/11/17 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSubSql(ByRef db As XCM.clsDB, ByVal sql As String, Optional ByVal condFlg As Boolean = False)
		Me.log(XCM.clsSysMst.logLevel.DBG, "setSubSql", "SQL文作成 Start")
		Dim where As String = Nothing
		Try
			where = Me.cliSearch.getSqlWhere(Me.sTBL_CD, condFlg)
			db.setSQLDa(String.Format(sql, where))
			If Debugger.IsAttached = True Then Debug.Print(String.Format(sql, where))
			Me.cliSearch.setDbParamDa(db, Me.sTBL_CD)
		Catch ex As Exception
			Throw
		Finally
			where = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 印刷ボタン使用可否制御
	''' </summary>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub ChangePrtBtnAttr()
		Me.log(XCM.clsSysMst.logLevel.DBG, "ChangePrtBtnAttr", "印刷ボタン使用可否制御 Start")

		Try
			Dim icnt As Integer = 0
			Dim iidx As Integer = 0
			Dim flg As Boolean = False	'True:印刷ボタン押下可

			'入退院側の条件が有効の場合
			If Me.chk025MAX000F020.Checked = True OrElse _
				Me.chk029MAX000F020.Checked = True OrElse _
				Me.chk031MAX000F020.Checked = True Then

				'カウンタラベル群　全て（総件数系を除く）
				For Each lbl As System.Windows.Forms.Label In lblObjs_Cnt
					iidx = Array.IndexOf(lblObjs_Cnt, lbl)
					If String.IsNullOrEmpty(lbl.Text) = False AndAlso CInt(lbl.Text) > 0 Then
						Me.btnObjs_Prt(iidx).Enabled = True
					End If
				Next
			Else
				'カウンタラベル群　科歴～分娩（総件数系を除く）
				For Each lbl As System.Windows.Forms.Label In lblObjs_Cnt
					iidx = Array.IndexOf(lblObjs_Cnt, lbl)
					If iidx > 7 AndAlso String.IsNullOrEmpty(lbl.Text) = False AndAlso CInt(lbl.Text) > 0 Then
						Me.btnObjs_Prt(iidx).Enabled = True
					End If
				Next
			End If

		Catch ex As Exception
			Throw
		Finally

		End Try

	End Sub

#End Region

#Region "オーバーライドメソッド"

	'''---------------------------------------------
	''' <summary>
	''' データ検索処理
	''' </summary>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub SelProc()
		Me.log(XCM.clsSysMst.logLevel.DBG, "SelProc", "データ検索処理 Start")
		Try
			Me.Cursor = Cursors.WaitCursor

			Dim icnt As Integer = 0
			'入力チェック
			If Me.ChkData() = True AndAlso Me.cliSearch.getSearch(Me) = True Then
				'ステータスバーにメッセージ表示
				Me.showMsgBar("I0021", Enum_MsgIcon.None, Nothing, Nothing)
				Me.sst001frmBase.Refresh()

				'検索条件入力不可
				Me.btn035MAX000F020.Select()
				Me.grp004MAX000F020.Enabled = False

				Using db As New XCM.clsDB(XCM.clsSysMst.ctlConfigData)
					'入退院側の条件が有効の場合
					If Me.chk025MAX000F020.Checked = True OrElse _
					   Me.chk029MAX000F020.Checked = True OrElse _
					   Me.chk031MAX000F020.Checked = True Then
						'入退院検索条件が有効の場合
						'WHERE句生成条件を入退院側に設定
						Me.sTBL_CD = clsMAXCOMMON.CST_TABLECD_MTI_HSP

						'* 入退院情報関連 *
						'入退院総件数の取得
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "1", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_HSP_ALL)
						If icnt >= 0 Then
							Me.lbl003MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
							Me.lbl003MAX030F010.Refresh()
						End If

						'入院日が前の退院日よりも過去のチェック
						If Me.chk004MAX030F010.Checked = True Then
							Me.showMsgBar("I0015", Enum_MsgIcon.None, "1.1", Nothing)
							Me.sst001frmBase.Refresh()
							icnt = Me.GetMTI_HSP_CHK1
							Me.lbl005MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
							Me.lbl005MAX030F010.Refresh()
						End If

						'退院日が次の入院日よりも未来のチェック
						If Me.chk007MAX030F010.Checked = True Then
							Me.showMsgBar("I0015", Enum_MsgIcon.None, "1.2", Nothing)
							Me.sst001frmBase.Refresh()
							icnt = Me.GetMTI_HSP_CHK2
							Me.lbl008MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
							Me.lbl008MAX030F010.Refresh()
						End If

						'退院転帰が死亡のものが複数存在する
						If Me.chk010MAX030F010.Checked = True Then
							Me.showMsgBar("I0015", Enum_MsgIcon.None, "1.3", Nothing)
							Me.sst001frmBase.Refresh()
							icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_HSP_CHK3)
							Me.lbl011MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
							Me.lbl011MAX030F010.Refresh()
						End If

						'入院契機が１入退院内に２つ以上存在するチェック
						If Me.chk013MAX030F010.Checked = True Then
							Me.showMsgBar("I0015", Enum_MsgIcon.None, "1.4", Nothing)
							Me.sst001frmBase.Refresh()
							icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_HSP_CHK4)
							Me.lbl014MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
							Me.lbl014MAX030F010.Refresh()
						End If

						'医療投入資源１位が１入退院内に２つ以上存在
						If Me.chk016MAX030F010.Checked = True Then
							Me.showMsgBar("I0015", Enum_MsgIcon.None, "1.5", Nothing)
							Me.sst001frmBase.Refresh()
							icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_HSP_CHK5)
							Me.lbl017MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
							Me.lbl017MAX030F010.Refresh()
						End If

						'医療投入資源２位が１入退院内に２つ以上存在
						If Me.chk019MAX030F010.Checked = True Then
							Me.showMsgBar("I0015", Enum_MsgIcon.None, "1.6", Nothing)
							Me.sst001frmBase.Refresh()
							icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_HSP_CHK6)
							Me.lbl020MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
							Me.lbl020MAX030F010.Refresh()
						End If

						'入退院歴内の科歴の前後関係のチェック
						If Me.chk022MAX030F010.Checked = True Then
							Me.showMsgBar("I0015", Enum_MsgIcon.None, "1.7", Nothing)
							Me.sst001frmBase.Refresh()
							icnt = Me.GetMTI_HSP_CHK7
							Me.lbl023MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
							Me.lbl023MAX030F010.Refresh()
						End If

						'* 死亡情報関連 *
						'死亡総件数の取得
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_DEATH_ALL)
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "2", Nothing)
						Me.sst001frmBase.Refresh()
						If icnt >= 0 Then
							Me.lbl026MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
							Me.lbl026MAX030F010.Refresh()
						End If

						'死亡日と最新入退院歴の退院日が一致しない件数の取得
						If Me.chk027MAX030F010.Checked = True Then
							Me.showMsgBar("I0015", Enum_MsgIcon.None, "2.1", Nothing)
							Me.sst001frmBase.Refresh()
							icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_DEATH_CHK1)
							Me.lbl028MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
							Me.lbl028MAX030F010.Refresh()
						End If
					Else
						'科歴検索条件が有効の場合
						'WHERE句生成条件を科歴条件に設定
						Me.sTBL_CD = clsMAXCOMMON.CST_TABLECD_MTI_CH
					End If

					'* 科歴情報関連 *
					'科歴総件数の取得
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "3", Nothing)
					Me.sst001frmBase.Refresh()
					icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_CH_ALL)
					If icnt >= 0 Then
						Me.lbl032MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl032MAX030F010.Refresh()
					End If

					'科歴の転科元との前後関係チェック
					If Me.chk033MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "3.1", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetMTI_CH_CHK1
						Me.lbl034MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl034MAX030F010.Refresh()
					End If

					'科歴の転科先との前後関係チェック
					If Me.chk036MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "3.2", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetMTI_CH_CHK2
						Me.lbl037MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl037MAX030F010.Refresh()
					End If

					'科歴開始日と入院日前後関係チェック
					If Me.chk039MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "3.3", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_CH_CHK3)
						Me.lbl040MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl040MAX030F010.Refresh()
					End If

					'科歴終了日と退院日前後関係チェック
					If Me.chk042MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "3.4", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_CH_CHK4)
						Me.lbl043MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl043MAX030F010.Refresh()
					End If

					'* 手術情報関連 *
					'手術総件数の取得
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "4", Nothing)
					Me.sst001frmBase.Refresh()
					icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_OPE_ALL)
					If icnt >= 0 Then
						Me.lbl046MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl046MAX030F010.Refresh()
					End If

					'手術開始日が科開始日より過去の件数の取得
					If Me.chk047MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "4.1", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_OPE_CHK1)
						Me.lbl048MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl048MAX030F010.Refresh()
					End If

					'手術終了日が科終了日より未来の件数の取得
					If Me.chk050MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "4.2", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_OPE_CHK2)
						Me.lbl051MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl051MAX030F010.Refresh()
					End If

					'術前日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)の件数の取得
					If Me.chk053MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "4.3", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetMTI_OPE_CHK3()
						Me.lbl054MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl054MAX030F010.Refresh()
					End If

					'術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)の件数の取得
					If Me.chk056MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "4.4", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetMTI_OPE_CHK4()
						Me.lbl057MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl057MAX030F010.Refresh()
					End If

					'* 病棟情報関連 *
					'病棟総件数の取得
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "5", Nothing)
					Me.sst001frmBase.Refresh()
					icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_WARD_ALL)
					If icnt >= 0 Then
						Me.lbl060MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl060MAX030F010.Refresh()
					End If

					'病棟開始日が科開始日より過去である
					If Me.chk061MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "5.1", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_WARD_CHK1)
						Me.lbl062MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl062MAX030F010.Refresh()
					End If

					'病棟終了日が科終了日より未来である
					If Me.chk064MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "5.2", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_WARD_CHK2)
						Me.lbl065MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl065MAX030F010.Refresh()
					End If

					'病棟開始日が前の病棟終了日より過去である
					If Me.chk067MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "5.3", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetMTI_WARD_CHK3
						Me.lbl068MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl068MAX030F010.Refresh()
					End If

					'病棟開始日が病棟終了日より過去である
					If Me.chk070MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "5.4", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_WARD_CHK4)
						Me.lbl071MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl071MAX030F010.Refresh()
					End If

					'科歴内での病棟の前後関係
					If Me.chk073MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "5.5", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetMTI_WARD_CHK5
						Me.lbl074MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl074MAX030F010.Refresh()
					End If

					'* 救命救急情報関連 *
					'救命救急総件数の取得
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "6", Nothing)
					Me.sst001frmBase.Refresh()
					icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_EMERGENCY_ALL)
					If icnt >= 0 Then
						Me.lbl077MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl077MAX030F010.Refresh()
					End If

					'救命救急入室日が科開始日より過去である
					If Me.chk078MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "6.1", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_EMERGENCY_CHK1)
						Me.lbl079MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl079MAX030F010.Refresh()
					End If

					'救命救急退室日が科終了日より未来である
					If Me.chk081MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "6.2", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_EMERGENCY_CHK2)
						Me.lbl082MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl082MAX030F010.Refresh()
					End If

					'* 分娩情報関連 *
					'分娩総件数の取得
					Me.showMsgBar("I0015", Enum_MsgIcon.None, "7", Nothing)
					Me.sst001frmBase.Refresh()
					icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_CB_ALL)
					If icnt >= 0 Then
						Me.lbl085MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl085MAX030F010.Refresh()
					End If

					'分娩日が科開始日より過去である
					If Me.chk086MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "7.1", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_CB_CHK1)
						Me.lbl087MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl087MAX030F010.Refresh()
					End If

					'分娩日が科終了日より未来である
					If Me.chk089MAX030F010.Checked = True Then
						Me.showMsgBar("I0015", Enum_MsgIcon.None, "7.2", Nothing)
						Me.sst001frmBase.Refresh()
						icnt = Me.GetAllCnt(db, Enum_SQLID.SQLID_MTI_CB_CHK2)
						Me.lbl090MAX030F010.Text = icnt.ToString(XCM.clsConst.CST_KENSU_FORMAT)
						Me.lbl090MAX030F010.Refresh()
					End If
				End Using

				'メッセージバー表示クリア
				Me.clearMsgBar()

				'印刷ボタン使用可否制御
				Me.ChangePrtBtnAttr()

				Me.showMsg("I0006", "検索", Nothing)	'終了メッセージ出力
			End If
		Catch ex As Exception
			Throw
		Finally
			'メッセージバー表示クリア
			Me.clearMsgBar()
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力処理
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub PrintReport(ByVal obtn As System.Windows.Forms.Button)
		Me.log(XCM.clsSysMst.logLevel.DBG, "PrintReport", "帳票出力処理 Start")
		Try
			Dim sCondition As String = Nothing
			Dim sTitle As String = Nothing
			Dim bprtflg As Boolean = False

			'帳票出力用検索条件文字列取得
			sCondition = Me.GetSearchCondString

			'帳票出力用検索条件取得
			sTitle = Me.GetPrintTitle(obtn)

			'印刷・プレビュー判定
			bprtflg = Me.rdo002MAX000F020.Checked

			Select Case True
				Case obtn Is Me.btn006MAX030F010 OrElse _
					 obtn Is Me.btn009MAX030F010 OrElse _
					 obtn Is Me.btn012MAX030F010 OrElse _
					 obtn Is Me.btn015MAX030F010 OrElse _
					 obtn Is Me.btn018MAX030F010 OrElse _
					 obtn Is Me.btn021MAX030F010 OrElse _
					 obtn Is Me.btn024MAX030F010 OrElse _
					 obtn Is Me.btn029MAX030F010
					Using cliRpt As New MAX030R010(Me, bprtflg, sTitle, sCondition, Me.cliSearch, Me.sTBL_CD, obtn.Name)
						'帳票出力処理
						cliRpt.exeReport()
					End Using
				Case obtn Is Me.btn035MAX030F010 OrElse _
					 obtn Is Me.btn038MAX030F010 OrElse _
					 obtn Is Me.btn041MAX030F010 OrElse _
					 obtn Is Me.btn044MAX030F010 OrElse _
					 obtn Is Me.btn049MAX030F010 OrElse _
					 obtn Is Me.btn052MAX030F010 OrElse _
					 obtn Is Me.btn055MAX030F010 OrElse _
					 obtn Is Me.btn058MAX030F010 OrElse _
					 obtn Is Me.btn063MAX030F010 OrElse _
					 obtn Is Me.btn066MAX030F010 OrElse _
					 obtn Is Me.btn069MAX030F010 OrElse _
					 obtn Is Me.btn072MAX030F010 OrElse _
					 obtn Is Me.btn075MAX030F010 OrElse _
					 obtn Is Me.btn080MAX030F010 OrElse _
					 obtn Is Me.btn083MAX030F010 OrElse _
					 obtn Is Me.btn088MAX030F010 OrElse _
					 obtn Is Me.btn091MAX030F010
					Using cliRpt As New MAX030R020(Me, bprtflg, sTitle, sCondition, Me.cliSearch, Me.sTBL_CD, obtn.Name)
						'帳票出力処理
						cliRpt.exeReport()
					End Using

				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' チェックボックスクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/17 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub CheckBox_Click(ByVal sender As System.Object, ByVal e As System.EventArgs)
		Me.log(XCM.clsSysMst.logLevel.NRM, "CheckBox_Click", "チェックボックスクリック Start")
		Try
			Dim chkFlg As Boolean = True

			Select Case True
				'入退院歴チェックボックスの場合
				Case sender Is Me.chk002MAX030F010
					For Each tmpchk As XCM.BT_CheckBox In Me.chkObjs_HSP
						tmpchk.Checked = sender.checked
					Next tmpchk
					Exit Sub

				'死亡チェックボックスの場合
				Case sender Is Me.chk025MAX030F010
					For Each tmpchk As XCM.BT_CheckBox In Me.chkObjs_DEATH
						tmpchk.Checked = sender.checked
					Next tmpchk
					Exit Sub

				'科歴チェックボックスの場合
				Case sender Is Me.chk031MAX030F010
					For Each tmpchk As XCM.BT_CheckBox In Me.chkObjs_CH
						tmpchk.Checked = sender.checked
					Next tmpchk
					Exit Sub

				'手術チェックボックスの場合
				Case sender Is Me.chk045MAX030F010
					For Each tmpchk As XCM.BT_CheckBox In Me.chkObjs_OPE
						tmpchk.Checked = sender.checked
					Next tmpchk
					Exit Sub

				'病棟チェックボックスの場合
				Case sender Is Me.chk059MAX030F010
					For Each tmpchk As XCM.BT_CheckBox In Me.chkObjs_WARD
						tmpchk.Checked = sender.checked
					Next tmpchk
					Exit Sub

				'救命救急チェックボックスの場合
				Case sender Is Me.chk076MAX030F010
					For Each tmpchk As XCM.BT_CheckBox In Me.chkObjs_EME
						tmpchk.Checked = sender.checked
					Next tmpchk
					Exit Sub

				'分娩チェックボックスの場合
				Case sender Is Me.chk084MAX030F010
					For Each tmpchk As XCM.BT_CheckBox In Me.chkObjs_CB
						tmpchk.Checked = sender.checked
					Next tmpchk
					Exit Sub

				'その他チェックボックスの場合
				Case Else
					'入退院歴系チェックボックスの場合
					If Array.IndexOf(Me.chkObjs_HSP, sender) >= 0 AndAlso _
					   sender.checked = False Then
					   Me.chk002MAX030F010.Checked = False
					End If

					'死亡系チェックボックスの場合
					If Array.IndexOf(Me.chkObjs_DEATH, sender) >= 0 AndAlso _
					   sender.checked = False Then
					   Me.chk025MAX030F010.Checked = False
					End If

					'科歴系チェックボックスの場合
					If Array.IndexOf(Me.chkObjs_CH, sender) >= 0 AndAlso _
					   sender.checked = False Then
					   Me.chk031MAX030F010.Checked = False
					End If

					'手術系チェックボックスの場合
					If Array.IndexOf(Me.chkObjs_OPE, sender) >= 0 AndAlso _
					   sender.checked = False Then
					   Me.chk045MAX030F010.Checked = False
					End If

					'病棟系チェックボックスの場合
					If Array.IndexOf(Me.chkObjs_WARD, sender) >= 0 AndAlso _
					   sender.checked = False Then
					   Me.chk059MAX030F010.Checked = False
					End If

					'救命救急系チェックボックスの場合
					If Array.IndexOf(Me.chkObjs_EME, sender) >= 0 AndAlso _
					   sender.checked = False Then
					   Me.chk076MAX030F010.Checked = False
					End If

					'分娩系チェックボックスの場合
					If Array.IndexOf(Me.chkObjs_CB, sender) >= 0 AndAlso _
					   sender.checked = False Then
					   Me.chk084MAX030F010.Checked = False
					End If
			End Select
			MyBase.CheckBox_Click(sender, e)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 画面初期化
	''' </summary>
	''' <remarks>
	''' 2010/11/05 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Protected Overrides Sub ClearDsp(Optional ByVal type As ENUM_SET_CONTROL = ENUM_SET_CONTROL.ENUM_CLEAR)
		Me.log(XCM.clsSysMst.logLevel.DBG, "ClearDsp", "画面初期化 Start")
		Try
			'画面のクリア
			MyBase.ClearDsp(type)

			'手術実施日登録可能範囲の設定によって表示文言を変更する
			Select Case Me.strENV0067
				Case XCM.clsConst.Enum_DiseaseDtRange.StartEnd
					Me.chk047MAX030F010.Text = strOPE_WORD_STARTEND1
					Me.chk050MAX030F010.Text = strOPE_WORD_STARTEND2
				Case XCM.clsConst.Enum_DiseaseDtRange.HspOut
					Me.chk047MAX030F010.Text = strOPE_WORD_HSPOUT1
					Me.chk050MAX030F010.Text = strOPE_WORD_HSPOUT2
				Case Else

			End Select

			'分娩日登録可能範囲の設定によって表示文言を変更する
			Select Case Me.strENV0071
				Case XCM.clsConst.Enum_CbDtRange.StartEnd
					Me.chk086MAX030F010.Text = strCB_WORD_STARTEND1
					Me.chk089MAX030F010.Text = strCB_WORD_STARTEND2
				Case XCM.clsConst.Enum_CbDtRange.HspOut
					Me.chk086MAX030F010.Text = strCB_WORD_HSPOUT1
					Me.chk089MAX030F010.Text = strCB_WORD_HSPOUT2

			End Select

			'印刷ボタンを押下不可
			For Each btn As System.Windows.Forms.Button In btnObjs_Prt
				btn.Enabled = False
			Next

		Catch ex As Exception
			Throw
		Finally
			Me.Cursor = Cursors.Default
		End Try
	End Sub

#End Region

End Class