﻿Imports System.Runtime.ConstrainedExecution
Imports XCM
Imports XSP

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 論理チェック帳票
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Public Class MAX030R020

#Region "解放処理"

	'確実な解放処理を実行するために指定
	Inherits System.Runtime.ConstrainedExecution.CriticalFinalizerObject
	'解放処理を実装する為に指定
	Implements System.IDisposable

	''' ---------------------------------------------
	''' <summary>
	''' Dispose（解放処理）※外からはよばない
	''' </summary>
	''' <param name="disposing"></param>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overridable Overloads Sub Dispose(ByVal disposing As Boolean)
		If disposing Then
			Me.pForm = Nothing
			Me.pPrint = Nothing
			Me.pTitle = Nothing
			Me.pCondition = Nothing
			Me.pcliSearch = Nothing
			Me.pPattern = 0
		End If
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overloads Sub Dispose() Implements IDisposable.Dispose
		Dispose(True)
		MyBase.Finalize()
		GC.SuppressFinalize(Me)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Finalize（解放処理）※外からはよばない
	''' </summary>
	''' <remarks>
	''' 2010/11/24 新規作成　ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Sub Finalize()
		Dispose(False)
		MyBase.Finalize()
	End Sub

#End Region

#Region "変数"

	'IN項目
	Private pForm As frmBase = Nothing								'遷移元画面
	Private pPrint As Boolean = Nothing								'印刷フラグ
	Private pTitle As String = Nothing								'タイトル情報
	Private pSubTitle As String = Nothing							'サブタイトル
	Private pCondition As String = Nothing							'検索条件
	Private pPattern As String = Nothing							'出力パターン
	Private pCliSearch As XSP.clsSearch								'検索条件クラス
	Private pTblCd As String = Nothing								'検索条件選択用キー文字列

	Private strENV0005 As String									'動作環境（転科、転棟の終了日、開始日の関係）
	Private strENV0067 As String									'動作環境（手術実施日登録可能範囲）
	Private strENV0071 As String									'動作環境（分娩日登録可能範囲）
	Private strENV0078 As String									'動作環境（術前日数の計算式の選択）
	Private strENV0079 As String									'動作環境（術後日数の計算式の選択）

#End Region

#Region "コンスタント"

	'対応SQL取得用
	Private Enum Enum_SQLID As Integer
		'* 科歴情報関連 *
		SQLID_MTI_CH_CHK1_SUB1 = 1									'開始経路が転科のとき転科元の科歴が存在しないデータ件数チェック比較元データ取得用
		SQLID_MTI_CH_CHK1_SUB2 = 2									'開始経路が転科のとき転科元の科歴が存在しないデータ件数チェック用
		SQLID_MTI_CH_CHK2_SUB1 = 3									'終了経路が転科のとき転科先の科歴が存在しないデータ件数チェック比較元データ取得用
		SQLID_MTI_CH_CHK2_SUB2 = 4									'終了経路が転科のとき転科先の科歴が存在しないデータ件数チェック用
		SQLID_MTI_CH_CHK3 = 5										'開始日が入院科歴の開始日より過去のデータ件数チェック用
		SQLID_MTI_CH_CHK4 = 6										'終了日が入院科歴の終了日より未来のデータ件数チェック用
		'* 手術情報関連 *
		SQLID_MTI_OPE_CHK1 = 7										'手術開始日が科開始日より過去のデータ件数チェック用
		SQLID_MTI_OPE_CHK2 = 8										'手術終了日が科終了日より未来のデータ件数チェック用
		SQLID_MTI_OPE_CHK3_CHK4 = 9									'術前日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のデータ件数チェック用
																	'＆術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のデータ件数チェック用
		'* 病棟情報関連 *
		SQLID_MTI_WARD_CHK1 = 10									'病棟開始日が科開始日より過去のデータ件数チェック用
		SQLID_MTI_WARD_CHK2 = 11									'病棟終了日が科終了日より未来のデータ件数チェック用
		SQLID_MTI_WARD_CHK3_CHK5 = 12								'病棟開始日が前の病棟終了日より過去のデータ件数チェック用
																	'＆科歴内での病棟の前後関係
		SQLID_MTI_WARD_CHK4 = 13									'病棟開始日が病棟終了日より過去のデータ件数チェック用
		'* 救命救急情報関連 *
		SQLID_MTI_EMERGENCY_CHK1 = 14								'救命救急入室日が科開始日より過去のデータ件数チェック用
		SQLID_MTI_EMERGENCY_CHK2 = 15								'救命救急退室日が科終了日より未来のデータ件数チェック用
		'* 分娩情報関連 *
		SQLID_MTI_CB_CHK1 = 16										'分娩日が科開始日より過去のデータ件数チェック用
		SQLID_MTI_CB_CHK2 = 17										'分娩日が科終了日より未来のデータ件数チェック用
		'* その他（データ取得用） *
		SQLID_GET_BASE = 18											'複数のチェックで共有している比較元データ取得用
		'* 帳票出力用ワークテーブル操作用 *				
		SQLID_SEL_MTW_CHK_OBJECT = 19								'TW_チェック対象一覧のデータ件数確認
		SQLID_INS_MTW_CHK_OBJECT = 20								'TW_チェック対象一覧へデータの挿入
	End Enum

	Private Const CST_LOG_PRODUCT As String = "診療情報管理"
	Private Const CST_LOG_CLASS As String = "論理チェック印刷"

	Private Const sBTN_PTN_3_1 As String = "btn035MAX030F010"		'科歴情報の１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_2 As String = "btn038MAX030F010"		'科歴情報の２番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_3 As String = "btn041MAX030F010"		'科歴情報の３番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_3_4 As String = "btn044MAX030F010"		'科歴情報の４番目のチェックに対する印刷ボタン名

	Private Const sBTN_PTN_4_1 As String = "btn049MAX030F010"		'手術情報の１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_4_2 As String = "btn052MAX030F010"		'手術情報の２番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_4_3 As String = "btn055MAX030F010"		'手術情報の３番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_4_4 As String = "btn058MAX030F010"		'手術情報の４番目のチェックに対する印刷ボタン名

	Private Const sBTN_PTN_5_1 As String = "btn063MAX030F010"		'手術情報の１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_5_2 As String = "btn066MAX030F010"		'手術情報の２番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_5_3 As String = "btn069MAX030F010"		'手術情報の３番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_5_4 As String = "btn072MAX030F010"		'手術情報の４番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_5_5 As String = "btn075MAX030F010"		'手術情報の５番目のチェックに対する印刷ボタン名

	Private Const sBTN_PTN_6_1 As String = "btn080MAX030F010"		'救命救急情報の１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_6_2 As String = "btn083MAX030F010"		'救命救急情報の２番目のチェックに対する印刷ボタン名

	Private Const sBTN_PTN_7_1 As String = "btn088MAX030F010"		'分娩情報の１番目のチェックに対する印刷ボタン名
	Private Const sBTN_PTN_7_2 As String = "btn091MAX030F010"		'分娩情報の２番目のチェックに対する印刷ボタン名

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pForm">呼出画面</param>
	''' <param name="pPrint">印刷フラグ True:印刷/False:プレビュー</param>
	''' <param name="pTitle">タイトル</param>
	''' <param name="pCondition">条件</param>
	''' <param name="pCliSearch">印刷出力用条件クラス</param>
	''' <param name="pTblCd">検索条件選択用キー文字列</param>
	''' <param name="pPattern">出力帳票パターン</param>
	''' <remarks>
	''' 2010/11/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal pForm As frmBase,
			ByVal pPrint As Boolean, _
			ByVal pTitle As String, _
			ByVal pCondition As String, _
			ByRef pCliSearch As XSP.clsSearch, _
			ByVal pTblCd As String, _
			ByVal pPattern As String)
		'IN項目引き継ぎ
		Me.pForm = pForm
		Me.pPrint = pPrint
		Me.pTitle = pTitle
		Me.pCondition = pCondition
		Me.pCliSearch = pCliSearch
		Me.pTblCd = pTblCd
		Me.pPattern = pPattern
	End Sub

#End Region

#Region "メソッド"

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力処理
	''' </summary>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Friend Function exeReport() As Boolean
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReport", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力処理 Start")
		Dim cliAccess As XSP.clsXTM_PRINTSETTING_ACCESS
		Dim datAccess As XSP.datXTM_PRINTSETTING_ACCESS_OneRec = Nothing
		Dim cliCom As XSP.clsCom
		Dim sTitleWrk() As String
		Dim FilePath As String = Nothing
		Dim flg As Boolean = False
		Try
			cliAccess = New XSP.clsXTM_PRINTSETTING_ACCESS
			cliCom = New XSP.clsCom

			'動作環境の取得
			'（転科、転棟の終了日、開始日の関係）
			Me.strENV0005 = XCM.clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00005)
			'（手術実施日登録可能範囲）
			Me.strENV0067 = XCM.clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00067)
			'（分娩日登録可能範囲）
			Me.strENV0071 = XCM.clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00071)
			'（術前日数の計算式の選択）
			Me.strENV0078 = XCM.clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00078)
			'（術後日数の計算式の選択）
			Me.strENV0079 = XCM.clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00079)

			'タイトル、サブタイトルの取得
			sTitleWrk = Split(Me.pTitle, ",")
			Me.pTitle = sTitleWrk(0)
			Me.pSubTitle = sTitleWrk(1)

			'印刷設定情報取得
			datAccess = cliAccess.getAccessSettingOneRec(Me.pForm.Name, Me.GetType.Name)
			If datAccess Is Nothing Then
				Return False
			End If

			'MDBのパスを取得
			FilePath = cliCom.setReportPath(datAccess.FILE_NM)
			Using cliReportFunc As New clsReportFunc(Me.pForm, FilePath, datAccess.REPORT_NM, Me.pPrint)
				'DB処理
				Using db As New clsDB(clsSysMst.ctlConfigData)
					'ワークテーブルのクリア
					cliReportFunc.exeHeaderDel(db, Me.GetType.Name, True)
					cliReportFunc.exeWorkDel(db, sqlMAX030R020.sqlDel_MTW_CHK_OBJECT, sqlMAX030R020.prmHOST_NM)

					'印刷用データ準備処理
					If Me.exeReportPre(db) = False Then
						Return False
					End If

					'データ件数確認
					Dim icnt = Me.GetPrtDatCnt(db)
					If icnt = 0 Then
						'データが存在しない
						Me.pForm.showMsg("E0004", Nothing, Nothing)
						Return flg
					End If
					'ヘッダの作成
					cliReportFunc.exeHeaderIns(db, Me.getHeaderData, True)
				End Using

				'印刷/プレビュー
				If cliReportFunc.AcPrint(datAccess.NUMBERPRINTED) = False Then
					flg = False
				Else
					flg = True
				End If
			End Using
			Return flg
		Catch ex As Exception
			Throw
		Finally
			cliAccess = Nothing
			datAccess = Nothing
			cliCom = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データ準備処理
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <returns>True:成功、False:失敗</returns>
	''' <remarks>
	''' 2010/11/24 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Friend Function exeReportPre(ByRef db As XCM.clsDB) As Boolean
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "exeReportPre", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力用データ準備処理 Start")
		Try
			'各チェックの帳票データを作成
			Select Case Me.pPattern
				'* 科歴情報系
				Case sBTN_PTN_3_1
					Me.GetMTI_CH_CHK1(db)
				Case sBTN_PTN_3_2
					Me.GetMTI_CH_CHK2(db)
				Case sBTN_PTN_3_3
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK3)
				Case sBTN_PTN_3_4
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CH_CHK4)

				'* 手術情報系 *
				Case sBTN_PTN_4_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK1)
				Case sBTN_PTN_4_2
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_OPE_CHK2)
				Case sBTN_PTN_4_3
					Me.GetMTI_OPE_CHK3(db)
				Case sBTN_PTN_4_4
					Me.GetMTI_OPE_CHK4(db)

				'* 病棟情報系 *
				Case sBTN_PTN_5_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_WARD_CHK1)
				Case sBTN_PTN_5_2
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_WARD_CHK2)
				Case sBTN_PTN_5_3
					Me.GetMTI_WARD_CHK3(db)
				Case sBTN_PTN_5_4
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_WARD_CHK4)
				Case sBTN_PTN_5_5
					Me.GetMTI_WARD_CHK5(db)

				'* 救命救急情報系 *
				Case sBTN_PTN_6_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_EMERGENCY_CHK1)
				Case sBTN_PTN_6_2
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_EMERGENCY_CHK2)

				'* 分娩情報系 *
				Case sBTN_PTN_7_1
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CB_CHK1)
				Case sBTN_PTN_7_2
					Me.GetPrtDat(db, Enum_SQLID.SQLID_MTI_CB_CHK2)

				Case Else
					Return False
			End Select

			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データ件数の確認
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetPrtDatCnt(ByRef db As XCM.clsDB) As Integer
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetPrtDatCnt", CST_LOG_PRODUCT, CST_LOG_CLASS, "帳票出力用データ件数の確認 Start")
		Dim icnt As Integer = 0
		Try
			Using dat As New DataTable
				'SQL文生成、パラメータ設定
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_SEL_MTW_CHK_OBJECT)
				db.setParamDa(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
				db.execQueryDa(dat)

				For Each tmprow As DataRow In dat.Rows
					'件数取得
					icnt = tmprow.Item(sqlMAX030R020.itmCOUNTER)
					Exit For
				Next tmprow
			End Using
			Return icnt
		Catch ex As Exception
			Throw
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 帳票出力用データの取得（１回のSQL発行で件数が取得できるもの用）
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="tbltyp">実行SQL識別ID</param>
	''' <remarks>
	''' 2010/11/19 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetPrtDat(ByRef db As XCM.clsDB, ByVal tbltyp As Enum_SQLID)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetPrtDat", CST_LOG_PRODUCT, CST_LOG_CLASS, "件数の取得（１回のSQL発行で件数が取得できるもの用） Start")
		Try
			'SQL文生成、パラメータ設定
			Me.setSQL(db, Nothing, tbltyp)
			db.execNonQuery()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 科歴内の転科元終了日との前後関係チェック
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetMTI_CH_CHK1(ByRef db As XCM.clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetMTI_CH_CHK1", CST_LOG_PRODUCT, CST_LOG_CLASS, "科歴内の転科元終了日との前後関係チェック Start")
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			'チェック元情報の取得
			Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_CH_CHK1_SUB1)
			db.execQueryDa(datM)

			'チェック処理
			For Each tmpdatM As DataRow In datM.Rows
				Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NO)
				Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030R020.itmHSP_HISTORY_NO)
				Dim iCH_NO As Integer = tmpdatM.Item(sqlMAX030R020.itmCH_NO)
				Dim sSTART_DT As String = tmpdatM.Item(sqlMAX030R020.itmSTART_DT).ToString
				Dim sEND_DT As String = tmpdatM.Item(sqlMAX030R020.itmEND_DT).ToString
				Dim sBYOREKI_NO As String = tmpdatM.Item(sqlMAX030R020.itmBYOREKI_NO).ToString
				Dim sPATIENT_NM As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NM).ToString
				Dim sDEPT_CD As String = tmpdatM.Item(sqlMAX030R020.itmDEPT_CD).ToString
				Dim sDOCTOR_CD As String = tmpdatM.Item(sqlMAX030R020.itmDOCTOR_CD).ToString
				Dim errflg As Boolean = False

				'チェック先情報の取得
				datR.Clear()
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_CH_CHK1_SUB2)
				db.setParamDa(sqlMAX030R020.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(sqlMAX030R020.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
				db.setParamDa(sqlMAX030R020.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
				db.setValDa(sqlMAX030R020.prmPATIENT_NO, sPATIENT_NO)
				db.setValDa(sqlMAX030R020.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
				db.setValDa(sqlMAX030R020.prmCH_NO, iCH_NO, False)
				db.execQueryDa(datR)

				'比較処理
				If datR.Rows.Count = 0 Then
					'転科元が存在しないためエラー
					errflg = True
				Else
					For Each tmpdatR As DataRow In datR.Rows
						'終了日の取得
						sEND_DT = tmpdatR.Item(sqlMAX030R020.itmEND_DT).ToString

						'動作環境（転科、転棟の終了日、開始日の関係）で比較方法異なる
						Select Case Me.strENV0005
							'同一日
							Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual
								'転科元の科歴情報の終了日と、比較元科歴情報の開始日が異なる？
								If String.IsNullOrEmpty(sSTART_DT) = False AndAlso _
									String.IsNullOrEmpty(sEND_DT) = False AndAlso _
									Date.Compare(Date.Parse(sSTART_DT), Date.Parse(sEND_DT)) <> 0 Then
									errflg = True
								End If
							'一日ずらす
							Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift
								'転科元の科歴情報の終了日と、比較元科歴情報の開始日（および１日ずらした開始日）が異なる？
								If String.IsNullOrEmpty(sSTART_DT) = False AndAlso _
									String.IsNullOrEmpty(sEND_DT) = False Then
									Dim bfrDay As String = Date.Parse(sSTART_DT).AddDays(-1)
									If Date.Compare(Date.Parse(sSTART_DT), Date.Parse(sEND_DT)) <> 0 AndAlso _
										Date.Compare(Date.Parse(bfrDay), Date.Parse(sEND_DT)) <> 0 Then
										errflg = True
									End If
								End If
							Case Else
						End Select
						Exit For
					Next tmpdatR
				End If

				If errflg = True Then
					'TW_チェック対象一覧テーブルへデータの挿入
					Me.InsMTW_CHK_OBJECT(db, _
										 sPATIENT_NO, _
										 iHSP_HISTORY_NO, _
										 iCH_NO, _
										 sBYOREKI_NO, _
										 Nothing, _
										 sPATIENT_NM, _
										 sDEPT_CD, _
										 sDOCTOR_CD, _
										 sEND_DT, _
										 Nothing, _
										 Nothing)
				End If
			Next tmpdatM
		Catch ex As Exception
			Throw
		Finally
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 科歴内の転科先開始日との前後関係チェック
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetMTI_CH_CHK2(ByRef db As XCM.clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetMTI_CH_CHK2", CST_LOG_PRODUCT, CST_LOG_CLASS, "科歴内の転科先開始日との前後関係チェック Start")
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			'チェック元情報の取得
			Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_CH_CHK2_SUB1)
			db.execQueryDa(datM)

			'チェック処理
			For Each tmpdatM As DataRow In datM.Rows
				Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NO)
				Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030R020.itmHSP_HISTORY_NO)
				Dim iCH_NO As Integer = tmpdatM.Item(sqlMAX030R020.itmCH_NO)
				Dim sSTART_DT As String = Nothing
				Dim sEND_DT As String = tmpdatM.Item(sqlMAX030R020.itmEND_DT).ToString
				Dim sBYOREKI_NO As String = tmpdatM.Item(sqlMAX030R020.itmBYOREKI_NO).ToString
				Dim sPATIENT_NM As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NM).ToString
				Dim sDEPT_CD As String = tmpdatM.Item(sqlMAX030R020.itmDEPT_CD).ToString
				Dim sDOCTOR_CD As String = tmpdatM.Item(sqlMAX030R020.itmDOCTOR_CD).ToString
				Dim errflg As Boolean = False

				'チェック先情報の取得
				datR.Clear()
				Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_CH_CHK2_SUB2)
				db.setParamDa(sqlMAX030R020.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
				db.setParamDa(sqlMAX030R020.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
				db.setParamDa(sqlMAX030R020.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
				db.setValDa(sqlMAX030R020.prmPATIENT_NO, sPATIENT_NO)
				db.setValDa(sqlMAX030R020.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
				db.setValDa(sqlMAX030R020.prmCH_NO, iCH_NO, False)
				db.execQueryDa(datR)

				'比較処理
				If datR.Rows.Count = 0 Then
					'転科元が存在しないためエラー
					errflg = True
				Else
					For Each tmpdatR As DataRow In datR.Rows
						'開始日の取得
						sSTART_DT = tmpdatR.Item(sqlMAX030R020.itmSTART_DT).ToString

						'動作環境（転科、転棟の終了日、開始日の関係）で比較方法異なる
						Select Case Me.strENV0005
							'同一日
							Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual
								'転科先の科歴情報の開始日と、比較元科歴情報の終了日が異なる？
								If String.IsNullOrEmpty(sSTART_DT) = False AndAlso _
									String.IsNullOrEmpty(sEND_DT) = False AndAlso _
									Date.Compare(Date.Parse(sSTART_DT), Date.Parse(sEND_DT)) <> 0 Then
									errflg = True
								End If
							'一日ずらす
							Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift
								'転科先の科歴情報の開始日と、比較元科歴情報の終了日（および１日ずらした終了日）が異なる？
								If String.IsNullOrEmpty(sSTART_DT) = False AndAlso _
									String.IsNullOrEmpty(sEND_DT) = False Then
									Dim bfrDay As String = Date.Parse(sEND_DT).AddDays(1)
									If Date.Compare(Date.Parse(sSTART_DT), Date.Parse(sEND_DT)) <> 0 AndAlso _
										Date.Compare(Date.Parse(sSTART_DT), Date.Parse(bfrDay)) <> 0 Then
										errflg = True
									End If
								End If
							Case Else
						End Select
						Exit For
					Next tmpdatR
				End If

				If errflg = True Then
					'TW_チェック対象一覧テーブルへデータの挿入
					Me.InsMTW_CHK_OBJECT(db, _
										 sPATIENT_NO, _
										 iHSP_HISTORY_NO, _
										 iCH_NO, _
										 sBYOREKI_NO, _
										 Nothing, _
										 sPATIENT_NM, _
										 sDEPT_CD, _
										 sDOCTOR_CD, _
										 sEND_DT, _
										 Nothing, _
										 Nothing)
				End If
			Next tmpdatM
		Catch ex As Exception
			Throw
		Finally
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 術前日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のチェック
	''' </summary>[
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetMTI_OPE_CHK3(ByRef db As XCM.clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetMTI_OPE_CHK3", CST_LOG_PRODUCT, CST_LOG_CLASS, "術前日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のチェック Start")
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			'チェック元情報の取得
			Me.setSQL(db, Nothing, Enum_SQLID.SQLID_GET_BASE)
			db.execQueryDa(datM)

			'チェック処理
			For Each tmpdatM As DataRow In datM.Rows
				Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NO).ToString
				Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030R020.itmHSP_HISTORY_NO)
				Dim sCH_NO As String = tmpdatM.Item(sqlMAX030R020.itmCH_NO).ToString
				Dim sHSP_DT As String = tmpdatM.Item(sqlMAX030R020.itmHSP_DT).ToString
				Dim sEND_DT As String = tmpdatM.Item(sqlMAX030R020.itmEND_DT).ToString
				Dim sBYOREKI_NO As String = tmpdatM.Item(sqlMAX030R020.itmBYOREKI_NO).ToString
				Dim sPATIENT_NM As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NM).ToString
				Dim sDEPT_CD As String = tmpdatM.Item(sqlMAX030R020.itmDEPT_CD).ToString
				Dim sDOCTOR_CD As String = tmpdatM.Item(sqlMAX030R020.itmDOCTOR_CD).ToString

				If String.IsNullOrEmpty(sCH_NO) = False Then
					'チェック先情報の取得
					datR.Clear()
					Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_OPE_CHK3_CHK4)
					db.setParamDa(sqlMAX030R020.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMAX030R020.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setParamDa(sqlMAX030R020.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlMAX030R020.prmPATIENT_NO, sPATIENT_NO)
					db.setValDa(sqlMAX030R020.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
					db.setValDa(sqlMAX030R020.prmCH_NO, CInt(sCH_NO), False)
					db.execQueryDa(datR)

					For Each tmpdatR As DataRow In datR.Rows
						'手術日、術前日数の取得
						Dim sOPE_DT As String = tmpdatR.Item(sqlMAX030R020.itmOPE_DT).ToString
						Dim sPRE_OPE_DAYS As String = tmpdatR.Item(sqlMAX030R020.itmPRE_OPE_DAYS).ToString
						Dim idays As Integer = 0

						'手術日、術前日数がNullなどの場合、比較日数を0に設定
						If String.IsNullOrEmpty(sHSP_DT) = True OrElse _
						   String.IsNullOrEmpty(sOPE_DT) = True OrElse _
						   String.IsNullOrEmpty(sPRE_OPE_DAYS) = True Then
							idays = 0
							sPRE_OPE_DAYS = 0
						Else
							'比較日数を算出
							'動作環境（術前日数の計算式の選択）で比較方法異なる
							Select Case Me.strENV0078
								Case XCM.clsConst.Enum_PreOpeCalcSel.StartHsp
									idays = DateDiff(DateInterval.Day, Date.Parse(sHSP_DT), Date.Parse(sOPE_DT))
								Case XCM.clsConst.Enum_PreOpeCalcSel.StartHspPlus
									idays = DateDiff(DateInterval.Day, Date.Parse(sHSP_DT).AddDays(1), Date.Parse(sOPE_DT))

								Case Else
							End Select
						End If

						'術前日数が-1または算出日と一致しない場合はエラー
						If CInt(sPRE_OPE_DAYS) < -1 OrElse _
							CInt(sPRE_OPE_DAYS) <> idays Then
							'TW_チェック対象一覧テーブルへデータの挿入
							Me.InsMTW_CHK_OBJECT(db, _
													sPATIENT_NO, _
													iHSP_HISTORY_NO, _
													CStr(sCH_NO), _
													sBYOREKI_NO, _
													Nothing, _
													sPATIENT_NM, _
													sDEPT_CD, _
													sDOCTOR_CD, _
													sEND_DT, _
													Nothing, _
													Nothing)
							Exit For
						End If
					Next tmpdatR
				End If
			Next tmpdatM
		Catch ex As Exception
			Throw
		Finally
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のチェック
	''' </summary>
	''' <returns>レコード取得件数</returns>
	''' <remarks>
	''' 2010/11/22 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Function GetMTI_OPE_CHK4(ByRef db As XCM.clsDB) As Integer
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetMTI_OPE_CHK4", CST_LOG_PRODUCT, CST_LOG_CLASS, "術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)のチェック Start")
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			'チェック元情報の取得
			Me.setSQL(db, Nothing, Enum_SQLID.SQLID_GET_BASE)
			db.execQueryDa(datM)

			'チェック処理
			For Each tmpdatM As DataRow In datM.Rows
				Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NO).ToString
				Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030R020.itmHSP_HISTORY_NO)
				Dim sCH_NO As String = tmpdatM.Item(sqlMAX030R020.itmCH_NO).ToString
				Dim sOUT_HSP_DT As String = tmpdatM.Item(sqlMAX030R020.itmOUT_HSP_DT).ToString
				Dim sEND_DT As String = tmpdatM.Item(sqlMAX030R020.itmEND_DT).ToString
				Dim sBYOREKI_NO As String = tmpdatM.Item(sqlMAX030R020.itmBYOREKI_NO).ToString
				Dim sPATIENT_NM As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NM).ToString
				Dim sDEPT_CD As String = tmpdatM.Item(sqlMAX030R020.itmDEPT_CD).ToString
				Dim sDOCTOR_CD As String = tmpdatM.Item(sqlMAX030R020.itmDOCTOR_CD).ToString

				If String.IsNullOrEmpty(sCH_NO) = False Then
					'チェック先情報の取得
					datR.Clear()
					Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_OPE_CHK3_CHK4)
					db.setParamDa(sqlMAX030R020.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMAX030R020.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setParamDa(sqlMAX030R020.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlMAX030R020.prmPATIENT_NO, sPATIENT_NO)
					db.setValDa(sqlMAX030R020.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
					db.setValDa(sqlMAX030R020.prmCH_NO, CInt(sCH_NO), False)
					db.execQueryDa(datR)

					For Each tmpdatR As DataRow In datR.Rows
						'退院日、手術終了日、術後日数の取得
						Dim sOPE_DT As String = tmpdatR.Item(sqlMAX030R020.itmOPE_DT).ToString
						Dim sOPE_END_DT As String = tmpdatR.Item(sqlMAX030R020.itmEND_DT).ToString
						Dim sAFTER_OPE_DAYS As String = tmpdatR.Item(sqlMAX030R020.itmAFTER_OPE_DAYS).ToString
						Dim idays As Integer = 0

						'手術日、術前日数がNullなどの場合、比較日数を0に設定
						If String.IsNullOrEmpty(sOUT_HSP_DT) = True OrElse _
						 (String.IsNullOrEmpty(sOPE_DT) = True AndAlso String.IsNullOrEmpty(sOPE_END_DT) = True) OrElse _
						 String.IsNullOrEmpty(sAFTER_OPE_DAYS) = True Then
							idays = 0
							sAFTER_OPE_DAYS = 0
						Else
							If String.IsNullOrEmpty(sOPE_END_DT) = True Then
								idays = DateDiff(DateInterval.Day, Date.Parse(sOPE_DT), Date.Parse(sOUT_HSP_DT))
							Else
								idays = DateDiff(DateInterval.Day, Date.Parse(sOPE_END_DT), Date.Parse(sOUT_HSP_DT))
							End If
							'比較日数を算出
							'動作環境（術後日数の計算式の選択）で比較方法異なる
							Select Case Me.strENV0079
								Case XCM.clsConst.Enum_AfterOpeCalcSel.OutStart
								Case XCM.clsConst.Enum_AfterOpeCalcSel.OutStartPlus
									idays += 1

								Case Else
							End Select
						End If

						'術後日数が0または算出日と一致しない場合はエラー
						If CInt(sAFTER_OPE_DAYS) < 0 OrElse _
							CInt(sAFTER_OPE_DAYS) <> idays Then
							'TW_チェック対象一覧テーブルへデータの挿入
							Me.InsMTW_CHK_OBJECT(db, _
													sPATIENT_NO, _
													iHSP_HISTORY_NO, _
													CStr(sCH_NO), _
													sBYOREKI_NO, _
													Nothing, _
													sPATIENT_NM, _
													sDEPT_CD, _
													sDOCTOR_CD, _
													sEND_DT, _
													Nothing, _
													Nothing)
							Exit For
						End If
					Next tmpdatR
				End If
			Next tmpdatM
		Catch ex As Exception
			Throw
		Finally
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
	End Function

	'''---------------------------------------------
	''' <summary>
	''' 病棟開始日が前の病棟の病棟終了日より過去のチェック
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/26 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetMTI_WARD_CHK3(ByRef db As XCM.clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetMTI_WARD_CHK3", CST_LOG_PRODUCT, CST_LOG_CLASS, "病棟開始日が前の病棟の病棟終了日より過去のチェック Start")
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			'チェック元情報の取得
			Me.setSQL(db, Nothing, Enum_SQLID.SQLID_GET_BASE)
			db.execQueryDa(datM)

			'チェック処理
			For Each tmpdatM As DataRow In datM.Rows
				Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NO).ToString
				Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030R020.itmHSP_HISTORY_NO)
				Dim sCH_NO As String = tmpdatM.Item(sqlMAX030R020.itmCH_NO).ToString
				Dim sWARD_START_DT As String = Nothing
				Dim sWARD_END_DT As String = Nothing
				Dim sEND_DT As String = tmpdatM.Item(sqlMAX030R020.itmEND_DT).ToString
				Dim sBYOREKI_NO As String = tmpdatM.Item(sqlMAX030R020.itmBYOREKI_NO).ToString
				Dim sPATIENT_NM As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NM).ToString
				Dim sDEPT_CD As String = tmpdatM.Item(sqlMAX030R020.itmDEPT_CD).ToString
				Dim sDOCTOR_CD As String = tmpdatM.Item(sqlMAX030R020.itmDOCTOR_CD).ToString

				If String.IsNullOrEmpty(sCH_NO) = False Then
					'比較先データの取得
					datR.Clear()
					Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_WARD_CHK3_CHK5)
					db.setParamDa(sqlMAX030R020.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMAX030R020.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setParamDa(sqlMAX030R020.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlMAX030R020.prmPATIENT_NO, sPATIENT_NO)
					db.setValDa(sqlMAX030R020.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
					db.setValDa(sqlMAX030R020.prmCH_NO, CInt(sCH_NO), False)
					db.execQueryDa(datR)

					For Each tmpdatR As DataRow In datR.Rows
						'病棟開始日取得
						sWARD_START_DT = tmpdatR.Item(sqlMAX030R020.itmWARD_START_DT).ToString

						'病棟開始日が前の病棟終了日よりも過去
						If String.IsNullOrEmpty(sWARD_START_DT) = False AndAlso _
							String.IsNullOrEmpty(sWARD_END_DT) = False AndAlso _
							Date.Compare(Date.Parse(sWARD_START_DT), Date.Parse(sWARD_END_DT)) = -1 Then
							'TW_チェック対象一覧テーブルへデータの挿入
							Me.InsMTW_CHK_OBJECT(db, _
													sPATIENT_NO, _
													iHSP_HISTORY_NO, _
													CStr(sCH_NO), _
													sBYOREKI_NO, _
													Nothing, _
													sPATIENT_NM, _
													sDEPT_CD, _
													sDOCTOR_CD, _
													sEND_DT, _
													Nothing, _
													Nothing)
							Exit For
						End If

						'病棟終了日取得
						sWARD_END_DT = tmpdatR.Item(sqlMAX030R020.itmWARD_END_DT).ToString
					Next tmpdatR
				End If
			Next tmpdatM
		Catch ex As Exception
			Throw
		Finally
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 科歴内での病棟前後関係のチェック
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <remarks>
	''' 2010/11/26 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub GetMTI_WARD_CHK5(ByRef db As XCM.clsDB)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "GetMTI_WARD_CHK5", CST_LOG_PRODUCT, CST_LOG_CLASS, "科歴内での病棟前後関係のチェック Start")
		Dim datM As DataTable = Nothing
		Dim datR As DataTable = Nothing
		Try
			datM = New DataTable
			datR = New DataTable

			'チェック元情報の取得
			Me.setSQL(db, Nothing, Enum_SQLID.SQLID_GET_BASE)
			db.execQueryDa(datM)

			'チェック処理
			For Each tmpdatM As DataRow In datM.Rows
				Dim sPATIENT_NO As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NO).ToString
				Dim iHSP_HISTORY_NO As Integer = tmpdatM.Item(sqlMAX030R020.itmHSP_HISTORY_NO)
				Dim sCH_NO As String = tmpdatM.Item(sqlMAX030R020.itmCH_NO).ToString
				Dim sWARD_START_DT As String = Nothing
				Dim sWARD_END_DT As String = Nothing
				Dim sEND_DT As String = tmpdatM.Item(sqlMAX030R020.itmEND_DT).ToString
				Dim sBYOREKI_NO As String = tmpdatM.Item(sqlMAX030R020.itmBYOREKI_NO).ToString
				Dim sPATIENT_NM As String = tmpdatM.Item(sqlMAX030R020.itmPATIENT_NM).ToString
				Dim sDEPT_CD As String = tmpdatM.Item(sqlMAX030R020.itmDEPT_CD).ToString
				Dim sDOCTOR_CD As String = tmpdatM.Item(sqlMAX030R020.itmDOCTOR_CD).ToString
				Dim errflg As Boolean = False

				If String.IsNullOrEmpty(sCH_NO) = False Then
					'比較先データの取得
					datR.Clear()
					Me.setSQL(db, Nothing, Enum_SQLID.SQLID_MTI_WARD_CHK3_CHK5)
					db.setParamDa(sqlMAX030R020.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParamDa(sqlMAX030R020.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setParamDa(sqlMAX030R020.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
					db.setValDa(sqlMAX030R020.prmPATIENT_NO, sPATIENT_NO)
					db.setValDa(sqlMAX030R020.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
					db.setValDa(sqlMAX030R020.prmCH_NO, CInt(sCH_NO), False)
					db.execQueryDa(datR)

					For Each tmpdatR As DataRow In datR.Rows
						'病棟開始日取得
						sWARD_START_DT = tmpdatR.Item(sqlMAX030R020.itmWARD_START_DT).ToString

						'動作環境（転科、転棟の終了日、開始日の関係）で比較方法異なる
						Select Case Me.strENV0005
							'同一日
							Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual
								'１つ前の病棟終了日と、病棟開始日が異なる？
								If String.IsNullOrEmpty(sWARD_START_DT) = False AndAlso _
									String.IsNullOrEmpty(sWARD_END_DT) = False AndAlso _
									Date.Compare(Date.Parse(sWARD_START_DT), Date.Parse(sWARD_END_DT)) <> 0 Then
									errflg = True
								End If
							'一日ずらす
							Case XCM.clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift
								'１つ前の科歴情報の終了日と、比較元科歴情報の開始日（および１日ずらした開始日）が異なる？
								If String.IsNullOrEmpty(sWARD_START_DT) = False AndAlso _
									String.IsNullOrEmpty(sWARD_END_DT) = False Then
									Dim bfrDay As String = Date.Parse(sWARD_START_DT).AddDays(-1)
									If Date.Compare(Date.Parse(sWARD_START_DT), Date.Parse(sWARD_END_DT)) <> 0 AndAlso _
										Date.Compare(Date.Parse(bfrDay), Date.Parse(sWARD_END_DT)) <> 0 Then
										errflg = True
									End If
								End If
							Case Else
						End Select

						If errflg = True Then
							'TW_チェック対象一覧テーブルへデータの挿入
							Me.InsMTW_CHK_OBJECT(db, _
												 sPATIENT_NO, _
												 iHSP_HISTORY_NO, _
												 CInt(sCH_NO), _
												 sBYOREKI_NO, _
												 Nothing, _
												 sPATIENT_NM, _
												 sDEPT_CD, _
												 sDOCTOR_CD, _
												 sEND_DT, _
												 Nothing, _
												 Nothing)
							Exit For
						End If

						'病棟終了日取得
						sWARD_END_DT = tmpdatR.Item(sqlMAX030R020.itmWARD_END_DT).ToString
					Next tmpdatR
				End If
			Next tmpdatM
		Catch ex As Exception
			Throw
		Finally
			If datM Is Nothing = False Then
				datM.Dispose()
			End If
			If datR Is Nothing = False Then
				datR.Dispose()
			End If
			datM = Nothing
			datR = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="prcId">
	''' 取得SQLID
	''' （Enum_SQLID値）
	''' </param>
	''' <remarks>
	''' 2010/11/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSQL(ByRef db As XCM.clsDB, ByRef sql As String, Optional ByVal prcId As Integer = Nothing)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSQL", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文作成 Start")
		Try
			Dim strCnd As String = Nothing

			If Me.pCliSearch.getSearch(Me.pForm) = False Then Exit Sub

			'対象のSQL文を設定する
			Select Case prcId
				'* 科歴情報関連
				'開始経路が転科のとき転科元の科歴が存在しない件数を取得（取得元）
				Case Enum_SQLID.SQLID_MTI_CH_CHK1_SUB1
					Me.setSubSql(db, sqlMAX030R020.sqlSel_MTI_CH_CHK1_SUB1, True)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030R020.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030R020.prmFIXED_CD, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept)

				'開始経路が転科のとき転科元の科歴が存在しない件数を取得
				Case Enum_SQLID.SQLID_MTI_CH_CHK1_SUB2
					sql = sqlMAX030R020.sqlSel_MTI_CH_CHK1_SUB2
					sql &= sqlMAX030R020.sqlSel_MTI_CH_ORD2
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030R020.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030R020.prmFIXED_CD, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept)
					'他の追加パラメータは呼び出し元で設定

				'終了経路が転科のとき転科先の科歴が存在しない件数を取得（取得元）
				Case Enum_SQLID.SQLID_MTI_CH_CHK2_SUB1
					Me.setSubSql(db, sqlMAX030R020.sqlSel_MTI_CH_CHK2_SUB1, True)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030R020.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030R020.prmFIXED_CD, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept)

				'終了経路が転科のとき転科先の科歴が存在しない件数を取得
				Case Enum_SQLID.SQLID_MTI_CH_CHK2_SUB2
					sql = sqlMAX030R020.sqlSel_MTI_CH_CHK2_SUB2
					sql &= sqlMAX030R020.sqlSel_MTI_CH_ORD1
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'追加設定パラメータ
					db.setParamDa(sqlMAX030R020.prmFIXED_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setValDa(sqlMAX030R020.prmFIXED_CD, XCM.clsConst.Enum_HspChannel_Fix1.ChangeDept)
					'他の追加パラメータは呼び出し元で設定

				'開始日が入院科歴の開始日より過去である件数を取得
				Case Enum_SQLID.SQLID_MTI_CH_CHK3
					Me.setSubSqlIns(db, sqlMAX030R020.sqlIns_MTI_CH_CHK3_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())

				'終了日が入院科歴の終了日より未来である件数を取得
				Case Enum_SQLID.SQLID_MTI_CH_CHK4
					Me.setSubSqlIns(db, sqlMAX030R020.sqlIns_MTI_CH_CHK4_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())


				'* 手術情報関連
				'手術開始日が科開始日より過去である件数取得用
				Case Enum_SQLID.SQLID_MTI_OPE_CHK1
					'手術実施日登録可能範囲の設定によって使用するSQL文が異なる
					Select Case Me.strENV0067
						Case XCM.clsConst.Enum_DiseaseDtRange.StartEnd
							sql = sqlMAX030R020.sqlIns_MTI_OPE_CHK1_PTN2_PRT
						Case XCM.clsConst.Enum_DiseaseDtRange.HspOut
							sql = sqlMAX030R020.sqlIns_MTI_OPE_CHK1_PTN1_PRT
						Case Else
					End Select

					Me.setSubSqlIns(db, sql)
					'追加設定パラメータ
					db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())

				'手術終了日が科終了日より未来である件数取得用
				Case Enum_SQLID.SQLID_MTI_OPE_CHK2
					'手術実施日登録可能範囲の設定によって使用するSQL文が異なる
					Select Case Me.strENV0067
						Case XCM.clsConst.Enum_DiseaseDtRange.StartEnd
							sql = sqlMAX030R020.sqlIns_MTI_OPE_CHK2_PTN2_PRT
						Case XCM.clsConst.Enum_DiseaseDtRange.HspOut
							sql = sqlMAX030R020.sqlIns_MTI_OPE_CHK2_PTN1_PRT
						Case Else
					End Select

					Me.setSubSqlIns(db, sql)
					'追加設定パラメータ
					db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())

				'術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)
				'および術後日数が違っている、又はﾏｲﾅｽ(固定コード2が1or2)
				Case Enum_SQLID.SQLID_MTI_OPE_CHK3_CHK4
					sql = sqlMAX030R020.sqlSel_MTI_OPE_CHK3_CHK4
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し元で設定


				'* 病棟情報関連
				'病棟開始日が科開始日より過去である
				Case Enum_SQLID.SQLID_MTI_WARD_CHK1
					Me.setSubSqlIns(db, sqlMAX030R020.sqlIns_MTI_WARD_CHK1_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())

				'病棟終了日が科終了日より未来である
				Case Enum_SQLID.SQLID_MTI_WARD_CHK2
					Me.setSubSqlIns(db, sqlMAX030R020.sqlIns_MTI_WARD_CHK2_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())

				'病棟開始日が前の病棟終了日より過去である
				'＆科歴内での病棟の前後関係
				Case Enum_SQLID.SQLID_MTI_WARD_CHK3_CHK5
					sql = sqlMAX030R020.sqlSel_MTI_WARD_CHK3_CHK5
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し元で設定

				'病棟開始日が病棟終了日より過去である
				Case Enum_SQLID.SQLID_MTI_WARD_CHK4
					Me.setSubSqlIns(db, sqlMAX030R020.sqlIns_MTI_WARD_CHK4_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())


				'* 救命救急情報関連
				'救命救急入室日が科開始日より過去である
				Case Enum_SQLID.SQLID_MTI_EMERGENCY_CHK1
					Me.setSubSqlIns(db, sqlMAX030R020.sqlIns_MTI_EMERGENCY_CHK1_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())

				'救命救急退室日が科終了日より未来である
				Case Enum_SQLID.SQLID_MTI_EMERGENCY_CHK2
					Me.setSubSqlIns(db, sqlMAX030R020.sqlIns_MTI_EMERGENCY_CHK2_PRT)
					'追加設定パラメータ
					db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())


				'* 分娩情報関連
				'分娩日が科開始日より過去である
				Case Enum_SQLID.SQLID_MTI_CB_CHK1
					Select Case Me.strENV0071
						Case XCM.clsConst.Enum_CbDtRange.StartEnd
							Me.setSubSqlIns(db, sqlMAX030R020.sqlIns_MTI_CB_CHK1_PRT)
						Case XCM.clsConst.Enum_CbDtRange.HspOut
							Me.setSubSqlIns(db, sqlMAX030R020.sqlIns_MTI_CB_CHK3_PRT)
						Case Else
					End Select
					'追加設定パラメータ
					db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())

				'分娩日が科終了日より未来である
				Case Enum_SQLID.SQLID_MTI_CB_CHK2
					Select Case Me.strENV0071
						Case XCM.clsConst.Enum_CbDtRange.StartEnd
							Me.setSubSqlIns(db, sqlMAX030R020.sqlIns_MTI_CB_CHK2_PRT)
						Case XCM.clsConst.Enum_CbDtRange.HspOut
							Me.setSubSqlIns(db, sqlMAX030R020.sqlIns_MTI_CB_CHK4_PRT)
						Case Else
					End Select

					'追加設定パラメータ
					db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
					db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
					db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
					db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
					db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())


				'* その他
				'複数から参照する参照元取得用
				Case Enum_SQLID.SQLID_GET_BASE
					Me.setSubSql(db, sqlMAX030R020.sqlSel_GET_BASE)


				'* 帳票出力関連
				'TW_チェック対象一覧テーブルのデータ件数確認
				Case Enum_SQLID.SQLID_SEL_MTW_CHK_OBJECT
					sql = sqlMAX030R020.sqlSel_MTW_CHK_OBJECT
					db.setSQLDa(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し側で設定

				'TW_チェック対象一覧テーブルへデータの挿入
				Case Enum_SQLID.SQLID_INS_MTW_CHK_OBJECT
					sql = sqlMAX030R020.sqlIns_MTW_CHK_OBJECT
					db.setSQL(sql)
					If Debugger.IsAttached = True Then Debug.Print(sql)
					'パラメータは呼び出し側で設定

				Case Else
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="condFlg">Where句接頭語変換可否フラグ</param>
	''' <remarks>
	''' 2011/11/17 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSubSql(ByRef db As XCM.clsDB, ByVal sql As String, Optional ByVal condFlg As Boolean = False)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSubSql", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文作成 Start")
		Dim where As String = Nothing
		Try
			where = Me.pCliSearch.getSqlWhere(Me.pTblCd, condFlg)
			db.setSQLDa(String.Format(sql, where))
			If Debugger.IsAttached = True Then Debug.Print(String.Format(sql, where))
			Me.pCliSearch.setDbParamDa(db, Me.pTblCd)
		Catch ex As Exception
			Throw
		Finally
			where = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' SQL文作成（Insert用）
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sql">SQL文格納用</param>
	''' <param name="condFlg">Where句接頭語変換可否フラグ</param>
	''' <remarks>
	''' 2011/11/17 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub setSubSqlIns(ByRef db As XCM.clsDB, ByVal sql As String, Optional ByVal condFlg As Boolean = False)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "setSubSql", CST_LOG_PRODUCT, CST_LOG_CLASS, "SQL文作成 Start")
		Dim where As String = Nothing
		Try
			where = Me.pCliSearch.getSqlWhere(Me.pTblCd, condFlg)
			db.setSQL(String.Format(sql, where))
			If Debugger.IsAttached = True Then Debug.Print(String.Format(sql, where))
			Me.pCliSearch.setDbParam(db, Me.pTblCd)
		Catch ex As Exception
			Throw
		Finally
			where = Nothing
		End Try
	End Sub

	'''---------------------------------------------
	''' <summary>
	''' 『TW_チェック対象一覧』テーブルへ帳票出力用データ格納
	''' </summary>
	''' <param name="db">DB操作クラス</param>
	''' <param name="sPATIENT_NO">患者番号</param>
	''' <param name="iHSP_HISTORY_NO">入退院歴番号</param>
	''' <param name="iCH_NO">科歴番号</param>
	''' <param name="sPATIENT_NM">氏名</param>
	''' <param name="sBYOREKI_NO">病歴番号</param>
	''' <param name="sCODE">コード</param>
	''' <param name="sDEPT_CD">診療科コード</param>
	''' <param name="sDOCTOR_CD">医師コード</param>
	''' <param name="sEND_DT">終了日</param>
	''' <param name="sRECORD_MNGSTATUS_CD">カルテ管理状況コード</param>
	''' <param name="sREG_PERSON_CD">登録者コード</param>
	''' <remarks>
	''' 2010/11/25 新規作成 ACS)福士<BR/>
	''' </remarks>
	'''---------------------------------------------
	Private Sub InsMTW_CHK_OBJECT(ByRef db As XCM.clsDB, _
								  ByVal sPATIENT_NO As String, _
								  ByVal iHSP_HISTORY_NO As Integer, _
								  ByVal iCH_NO As Integer, _
								  ByVal sBYOREKI_NO As String, _
								  ByVal sCODE As String, _
								  ByVal sPATIENT_NM As String, _
								  ByVal sDEPT_CD As String, _
								  ByVal sDOCTOR_CD As String, _
								  ByVal sEND_DT As String, _
								  ByVal sRECORD_MNGSTATUS_CD As String, _
								  ByVal sREG_PERSON_CD As String)
		XCM.clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "InsMTW_CHK_OBJECT", CST_LOG_PRODUCT, CST_LOG_CLASS, "『TW_チェック対象一覧』テーブルへ帳票出力用データ格納 Start")
		Try
			'SQL文生成、パラメータ設定
			Me.setSQL(db, Nothing, Enum_SQLID.SQLID_INS_MTW_CHK_OBJECT)
			db.setParam(sqlMAX030R020.prmHOST_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R020.prmPATIENT_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R020.prmHSP_HISTORY_NO, XCM.clsDB.Enum_dbType.dbInt)
			db.setParam(sqlMAX030R020.prmCH_NO, XCM.clsDB.Enum_dbType.dbInt)
			db.setParam(sqlMAX030R020.prmBYOREKI_NO, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R020.prmPATIENT_NM, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R020.prmDEPT_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R020.prmDOCTOR_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R020.prmEND_DT, XCM.clsDB.Enum_dbType.dbDateTime)
			db.setParam(sqlMAX030R020.prmCODE, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R020.prmRECORD_MNGSTATUS_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R020.prmREG_PERSON_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R020.prmLASTUPDUSER_CD, XCM.clsDB.Enum_dbType.dbNVarChar)
			db.setParam(sqlMAX030R020.prmLASTUPD_DT, XCM.clsDB.Enum_dbType.dbDateTime)
			db.setVal(sqlMAX030R020.prmHOST_NM, XCM.clsConst.CST_HOST_NM)
			db.setVal(sqlMAX030R020.prmPATIENT_NO, sPATIENT_NO)
			db.setVal(sqlMAX030R020.prmHSP_HISTORY_NO, iHSP_HISTORY_NO, False)
			db.setVal(sqlMAX030R020.prmCH_NO, iCH_NO, False)
			db.setVal(sqlMAX030R020.prmBYOREKI_NO, sBYOREKI_NO)
			db.setVal(sqlMAX030R020.prmPATIENT_NM, sPATIENT_NM)
			db.setVal(sqlMAX030R020.prmDEPT_CD, sDEPT_CD)
			db.setVal(sqlMAX030R020.prmDOCTOR_CD, sDOCTOR_CD)
			db.setVal(sqlMAX030R020.prmEND_DT, sEND_DT)
			db.setVal(sqlMAX030R020.prmCODE, sCODE)
			db.setVal(sqlMAX030R020.prmRECORD_MNGSTATUS_CD, sRECORD_MNGSTATUS_CD)
			db.setVal(sqlMAX030R020.prmREG_PERSON_CD, sREG_PERSON_CD)
			db.setVal(sqlMAX070F010.prmLASTUPDUSER_CD, XCM.clsSysMst.getLoginId)
			db.setVal(sqlMAX070F010.prmLASTUPD_DT, DateTime.Now())
			db.execNonQuery()

		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ヘッダ情報編集
	''' </summary>
	''' <returns>ヘッダ情報</returns>
	''' <remarks>
	''' 2010/11/25 新規作成 ACS)仙頭<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Function getHeaderData() As datHeader
		clsSysMst.logEx(XCM.clsSysMst.logLevel.DBG, Me.GetType.Assembly.GetName.Name, Me.GetType.Name, "getHeaderData", CST_LOG_PRODUCT, CST_LOG_CLASS, "ヘッダ情報編集 START")
		Dim retHeader As datHeader
		Try
			retHeader = New datHeader
			With retHeader
				.PRT_ID = Me.GetType.Name							'帳票ID	
				.TITLE_NM = Me.pTitle								'タイトル
				.STR1 = Me.pSubTitle								'サブタイトル
				.STR2 = Me.pCondition								'検索条件
				.STR3 = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)	'病歴番号
			End With
			Return retHeader
		Catch ex As Exception
			Throw
		Finally
			retHeader = Nothing
		End Try
	End Function

#End Region

End Class