﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 未入力チェック
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Friend Class sqlMAX020F010

#Region "パラメータ"

	Public Const prmHSP_FLG As String = "@HSP_FLG"									'入院フラグ
	Public Const prmMAIN_DPM_FLG As String = "@MAIN_DPM_FLG"						'主科フラグ
	Public Const prmOUT_HSP_FLG As String = "@OUT_HSP_FLG"							'退院フラグ
	Public Const prmHSP_CHANCE_DISEASE_FLG As String = "@HSP_CHANCE_DISEASE_FLG"	'入院契機病名フラグ
	Public Const prmDISEASE_MED_RES_FLG1 As String = "@DISEASE_MED_RES_FLG1"		'医療資源投入１位フラグ
	Public Const prmDISEASE_MED_RES_FLG2 As String = "@DISEASE_MED_RES_FLG2"		'医療資源投入２位フラグ
	Public Const prmFIXED_CD As String = "@FIXED_CD"								'固定コード
	Public Const prmMAIN_WARD_FLG As String = "@MAIN_WARD_FLG"						'主病棟フラグ
	Public Const prmMAIN_DOCTOR_FLG As String = "@MAIN_DOCTOR_FLG"					'代表医師フラグ
	Public Const prmFIXED_CD3 As String = "@FIXED_CD3"								'固定コード３
	Public Const prmDEATH_DISEASE_FLG As String = "@DEATH_DISEASE_FLG"				'死因病名フラグ
	Public Const prmDEATH_CAUSE_FLG As String = "@DEATH_CAUSE_FLG"					'死因外因フラグ
	Public Const prmFIXED_CD_EX As String = "@FIXED_CD_EX"							'固定コード（同一SQL内にて別テーブルだが同一項目名で検索を行う）
	Public Const prmAUTOPSY_CHK As String = "@AUTOPSY_CHK"							'剖検有無区分コード

	Public Const prmHOST_NM As String = "@HOST_NM"									'ホスト名

#End Region

#Region "取得項目"

	Public Const itmCOUNTER As String = "COUNTER"									'件数
	Public Const itmUNIT_CD As String = "UNIT_CD"									'単位

#End Region

#Region "入退院関連"

#Region "入退院情報関連件数取得用"

	''' <summary>
	''' 入退院検索雛型
	''' </summary>
	Private Const sqlSel_MTI_HSP As String = _
		  "SELECT COUNT(MTI_HSP.PATIENT_NO) AS COUNTER" _
		& "  FROM MTI_HSP"

	''' <summary>
	''' 入退院情報総件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_ALL As String = _
		  sqlSel_MTI_HSP _
		& " WHERE MTI_HSP.PATIENT_NO IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 病歴番号件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK1 As String = _
		  sqlSel_MTI_HSP _
		& " WHERE MTI_HSP.BYOREKI_NO IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 入退院検索雛型
	''' </summary>
	Private Const sqlSel_MTI_HSP_CH As String = _
		  sqlSel_MTI_HSP _
		& "	INNER JOIN MTI_CH" _
		& "					 ON MTI_HSP.PATIENT_NO		= MTI_CH.PATIENT_NO" _
		& "					AND MTI_HSP.HSP_HISTORY_NO	= MTI_CH.HSP_HISTORY_NO"

	''' <summary>
	''' 入院科歴件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK2 As String = _
		  sqlSel_MTI_HSP_CH _
		& " WHERE MTI_CH.HSP_FLG = " & prmHSP_FLG _
		& " {0}"

	''' <summary>
	''' 主科科歴件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK3 As String = _
		  sqlSel_MTI_HSP_CH _
		& " WHERE MTI_CH.MAIN_DPM_FLG = " & prmMAIN_DPM_FLG _
		& " {0}"

	''' <summary>
	''' 退院科歴件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK4 As String = _
		  sqlSel_MTI_HSP_CH _
		& " WHERE MTI_CH.OUT_HSP_FLG = " & prmOUT_HSP_FLG _
		& " {0}"

	''' <summary>
	''' 診療科件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK5 As String = _
		  sqlSel_MTI_HSP _
		& "	INNER JOIN MTM_DEPT" _
		& "					 ON MTI_HSP.DEPT_CD		= MTM_DEPT.DEPT_CD" _
		& "	WHERE MTM_DEPT.DEPT_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 病棟件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK6 As String = _
		  sqlSel_MTI_HSP _
		& "	INNER JOIN MTM_WARD" _
		& "					 ON MTI_HSP.WARD_CD		= MTM_WARD.WARD_CD" _
		& "	WHERE MTM_WARD.WARD_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 在院日数件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK7 As String = _
		  sqlSel_MTI_HSP _
		& "	WHERE MTI_HSP.HSP_DAYS > 0" _
		& " {0}"

	''' <summary>
	''' 医師件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK8 As String = _
		  sqlSel_MTI_HSP _
		& "	INNER JOIN XTM_STAFF" _
		& "					 ON MTI_HSP.DOCTOR_CD	= XTM_STAFF.STAFF_CD" _
		& "	WHERE XTM_STAFF.STAFF_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 入院日件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK9 As String = _
		  sqlSel_MTI_HSP _
		& "	WHERE MTI_HSP.HSP_DT IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 予定・緊急件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK10 As String = _
		  sqlSel_MTI_HSP _
		& "	INNER JOIN MTM_PLAN_EMERGENCY" _
		& "					 ON MTI_HSP.PLAN_EMERGENCY_CD	= MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD" _
		& "	WHERE MTM_PLAN_EMERGENCY.PLAN_EMERGENCY_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 入院目的件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK11 As String = _
		  sqlSel_MTI_HSP _
		& "	INNER JOIN MTM_HSP_AIM" _
		& "					 ON MTI_HSP.HSP_AIM_CD	= MTM_HSP_AIM.HSP_AIM_CD" _
		& "	WHERE MTM_HSP_AIM.HSP_AIM_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 入院形態件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK12 As String = _
		  sqlSel_MTI_HSP _
		& "	INNER JOIN MTM_HSP_FORM" _
		& "					 ON MTI_HSP.HSP_FORM_CD	= MTM_HSP_FORM.HSP_FORM_CD" _
		& "	WHERE MTM_HSP_FORM.HSP_FORM_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 救急車有無件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK13 As String = _
		  sqlSel_MTI_HSP _
		& "	WHERE MTI_HSP.TAKE_AMBULANCE_CHK IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 退院日件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK14 As String = _
		  sqlSel_MTI_HSP _
		& "	WHERE MTI_HSP.OUT_HSP_DT IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 退院転帰件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK15 As String = _
		  sqlSel_MTI_HSP _
		& "	INNER JOIN MTM_OUT_HSP_OUTCOME" _
		& "					 ON MTI_HSP.OUT_HSP_OUTCOME_CD	= MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
		& "	WHERE MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 主病名件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK16 As String = _
		  sqlSel_MTI_HSP_CH _
		& "                 AND MTI_CH.MAIN_DPM_FLG     = " & prmMAIN_DPM_FLG _
		& "	INNER JOIN MTI_DISEASE" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_DISEASE.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_DISEASE.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_DISEASE.CH_NO" _
		& "	INNER JOIN MTM_DISEASE_DIV" _
		& "					 ON MTI_DISEASE.DISEASE_DIV	= MTM_DISEASE_DIV.DISEASE_DIV_CD" _
		& "	WHERE MTM_DISEASE_DIV.FIXED_CD				= " & prmFIXED_CD _
		& " {0}"

	''' <summary>
	''' 入院契機件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK17 As String = _
		  sqlSel_MTI_HSP_CH _
		& "	INNER JOIN MTI_DISEASE" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_DISEASE.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_DISEASE.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_DISEASE.CH_NO" _
		& "	WHERE MTI_DISEASE.HSP_CHANCE_DISEASE_FLG	= " & prmHSP_CHANCE_DISEASE_FLG _
		& " {0}"

	''' <summary>
	''' 医療資源投入１位件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK18 As String = _
		  sqlSel_MTI_HSP_CH _
		& "	INNER JOIN MTI_DISEASE" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_DISEASE.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_DISEASE.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_DISEASE.CH_NO" _
		& "	WHERE MTI_DISEASE.DISEASE_MED_RES_FLG1		= " & prmDISEASE_MED_RES_FLG1 _
		& " {0}"

	''' <summary>
	''' 医療資源投入２位件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK19 As String = _
		  sqlSel_MTI_HSP_CH _
		& "	INNER JOIN MTI_DISEASE" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_DISEASE.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_DISEASE.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_DISEASE.CH_NO" _
		& "	WHERE MTI_DISEASE.DISEASE_MED_RES_FLG2		= " & prmDISEASE_MED_RES_FLG2 _
		& " {0}"

	''' <summary>
	''' 入退院検索用ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const sqlCnt_MTI_HSP_H As String = _
		  " SELECT" _
		& "	COUNT(*) AS COUNTER " _
		& " FROM (" _
		& "	SELECT" _
		& "	 MTI_HSP.PATIENT_NO" _
		& "	,MTI_HSP.HSP_HISTORY_NO" _
		& "	 FROM MTI_HSP " _
		& "	INNER JOIN XTI_BASICINFO " _
		& "					 ON MTI_HSP.PATIENT_NO		= XTI_BASICINFO.PATIENT_NO " _
		& "	 LEFT JOIN MTI_CH" _
		& "					 ON MTI_HSP.PATIENT_NO		= MTI_CH.PATIENT_NO" _
		& "					AND MTI_HSP.HSP_HISTORY_NO	= MTI_CH.HSP_HISTORY_NO"

	''' <summary>
	''' 入退院検索用フッタ
	''' </summary>
	''' <remarks></remarks>
	Private Const sqlCnt_MTI_HSP_F As String = "" _
		& " WHERE MTI_HSP.PATIENT_NO IS NOT NULL" _
		& " {0}" _
		& " GROUP BY" _
		& "	 MTI_HSP.PATIENT_NO" _
		& "	,MTI_HSP.HSP_HISTORY_NO" _
		& " HAVING COUNT(MTI_CH.PATIENT_NO) = 0 OR COUNT(MTI_CH.PATIENT_NO) > 1" _
		& ") AS TMP "

	''' <summary>
	''' 入院科歴数印刷ボタン押下可能判定用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK20 As String = _
		  sqlCnt_MTI_HSP_H _
		& "					AND " & prmHSP_FLG & "		= MTI_CH.HSP_FLG" _
		& sqlCnt_MTI_HSP_F

	''' <summary>
	''' 主科科歴数印刷ボタン押下可能判定用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK21 As String = _
		  sqlCnt_MTI_HSP_H _
		& "					AND " & prmMAIN_DPM_FLG & "	= MTI_CH.MAIN_DPM_FLG" _
		& sqlCnt_MTI_HSP_F

	''' <summary>
	''' 退院科歴数印刷ボタン押下可能判定用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK22 As String = _
		  sqlCnt_MTI_HSP_H _
		& "					AND " & prmOUT_HSP_FLG & "	= MTI_CH.OUT_HSP_FLG" _
		& sqlCnt_MTI_HSP_F

	''' <summary>
	''' 主病名数印刷ボタン押下可能判定用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK23 As String = _
		  sqlCnt_MTI_HSP_H _
		& "					AND " & prmMAIN_DPM_FLG & "	= MTI_CH.MAIN_DPM_FLG" _
		& "  LEFT JOIN MTI_DISEASE" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_DISEASE.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_DISEASE.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_DISEASE.CH_NO" _
		& "  LEFT JOIN MTM_DISEASE_DIV" _
		& "					 ON MTI_DISEASE.DISEASE_DIV	= MTM_DISEASE_DIV.DISEASE_DIV_CD" _
		& "					AND " & prmFIXED_CD & "		= MTM_DISEASE_DIV.FIXED_CD" _
		& " WHERE MTI_HSP.PATIENT_NO IS NOT NULL" _
		& " {0}" _
		& " GROUP BY" _
		& "	 MTI_HSP.PATIENT_NO" _
		& "	,MTI_HSP.HSP_HISTORY_NO" _
		& " HAVING COUNT(MTM_DISEASE_DIV.DISEASE_DIV_CD) = 0 OR COUNT(MTM_DISEASE_DIV.DISEASE_DIV_CD) > 1" _
		& ") AS TMP "

	''' <summary>
	''' 入退院検索用ヘッダ
	''' </summary>
	''' <remarks></remarks>
	Private Const sqlCnt_MTI_HSP_DISEASE_H As String = _
		  " SELECT" _
		& "	COUNT(*) AS COUNTER " _
		& " FROM (" _
		& "	SELECT" _
		& "	 MTI_HSP.PATIENT_NO" _
		& "	,MTI_HSP.HSP_HISTORY_NO" _
		& "	 FROM MTI_HSP " _
		& "	INNER JOIN XTI_BASICINFO " _
		& "					 ON MTI_HSP.PATIENT_NO		= XTI_BASICINFO.PATIENT_NO " _
		& "	 LEFT JOIN MTI_DISEASE" _
		& "					 ON MTI_HSP.PATIENT_NO		= MTI_DISEASE.PATIENT_NO" _
		& "					AND MTI_HSP.HSP_HISTORY_NO	= MTI_DISEASE.HSP_HISTORY_NO"

	''' <summary>
	''' 入退院検索用フッタ
	''' </summary>
	''' <remarks></remarks>
	Private Const sqlCnt_MTI_HSP_DISEASE_F As String = "" _
		& " WHERE MTI_HSP.PATIENT_NO IS NOT NULL" _
		& " {0}" _
		& " GROUP BY" _
		& "	 MTI_HSP.PATIENT_NO" _
		& "	,MTI_HSP.HSP_HISTORY_NO" _
		& " HAVING COUNT(MTI_DISEASE.PATIENT_NO) = 0 OR COUNT(MTI_DISEASE.PATIENT_NO) > 1" _
		& ") AS TMP "

	''' <summary>
	''' 入院契機数印刷ボタン押下可能判定用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK24 As String = _
		  sqlCnt_MTI_HSP_DISEASE_H _
		& "					AND " & prmHSP_CHANCE_DISEASE_FLG & "	= MTI_DISEASE.HSP_CHANCE_DISEASE_FLG" _
		& sqlCnt_MTI_HSP_DISEASE_F

	''' <summary>
	''' 医療資源投入１位数印刷ボタン押下可能判定用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK25 As String = _
		  sqlCnt_MTI_HSP_DISEASE_H _
		& "					AND " & prmDISEASE_MED_RES_FLG1 & "	= MTI_DISEASE.DISEASE_MED_RES_FLG1" _
		& sqlCnt_MTI_HSP_DISEASE_F

	''' <summary>
	''' 医療資源投入２位数印刷ボタン押下可能判定用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CHK26 As String = _
		  sqlCnt_MTI_HSP_DISEASE_H _
		& "					AND " & prmDISEASE_MED_RES_FLG2 & "	= MTI_DISEASE.DISEASE_MED_RES_FLG2" _
		& sqlCnt_MTI_HSP_DISEASE_F

#End Region

#End Region

#Region "科歴関連"

#Region "科歴情報関連件数取得用"

	''' <summary>
	''' 科歴検索雛型
	''' </summary>
	Private Const sqlSel_MTI_CH As String = _
		  "SELECT COUNT(MTI_CH.PATIENT_NO) AS COUNTER" _
		& "  FROM MTI_CH" _
		& "	INNER JOIN MTI_HSP" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_HSP.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_HSP.HSP_HISTORY_NO"

	''' <summary>
	''' 科歴情報総件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_ALL As String = _
		  sqlSel_MTI_CH _
		& " WHERE MTI_CH.PATIENT_NO IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 病歴番号件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK1 As String = _
		  sqlSel_MTI_CH _
		& " WHERE MTI_CH.BYOREKI_NO IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 郵便番号件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK2 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN (SELECT DISTINCT ZIP_CD FROM MTM_ADDRESS) AS MTM_ADDRESS" _
		& "					 ON MTI_CH.ZIP_CD		= MTM_ADDRESS.ZIP_CD" _
		& " WHERE MTM_ADDRESS.ZIP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 診療圏件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK3 As String = _
		  sqlSel_MTI_CH _
		& "	LEFT JOIN MTM_AREA" _
		& "					 ON MTI_CH.AREA_CD		= MTM_AREA.AREA_CD" _
		& " WHERE MTM_AREA.AREA_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 診療科件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK4 As String = _
		  sqlSel_MTI_CH _
		& "	LEFT JOIN MTM_DEPT" _
		& "					 ON MTI_CH.DEPT_CD		= MTM_DEPT.DEPT_CD" _
		& " WHERE MTM_DEPT.DEPT_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 主病棟件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK5 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN MTI_WARD" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_WARD.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_WARD.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_WARD.CH_NO" _
		& " WHERE MTI_WARD.MAIN_WARD_FLG =" & prmMAIN_WARD_FLG _
		& " {0}"

	''' <summary>
	''' 在院日数件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK6 As String = _
		  sqlSel_MTI_CH _
		& " WHERE MTI_CH.HSP_DAYS > 0" _
		& " {0}"

'(M) STR V4-13010-000 028 20130212 ID)荒川 病歴大将V4PKG問題点No245 未入力チェック対応（代表医師）
	' ''' <summary>
	' ''' 代表医師件数取得用
	' ''' </summary>
	'Public Const sqlSel_MTI_CH_CHK7 As String = _
	'	  sqlSel_MTI_CH _
	'	& "	INNER JOIN MTI_DOCTOR" _
	'	& "					 ON MTI_CH.PATIENT_NO		= MTI_DOCTOR.PATIENT_NO" _
	'	& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_DOCTOR.HSP_HISTORY_NO" _
	'	& "					AND MTI_CH.CH_NO			= MTI_DOCTOR.CH_NO" _
	'	& " WHERE MTI_DOCTOR.MAIN_DOCTOR_FLG = " & prmMAIN_DOCTOR_FLG _
	'	& " {0}"
	''' <summary>
	''' 代表医師件数取得用<BR/>
	''' 	 (代表フラグと科暦の医師コードを参照するように<BR/>
	''' 　　　Ｖ３が科暦の医師コードだけ、<BR/>
	''' 　　　Ｖ４が代表フラグだけ　参照していたので、、。）<BR/>
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK7 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN MTI_DOCTOR" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_DOCTOR.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_DOCTOR.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_DOCTOR.CH_NO" _
		& " WHERE ( MTI_DOCTOR.MAIN_DOCTOR_FLG = " & prmMAIN_DOCTOR_FLG _
		& " AND MTI_CH.DOCTOR_CD IS NOT NULL )" _
		& " {0}"
'(M) END V4-13010-000 028 20130212 ID)荒川 病歴大将V4PKG問題点No245 未入力チェック対応（代表医師）

	''' <summary>
	''' 開始日件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK8 As String = _
		  sqlSel_MTI_CH _
		& " WHERE MTI_CH.START_DT IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 開始時年齢件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK9 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN XTI_BASICINFO" _
		& "					 ON MTI_CH.PATIENT_NO		= XTI_BASICINFO.PATIENT_NO" _
		& " WHERE (MTI_CH.START_DAY_AGE > 0" _
		& "		OR (MTI_CH.START_DAY_AGE = 0 AND XTI_BASICINFO.BIRTH_DT = MTI_CH.START_DT)) " _
		& " {0}"

	''' <summary>
	''' 開始経路件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK10 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN MTM_HSP_CNL" _
		& "					 ON MTI_CH.START_CNL_CD		= MTM_HSP_CNL.HSP_CNL_CD" _
		& " WHERE MTM_HSP_CNL.HSP_CNL_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 開始経路(紹介)件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK11 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN MTM_HSP_CNL" _
		& "					 ON MTI_CH.START_CNL_CD		= MTM_HSP_CNL.HSP_CNL_CD" _
		& " WHERE MTM_HSP_CNL.FIXED_CD3 = " & prmFIXED_CD3 _
		& " {0}"

	''' <summary>
	''' 開始経路(転科)件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK12 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN MTM_HSP_CNL" _
		& "					 ON MTI_CH.START_CNL_CD		= MTM_HSP_CNL.HSP_CNL_CD" _
		& " WHERE MTM_HSP_CNL.FIXED_CD = " & prmFIXED_CD _
		& " {0}"

	''' <summary>
	''' 開始経路(兼科)件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK13 As String = sqlSel_MTI_CH_CHK12

	''' <summary>
	''' 終了日件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK14 As String = _
		  sqlSel_MTI_CH _
		& " WHERE MTI_CH.END_DT IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 終了時年齢件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK15 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN XTI_BASICINFO" _
		& "					 ON MTI_CH.PATIENT_NO		= XTI_BASICINFO.PATIENT_NO" _
		& " WHERE (MTI_CH.END_DAY_AGE > 0" _
		& "	  OR (MTI_CH.END_DAY_AGE = 0 AND XTI_BASICINFO.BIRTH_DT = MTI_CH.END_DT)) " _
		& " {0}"

	''' <summary>
	''' 終了経路件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK16 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN MTM_OUT_HSP_CNL" _
		& "					 ON MTI_CH.END_CNL_CD		= MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
		& " WHERE MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 終了経路(紹介)件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK17 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN MTM_OUT_HSP_CNL" _
		& "					 ON MTI_CH.END_CNL_CD		= MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
		& " WHERE MTM_OUT_HSP_CNL.FIXED_CD3 = " & prmFIXED_CD3 _
		& " {0}"

	''' <summary>
	''' 終了経路(転科)件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK18 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN MTM_OUT_HSP_CNL" _
		& "					 ON MTI_CH.END_CNL_CD		= MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD" _
		& " WHERE MTM_OUT_HSP_CNL.FIXED_CD = " & prmFIXED_CD _
		& " {0}"

	''' <summary>
	''' 終了転帰件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK19 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN MTM_OUT_HSP_OUTCOME" _
		& "					 ON MTI_CH.END_OUTCOME_CD	= MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
		& " WHERE MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 終了転帰(死亡)件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK20 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN MTM_OUT_HSP_OUTCOME" _
		& "					 ON MTI_CH.END_OUTCOME_CD	= MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD" _
		& "					AND " & prmFIXED_CD & "		= MTM_OUT_HSP_OUTCOME.FIXED_CD" _
		& " WHERE MTI_CH.END_OUTCOME_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 主病名件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK21 As String = _
		  sqlSel_MTI_CH _
		& "	INNER JOIN MTI_DISEASE" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_DISEASE.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_DISEASE.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_DISEASE.CH_NO" _
		& "	INNER JOIN MTM_DISEASE_DIV" _
		& "					 ON MTI_DISEASE.DISEASE_DIV	= MTM_DISEASE_DIV.DISEASE_DIV_CD" _
		& "					AND " & prmFIXED_CD & "		= MTM_DISEASE_DIV.FIXED_CD" _
		& " WHERE MTM_DISEASE_DIV.DISEASE_DIV_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 主病名数印刷ボタン押下可能判定用
	''' </summary>
	Public Const sqlSel_MTI_CH_CHK22 As String = _
		  " SELECT" _
		& "	COUNT(*) AS COUNTER " _
		& " FROM (" _
		& "	SELECT" _
		& "	 MTI_CH.PATIENT_NO" _
		& "	,MTI_CH.HSP_HISTORY_NO" _
		& "	,MTI_CH.CH_NO" _
		& "	 FROM MTI_CH " _
		& "	INNER JOIN XTI_BASICINFO " _
		& "					 ON MTI_CH.PATIENT_NO		= XTI_BASICINFO.PATIENT_NO " _
		& "	INNER JOIN MTI_HSP" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_HSP.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_HSP.HSP_HISTORY_NO" _
		& "	 LEFT JOIN MTI_DISEASE" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_DISEASE.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_DISEASE.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_DISEASE.CH_NO" _
		& "	 LEFT JOIN MTM_DISEASE_DIV" _
		& "					 ON MTI_DISEASE.DISEASE_DIV	= MTM_DISEASE_DIV.DISEASE_DIV_CD" _
		& "					AND " & prmFIXED_CD & "		= MTM_DISEASE_DIV.FIXED_CD" _
		& " WHERE MTI_CH.PATIENT_NO IS NOT NULL" _
		& " {0}" _
		& " GROUP BY" _
		& "	 MTI_CH.PATIENT_NO" _
		& "	,MTI_CH.HSP_HISTORY_NO" _
		& "	,MTI_CH.CH_NO" _
		& " HAVING COUNT(MTM_DISEASE_DIV.DISEASE_DIV_CD) = 0 OR COUNT(MTM_DISEASE_DIV.DISEASE_DIV_CD) > 1" _
		& ") AS TMP "

#End Region

#End Region

#Region "病名タブ関連"

#Region "病名タブ関連件数取得用"

	''' <summary>
	''' 病名検索雛型
	''' </summary>
	Private Const sqlSel_MTI_DISEASE As String = _
		  "SELECT COUNT(MTI_CH.PATIENT_NO) AS COUNTER" _
		& "  FROM MTI_CH" _
		& "	INNER JOIN MTI_HSP" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_HSP.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_HSP.HSP_HISTORY_NO" _
		& "	INNER JOIN MTI_DISEASE" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_DISEASE.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_DISEASE.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_DISEASE.CH_NO"

	''' <summary>
	''' 病名総件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_ALL As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.PATIENT_NO IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' ICD10件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK1 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' ICD9件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK2 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD9_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' ICD10orICD9件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK3 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.DEATH_GRP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 大分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK4 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& "   AND MTI_DISEASE.L_GRP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 中分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK5 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& "   AND MTI_DISEASE.M_GRP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 小分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK6 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& "   AND MTI_DISEASE.S_GRP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' ３００分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK7 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& "   AND MTI_DISEASE.GRP300_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' a分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK8 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& "   AND MTI_DISEASE.A_GRP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' b分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK9 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& "   AND MTI_DISEASE.B_GRP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' c分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK10 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& "   AND MTI_DISEASE.C_GRP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 病名区分件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK11 As String = _
		  sqlSel_MTI_DISEASE _
		& "	INNER JOIN MTM_DISEASE_DIV" _
		& "					 ON MTI_DISEASE.DISEASE_DIV	= MTM_DISEASE_DIV.DISEASE_DIV_CD" _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 病名転帰件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK12 As String = _
		  sqlSel_MTI_DISEASE _
		& "	INNER JOIN MTM_DISEASE_OUTCOME" _
		& "					 ON MTI_DISEASE.DISEASE_OUTCOME_CD	= MTM_DISEASE_OUTCOME.DISEASE_OUTCOME_CD" _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 発症日件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK13 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& "   AND MTI_DISEASE.ONSET_DT IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 診断日件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK14 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& "   AND MTI_DISEASE.DIAGNOSIS_DT IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 終了日件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK15 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.ICD10_CD IS NOT NULL" _
		& "   AND MTI_DISEASE.END_DT IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 死因分類(クラス設計書№236)件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK16 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.DEATH_DISEASE_FLG =" & prmDEATH_DISEASE_FLG _
		& " {0}"

	''' <summary>
	''' 原死因が病名件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK17 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.DEATH_DISEASE_FLG =" & prmDEATH_DISEASE_FLG _
		& "   AND MTI_DISEASE.DEATH_GRP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 死因分類(クラス設計書№241)件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK18 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.DEATH_CAUSE_FLG =" & prmDEATH_CAUSE_FLG _
		& " {0}"

	''' <summary>
	''' 原死因が病名件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DISEASE_CHK19 As String = _
		  sqlSel_MTI_DISEASE _
		& " WHERE MTI_DISEASE.DEATH_CAUSE_FLG =" & prmDEATH_CAUSE_FLG _
		& "   AND MTI_DISEASE.CAUSE_DEATH_GRP_CD IS NOT NULL" _
		& " {0}"

#End Region

#End Region

#Region "手術タブ関連"

#Region "手術タブ関連件数取得用"

	''' <summary>
	''' 手術検索雛型
	''' </summary>
	Private Const sqlSel_MTI_OPE As String = _
		  "SELECT COUNT(MTI_CH.PATIENT_NO) AS COUNTER" _
		& "  FROM MTI_CH" _
		& "	INNER JOIN MTI_HSP" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_HSP.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_HSP.HSP_HISTORY_NO" _
		& "	INNER JOIN MTI_OPE" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_OPE.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_OPE.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_OPE.CH_NO"

	''' <summary>
	''' 手術総件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_ALL As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.PATIENT_NO IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' ICD9CM件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK1 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.ICD9CM_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 大分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK2 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.L_GRP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 中分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK3 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.M_GRP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' ３桁分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK4 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.DIGS3_GRP_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 開始日件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK5 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.OPE_DT IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 開始時刻件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK6 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.OPE_TIME IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 終了日件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK7 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.END_DT IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 終了時刻件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK8 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.END_TIME IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 対応病名件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK9 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.SPT_DISEASE_NM IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 所要時間件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK10 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.OPE_REQUIRED_TIME IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 医師件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK11 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE EXISTS ( SELECT * FROM MTI_OPE_DOCTOR" _
		& "				  WHERE MTI_OPE_DOCTOR.PATIENT_NO		= MTI_OPE.PATIENT_NO" _
		& "					AND MTI_OPE_DOCTOR.HSP_HISTORY_NO	= MTI_OPE.HSP_HISTORY_NO" _
		& "					AND MTI_OPE_DOCTOR.CH_NO			= MTI_OPE.CH_NO" _
		& "					AND MTI_OPE_DOCTOR.OPE_SERIAL_NO	= MTI_OPE.OPE_SERIAL_NO" _
		& "				)" _
		& " {0}"

	''' <summary>
	''' 術前日数件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK12 As String = _
		  sqlSel_MTI_OPE _
		& "	INNER JOIN MTM_OPE_DIV" _
		& "					 ON MTI_OPE.OPE_DIV			= MTM_OPE_DIV.OPE_DIV_CD" _
		& "	WHERE (MTI_OPE.PRE_OPE_DAYS > 0 " _
		& "	   OR  MTI_OPE.OPE_DT = MTI_HSP.HSP_DT)" _
		& " {0}"

	''' <summary>
	''' 手術区分件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK13 As String = _
		  sqlSel_MTI_OPE _
		& "	INNER JOIN MTM_OPE_DIV" _
		& "					 ON MTI_OPE.OPE_DIV			= MTM_OPE_DIV.OPE_DIV_CD" _
		& "	WHERE MTI_OPE.OPE_DIV IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 麻酔１件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK14 As String = _
		  sqlSel_MTI_OPE _
		& "	INNER JOIN MTM_ANESTHESIA" _
		& "					 ON MTI_OPE.ANESTHESIA_DIV1			= MTM_ANESTHESIA.ANESTHESIA_CD" _
		& "	WHERE MTI_OPE.ANESTHESIA_DIV1 IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 補助区分１件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK15 As String = _
		  sqlSel_MTI_OPE _
		& "	INNER JOIN MTM_OPE_ASST_DIV" _
		& "					 ON MTI_OPE.ASST_DIV1			= MTM_OPE_ASST_DIV.OPE_ASST_DIV_CD" _
		& "	WHERE MTI_OPE.ASST_DIV1 IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 補助区分２件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK16 As String = _
		  sqlSel_MTI_OPE _
		& "	INNER JOIN MTM_OPE_ASST_DIV2" _
		& "					 ON MTI_OPE.ASST_DIV2			= MTM_OPE_ASST_DIV2.OPE_ASST_DIV_CD" _
		& "	WHERE MTI_OPE.ASST_DIV2 IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 術後日数件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK17 As String = _
		  sqlSel_MTI_OPE _
		& "	INNER JOIN MTM_OPE_DIV" _
		& "					 ON MTI_OPE.OPE_DIV			= MTM_OPE_DIV.OPE_DIV_CD" _
		& "	WHERE (MTI_OPE.AFTER_OPE_DAYS > 0 " _
		& "	   OR  MTI_OPE.OPE_DT = MTI_HSP.OUT_HSP_DT)" _
		& " {0}"

	''' <summary>
	''' 点数表ｺｰﾄﾞ件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK18 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.SCORE_CD IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 備考１件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK19 As String = _
		  sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.REMARKS1 IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' 備考２件数取得用
	''' </summary>
	Public Const sqlSel_MTI_OPE_CHK20 As String = _
		sqlSel_MTI_OPE _
		& "	WHERE MTI_OPE.REMARKS2 IS NOT NULL" _
		& " {0}"

#End Region

#End Region

#Region "治療処置タブ関連"

#Region "治療処置タブ関連件数取得用"

	''' <summary>
	''' 治療処置検索雛型
	''' </summary>
	Private Const sqlSel_MTI_CARE As String = _
		  "SELECT COUNT(MTI_CH.PATIENT_NO) AS COUNTER" _
		& "  FROM MTI_CH" _
		& "	INNER JOIN MTI_HSP" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_HSP.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_HSP.HSP_HISTORY_NO" _
		& "	INNER JOIN MTI_CARE" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_CARE.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_CARE.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_CARE.CH_NO"

	''' <summary>
	''' 治療処置総件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CARE_ALL As String = _
		  sqlSel_MTI_CARE _
		& "	WHERE MTI_CARE.PATIENT_NO IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' ICD9CM件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CARE_CHK1 As String = _
		  sqlSel_MTI_CARE _
		& "	WHERE " _
		& "		MTI_CARE.ICD9CM_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 大分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CARE_CHK2 As String = _
		  sqlSel_MTI_CARE _
		& "	WHERE " _
		& "		MTI_CARE.L_GRP_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 中分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CARE_CHK3 As String = _
		  sqlSel_MTI_CARE _
		& "	WHERE " _
		& "		MTI_CARE.M_GRP_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' ３桁分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CARE_CHK4 As String = _
		  sqlSel_MTI_CARE _
		& "	WHERE " _
		& "		MTI_CARE.DIGS3_GRP_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 実施日数件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CARE_CHK5 As String = _
		  sqlSel_MTI_CARE _
		& "	WHERE " _
		& "		MTI_CARE.CARE_DT IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 補助区分件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CARE_CHK6 As String = _
		  sqlSel_MTI_CARE _
		& "			LEFT JOIN " _
		& "				MTM_CARE_ASST_DIV " _
		& "			ON " _
		& "				MTI_CARE.ASST_DIV = MTM_CARE_ASST_DIV.CARE_ASST_DIV_CD " _
		& "	WHERE " _
		& "		MTM_CARE_ASST_DIV.CARE_ASST_DIV_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 治療処置区分件数取得用
	''' </summary>
	Public Const sqlSel_MTI_CARE_CHK7 As String = _
		  sqlSel_MTI_CARE _
		& "			LEFT JOIN " _
		& "				MTM_CARE_DIV " _
		& "			ON " _
		& "				MTI_CARE.CARE_DIV = MTM_CARE_DIV.CARE_DIV_CD " _
		& "	WHERE " _
		& "		MTM_CARE_DIV.CARE_DIV_CD IS NOT NULL " _
		& " {0}"

#End Region

#End Region

#Region "検査タブ関連"

#Region "検査タブ関連件数取得用"

	''' <summary>
	''' 検査検索雛型
	''' </summary>
	Private Const sqlSel_MTI_TEST As String = _
		  "SELECT COUNT(MTI_CH.PATIENT_NO) AS COUNTER" _
		& "  FROM MTI_CH" _
		& "	INNER JOIN MTI_HSP" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_HSP.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_HSP.HSP_HISTORY_NO" _
		& "	INNER JOIN MTI_TEST" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_TEST.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_TEST.HSP_HISTORY_NO" _
		& "					AND MTI_CH.CH_NO			= MTI_TEST.CH_NO"

	''' <summary>
	''' 検査総件数取得用
	''' </summary>
	Public Const sqlSel_MTI_TEST_ALL As String = _
		  sqlSel_MTI_TEST _
		& "	WHERE MTI_TEST.PATIENT_NO IS NOT NULL" _
		& " {0}"

	''' <summary>
	''' ICD9CM件数取得用
	''' </summary>
	Public Const sqlSel_MTI_TEST_CHK1 As String = _
		  sqlSel_MTI_TEST _
		& "	WHERE " _
		& "		MTI_TEST.ICD9CM_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 大分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_TEST_CHK2 As String = _
		  sqlSel_MTI_TEST _
		& "	WHERE " _
		& "		MTI_TEST.L_GRP_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 中分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_TEST_CHK3 As String = _
		  sqlSel_MTI_TEST _
		& "	WHERE " _
		& "		MTI_TEST.M_GRP_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' ３桁分類件数取得用
	''' </summary>
	Public Const sqlSel_MTI_TEST_CHK4 As String = _
		  sqlSel_MTI_TEST _
		& "	WHERE " _
		& "		MTI_TEST.DIGS3_GRP_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 実施日件数取得用
	''' </summary>
	Public Const sqlSel_MTI_TEST_CHK5 As String = _
		  sqlSel_MTI_TEST _
		& "	WHERE " _
		& "		MTI_TEST.TEST_DT IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 補助区分件数取得用
	''' </summary>
	Public Const sqlSel_MTI_TEST_CHK6 As String = _
		  sqlSel_MTI_TEST _
		& "			LEFT JOIN " _
		& "				MTM_TEST_ASST_DIV " _
		& "			ON " _
		& "				MTI_TEST.ASST_DIV = MTM_TEST_ASST_DIV.TEST_ASST_DIV_CD " _
		& "	WHERE " _
		& "		MTM_TEST_ASST_DIV.TEST_ASST_DIV_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 検査区分件数取得用
	''' </summary>
	Public Const sqlSel_MTI_TEST_CHK7 As String = _
		  sqlSel_MTI_TEST _
		& "			LEFT JOIN " _
		& "				MTM_TEST_DIV " _
		& "			ON " _
		& "				MTI_TEST.TEST_DIV = MTM_TEST_DIV.TEST_DIV_CD " _
		& "	WHERE " _
		& "		MTM_TEST_DIV.TEST_DIV_CD IS NOT NULL " _
		& " {0}"

#End Region

#End Region

#Region "死亡タブ関連"

#Region "死亡タブ関連件数取得用"

	''' <summary>
	''' 終了転帰が死亡件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_ALL As String = _
		  " SELECT " _
		& "		COUNT(MTI_CH.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			LEFT JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "	WHERE " _
		& "		MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& " {0}"

	''' <summary>
	''' 重複患者を除いた死亡件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK1 As String = _
		  " SELECT " _
		& "		COUNT(A.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		(SELECT DISTINCT " _
		& "			 MTI_CH.PATIENT_NO " _
		& "		 FROM " _
		& "			MTI_CH " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			LEFT JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "		 WHERE " _
		& "			MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "			{0} ) A "

	''' <summary>
	''' 主病名件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK2 As String = _
		  " SELECT " _
		& "		COUNT(MTI_CH.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				MTI_DISEASE " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_DISEASE.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_DISEASE.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CH.CH_NO = MTI_DISEASE.CH_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "			LEFT JOIN " _
		& "				MTM_DISEASE_DIV " _
		& "			ON " _
		& "				MTI_DISEASE.DISEASE_DIV = MTM_DISEASE_DIV.DISEASE_DIV_CD " _
		& "	WHERE " _
		& "		MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "		AND " _
		& "		MTM_DISEASE_DIV.FIXED_CD = " & prmFIXED_CD_EX _
		& " {0}"

	''' <summary>
	''' 院内死亡件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK3 As String = _
		  " SELECT " _
		& "		COUNT(MTI_DEATH.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		MTI_DEATH " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_DEATH.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "			LEFT JOIN " _
		& "				MTM_DEATH_LCT " _
		& "			ON " _
		& "				MTI_DEATH.DEATH_LCT_CD = MTM_DEATH_LCT.DEATH_LCT_CD " _
		& "	WHERE " _
		& "		MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "		AND " _
		& "		MTM_DEATH_LCT.FIXED_CD = " & prmFIXED_CD_EX _
		& " {0}"

	''' <summary>
	''' 死亡日件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK4 As String = _
		  " SELECT " _
		& "		COUNT(A.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		(SELECT DISTINCT " _
		& "			 MTI_DEATH.PATIENT_NO " _
		& "		 FROM " _
		& "			MTI_DEATH " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_DEATH.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "			LEFT JOIN " _
		& "				MTM_DEATH_LCT " _
		& "			ON " _
		& "				MTI_DEATH.DEATH_LCT_CD = MTM_DEATH_LCT.DEATH_LCT_CD " _
		& "			WHERE " _
		& "				MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "				AND " _
		& "				MTM_DEATH_LCT.FIXED_CD = " & prmFIXED_CD_EX _
		& "				AND " _
		& "				MTI_DEATH.DEATH_DT IS NOT NULL " _
		& "				{0} ) A "

	''' <summary>
	''' 死亡時刻件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK5 As String = _
		  " SELECT " _
		& "		COUNT(A.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		(SELECT DISTINCT " _
		& "			 MTI_DEATH.PATIENT_NO " _
		& "		 FROM " _
		& "			MTI_DEATH " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_DEATH.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "			LEFT JOIN " _
		& "				MTM_DEATH_LCT " _
		& "			ON " _
		& "				MTI_DEATH.DEATH_LCT_CD = MTM_DEATH_LCT.DEATH_LCT_CD " _
		& "			WHERE " _
		& "				MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "				AND " _
		& "				MTM_DEATH_LCT.FIXED_CD = " & prmFIXED_CD_EX _
		& "				AND " _
		& "				MTI_DEATH.DEATH_TIME IS NOT NULL " _
		& "				{0} ) A "

	''' <summary>
	''' 死亡区分件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK6 As String = _
		  " SELECT " _
		& "		COUNT(A.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		(SELECT DISTINCT " _
		& "			 MTI_DEATH.PATIENT_NO " _
		& "		 FROM " _
		& "			MTI_DEATH " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_DEATH.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "			INNER JOIN " _
		& "				MTM_DEATH_DIV " _
		& "			ON " _
		& "				MTI_DEATH.DEATH_DIV = MTM_DEATH_DIV.DEATH_DIV_CD " _
		& "			LEFT JOIN " _
		& "				MTM_DEATH_LCT " _
		& "			ON " _
		& "				MTI_DEATH.DEATH_LCT_CD = MTM_DEATH_LCT.DEATH_LCT_CD " _
		& "			WHERE " _
		& "				MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "				AND " _
		& "				MTM_DEATH_LCT.FIXED_CD = " & prmFIXED_CD_EX _
		& "				AND " _
		& "				MTM_DEATH_DIV.DEATH_DIV_CD IS NOT NULL " _
		& "				{0} ) A "

	''' <summary>
	''' 剖検有無件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK7 As String = _
		  " SELECT " _
		& "		COUNT(A.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		(SELECT DISTINCT " _
		& "			 MTI_DEATH.PATIENT_NO " _
		& "		 FROM " _
		& "			MTI_DEATH " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_DEATH.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "			LEFT JOIN " _
		& "				MTM_DEATH_LCT " _
		& "			ON " _
		& "				MTI_DEATH.DEATH_LCT_CD = MTM_DEATH_LCT.DEATH_LCT_CD " _
		& "			WHERE " _
		& "				MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "				AND " _
		& "				MTM_DEATH_LCT.FIXED_CD = " & prmFIXED_CD_EX _
		& "				AND " _
		& "				MTI_DEATH.AUTOPSY_CHK IS NOT NULL " _
		& "				{0} ) A "

	''' <summary>
	''' 原死因件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK8 As String = _
		  " SELECT " _
		& "		COUNT(MTI_CH.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				MTI_DISEASE " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_DISEASE.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_DISEASE.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CH.CH_NO = MTI_DISEASE.CH_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "	WHERE " _
		& "		MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "		AND " _
		& "		(MTI_DISEASE.DEATH_DISEASE_FLG = " & prmDEATH_DISEASE_FLG _
		& "		OR " _
		& "		MTI_DISEASE.DEATH_CAUSE_FLG = " & prmDEATH_CAUSE_FLG & ") " _
		& " {0}"

	''' <summary>
	''' 原死因（病名死因）件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK9 As String = _
		  " SELECT " _
		& "		COUNT(MTI_CH.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				MTI_DISEASE " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_DISEASE.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_DISEASE.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CH.CH_NO = MTI_DISEASE.CH_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "	WHERE " _
		& "		MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "		AND " _
		& "		MTI_DISEASE.DEATH_DISEASE_FLG = " & prmDEATH_DISEASE_FLG _
		& " {0}"

	''' <summary>
	''' 原死因（外因死因）件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK10 As String = _
		  " SELECT " _
		& "		COUNT(MTI_CH.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		MTI_CH " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				MTI_DISEASE " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_DISEASE.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_DISEASE.HSP_HISTORY_NO " _
		& "				AND " _
		& "				MTI_CH.CH_NO = MTI_DISEASE.CH_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "	WHERE " _
		& "		MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "		AND " _
		& "		MTI_DISEASE.DEATH_CAUSE_FLG = " & prmDEATH_CAUSE_FLG _
		& " {0}"

	''' <summary>
	''' 剖検区分が有件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK11 As String = _
		  " SELECT " _
		& "		COUNT(A.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		(SELECT DISTINCT " _
		& "			 MTI_DEATH.PATIENT_NO " _
		& "		 FROM " _
		& "			MTI_DEATH " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_DEATH.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "			LEFT JOIN " _
		& "				MTM_DEATH_LCT " _
		& "			ON " _
		& "				MTI_DEATH.DEATH_LCT_CD = MTM_DEATH_LCT.DEATH_LCT_CD " _
		& "			WHERE " _
		& "				MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "				AND " _
		& "				MTM_DEATH_LCT.FIXED_CD = " & prmFIXED_CD_EX _
		& "				AND " _
		& "				MTI_DEATH.AUTOPSY_CHK = " & prmAUTOPSY_CHK _
		& "				{0} ) A "

	''' <summary>
	''' 剖検番号件数取得用
	''' </summary>
	Public Const sqlSel_MTI_DEATH_CHK12 As String = _
		  " SELECT " _
		& "		COUNT(A.PATIENT_NO) AS COUNTER " _
		& " FROM " _
		& "		(SELECT DISTINCT " _
		& "			 MTI_DEATH.PATIENT_NO " _
		& "		 FROM " _
		& "			MTI_DEATH " _
		& "			INNER JOIN " _
		& "				MTI_CH " _
		& "			ON " _
		& "				MTI_DEATH.PATIENT_NO = MTI_CH.PATIENT_NO " _
		& "			INNER JOIN " _
		& "				MTI_HSP " _
		& "			ON " _
		& "				MTI_CH.PATIENT_NO = MTI_HSP.PATIENT_NO " _
		& "				AND " _
		& "				MTI_CH.HSP_HISTORY_NO = MTI_HSP.HSP_HISTORY_NO " _
		& "			INNER JOIN " _
		& "				MTM_OUT_HSP_OUTCOME " _
		& "			ON " _
		& "				MTI_CH.END_OUTCOME_CD = MTM_OUT_HSP_OUTCOME.OUT_HSP_OUTCOME_CD " _
		& "			LEFT JOIN " _
		& "				MTM_DEATH_LCT " _
		& "			ON " _
		& "				MTI_DEATH.DEATH_LCT_CD = MTM_DEATH_LCT.DEATH_LCT_CD " _
		& "			WHERE " _
		& "				MTM_OUT_HSP_OUTCOME.FIXED_CD = " & prmFIXED_CD _
		& "				AND " _
		& "				MTM_DEATH_LCT.FIXED_CD = " & prmFIXED_CD_EX _
		& "				AND " _
		& "				MTI_DEATH.AUTOPSY_NO IS NOT NULL " _
		& "				{0} ) A "

#End Region

#End Region

#Region "紹介タブ関連"

#Region "紹介タブ関連件数取得用"

	''' <summary>
	''' 紹介タブ検索雛型（開始経路）
	''' </summary>
	Private Const sqlSel_MTI_HSP_CNL_START As String = _
		  "SELECT COUNT(MTI_CH.PATIENT_NO) AS COUNTER" _
		& "  FROM MTI_CH" _
		& "	INNER JOIN MTI_HSP" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_HSP.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_HSP.HSP_HISTORY_NO" _
		& "	LEFT JOIN MTM_HSP_CNL" _
		& "					 ON MTI_CH.START_CNL_CD		= MTM_HSP_CNL.HSP_CNL_CD"

	''' <summary>
	''' 紹介タブ検索雛型（終了経路）
	''' </summary>
	Private Const sqlSel_MTI_HSP_CNL_END As String = _
		  "SELECT COUNT(MTI_CH.PATIENT_NO) AS COUNTER" _
		& "  FROM MTI_CH" _
		& "	INNER JOIN MTI_HSP" _
		& "					 ON MTI_CH.PATIENT_NO		= MTI_HSP.PATIENT_NO" _
		& "					AND MTI_CH.HSP_HISTORY_NO	= MTI_HSP.HSP_HISTORY_NO" _
		& "	LEFT JOIN MTM_OUT_HSP_CNL" _
		& "					 ON MTI_CH.END_CNL_CD		= MTM_OUT_HSP_CNL.OUT_HSP_CNL_CD"

	''' <summary>
	''' 開始経路紹介総件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CNL_ALL As String = _
		  sqlSel_MTI_HSP_CNL_START _
		& " WHERE " _
		& "		MTM_HSP_CNL.FIXED_CD3 = " & prmFIXED_CD3 _
		& " {0}"

	''' <summary>
	''' 医療機関コード件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CNL_CHK1 As String = _
		  sqlSel_MTI_HSP_CNL_START _
		& " WHERE " _
		& "		MTM_HSP_CNL.FIXED_CD3 = " & prmFIXED_CD3 _
		& "		AND " _
		& "		MTI_CH.INTRODUCED_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 医療機関名件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CNL_CHK2 As String = _
		  sqlSel_MTI_HSP_CNL_START _
		& " WHERE " _
		& "		MTM_HSP_CNL.FIXED_CD3 = " & prmFIXED_CD3 _
		& "		AND " _
		& "		MTI_CH.INTRODUCED_NM IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 医師名件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CNL_CHK3 As String = _
		  sqlSel_MTI_HSP_CNL_START _
		& " WHERE " _
		& "		MTM_HSP_CNL.FIXED_CD3 = " & prmFIXED_CD3 _
		& "		AND " _
		& "		MTI_CH.INTRODUCED_DOCTOR_NM IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 終了経路紹介件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CNL_CHK4 As String = _
		  sqlSel_MTI_HSP_CNL_END _
		& " WHERE " _
		& "		MTM_OUT_HSP_CNL.FIXED_CD3 = " & prmFIXED_CD3 _
		& " {0}"

	''' <summary>
	''' 医療機関コード件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CNL_CHK5 As String = _
		  sqlSel_MTI_HSP_CNL_END _
		& " WHERE " _
		& "		MTM_OUT_HSP_CNL.FIXED_CD3 = " & prmFIXED_CD3 _
		& "		AND " _
		& "		MTI_CH.REFERENCE_CD IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 医療機関名件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CNL_CHK6 As String = _
		  sqlSel_MTI_HSP_CNL_END _
		& " WHERE " _
		& "		MTM_OUT_HSP_CNL.FIXED_CD3 = " & prmFIXED_CD3 _
		& "		AND " _
		& "		MTI_CH.REFERENCE_NM IS NOT NULL " _
		& " {0}"

	''' <summary>
	''' 医師名件数取得用
	''' </summary>
	Public Const sqlSel_MTI_HSP_CNL_CHK7 As String = _
		  sqlSel_MTI_HSP_CNL_END _
		& " WHERE " _
		& "		MTM_OUT_HSP_CNL.FIXED_CD3 = " & prmFIXED_CD3 _
		& "		AND " _
		& "		MTI_CH.REFERENCE_DOCTOR_NM IS NOT NULL " _
		& " {0}"

#End Region

#End Region

#Region "帳票出力用ワークテーブル操作用"

	''' <summary>
	''' TW_チェック入退院対象一覧テーブルデータ削除用
	''' </summary>
	Public Const sqlDel_MTW_CHK_HSP_OBJECT As String = _
		  " DELETE " _
		& "	FROM " _
		& "		MTW_CHK_HSP_OBJECT " _
		& " WHERE " _
		& "		HOST_NM = " & prmHOST_NM

	''' <summary>
	''' TW_チェック入退院対象一覧テーブルデータ件数確認用
	''' </summary>
	Public Const sqlSel_MTW_CHK_HSP_OBJECT As String = _
		  " SELECT " _
		& "		COUNT(*) AS COUNTER " _
		& "	FROM " _
		& "		MTW_CHK_HSP_OBJECT " _
		& " WHERE " _
		& "		HOST_NM = " & prmHOST_NM

	''' <summary>
	''' TW_チェック対象一覧テーブルデータ削除用
	''' </summary>
	Public Const sqlDel_MTW_CHK_CH_OBJECT As String = _
		  " DELETE " _
		& "	FROM " _
		& "		MTW_CHK_OBJECT " _
		& " WHERE " _
		& "		HOST_NM = " & prmHOST_NM

	''' <summary>
	''' TW_チェック対象一覧テーブルデータ件数確認用
	''' </summary>
	Public Const sqlSel_MTW_CHK_CH_OBJECT As String = _
		  " SELECT " _
		& "		COUNT(*) AS COUNTER " _
		& "	FROM " _
		& "		MTW_CHK_OBJECT " _
		& " WHERE " _
		& "		HOST_NM = " & prmHOST_NM

	''' <summary>
	''' TW_チェック死亡対象一覧テーブルデータ削除用
	''' </summary>
	Public Const sqlDel_MTW_CHK_DEATH_OBJECT As String = _
		" DELETE " _
		& "	FROM " _
		& "		MTW_CHK_DEATH_OBJECT " _
		& " WHERE " _
		& "		HOST_NM = " & prmHOST_NM

	''' <summary>
	''' TW_チェック死亡対象一覧テーブルデータ件数確認用
	''' </summary>
	Public Const sqlSel_MTW_CHK_DEATH_OBJECT As String = _
		  " SELECT " _
		& "		COUNT(*) AS COUNTER " _
		& "	FROM " _
		& "		MTW_CHK_DEATH_OBJECT " _
		& " WHERE " _
		& "		HOST_NM = " & prmHOST_NM

#End Region

End Class