﻿Imports XCM

'''---------------------------------------------
''' <summary>
''' 診療情報管理 補助 患者番号統合
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
'''---------------------------------------------
Friend NotInheritable Class datMAX090F010_CHKDEAD_Rec

	Public PATIENT_NO As String			'患者番号

End Class

Friend NotInheritable Class datMAX090F010_CHKDPC_Rec

    Public HSP_DT As Date               '入院日
    Public DEPT_CD As String            '診療科コード
    Public MODEL_YEAR As String         '年度

End Class

Friend NotInheritable Class datMAX090F010_GET_MTI_HSP_Rec

    Public PATIENT_NO As String         '患者番号
    Public HSP_HISTORY_NO As Integer    '入退院歴番号
    Public HSP_DT As Date               '入院日
    Public OUT_HSP_DT As Date           '退院日

End Class

Friend NotInheritable Class datMAX090F010_GET_MTW_MED_COST_INFO_Rec

    Public PATIENT_NO As String         '患者番号
    Public MED_COST_DATE As Date        '日付
    Public SERIAL_NO As Integer         '連番

End Class

Friend NotInheritable Class sqlMAX090F010

#Region "パラメータ"

	Public Const prmPATIENT_NO As String = "@PATIENT_NO"					'患者番号
	Public Const prmPATIENT_NM As String = "@PATIENT_NM"					'氏名
	Public Const prmPATIENT_KNM As String = "@PATIENT_KNM"					'氏名カナ
	Public Const prmPREVIOUS1_NM As String = "@PREVIOUS1_NM"				'旧姓１
	Public Const prmPREVIOUS1_KNM As String = "@PREVIOUS1_KNM"				'旧姓１カナ
	Public Const prmPREVIOUS2_NM As String = "@PREVIOUS2_NM"				'旧姓２
	Public Const prmPREVIOUS2_KNM As String = "@PREVIOUS2_KNM"				'旧姓２カナ
	Public Const prmGENDER_CD As String = "@GENDER_CD"						'性別コード
	Public Const prmBIRTH_DT As String = "@BIRTH_DT"						'生年月日
	Public Const prmBLOODTYPE_CD As String = "@BLOODTYPE_CD"				'血液型コード
	Public Const prmRH_CD As String = "@RH_CD"								'Ｒｈコード
	Public Const prmBLOOD_TRAN_CHK As String = "@BLOOD_TRAN_CHK"			'輸血歴有無コード
	Public Const prmRELATION_PATIENT_NO As String = "@RELATION_PATIENT_NO"	'関連患者番号
	Public Const prmSMOKING_CHK As String = "@SMOKING_CHK"					'喫煙歴有無コード
	Public Const prmSMOKING_START_AGE As String = "@SMOKING_START_AGE"		'喫煙開始年齢
	Public Const prmSMOKING_END_AGE As String = "@SMOKING_END_AGE"			'喫煙終了年齢
	Public Const prmSMOKING_COUNT As String = "@SMOKING_COUNT"				'喫煙本数
	Public Const prmSMOKING_AGE As String = "@SMOKING_AGE"					'喫煙年数
	Public Const prmDRINKING_CHK As String = "@DRINKING_CHK"				'飲酒有無コード
	Public Const prmPREGNANCY_CHK As String = "@PREGNANCY_CHK"				'妊娠歴有無コード
	Public Const prmPREGNANCY_COUNT As String = "@PREGNANCY_COUNT"			'妊娠回数
	Public Const prmCB_CHK As String = "@CB_CHK"							'出産歴有無コード
	Public Const prmCB_COUNT As String = "@CB_COUNT"						'出産回数
	Public Const prmMENARCHE_AGE As String = "@MENARCHE_AGE"				'初潮年齢
	Public Const prmMENOPAUSE_AGE As String = "@MENOPAUSE_AGE"				'閉経年齢
	Public Const prmREMARKS As String = "@REMARKS"							'コメント
	Public Const prmFIRSTHSPVST_DT As String = "@FIRSTHSPVST_DT"			'初回来院日
	Public Const prmLASTHSPVST_DT As String = "@LASTHSPVST_DT"				'最終来院日
	Public Const prmLASTDEPT_CD As String = "@LASTDEPT_CD"					'最終受診科コード
	Public Const prmLASTLEFTHSP_DT As String = "@LASTLEFTHSP_DT"			'最終退院日
	Public Const prmNATIONALITY_CD As String = "@NATIONALITY_CD"			'国籍
	Public Const prmDOMICILE_ADDRESS_CD As String = "@DOMICILE_ADDRESS_CD"	'出生地コード
	Public Const prmDOMICILE_ADDRESS As String = "@DOMICILE_ADDRESS"		'本籍住所
	Public Const prmCONTACT_PATIENT_NM As String = "@CONTACT_PATIENT_NM"	'連絡先氏名
	Public Const prmCONTACT_RELATION As String = "@CONTACT_RELATION"		'連絡先続柄コード
	Public Const prmCONTACT_ZIP_CD As String = "@CONTACT_ZIP_CD"			'連絡先郵便番号
	Public Const prmCONTACT_TELNUMBER As String = "@CONTACT_TELNUMBER"		'連絡先電話番号
	Public Const prmCONTACT_ADDRESS As String = "@CONTACT_ADDRESS"			'連絡先住所
	Public Const prmNEW_REG_DT As String = "@NEW_REG_DT"					'新規登録日
	Public Const prmDATA_CAPTURE_DT As String = "@DATA_CAPTURE_DT"			'データ取込日
	Public Const prmLASTUPDUSER_CD As String = "@LASTUPDUSER_CD"			'更新者コード
	Public Const prmLASTUPD_DT As String = "@LASTUPD_DT"					'最終更新日

	Public Const prmMED_COST_DATE As String = "@MED_COST_DATE"				'日付

	Public Const prmPATIENT_NO_BFR As String = "@PATIENT_NO_BFR"			'患者番号（変更前）
	Public Const prmPATIENT_NO_AFT As String = "@PATIENT_NO_AFT"			'患者番号（変更後）
	Public Const prmHSP_HISTORY_NO_OLD As String = "@HSP_HISTORY_NO_OLD"	'入退院歴番号（変更前）
	Public Const prmHSP_HISTORY_NO_NEW As String = "@HSP_HISTORY_NO_NEW"	'入退院歴番号（新規分）

	Public Const prmSERIAL_NO_OLD As String = "@SERIAL_NO_OLD"				'連番（変更前）
	Public Const prmSERIAL_NO_NEW As String = "@SERIAL_NO_NEW"				'連番（変更後）


#End Region

#Region "取得項目"

	Public Const itmPATIENT_NO As String = "PATIENT_NO"						'患者番号
	Public Const itmPATIENT_NM As String = "PATIENT_NM"						'氏名
	Public Const itmPATIENT_KNM As String = "PATIENT_KNM"					'氏名カナ
	Public Const itmPREVIOUS1_NM As String = "PREVIOUS1_NM"					'旧姓１
	Public Const itmPREVIOUS1_KNM As String = "PREVIOUS1_KNM"				'旧姓１カナ
	Public Const itmPREVIOUS2_NM As String = "PREVIOUS2_NM"					'旧姓２
	Public Const itmPREVIOUS2_KNM As String = "PREVIOUS2_KNM"				'旧姓２カナ
	Public Const itmGENDER_CD As String = "GENDER_CD"						'性別コード
	Public Const itmBIRTH_DT As String = "BIRTH_DT"							'生年月日
	Public Const itmBLOODTYPE_CD As String = "BLOODTYPE_CD"					'血液型コード
	Public Const itmRH_CD As String = "RH_CD"								'Ｒｈコード
	Public Const itmBLOOD_TRAN_CHK As String = "BLOOD_TRAN_CHK"				'輸血歴有無コード
	Public Const itmRELATION_PATIENT_NO As String = "RELATION_PATIENT_NO"	'関連患者番号
	Public Const itmSMOKING_CHK As String = "SMOKING_CHK"					'喫煙歴有無コード
	Public Const itmSMOKING_START_AGE As String = "SMOKING_START_AGE"		'喫煙開始年齢
	Public Const itmSMOKING_END_AGE As String = "SMOKING_END_AGE"			'喫煙終了年齢
	Public Const itmSMOKING_COUNT As String = "SMOKING_COUNT"				'喫煙本数
	Public Const itmSMOKING_AGE As String = "SMOKING_AGE"					'喫煙年数
	Public Const itmDRINKING_CHK As String = "DRINKING_CHK"					'飲酒有無コード
	Public Const itmPREGNANCY_CHK As String = "PREGNANCY_CHK"				'妊娠歴有無コード
	Public Const itmPREGNANCY_COUNT As String = "PREGNANCY_COUNT"			'妊娠回数
	Public Const itmCB_CHK As String = "CB_CHK"								'出産歴有無コード
	Public Const itmCB_COUNT As String = "CB_COUNT"							'出産回数
	Public Const itmMENARCHE_AGE As String = "MENARCHE_AGE"					'初潮年齢
	Public Const itmMENOPAUSE_AGE As String = "MENOPAUSE_AGE"				'閉経年齢
	Public Const itmREMARKS As String = "REMARKS"							'コメント
	Public Const itmFIRSTHSPVST_DT As String = "FIRSTHSPVST_DT"				'初回来院日
	Public Const itmLASTHSPVST_DT As String = "LASTHSPVST_DT"				'最終来院日
	Public Const itmLASTDEPT_CD As String = "LASTDEPT_CD"					'最終受診科コード
	Public Const itmLASTLEFTHSP_DT As String = "LASTLEFTHSP_DT"				'最終退院日
	Public Const itmNATIONALITY_CD As String = "NATIONALITY_CD"				'国籍
	Public Const itmDOMICILE_ADDRESS_CD As String = "DOMICILE_ADDRESS_CD"	'出生地コード
	Public Const itmDOMICILE_ADDRESS As String = "DOMICILE_ADDRESS"			'本籍住所
	Public Const itmCONTACT_PATIENT_NM As String = "CONTACT_PATIENT_NM"		'連絡先氏名
	Public Const itmCONTACT_RELATION As String = "CONTACT_RELATION"			'連絡先続柄コード
	Public Const itmCONTACT_ZIP_CD As String = "CONTACT_ZIP_CD"				'連絡先郵便番号
	Public Const itmCONTACT_TELNUMBER As String = "CONTACT_TELNUMBER"		'連絡先電話番号
	Public Const itmCONTACT_ADDRESS As String = "CONTACT_ADDRESS"			'連絡先住所
	Public Const itmNEW_REG_DT As String = "NEW_REG_DT"						'新規登録日
	Public Const itmDATA_CAPTURE_DT As String = "DATA_CAPTURE_DT"			'データ取込日

#End Region

#Region "部分ＳＱＬ（共通用）"

    Private Const sqlCND_PATIENT_NO As String = _
        " ((PATIENT_NO = " & prmPATIENT_NO_BFR & ") " _
        & " OR " _
        & " (PATIENT_NO = " & prmPATIENT_NO_AFT & ")) "

    Private Const sqlCND_LASTUPD As String = _
        "       LASTUPDUSER_CD = " & prmLASTUPDUSER_CD & ", " _
        & "	    LASTUPD_DT = " & prmLASTUPD_DT

    Private Const sqlUPDCND_HSP_HISTORY_NO As String = _
        " SET " _
        & "     HSP_HISTORY_NO = " & prmHSP_HISTORY_NO_NEW & ", " _
        & sqlCND_LASTUPD _
        & " WHERE PATIENT_NO = " & prmPATIENT_NO _
        & "   AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO_OLD

    Private Const sqlUPDCND_HSP_HISTORY_NO_AFT As String = _
        " SET " _
        & "     HSP_HISTORY_NO = CASE WHEN HSP_HISTORY_NO > 10000 THEN HSP_HISTORY_NO - 10000 " _
        & "                           ELSE HSP_HISTORY_NO END, " _
        & sqlCND_LASTUPD _
        & " WHERE PATIENT_NO = " & prmPATIENT_NO

    Private Const sqlUPDCOND_PATIENT_NO As String = _
        " SET " _
        & "     PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
        & sqlCND_LASTUPD _
        & " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR

#End Region

#Region "統合前チェック用"

    ''' <summary>
    ''' TI_死亡情報テーブルから、統合元患者番号のレコード有無を確認する
    ''' </summary>
    Public Const sqlCHK_MTI_DEATH As String = _
        " SELECT PATIENT_NO " _
        & " FROM MTI_DEATH " _
        & " WHERE PATIENT_NO = " & prmPATIENT_NO

    ''' <summary>
    ''' TI_ＤＰＣ情報テーブルから、統合元患者番号と統合先患者番号での
    ''' 入院日、診療科コード、年度の重複レコード有無をチェックする
    ''' </summary>
    Public Const sqlCHK_MTI_DPC As String = _
        " SELECT " _
        & "     S.HSP_DT, " _
        & "     S.DEPT_CD, " _
        & "     S.MODEL_YEAR " _
        & " FROM " _
        & "     (SELECT " _
        & "         PATIENT_NO, " _
        & "         HSP_DT, " _
        & "         DEPT_CD, " _
        & "         MODEL_YEAR " _
        & "     FROM MTI_DPC " _
        & "     WHERE " _
        & sqlCND_PATIENT_NO & ") AS S " _
        & " GROUP BY " _
        & "     S.HSP_DT, " _
        & "     S.DEPT_CD, " _
        & "     S.MODEL_YEAR " _
        & " HAVING COUNT(*) > 1 "

#End Region

#Region "使用中患者確認用"

	Public Const sqlSel_USE_PATIENT As String = _
		"SELECT DISTINCT " _
		& "		AL.PATIENT_NO " _
		& " FROM " _
		& "		( " _
		& "		SELECT " _
		& "			PATIENT_NO " _
		& "		FROM " _
		& "			XTI_BASICINFO " _
		& "		WHERE " _
		& "			(PATIENT_NO = " & prmPATIENT_NO_BFR _
		& "			 OR " _
		& "			 PATIENT_NO = " & prmPATIENT_NO_AFT & ") " _
		& "		OR	" _
		& "			(RELATION_PATIENT_NO = " & prmPATIENT_NO_BFR _
		& "		 	 OR " _
		& "			 RELATION_PATIENT_NO = " & prmPATIENT_NO_AFT & ") " _
		& "		UNION " _
		& "		SELECT " _
		& "			PATIENT_NO " _
		& "		FROM " _
		& "			MTI_CB_CHILD " _
		& "		WHERE " _
		& "			(CHD_PATIENT_NO = " & prmPATIENT_NO_BFR _
		& "			 OR " _
		& "			 CHD_PATIENT_NO = " & prmPATIENT_NO_AFT & ") " _
		& "		) AS AL "

#End Region

#Region "対象テーブルの入退院歴番号更新用"

#Region "入退院歴番号の付け替え（事前）"

	''' <summary>
	''' TI_入退院情報テーブルから、統合元患者番号と統合先患者番号での
	''' 入退院歴番号更新対象レコードを取得する
	''' （退院済み）
	''' </summary>
	Public Const sqlSEL_FOR_UPD_OUT As String = _
		" SELECT " _
		& "     PATIENT_NO, " _
		& "     HSP_HISTORY_NO, " _
		& "     HSP_DT, " _
		& "     OUT_HSP_DT " _
		& " FROM MTI_HSP " _
		& " WHERE " _
		& sqlCND_PATIENT_NO _
		& "     AND " _
		& "     (OUT_HSP_DT Is NOT NULL) " _
		& " ORDER BY " _
		& "     HSP_DT, " _
		& "     OUT_HSP_DT, " _
		& "     HSP_HISTORY_NO "

	''' <summary>
	''' TI_入退院情報テーブルから、統合元患者番号と統合先患者番号での
	''' 入退院歴番号更新対象レコードを取得する
	''' （未退院済）
	''' </summary>
	Public Const sqlSEL_FOR_UPD_NOOUT As String = _
		" SELECT " _
		& "     PATIENT_NO, " _
		& "     HSP_HISTORY_NO, " _
		& "     HSP_DT, " _
		& "     OUT_HSP_DT " _
		& " FROM MTI_HSP " _
		& " WHERE " _
		& sqlCND_PATIENT_NO _
		& "     AND " _
		& "     (OUT_HSP_DT Is NULL) " _
		& " ORDER BY " _
		& "     HSP_DT, " _
		& "     HSP_HISTORY_NO "

	''' <summary>
	''' TI_入退院情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_HSP_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_HSP " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_科歴情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CH_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_CH " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_病棟情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_WARD_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_WARD " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_医師情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_DOCTOR_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_DOCTOR " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_医療費情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_MED_COST_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_MED_COST " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_補足項目１情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_ASST1_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_ASST1 " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_補足項目２情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_ASST2_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_ASST2 " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_対診科情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_OTHER_DEPT_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_OTHER_DEPT " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_病名情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_DISEASE_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_DISEASE " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_手術情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_OPE_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_OPE " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_手術医師情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_OPE_DOCTOR_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_OPE_DOCTOR " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_検査情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_TEST_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_TEST " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_治療処置情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CARE_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_CARE " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_救急救命情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_EMERGENCY_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_EMERGENCY " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_分娩情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CB_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_CB " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_分娩子情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CB_CHILD_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_CB_CHILD " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_分娩子流死産情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CB_SB_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_CB_SB " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_パス情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_PATH_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_PATH " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TK_貸出物情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_LENDITM_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_LENDITM " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TK_貸出情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_LEND_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_LEND " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TI_DPC情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_DPC_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_DPC " _
		& sqlUPDCND_HSP_HISTORY_NO

	''' <summary>
	''' TK_監査情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_INSPECT_HSP_HISTORY_NO_NEW As String = _
		" UPDATE MTI_INSPECT " _
		& sqlUPDCND_HSP_HISTORY_NO

#End Region

#Region "入退院歴番号の付け替え（事後）"

	''' <summary>
	''' TI_入退院情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_HSP_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_HSP " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_科歴情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CH_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_CH " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_病棟情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_WARD_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_WARD " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_医師情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_DOCTOR_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_DOCTOR " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_医療費情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_MED_COST_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_MED_COST " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_補足項目１情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_ASST1_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_ASST1 " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_補足項目２情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_ASST2_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_ASST2 " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_対診科情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_OTHER_DEPT_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_OTHER_DEPT " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_病名情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_DISEASE_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_DISEASE " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_手術情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_OPE_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_OPE " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_手術医師情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_OPE_DOCTOR_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_OPE_DOCTOR " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_検査情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_TEST_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_TEST " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_治療処置情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CARE_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_CARE " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_救急救命情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_EMERGENCY_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_EMERGENCY " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_分娩情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CB_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_CB " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_分娩子情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CB_CHILD_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_CB_CHILD " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_分娩子流死産情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_CB_SB_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_CB_SB " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_パス情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_PATH_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_PATH " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TK_貸出物情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_LENDITM_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_LENDITM " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TK_貸出情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_LEND_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_LEND " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TI_DPC情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_DPC_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_DPC " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

	''' <summary>
	''' TK_監査情報テーブルで新入院歴番号に置き換える
	''' </summary>
	Public Const sqlUpd_MTI_INSPECT_HSP_HISTORY_NO_NEW_AFT As String = _
		" UPDATE MTI_INSPECT " _
		& sqlUPDCND_HSP_HISTORY_NO_AFT

#End Region

#End Region

#Region "TI_基本情報テーブルの情報更新用"

    ''' <summary>
    ''' TI_基本情報テーブルの各項目更新用
    ''' </summary>
	Public Const sqlUPD_XTI_BASICINFO As String = _
		" UPDATE " _
			& " XTI_BASICINFO " _
			& " SET " _
				& " PATIENT_NM = " & prmPATIENT_NM & ", " _
				& " PATIENT_KNM = " & prmPATIENT_KNM & ", " _
				& " PREVIOUS1_NM = " & prmPREVIOUS1_NM & ", " _
				& " PREVIOUS1_KNM = " & prmPREVIOUS1_KNM & ", " _
				& " PREVIOUS2_NM = " & prmPREVIOUS2_NM & ", " _
				& " PREVIOUS2_KNM = " & prmPREVIOUS2_KNM & ", " _
				& " GENDER_CD = " & prmGENDER_CD & ", " _
				& " BIRTH_DT = " & prmBIRTH_DT & ", " _
				& " BLOODTYPE_CD = " & prmBLOODTYPE_CD & ", " _
				& " RH_CD = " & prmRH_CD & ", " _
				& " BLOOD_TRAN_CHK = " & prmBLOOD_TRAN_CHK & ", " _
				& " RELATION_PATIENT_NO = " & prmRELATION_PATIENT_NO & ", " _
				& " SMOKING_CHK = " & prmSMOKING_CHK & ", " _
				& " SMOKING_START_AGE = " & prmSMOKING_START_AGE & ", " _
				& " SMOKING_END_AGE = " & prmSMOKING_END_AGE & ", " _
				& " SMOKING_COUNT = " & prmSMOKING_COUNT & ", " _
				& " SMOKING_AGE = " & prmSMOKING_AGE & ", " _
				& " DRINKING_CHK = " & prmDRINKING_CHK & ", " _
				& " PREGNANCY_CHK = " & prmPREGNANCY_CHK & ", " _
				& " PREGNANCY_COUNT = " & prmPREGNANCY_COUNT & ", " _
				& " CB_CHK = " & prmCB_CHK & ", " _
				& " CB_COUNT = " & prmCB_COUNT & ", " _
				& " MENARCHE_AGE = " & prmMENARCHE_AGE & ", " _
				& " MENOPAUSE_AGE = " & prmMENOPAUSE_AGE & ", " _
				& " REMARKS = " & prmREMARKS & ", " _
				& " FIRSTHSPVST_DT = " & prmFIRSTHSPVST_DT & ", " _
				& " LASTHSPVST_DT = " & prmLASTHSPVST_DT & ", " _
				& " LASTDEPT_CD = " & prmLASTDEPT_CD & ", " _
				& " LASTLEFTHSP_DT = " & prmLASTLEFTHSP_DT & ", " _
				& " NATIONALITY_CD = " & prmNATIONALITY_CD & ", " _
				& " DOMICILE_ADDRESS_CD = " & prmDOMICILE_ADDRESS_CD & ", " _
				& " DOMICILE_ADDRESS = " & prmDOMICILE_ADDRESS & ", " _
				& " CONTACT_PATIENT_NM = " & prmCONTACT_PATIENT_NM & ", " _
				& " CONTACT_RELATION = " & prmCONTACT_RELATION & ", " _
				& " CONTACT_ZIP_CD = " & prmCONTACT_ZIP_CD & ", " _
				& " CONTACT_TELNUMBER = " & prmCONTACT_TELNUMBER & ", " _
				& " CONTACT_ADDRESS = " & prmCONTACT_ADDRESS & ", " _
				& " NEW_REG_DT = " & prmNEW_REG_DT & ", " _
				& " DATA_CAPTURE_DT = " & prmDATA_CAPTURE_DT & ", " _
				& sqlCND_LASTUPD _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO

    ''' <summary>
    ''' TI_基本情報テーブルの統合元患者情報削除
    ''' </summary>
	Public Const sqlDEL_XTI_BASICINFO As String = _
		" DELETE " _
		& " FROM XTI_BASICINFO " _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO

#End Region

#Region "対象テーブルの患者番号更新用"

    ''' <summary>
    ''' TI_死亡情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_DEATH_PATIENT_NO_NEW As String = _
        " UPDATE MTI_DEATH " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_入退院情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_HSP_PATIENT_NO_NEW As String = _
        " UPDATE MTI_HSP " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_科歴情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_CH_PATIENT_NO_NEW As String = _
        " UPDATE MTI_CH " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_病棟情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_WARD_PATIENT_NO_NEW As String = _
        " UPDATE MTI_WARD " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_医師情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_DOCTOR_PATIENT_NO_NEW As String = _
        " UPDATE MTI_DOCTOR " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_医療費情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_MED_COST_PATIENT_NO_NEW As String = _
        " UPDATE MTI_MED_COST " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_補足項目１情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_ASST1_PATIENT_NO_NEW As String = _
        " UPDATE MTI_ASST1 " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_補足項目２情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_ASST2_PATIENT_NO_NEW As String = _
        " UPDATE MTI_ASST2 " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_対診科情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_OTHER_DEPT_PATIENT_NO_NEW As String = _
        " UPDATE MTI_OTHER_DEPT " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_病名情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_DISEASE_PATIENT_NO_NEW As String = _
        " UPDATE MTI_DISEASE " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_手術情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_OPE_PATIENT_NO_NEW As String = _
        " UPDATE MTI_OPE " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_手術医師情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_OPE_DOCTOR_PATIENT_NO_NEW As String = _
        " UPDATE MTI_OPE_DOCTOR " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_検査情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_TEST_PATIENT_NO_NEW As String = _
        " UPDATE MTI_TEST " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_治療処置情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_CARE_PATIENT_NO_NEW As String = _
        " UPDATE MTI_CARE " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_救急救命情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_EMERGENCY_PATIENT_NO_NEW As String = _
        " UPDATE MTI_EMERGENCY " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_分娩情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_CB_PATIENT_NO_NEW As String = _
        " UPDATE MTI_CB " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_分娩子情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_CB_CHILD_PATIENT_NO_NEW As String = _
        " UPDATE MTI_CB_CHILD " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_分娩子流死産情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_CB_SB_PATIENT_NO_NEW As String = _
        " UPDATE MTI_CB_SB " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_パス情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_PATH_PATIENT_NO_NEW As String = _
        " UPDATE MTI_PATH " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TK_貸出物情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_LENDITM_PATIENT_NO_NEW As String = _
        " UPDATE MTI_LENDITM " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TK_貸出情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_LEND_PATIENT_NO_NEW As String = _
        " UPDATE MTI_LEND " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TI_DPC情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_DPC_PATIENT_NO_NEW As String = _
        " UPDATE MTI_DPC " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' TK_監査情報テーブルで統合先患者番号に置き換える
    ''' </summary>
    Public Const sqlUpd_MTI_INSPECT_PATIENT_NO_NEW As String = _
        " UPDATE MTI_INSPECT " _
        & sqlUPDCOND_PATIENT_NO

    ''' <summary>
    ''' 対象テーブルで統合先患者番号に置き換える
    ''' （退院後）
    ''' </summary>
    Public Const sqlUpd_PATIENT_NO_NEW As String = _
        sqlUpd_MTI_DEATH_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_HSP_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_CH_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_WARD_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_DOCTOR_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_MED_COST_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_ASST1_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_ASST2_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_OTHER_DEPT_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_DISEASE_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_OPE_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_OPE_DOCTOR_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_TEST_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_CARE_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_EMERGENCY_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_CB_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_CB_CHILD_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_CB_SB_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_PATH_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_LENDITM_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_LEND_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_DPC_PATIENT_NO_NEW & "; " _
        & sqlUpd_MTI_INSPECT_PATIENT_NO_NEW

#End Region

#Region "統合元患者番号を統合先患者番号に置き換える（キー項目以外）"

    ''' <summary>
    ''' 患者番号更新処理前の行ロック（TI_基本情報）
    ''' ※インデックス項目では無いため、テーブルロックになることに注意！
    ''' </summary>
	Public Const sqlSEL4UPD_XTI_BASICINFO As String = _
		"SELECT PATIENT_NO " _
		& " FROM XTI_BASICINFO " _
		& XCM.clsSysMst.forUpdate _
		& " WHERE RELATION_PATIENT_NO = " + prmPATIENT_NO_BFR

    ''' <summary>
    ''' 関連患者番号の更新（TI_基本情報）
    ''' </summary>
	Public Const sqlUpd_XTI_BASICINFO_2 As String = _
		"UPDATE XTI_BASICINFO " _
		& " SET RELATION_PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& sqlCND_LASTUPD _
		& " WHERE RELATION_PATIENT_NO = " + prmPATIENT_NO_BFR

    ''' <summary>
    ''' 患者番号更新処理前の行ロック（TI_分娩子情報）
    ''' ※インデックス項目では無いため、テーブルロックになることに注意！
    ''' </summary>
	Public Const sqlSEL4UPD_MTI_CB_CHILD As String = _
		"SELECT PATIENT_NO " _
		& "  FROM MTI_CB_CHILD " _
		& XCM.clsSysMst.forUpdate _
		& "  WHERE CHD_PATIENT_NO = " + prmPATIENT_NO_BFR

    ''' <summary>
    ''' 関連患者番号の更新（TI_分娩子情報）
    ''' </summary>
	Public Const sqlUpd_MTI_CB_CHILD_2 As String = _
		"UPDATE MTI_CB_CHILD " _
		& "  SET CHD_PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
		& sqlCND_LASTUPD _
		& "  WHERE CHD_PATIENT_NO = " + prmPATIENT_NO_BFR

#End Region

#Region "医療費明細の連番更新用"

    ''' <summary>
    ''' TR_医療費明細情報テーブル情報取得
    ''' </summary>
	Public Const sqlSel_MTI_MED_COST_DETAILS As String = _
		" SELECT PATIENT_NO, " _
		& "     MED_COST_DATE, " _
		& "     SERIAL_NO " _
		& " FROM MTI_MED_COST_DETAILS " _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO _
		& " ORDER BY MED_COST_DATE ASC, SERIAL_NO ASC "

    ''' <summary>
    ''' TR_医療費明細情報テーブルで連番最大値取得
    ''' </summary>
	Public Const sqlSel_MTI_MED_COST_DETAILS_MAX_SERIAL_NO As String = _
		" SELECT PATIENT_NO, " _
		& " MED_COST_DATE, " _
		& " MAX(SERIAL_NO) AS SERIAL_NO " _
		& " FROM MTI_MED_COST_DETAILS " _
		& " WHERE PATIENT_NO = " & prmPATIENT_NO _
		& "   AND MED_COST_DATE = " & prmMED_COST_DATE _
		& " GROUP BY PATIENT_NO, MED_COST_DATE "

    ''' <summary>
    ''' TR_医療費明細情報テーブルで連番更新
    ''' </summary>
	Public Const sqlUpd_MTI_MED_COST_DETAILS_SERIAL_NO As String = _
	  " UPDATE MTI_MED_COST_DETAILS " _
	  & " SET SERIAL_NO = " & prmSERIAL_NO_NEW & ", " _
	  & "     PATIENT_NO = " & prmPATIENT_NO_AFT & ", " _
	  & sqlCND_LASTUPD _
	  & " WHERE PATIENT_NO = " & prmPATIENT_NO_BFR _
	  & "   AND MED_COST_DATE = " & prmMED_COST_DATE _
	  & "   AND SERIAL_NO = " & prmSERIAL_NO_OLD

#End Region

	''' <summary>
	''' 患者単位の貸出物情報削除
	''' </summary>
	Public Const sqlDel_MTI_LENDITM As String = _
		" DELETE MTI_LENDITM" _
		& " WHERE " _
			& "		PATIENT_NO		= " & prmPATIENT_NO _
			& " AND HSP_HISTORY_NO	= 0 " _
			& " AND CH_NO			= 0 "

	''' <summary>
	''' 患者単位の貸出情報削除
	''' </summary>
	Public Const sqlDel_MTI_LEND As String = _
		" DELETE MTI_LEND" _
		& " WHERE" _
			& "		PATIENT_NO		= " & prmPATIENT_NO _
			& " AND HSP_HISTORY_NO	= 0 " _
			& " AND CH_NO			= 0 "

	''' <summary>
	''' 貸出管理 貸出情報統合
	''' </summary>
	Public Const sqlUpd_LTI_LENDINFO As String = _
		"UPDATE LTI_LENDINFO" _
		& " SET" _
			& " PATIENT_NO	= " & prmPATIENT_NO_AFT _
			& ",SERIAL_NO	= SERIAL_NO + ISNULL(MAX_SERIAL,0) " _
		& " FROM" _
			& " LTI_LENDINFO LEFT JOIN" _
				& " (SELECT" _
						& " " & prmPATIENT_NO_BFR & " AS PATIENT_NO" _
						& ",MNGITEM_CD" _
						& ",ISNULL(MAX(SERIAL_NO),0) AS MAX_SERIAL" _
					& " FROM" _
						& " LTI_MNGITEMINFO" _
					& " WHERE" _
						& " PATIENT_NO		= " & prmPATIENT_NO_AFT _
					& " GROUP BY" _
						& " PATIENT_NO,MNGITEM_CD" _
					& ") AS TMP ON" _
				& "		LTI_LENDINFO.PATIENT_NO	= TMP.PATIENT_NO" _
				& "	AND LTI_LENDINFO.MNGITEM_CD = TMP.MNGITEM_CD" _
		& " WHERE" _
			& " LTI_LENDINFO.PATIENT_NO	= " & prmPATIENT_NO_BFR

	''' <summary>
	''' 貸出管理 管理物情報統合
	''' </summary>
	Public Const sqlUpd_LTI_MNGITEMINFO As String = _
		"UPDATE LTI_MNGITEMINFO" _
		& " SET" _
			& " PATIENT_NO	= " & prmPATIENT_NO_AFT _
			& ",SERIAL_NO	= SERIAL_NO + ISNULL(MAX_SERIAL,0) " _
		& " FROM" _
			& " LTI_MNGITEMINFO LEFT JOIN" _
				& " (SELECT " _
						& prmPATIENT_NO_BFR & " AS PATIENT_NO" _
						& ",MNGITEM_CD" _
						& ",ISNULL(MAX(SERIAL_NO),0) AS MAX_SERIAL" _
					& " FROM" _
						& " LTI_MNGITEMINFO" _
					& " WHERE" _
						& " PATIENT_NO		= " & prmPATIENT_NO_AFT _
					& " GROUP BY" _
						& " PATIENT_NO,MNGITEM_CD" _
					& ") AS TMP ON" _
				& "		LTI_MNGITEMINFO.PATIENT_NO	= TMP.PATIENT_NO" _
				& "	AND LTI_MNGITEMINFO.MNGITEM_CD	= TMP.MNGITEM_CD" _
		& " WHERE LTI_MNGITEMINFO.PATIENT_NO	= " & prmPATIENT_NO_BFR

End Class
