﻿Imports XCM
Imports XSP
Imports MRP
Imports BCP
Imports System.Windows.Forms
'(A) STR V4-12075-000 003 20130206 ID)平井(病名、手術画面起動の高速化)
Imports System.Threading
'(A) END V4-12075-000 003 20130206

''' ---------------------------------------------
''' <summary>
''' 入退院歴選択
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN010F010

#Region "コンスタント"

	' 科歴情報表示
	Private Const CST_CH_MULTIROW_HEIGHT_3ROWS As Integer = 174
	Private Const CST_CH_MULTIROW_HEIGHT_10ROWS As Integer = 482

	' 歴番号表記
	Private Const CST_DISP_HISTORY_NO_HSPCH As String = "科歴番号"		'入退・科歴一覧
	Private Const CST_DISP_HISTORY_NO_CH As String = "歴番号"			'科歴一覧

	' 遷移先固定ID
	Private Const CST_SHOW_MEN010F020_ID As String = "MEN010F020"		'入退院歴番号変更
	Private Const CST_SHOW_MEN010F030_ID As String = "MEN010F030"		'科歴複写
	Private Const CST_SHOW_MEN010F040_ID As String = "MEN010F040"		'科歴番号変更
	Private Const CST_SHOW_MEN010F050_ID As String = "MEN010F050"		'がん登録
	Private Const CST_SHOW_MEN010F060_ID As String = "MEN010F060"		'チェック処理
	Private Const CST_SHOW_MEN010F070_ID As String = "MEN010F070"		'管理状況すべて
	Private Const CST_SHOW_MEN020F010_ID As String = "MEN020F010"		'入退院登録
	Private Const CST_SHOW_MEN030F010_ID As String = "MEN030F010"		'科歴登録
	Private Const CST_SHOW_XSP160F010_ID As String = "XSP160F010"		'監査
	Private Const CST_SHOW_XSP170F010_ID As String = "XSP170F010"		'患者番号入力
	Private Const CST_SHOW_XSP180F010_ID As String = "XSP180F010"		'患者登録
	Private Const CST_SHOW_XCM020F010_ID As String = "XCM020F010"		'エラーメッセージ画面

	' 帳票タイトル
	Private Const CST_HSP_REPORT_TITLE As String = "入退院情報一覧表"
	Private Const CST_CH_REPORT_TITLE As String = "科歴情報一覧表"

	''' ---------------------------------------------
	''' <summary>
	''' 動作モード
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Enum Enum_RunMode
		''' ---------------------------------------------
		''' <summary>メニューより</summary>
		''' ---------------------------------------------
		eFromMenu = 1
		''' ---------------------------------------------
		''' <summary>他画面より</summary>
		''' ---------------------------------------------
		eFromOther = 2
	End Enum

#End Region

#Region "変数"

	' 重複起動
	Private pbExclusive As Boolean = True

	' 動作モード
	Private eRunMode As Enum_RunMode = Enum_RunMode.eFromMenu	' メニューより
	Private eSetUpMode As clsConst.Enum_XSP170F010_SetUpMode = clsConst.Enum_XSP170F010_SetUpMode.HspCh	' 入退・科歴一覧

	' MultiRow データテーブル
	Private dtHspPatient As DataTable
	Private dtChPatient As DataTable
	Private dtChHsp As DataTable

	' 遷移先画面
	Private frmMEN010F020 As MEN010F020 = Nothing		'入退院歴番号変更
	Private frmMEN010F030 As MEN010F030 = Nothing		'科歴複写
	Private frmMEN010F040 As MEN010F040 = Nothing		'科歴番号変更
	Private frmMEN010F050 As MEN010F050 = Nothing		'がん登録
	Private frmMEN010F060 As MEN010F060 = Nothing		'チェック処理
	Private frmMEN010F070 As MEN010F070 = Nothing		'管理状況すべて
	Private frmMEN020F010 As MEN020F010 = Nothing		'入退院登録
	Private frmMEN030F010 As MEN030F010 = Nothing		'科歴登録
	Private frmXSP160F010 As XSP160F010 = Nothing		'監査
	Private frmXSP170F010 As XSP170F010 = Nothing		'患者番号入力
	Private frmXSP180F010 As XSP180F010 = Nothing		'患者登録

	' がん登録病名数の表示／非表示
	Private flgDispCancer As Boolean = True

	' がん登録状況コード
	Private strCnrRegStatusPlan As String = Nothing		'抽出予定
	Private strCnrRegStatusFinish As String = Nothing	'抽出完了

	' デリゲート
	Private Delegate Sub EndAccessFormDelegate()		'Access終了時処理

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（メニューより）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New()
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（他画面より）
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pPatientNo As String)
		Me.New()
		eRunMode = Enum_RunMode.eFromOther	'他画面より
		Me.PatientNo = pPatientNo			'患者番号
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ（他画面より）
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		Me.New(pPatientNo)
		Me.HspHistoryNo = pHspHistoryNo		'入退院歴番号
		Me.ChNo = pChNo						'科歴番号
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN010F010_FormClosing", "画面終了時 Start")
		Dim arSpecialItem As ArrayList = Nothing
		Dim strValue As String = Nothing
		Try
			Try
				' 画面途中でエラーの場合は処理しない
				If Me.LoadError OrElse e.Cancel Then
					Exit Try
				End If
				' 前回値保存
				arSpecialItem = New ArrayList
				If Me.grp008MEN010F010.Visible Then
					' 個人情報・有り
					With Me.rdo009MEN010F010
						If .Checked Then
							strValue = clsConst.Enum_CheckBox_Flg.CheckOn
						Else
							strValue = clsConst.Enum_CheckBox_Flg.CheckOff
						End If
						arSpecialItem.Add(New DictionaryEntry(.Name, strValue.ToString))
					End With
					' 個人情報・無し
					With Me.rdo010MEN010F010
						If .Checked Then
							strValue = clsConst.Enum_CheckBox_Flg.CheckOn
						Else
							strValue = clsConst.Enum_CheckBox_Flg.CheckOff
						End If
						arSpecialItem.Add(New DictionaryEntry(.Name, strValue.ToString))
					End With
				End If
				' 貸出情報を表示する
				With Me.chk015MEN010F010
					If .Visible Then
						If .Checked Then
							strValue = clsConst.Enum_CheckBox_Flg.CheckOn
						Else
							strValue = clsConst.Enum_CheckBox_Flg.CheckOff
						End If
						arSpecialItem.Add(New DictionaryEntry(.Name, strValue.ToString))
					End If
				End With
				' 入退・科歴一覧、科歴一覧の切り替え
				strValue = eSetUpMode
				arSpecialItem.Add(New DictionaryEntry(Me.scp011MEN010F010.Name, strValue.ToString))
				Me.SaveLastValue(arSpecialItem, , True)
			Catch ex As Exception
				e.Cancel = True		'エラー時は画面を閉じない
				Throw
			Finally
				' 排他制御解除
				Select Case True
					Case pbExclusive
					Case e.Cancel
					Case Else
						Me.delStartStatus()
						pbExclusive = True
				End Select
				arSpecialItem = Nothing
			End Try
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F010_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN010F010_Load", "画面ロード時 Start")
		Dim cliUser As clsXTM_USER = Nothing
		Dim cliCombo As clsComboCom = Nothing
		Dim colForeColor As Color = Nothing
		Dim intEnv As Integer = 0
		Dim intFixedCd As Integer = 0
		Try
			' 排他制御登録
			Select Case True
				Case eRunMode = Enum_RunMode.eFromMenu AndAlso Me.setStartStatus(True)
					' メニュー起動時はプログラム単位
					Me.pbExclusive = False
				Case eRunMode = Enum_RunMode.eFromOther AndAlso Me.setStartStatus(Me.PatientNo)
					' 他画面より起動時は患者番号単位
					Me.pbExclusive = False
				Case Else
					' 画面終了
					Me.EndProc4Load()
					Exit Sub
			End Select

			' ボタン画像
			Me.setButtonBMP(Me.btn002MEN010F010, clsBmp.Enum_BmpType.PrintPreview)			'入退院一覧プレビュー
			Me.setButtonBMP(Me.btn003MEN010F010, clsBmp.Enum_BmpType.Print)					'入退院一覧印刷
			Me.setButtonBMP(Me.btn005MEN010F010, clsBmp.Enum_BmpType.PrintPreview)			'科歴一覧プレビュー
			Me.setButtonBMP(Me.btn006MEN010F010, clsBmp.Enum_BmpType.Print)					'科歴一覧印刷
			Me.setButtonBMP(Me.btn013MEN010F010, clsBmp.Enum_BmpType.PrintPreview, False)	'入退院歴プレビュー
			Me.setButtonBMP(Me.btn019MEN010F010, clsBmp.Enum_BmpType.PrintPreview, False)	'科歴プレビュー

			' 使用者権限より、画面項目の表示の有無を決定する
			cliUser = New clsXTM_USER
			Select Case False
				Case Me.ExeMode = Enum_ExeMode.eEntry OrElse cliUser.getAuthority(clsXTM_USER.Enum_Authority.PRD1_Sansyou)
					' 参照権限がない場合、科歴修正と全ての印刷ボタンを非表示
					Me.grp001MEN010F010.Visible = False		'入退院一覧グループ
					Me.lbl026MEN010F010.Visible = False		'入退院一覧
					Me.grp004MEN010F010.Visible = False		'科歴一覧グループ
					Me.lbl027MEN010F010.Visible = False		'科歴一覧
					Me.btn013MEN010F010.Visible = False		'入退院歴プレビュー
					Me.btn014MEN010F010.Visible = False		'入退院歴バーコード印刷
					Me.btn012MEN000F010.Visible = False		'修正(F4)
					Me.btn019MEN010F010.Visible = False		'科歴プレビュー
					Me.btn020MEN010F010.Visible = False		'科歴ＥＸＣＥＬ出力
					Me.btn022MEN010F010.Visible = False		'科歴バーコード印刷
				Case cliUser.getAuthority(clsXTM_USER.Enum_Authority.DETI_M_Print)
					' 印刷権限がない場合、全ての印刷ボタンを非表示
					Me.grp001MEN010F010.Visible = False		'入退院一覧グループ
					Me.lbl026MEN010F010.Visible = False		'入退院一覧
					Me.grp004MEN010F010.Visible = False		'科歴一覧グループ
					Me.lbl027MEN010F010.Visible = False		'科歴一覧
					Me.btn013MEN010F010.Visible = False		'入退院歴プレビュー
					Me.btn014MEN010F010.Visible = False		'入退院歴バーコード印刷
					Me.btn019MEN010F010.Visible = False		'科歴プレビュー
					Me.btn020MEN010F010.Visible = False		'科歴ＥＸＣＥＬ出力
					Me.btn022MEN010F010.Visible = False		'科歴バーコード印刷
				Case cliUser.getAuthority(clsXTM_USER.Enum_Authority.PRD6_Print)
					' バーコード印刷権限がない場合、バーコード印刷ボタンを非表示
					Me.btn014MEN010F010.Visible = False		'入退院歴バーコード印刷
					Me.btn022MEN010F010.Visible = False		'科歴バーコード印刷
				Case Else
			End Select

			' 動作環境設定テーブルより、画面項目の表示の有無を決定する
			With clsSysMst.ctlEnvData
				' 病歴番号の表記
				Me.mlr017MEN010F010.HeaderText(MEN010C010.CST_HSP_HEADER_BYOREKI_NO) = .getEnv(datEnv.Enum_ENV.ENV_00001)
				Me.mlr025MEN010F010.HeaderText(MEN010C012.CST_CH_HEADER_BYOREKI_NO) = .getEnv(datEnv.Enum_ENV.ENV_00001)

				' バーコードの使用＝なしの場合、バーコード印刷ボタンを非表示
				If Not Integer.TryParse(.getEnv(datEnv.Enum_ENV.ENV_00002), intEnv) OrElse _
				   intEnv = clsConst.Enum_BarCodeCan.None Then
					Me.btn014MEN010F010.Visible = False		'入退院歴バーコード印刷
					Me.btn022MEN010F010.Visible = False		'科歴バーコード印刷
				End If

				' 入退院歴選択画面でのがん登録病名数の表示＝しないの場合、がん登録数とがん登録予定数を非表示
				If Not Integer.TryParse(.getEnv(datEnv.Enum_ENV.ENV_00043), intEnv) OrElse _
				   intEnv = clsConst.Enum_HspHisGanEntDisInsNumDisp.NonDisInsNumDisp Then
					flgDispCancer = False
				End If
				If Not flgDispCancer Then
					Me.mlr025MEN010F010.HeaderVisible(MEN010C012.CST_CH_HEADER_CANCER) = False
					Me.mlr025MEN010F010.HeaderControls(MEN010C012.CST_CH_HEADER_DISEASE_COUNT).Left = Me.mlr025MEN010F010.HeaderControls(MEN010C012.CST_CH_HEADER_HSP_FLG).Left
					Me.mlr025MEN010F010.DetailVisible(MEN010C013.CST_CH_DETAIL_CANCER) = False
				End If

				' 医療費の登録方法
				If Not Integer.TryParse(.getEnv(datEnv.Enum_ENV.ENV_00012), intEnv) Then
					intEnv = clsConst.Enum_MedCostInput.NoInput
				End If
				Select Case intEnv
					Case clsConst.Enum_MedCostInput.NoInput
						' 登録しないの場合、（入退院歴）医療費合計および（科歴）医療費合計を非表示
						Me.mlr017MEN010F010.HeaderVisible(MEN010C010.CST_HSP_HEADER_TOTAL_MED_COST) = False
						Me.mlr017MEN010F010.DetailVisible(MEN010C011.CST_HSP_DETAIL_TOTAL_MED_COST) = False
						Me.mlr025MEN010F010.HeaderVisible(MEN010C012.CST_CH_HEADER_TOTAL_MED_COST) = False
						Me.mlr025MEN010F010.DetailVisible(MEN010C013.CST_CH_DETAIL_TOTAL_MED_COST) = False
					Case clsConst.Enum_MedCostInput.HspNoDetail, clsConst.Enum_MedCostInput.HspDetail
						' 入院歴単位の場合、（科歴）医療費合計を非表示
						Me.mlr025MEN010F010.HeaderVisible(MEN010C012.CST_CH_HEADER_TOTAL_MED_COST) = False
						Me.mlr025MEN010F010.DetailVisible(MEN010C013.CST_CH_DETAIL_TOTAL_MED_COST) = False
					Case Else
				End Select
			End With

			' 起動環境設定より、画面項目の表示の有無を決定する
			With clsSysMst.ctlConfigData
				' がん登録
				If String.IsNullOrEmpty(.BtgDir) OrElse Not System.IO.Directory.Exists(.BtgDir) Then
					' がん登録パスが存在しない場合、がん登録ボタンを非表示
					Me.btn021MEN010F010.Visible = False
				End If
			End With

			' がん登録状況コードを取得する
			cliCombo = New clsComboCom
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), dtCnrRegStatus As DataTable = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CnrRegStatus)
				If dtCnrRegStatus IsNot Nothing AndAlso dtCnrRegStatus.Rows.Count > 0 Then
					For Each row As DataRow In dtCnrRegStatus.Rows
						If Integer.TryParse(row(sqlComboCom.itmFIXED_CD).ToString, intFixedCd) Then
							Select Case intFixedCd
								Case clsConst.Enum_ClrRegStatus_Fix1.Plan
									' 抽出予定のがん登録状況コードを取得
									strCnrRegStatusPlan = row(sqlComboCom.itmREG_STATUS_CD).ToString
								Case clsConst.Enum_ClrRegStatus_Fix1.Finish
									' 抽出完了のがん登録状況コードを取得
									strCnrRegStatusFinish = row(sqlComboCom.itmREG_STATUS_CD).ToString
								Case Else
							End Select
						End If
					Next
				End If
			End Using

'(A) STR V4-12075-000 007 20130206 ID)平井(病名、手術画面起動の高速化)
			' 病名、手術マスタ取得処理を非同期で起動する。
			Dim t10 As New Thread(New ThreadStart(AddressOf clsComboCom.getICD10ComboAll))
			t10.Start()
			Dim t9 As New Thread(New ThreadStart(AddressOf clsComboCom.getICD9CMComboAll))
			t9.Start()
'(A) END V4-12075-000 007 20130206

'(A) STR V4-14014-000 004 20130412 ID)平井(登録状況が登録完了(固定コード:9)の前景色を青色、太字とする。)
			Me.mlr025MEN010F010.DetailForeColor(MEN010C013.CST_CH_DETAIL_REG_STATUS) = Color.Black
			Me.mlr025MEN010F010.DetailFontStyle(MEN010C013.CST_CH_DETAIL_REG_STATUS) = FontStyle.Regular
'(A) END V4-14014-000 004 20130412

			' 貸出物マスタより該当する貸出物略称名分類名および項目の表示色を設定する。
			If Me.LendItemMst Is Nothing OrElse _
			   Me.LendItemMst(clsConst.Enum_Lenditem.MedicalRecord) Is Nothing OrElse _
			   Me.LendItemMst(clsConst.Enum_Lenditem.Summary) Is Nothing Then
				' 貸出物マスタにカルテ、サマリの登録がない場合、エラーメッセージを出力し、親画面に戻る。
				Me.showMsg("E0009", "貸出物マスタ", "マスタ保守", Nothing)
				' 画面終了
				Me.EndProc4Load()
				Exit Sub
			End If
			With Me.LendItemMst(clsConst.Enum_Lenditem.MedicalRecord)
				' カルテ表記
				Me.mlr017MEN010F010.HeaderText(MEN010C010.CST_HSP_HEADER_RECORD_MNGSTATUS1_RNM) = .LENDITEM_RNM
				Me.mlr025MEN010F010.HeaderText(MEN010C012.CST_CH_HEADER_RECORD_MNGSTATUS1_RNM) = .LENDITEM_RNM
				' カルテ前景色 → 廃止
				If True OrElse TryParseColor(.COLOR_CD_R, .COLOR_CD_G, .COLOR_CD_B, colForeColor) Then
					Me.mlr017MEN010F010.HeaderForeColor(MEN010C010.CST_HSP_HEADER_RECORD) = colForeColor
					Me.mlr017MEN010F010.DetailForeColor(MEN010C011.CST_HSP_DETAIL_RECORD) = colForeColor
					Me.mlr025MEN010F010.HeaderForeColor(MEN010C012.CST_CH_HEADER_RECORD) = colForeColor
					Me.mlr025MEN010F010.DetailForeColor(MEN010C013.CST_CH_DETAIL_RECORD) = colForeColor
				End If
			End With
			With Me.LendItemMst(clsConst.Enum_Lenditem.Summary)
				' サマリ表記
				Me.mlr017MEN010F010.HeaderText(MEN010C010.CST_HSP_HEADER_SUMMARY_MNGSTATUS1_RNM) = .LENDITEM_RNM
				Me.mlr025MEN010F010.HeaderText(MEN010C012.CST_CH_HEADER_SUMMARY_MNGSTATUS1_RNM) = .LENDITEM_RNM
				' サマリ前景色 → 廃止
				If True OrElse TryParseColor(.COLOR_CD_R, .COLOR_CD_G, .COLOR_CD_B, colForeColor) Then
					Me.mlr017MEN010F010.HeaderForeColor(MEN010C010.CST_HSP_HEADER_SUMMARY) = colForeColor
					Me.mlr017MEN010F010.DetailForeColor(MEN010C011.CST_HSP_DETAIL_SUMMARY) = colForeColor
					Me.mlr025MEN010F010.HeaderForeColor(MEN010C012.CST_CH_HEADER_SUMMARY) = colForeColor
					Me.mlr025MEN010F010.DetailForeColor(MEN010C013.CST_CH_DETAIL_SUMMARY) = colForeColor
				End If
			End With
			If Me.LendItemMst(clsConst.Enum_Lenditem.LendItem3) IsNot Nothing Then
				With Me.LendItemMst(clsConst.Enum_Lenditem.LendItem3)
					' 他１表記
					Me.mlr017MEN010F010.HeaderText(MEN010C010.CST_HSP_HEADER_OTHER1_MNGSTATUS1_RNM) = .LENDITEM_RNM
					Me.mlr025MEN010F010.HeaderText(MEN010C012.CST_CH_HEADER_OTHER1_MNGSTATUS1_RNM) = .LENDITEM_RNM
					' 他１前景色 → 廃止
					If True OrElse TryParseColor(.COLOR_CD_R, .COLOR_CD_G, .COLOR_CD_B, colForeColor) Then
						Me.mlr017MEN010F010.HeaderForeColor(MEN010C010.CST_HSP_HEADER_OTHER1) = colForeColor
						Me.mlr017MEN010F010.DetailForeColor(MEN010C011.CST_HSP_DETAIL_OTHER1) = colForeColor
						Me.mlr025MEN010F010.HeaderForeColor(MEN010C012.CST_CH_HEADER_OTHER1) = colForeColor
						Me.mlr025MEN010F010.DetailForeColor(MEN010C013.CST_CH_DETAIL_OTHER1) = colForeColor
					End If
				End With
			Else
				' 他１の登録がない場合、貸出情報を表示するチェックボックスを非表示とする。
				With Me.chk015MEN010F010
					.Checked = True
					.Visible = False
				End With
			End If

			' 個人情報出力の可否
			Select Case True
				Case Me.grp001MEN010F010.Visible	'入退院一覧が使用可
				Case Me.grp004MEN010F010.Visible	'科歴一覧が使用可
				Case Me.btn013MEN010F010.Visible	'入退院歴プレビューが使用可
				Case Me.btn019MEN010F010.Visible	'科歴プレビューが使用可
				Case Me.btn020MEN010F010.Visible	'科歴ＥＸＣＥＬ出力が使用可
				Case Else
					' 印刷ボタンがない場合、個人情報出力の選択を非表示
					Me.lbl007MEN010F010.Visible = False		'個人情報
					Me.grp008MEN010F010.Visible = False		'個人情報グループ
			End Select

			' 他画面より起動時
			If eRunMode = Enum_RunMode.eFromOther Then
				' データの存在確認
				Select Case True
					Case Me.BasicInfoRec Is Nothing
						' 患者が存在しない場合、エラーメッセージを出力し、親画面に戻る。
						Me.showMsg("E0004")
						' 画面終了
						Me.EndProc4Load()
						Exit Sub
					Case Me.chkParam(Me.PatientNo, Me.HspHistoryNo, Me.ChNo) AndAlso Me.ChRec Is Nothing
						' 科歴情報が取得できなかった場合、エラーメッセージを出力し、親画面に戻る。
						Me.showMsg("E0012", "削除", Nothing)
						' 画面終了
						Me.EndProc4Load()
						Exit Sub
					Case Else
				End Select
			End If
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliUser = Nothing
			cliCombo = Nothing
			colForeColor = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面初回起動時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN010F010_Shown", "画面初回起動時 Start")
		Dim arLastValueCtl As ArrayList = Nothing
		Dim htLastValue As Hashtable = Nothing
		Try
			' 前回値取得
			arLastValueCtl = New ArrayList
			For iStep As Integer = 1 To 2
				Select Case iStep
					Case 1
						' ステップ１（画面のコントロールに直接設定）
						If Me.grp008MEN010F010.Visible Then
							arLastValueCtl.Add(Me.rdo009MEN010F010.Name)	'個人情報・有り
							arLastValueCtl.Add(Me.rdo010MEN010F010.Name)	'個人情報・無し
						End If
						If Me.chk015MEN010F010.Visible Then
							arLastValueCtl.Add(Me.chk015MEN010F010.Name)	'貸出情報を表示する
						End If
						If arLastValueCtl.Count > 0 Then
							Me.LastValueCtls = arLastValueCtl.ToArray(GetType(String))
						End If
						Me.LoadLastValue(Me.LastValueCtls)
						If Me.grp008MEN010F010.Visible Then
							Me.rdo009MEN010F010.TabStop = False				'個人情報・有り
							Me.rdo010MEN010F010.TabStop = False				'個人情報・無し
						End If
					Case 2
						' ステップ２（内部変数に取得）
						arLastValueCtl.Add(Me.scp011MEN010F010.Name)		'入退・科歴一覧、科歴一覧の切り替え
						For Each ctl As String In arLastValueCtl
							Me.SpecialItems.Add(New DictionaryEntry(ctl, ctl))
						Next
						htLastValue = Me.getLoadLastValue(Me.SpecialItems)
						If htLastValue.Contains(Me.scp011MEN010F010.Name) Then
							' 入退・科歴一覧、科歴一覧の切り替え
							Select Case htLastValue(Me.scp011MEN010F010.Name)
								Case clsConst.Enum_XSP170F010_SetUpMode.HspCh
									eSetUpMode = clsConst.Enum_XSP170F010_SetUpMode.HspCh
								Case clsConst.Enum_XSP170F010_SetUpMode.Ch
									eSetUpMode = clsConst.Enum_XSP170F010_SetUpMode.Ch
								Case Else
							End Select
						End If
						' 入退・科歴一覧、科歴一覧の切り替え
						setSetupMode()
					Case Else
						Exit For
				End Select
			Next
			Me.LastValueSkip = True		'前回値を継承元で保存しない

			If eRunMode = Enum_RunMode.eFromMenu Then
				' 通常モードの場合、患者番号入力画面を起動する
				execXSP170F010()
			Else
				' 他画面より起動時、画面の再描画
				repaint()
				' 科歴情報が取得できた場合、科歴登録画面を起動する → 廃止
				If False AndAlso Me.ChRec IsNot Nothing Then
					execMEN030F010()
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		Finally
			arLastValueCtl = Nothing
			htLastValue = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院一覧プレビューボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn002MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn002MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn002MEN010F010_Click", "入退院一覧プレビューボタンクリック時 Start")
		Try
			' 患者番号は必須
			If Not Me.chkParam(Me.PatientNo) Then
				Exit Sub
			End If
			' 入退院一覧プレビュー
			Using prtHsp As MRP040R020 = New MRP040R020(Me, False, CST_HSP_REPORT_TITLE, Me.rdo009MEN010F010.Checked, Me.PatientNo)
				prtHsp.exeReport()
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院一覧印刷ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn003MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn003MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn003MEN010F010_Click", "入退院一覧印刷ボタンクリック時 Start")
		Try
			' 患者番号は必須
			If Not Me.chkParam(Me.PatientNo) Then
				Exit Sub
			End If
			' 入退院一覧印刷
			Using prtHsp As MRP040R020 = New MRP040R020(Me, True, CST_HSP_REPORT_TITLE, Me.rdo009MEN010F010.Checked, Me.PatientNo)
				prtHsp.exeReport()
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴一覧プレビューボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn005MEN010F010_Click", "科歴一覧プレビューボタンクリック時 Start")
		Try
			' 患者番号は必須
			If Not Me.chkParam(Me.PatientNo) Then
				Exit Sub
			End If
			' 科歴一覧プレビュー
			Using prtCh As MRP050R020 = New MRP050R020(Me, False, CST_CH_REPORT_TITLE, Me.rdo009MEN010F010.Checked, Me.PatientNo)
				prtCh.exeReport()
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴一覧印刷ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn006MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn006MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn006MEN010F010_Click", "科歴一覧印刷ボタンクリック時 Start")
		Try
			' 患者番号は必須
			If Not Me.chkParam(Me.PatientNo) Then
				Exit Sub
			End If
			' 科歴一覧印刷
			Using prtCh As MRP050R020 = New MRP050R020(Me, True, CST_CH_REPORT_TITLE, Me.rdo009MEN010F010.Checked, Me.PatientNo)
				prtCh.exeReport()
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院歴プレビューボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn013MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn013MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn013MEN010F010_Click", "入退院歴プレビューボタンクリック時 Start")
		Try
			' 患者番号、入退院歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo) Then
				Exit Sub
			End If
			' 入退院歴プレビュー
			Using prtHsp As MRP040R110 = New MRP040R110(Me, False, Nothing, Me.rdo009MEN010F010.Checked, Me.PatientNo, Me.HspHistoryNo)
				prtHsp.exeReport()
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院歴バーコード印刷ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn014MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn014MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn014MEN010F010_Click", "入退院歴バーコード印刷ボタンクリック時 Start")
		Try
			' 患者番号、入退院歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo) Then
				Exit Sub
			End If
			' 入退院歴バーコード印刷
			Using prtHsp As BCP010R010 = New BCP010R010(Me, True, Me.PatientNo, Me.HspHistoryNo)
				prtHsp.exeReport()
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 貸出情報を表示するチェック変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chk015MEN010F010_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles chk015MEN010F010.CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "chk015MEN010F010_CheckedChanged", "貸出情報を表示するチェック変更時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "貸出情報を表示するチェック変更時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 貸出情報を表示する／しないの切り替え
			setVisibleHspLend()
			setVisibleChLend()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院歴番号変更ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn016MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn016MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn016MEN010F010_Click", "入退院歴番号変更ボタンクリック時 Start")
		Try
			' 患者番号、入退院歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo) Then
				Exit Sub
			End If
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 入退院歴番号変更画面を起動
			frmMEN010F020 = Nothing
			frmMEN010F020 = New MEN010F020(Me.PatientNo, Me.HspHistoryNo)
			Me.nextForm(frmMEN010F020)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報バインド時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr017MEN010F010_DataBindingComplete(ByVal sender As Object, ByVal e As System.EventArgs) Handles mlr017MEN010F010.DataBindingComplete
		If Me.mlr017MEN010F010.DataSource Is Nothing Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.DBG, "mlr017MEN010F010_DataBindingComplete", "入退院情報バインド時 Start")
		Try
			' 入退院情報の貸出情報を表示する／しないの切り替え
			setVisibleHspLend()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報データソース変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr017MEN010F010_DataSourceChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles mlr017MEN010F010.DataSourceChanged
		If Not _shown Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.DBG, "mlr017MEN010F010_DataSourceChanged", "入退院情報データソース変更時 Start")
		Try
			' 入退院情報がある場合は処理しない
			With Me.mlr017MEN010F010
				Select Case False
					Case .DataSource IsNot Nothing
					Case TypeOf .DataSource Is DataTable
					Case CType(.DataSource, DataTable).Rows.Count > 0
					Case Else
						Exit Sub
				End Select
			End With
			' 入退院情報がない場合
			Me.HspHistoryNo = 0
			Me.ChNo = 0
			If eSetUpMode = clsConst.Enum_XSP170F010_SetUpMode.HspCh Then
				' 入退院情報の各ボタンを使用不可
				setHspButtonEnabled(False)
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報ダブルクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr017MEN010F010_Row_DoubleClick(ByVal sender As Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr017MEN010F010.Row_DoubleClick
		log(clsSysMst.logLevel.NRM, "mlr017MEN010F010_Row_DoubleClick", "入退院情報ダブルクリック時 Start")
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 入退院情報登録画面を起動
			execMEN020F010()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報行変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr017MEN010F010_SelectedIndexChanged(ByVal sender As Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr017MEN010F010.SelectedIndexChanged
		log(clsSysMst.logLevel.DBG, "mlr017MEN010F010_SelectedIndexChanged", "入退院情報行変更時 Start")
		Dim row As DataRow = Nothing
		Try
			' 入退院歴番号の取得
			row = Me.mlr017MEN010F010.DataSource.Rows(e.Index)
			Dim iHspHistoryNo As Integer = 0
			If getKeyNoFromDataRow(row, iHspHistoryNo) Then
				If Me.HspHistoryNo <> iHspHistoryNo Then
					Me.HspHistoryNo = iHspHistoryNo
					Me.ChNo = 0
					' 入退院情報の各ボタンを使不可
					setHspButtonEnabled(True)
					setChMultiRow(True)
				End If
				' フォーカス設定
'(M) STR V4-11009-000 005 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No7 入退院歴選択画面でのスクロール対応
'				setFocus()
				'Me.mln017….Select Or Focusではダメです。MultiRowの仕様できちんと行を選択してあげないとROW_KEYDOWNイベントがとれません
				RemoveHandler mlr017MEN010F010.SelectedIndexChanged, AddressOf mlr017MEN010F010_SelectedIndexChanged
				Me.mlr017MEN010F010.SelectedIndex = e.Index
				AddHandler mlr017MEN010F010.SelectedIndexChanged, AddressOf mlr017MEN010F010_SelectedIndexChanged
'(M) END V4-11009-000 005 20110809
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			row = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴プレビューボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn019MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn019MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn019MEN010F010_Click", "科歴プレビューボタンクリック時 Start")
		Try
			' 患者番号、入退院歴番号、科歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo, Me.ChNo) Then
				Exit Sub
			End If
			' 科歴プレビュー
			Using prtCh As MRP050R110 = New MRP050R110(Me, False, Nothing, Me.rdo009MEN010F010.Checked, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				prtCh.exeReport()
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴ＥＸＣＥＬ出力ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn020MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn020MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn020MEN010F010_Click", "科歴ＥＸＣＥＬ出力ボタンクリック時 Start")
		Try
			' 患者番号、入退院歴番号、科歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo, Me.ChNo) Then
				Exit Sub
			End If
			' 科歴ＥＸＣＥＬ出力
			Using prtCh As MRP050E010 = New MRP050E010(Me, False, Nothing, Me.rdo009MEN010F010.Checked, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				If prtCh.exeExcel() Then
					'' 終了メッセージ
					'Me.showMsg("I0002")
				End If
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' がん登録ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn021MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn021MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn021MEN010F010_Click", "がん登録ボタンクリック時 Start")
		Dim thread As Threading.Thread = Nothing
		Try
			' 患者番号、入退院歴番号、科歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo, Me.ChNo) Then
				Exit Sub
			End If

'(A) STR V4-11052-000 020 20111028 FJSK)H.Y V4.10.11.4(がん登録排他チェック)
			'がんの排他テーブルに 端末名=自分の端末名、起動ＰＧ=BTGTOROK.mde の場合、メッセージを表示し起動しない
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Dim retDat As DataTable
'(M) STR V4-12034-000 008 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(登録からのがん登録起動)
'				db.setSQLDa(sqlMEN010F010.sqlGanHaita)
				If clsSysMst.ctlConfigData.BtgDir.Contains(clsConst.CST_BG2_INST_FDR_NM) Then
					db.setSQLDa(sqlMEN010F010.sqlGanV2Haita)	'がん登録Ｖ２
				Else
					db.setSQLDa(sqlMEN010F010.sqlGanHaita)		'がん登録Ｖ１
				End If
'(M) END V4-12034-000 008 2012/07/16 FWEST)H.Y がん登録Ｖ２対応(登録からのがん登録起動)
				db.setParamDa(sqlMEN010F010.prmComputerName, clsDB.Enum_dbType.dbNVarChar)
				db.setValDa(sqlMEN010F010.prmComputerName, clsConst.CST_HOST_NM)
				Try
					retDat = New DataTable
					db.execQueryDa(retDat)
					If retDat.Rows.Count > 0 Then
						Me.showMsg("E0012", "起動", Nothing)
						Exit Sub
					End If
				Catch ex As Exception
					retDat = Nothing
					Throw
				End Try
			End Using
'(A) END V4-11052-000 020 20111028 FJSK)H.Y V4.10.11.4(がん登録排他チェック)

#If False Then
			' がん登録画面を起動
			frmMEN010F050 = Nothing
			frmMEN010F050 = New MEN010F050(Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
			Me.nextForm(frmMEN010F050)
#Else
			' がん登録画面を起動（スレッド実行）
			'thread = New Threading.Thread(AddressOf Me.execCancerAccessFormThread)
			Me.btn021MEN010F010.Enabled = False
			Me.execCancerAccessFormThread(Me)
#End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			thread = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' がん登録画面を起動（スレッド実行）
	''' </summary>
	''' <param name="pFrm"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub execCancerAccessFormThread(ByVal pFrm As MEN000F010)
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "execCancerAccessFormThread", "がん登録画面を起動（スレッド実行） Start")
		log(clsSysMst.logLevel.DBG, "execCancerAccessFormThread", "がん登録画面を起動（スレッド実行） Start")
'(M) END V4-11023-000 004 20110816
		Dim cliAccessForm As clsAccessForm
		Me.Cursor = Cursors.WaitCursor
		Try
			' 画面を使用不可
			Me.Enabled = False

			' がん登録画面を起動
			cliAccessForm = New clsAccessForm
			cliAccessForm.OpenGanV1OpenForm(pFrm, pFrm._userID, pFrm._userName, pFrm.PatientNo, pFrm.HspHistoryNo, pFrm.ChNo)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			Try
				'' スレッド終了Invoke処理
				'Me.Invoke(New EndAccessFormDelegate(AddressOf endCancerAccessFormInvoker))
				Me.Enabled = True
				Me.Cursor = Cursors.Default
			Catch ex As Exception
			Finally
				cliAccessForm = Nothing
			End Try
		End Try
	End Sub

	' ''' ---------------------------------------------
	' ''' <summary>
	' ''' スレッド終了Invoke処理
	' ''' </summary>
	' ''' <remarks>
	' ''' 2010/12/11 新規作成　CS)溝渕<BR/>
	' ''' </remarks>
	' ''' ---------------------------------------------
	'Private Sub endCancerAccessFormInvoker()
	'	log(clsSysMst.logLevel.NRM, "endCancerAccessFormInvoker", "スレッド終了Invoke処理 Start")
	'	Try
	'		' 画面を使用可
	'		Me.Enabled = True
	'		' 画面再描画
	'		repaint()
	'	Catch ex As Exception
	'		ErrorProc(ex)
	'	End Try
	'End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴バーコード印刷ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn022MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn022MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn022MEN010F010_Click", "科歴バーコード印刷ボタンクリック時 Start")
		Try
			' 患者番号、入退院歴番号、科歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo, Me.ChNo) Then
				Exit Sub
			End If
			' 科歴バーコード印刷
			Using prtCh As BCP010R010 = New BCP010R010(Me, True, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				prtCh.exeReport()
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 監査ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn023MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn023MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn023MEN010F010_Click", "監査ボタンクリック時 Start")
		Dim datInspect As List(Of clsIN_Inspect)
		Try
			' 患者番号、入退院歴番号、科歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo, Me.ChNo) Then
				Exit Sub
			End If
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 監査画面を起動
			datInspect = New List(Of clsIN_Inspect)
			datInspect.Add(New clsIN_Inspect(Me.PatientNo, Me.HspHistoryNo, Me.ChNo))
			frmXSP160F010 = Nothing
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				frmXSP160F010 = New XSP160F010(XSP160F010.Enum_UpdateMode.UpdatableMode, XSP160F010.Enum_ExecMode.MENMode, datInspect)
			Else
				frmXSP160F010 = New XSP160F010(XSP160F010.Enum_UpdateMode.ReadOnlyMode, XSP160F010.Enum_ExecMode.MENMode, datInspect)
			End If
			Me.nextForm(frmXSP160F010)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			datInspect = Nothing
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴番号変更ボタンクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn024MEN010F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn024MEN010F010.Click
		log(clsSysMst.logLevel.NRM, "btn024MEN010F010_Click", "科歴番号変更ボタンクリック時 Start")
		Try
			' 科歴番号を変更する際のチェック
			If Not chkChRenum() Then
				Exit Sub
			End If
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 科歴番号変更画面を起動
			frmMEN010F040 = Nothing
			frmMEN010F040 = New MEN010F040(Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
			Me.nextForm(frmMEN010F040)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報バインド時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr025MEN010F010_DataBindingComplete(ByVal sender As Object, ByVal e As System.EventArgs) Handles mlr025MEN010F010.DataBindingComplete
		If Me.mlr025MEN010F010.DataSource Is Nothing Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.DBG, "mlr025MEN010F010_DataBindingComplete", "科歴情報バインド時 Start")
		Dim intHspHistoryNo As Integer = 0
		Dim bAlternateBackColorFlag As Boolean = False
		Try
			' 科歴情報の貸出情報を表示する／しないの切り替え
			setVisibleChLend()
			' 共通処理
			With Me.mlr025MEN010F010
				For i As Integer = 0 To .RowCount - 1
					With .Rows(i)
						' がん登録病名数の非表示
						If Not flgDispCancer Then
							.Control(MEN010C013.CST_CH_DETAIL_DISEASE_COUNT).Left = .Control(MEN010C013.CST_CH_DETAIL_HSP_FLG).Left
						End If
						' 背景色設定
						bAlternateBackColorFlag = False
						Select Case False
							Case eSetUpMode = clsConst.Enum_XSP170F010_SetUpMode.Ch
							Case Integer.TryParse(.Control(MEN010C013.CST_CH_DETAIL_HSP_HISTORY_NO).Text, intHspHistoryNo)
							Case intHspHistoryNo Mod 2 = 0
							Case Else
								bAlternateBackColorFlag = True
						End Select
					End With
					.AlternateDetailBackColorFlag(i) = bAlternateBackColorFlag
				Next
			End With
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報データソース変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr025MEN010F010_DataSourceChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles mlr025MEN010F010.DataSourceChanged
		If Not _shown Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.DBG, "mlr025MEN010F010_DataSourceChanged", "科歴情報データソース変更時 Start")
		Try
			' 科歴情報がある場合は処理しない
			With Me.mlr025MEN010F010
				Select Case False
					Case .DataSource IsNot Nothing
					Case TypeOf .DataSource Is DataTable
					Case CType(.DataSource, DataTable).Rows.Count > 0
					Case Else
						Exit Sub
				End Select
			End With
			' 科歴情報がない場合、
			If eSetUpMode = clsConst.Enum_XSP170F010_SetUpMode.HspCh Then
				' 科歴情報の各ボタンを使用不可
				setChButtonEnabled(False)
				Me.ChNo = 0
			Else
				' 入退院情報、科歴情報の各ボタンを使用不可
				setHspButtonEnabled(False)
				setChButtonEnabled(False)
				Me.HspHistoryNo = 0
				Me.ChNo = 0
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報ダブルクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr025MEN010F010_Row_DoubleClick(ByVal sender As Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr025MEN010F010.Row_DoubleClick
		If Not Me.btn012MEN000F010.Visible Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "mlr025MEN010F010_Row_DoubleClick", "科歴情報ダブルクリック時 Start")
		Try
			' マウスカーソルを砂時計に変更
			Me.Cursor = Cursors.WaitCursor
			' 科歴情報登録画面を起動
			execMEN030F010()
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報行変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr025MEN010F010_SelectedIndexChanged(ByVal sender As Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr025MEN010F010.SelectedIndexChanged
		log(clsSysMst.logLevel.DBG, "mlr025MEN010F010_SelectedIndexChanged", "科歴情報行変更時 Start")
		Dim row As DataRow = Nothing
		Try
			' 科歴番号の取得
			row = Me.mlr025MEN010F010.DataSource.Rows(e.Index)
			Dim iHspHistoryNo As Integer = 0
			Dim iChNo As Integer = 0
			If getKeyNoFromDataRow(row, iHspHistoryNo, iChNo) Then
				If Me.HspHistoryNo <> iHspHistoryNo OrElse Me.ChNo <> iChNo Then
					Me.HspHistoryNo = iHspHistoryNo
					Me.ChNo = iChNo
					If eSetUpMode = clsConst.Enum_XSP170F010_SetUpMode.HspCh Then
						' 科歴情報の各ボタンを使用可
						setChButtonEnabled(True)
						setChButtonFromDataRow(row)
					Else
						' 入退院情報、科歴情報の各ボタンを使用可
						setHspButtonEnabled(True)
						setChButtonEnabled(True)
						setChButtonFromDataRow(row)
					End If
				End If
				' フォーカス設定
'(D) STR V4-11009-000 003 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No7 入退院歴選択画面でのスクロール対応
'				setFocus()
'(D) END V4-11009-000 003 20110809
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			row = Nothing
		End Try
	End Sub

'(A) STR V4-11009-000 031 20110809 FJSK)荒川 XXX号 病歴大将V4PKG問題点No7 入退院歴選択画面でのスクロール対応
	''' ---------------------------------------------
	''' <summary>
	''' 一覧ENTER処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2011/06/27 新規作成 FJSK)荒川<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlrXXXMEN010F010_Row_KeyDown(sender As Object, e As XCM.BT_MultiRow.MultiRowKeyEventArgs) Handles mlr017MEN010F010.Row_KeyDown, mlr025MEN010F010.Row_KeyDown
		If Not Me.btn012MEN000F010.Visible Then
			Exit Sub
		End If
		Try
			If e.KeyValue = Keys.Enter OrElse e.KeyValue = Keys.Space Then
				log(clsSysMst.logLevel.NRM, "mlrXXXMEN010F010_Row_KeyDown", "一覧ENTER処理 Start")
				' マウスカーソルを砂時計に変更
				Me.Cursor = Cursors.WaitCursor
				' 科歴情報登録画面を起動
				execMEN030F010()
			End If
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			' マウスカーソルを標準に戻す
			Me.Cursor = Cursors.Default
		End Try
	End Sub
'(A) END V4-11009-000 031 20110809

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報 MultiRow セット
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setHspMultiRow(ByVal bSuspendLayout As Boolean)
		log(clsSysMst.logLevel.DBG, "setHspMultiRow", "入退院情報 MultiRow セット Start")
		Try
			' コントロールのレイアウトロジックを一時的に中断
			If bSuspendLayout Then
				SuspendLayout()
			End If

			' 入退院情報のデータソースをセット
			Dim savHspHistoryNo As Integer = Me.HspHistoryNo
			Dim savChNo As Integer = Me.ChNo
			If eSetUpMode = clsConst.Enum_XSP170F010_SetUpMode.HspCh Then
				Me.mlr017MEN010F010.DataSource = dtHspPatient
			Else
				Me.mlr017MEN010F010.DataSource = Nothing
			End If
			Me.HspHistoryNo = savHspHistoryNo
			Me.ChNo = savChNo
			If eSetUpMode = clsConst.Enum_XSP170F010_SetUpMode.HspCh Then
				If dtHspPatient Is Nothing OrElse dtHspPatient.Rows.Count = 0 Then
					dtChPatient = Nothing
					setChMultiRow(bSuspendLayout)
					Exit Sub
				End If
			Else
				setChMultiRow(bSuspendLayout)
				Exit Sub
			End If
			Dim iIndex As Integer = -1
			For i As Integer = 0 To dtHspPatient.Rows.Count - 1
				Dim iHspHistoryNo As Integer = 0
				If getKeyNoFromDataRow(dtHspPatient.Rows(i), iHspHistoryNo) Then
					If Me.HspHistoryNo = iHspHistoryNo Then
						iIndex = i
						Exit For
					End If
				End If
			Next
			Me.HspHistoryNo = 0
			If iIndex < 0 Then
				Me.mlr017MEN010F010.SelectRow(0)
			Else
				Me.mlr017MEN010F010.SelectRow(iIndex)
			End If
			If Me.HspHistoryNo = savHspHistoryNo Then
				Me.ChNo = savChNo
			End If
			setChMultiRow(bSuspendLayout)
		Catch ex As Exception
			Throw
		Finally
			' レイアウトロジックを再開
			If bSuspendLayout Then
				ResumeLayout(False)
			End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報 MultiRow セット
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setChMultiRow(ByVal bSuspendLayout As Boolean)
		log(clsSysMst.logLevel.DBG, "setChMultiRow", "科歴情報 MultiRow セット Start")
		Dim cliCom As clsCom = Nothing
		Dim rows() As DataRow = Nothing
		Try
			cliCom = New clsCom

			' コントロールのレイアウトロジックを一時的に中断
			If bSuspendLayout Then
				SuspendLayout()
			End If

			' 科歴情報のデータソースをセット
			Dim savHspHistoryNo As Integer = Me.HspHistoryNo
			Dim savChNo As Integer = Me.ChNo
			If dtChPatient Is Nothing OrElse dtHspPatient.Rows.Count = 0 Then
				dtChHsp = Nothing
			Else
				If eSetUpMode = clsConst.Enum_XSP170F010_SetUpMode.HspCh Then
					rows = dtChPatient.Select(sqlMEN010F010.itmHSP_HISTORY_NO & " = " & Me.HspHistoryNo.ToString)
				Else
					rows = dtChPatient.Select()
				End If
				dtChHsp = cliCom.getTableFromRows(dtChPatient, rows)
			End If
			Me.mlr025MEN010F010.DataSource = dtChHsp
			Me.HspHistoryNo = savHspHistoryNo
			Me.ChNo = savChNo
			If dtChHsp Is Nothing OrElse dtChHsp.Rows.Count = 0 Then
				Exit Sub
			End If
			Dim iIndex As Integer = -1
			For i As Integer = 0 To dtChHsp.Rows.Count - 1
				Dim iHspHistoryNo As Integer = 0
				Dim iChNo As Integer = 0
				If getKeyNoFromDataRow(dtChHsp.Rows(i), iHspHistoryNo, iChNo) Then
					If Me.HspHistoryNo = iHspHistoryNo Then
						If Me.ChNo = iChNo Then
							iIndex = i
							Exit For
						End If
						If iIndex < 0 Then
							iIndex = i
						End If
					End If
				End If
			Next
			Me.ChNo = 0
			If iIndex < 0 Then
				Me.mlr025MEN010F010.SelectRow(0)
			Else
				Me.mlr025MEN010F010.SelectRow(iIndex)
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			rows = Nothing
			' レイアウトロジックを再開
			If bSuspendLayout Then
				ResumeLayout(False)
			End If
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' DataRow よりキー項目を取得
	''' </summary>
	''' <param name="row">DataRow</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <returns>True:正常</returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getKeyNoFromDataRow(ByVal row As DataRow, ByRef pHspHistoryNo As Integer) As Boolean
		Dim iHspHistoryNo As Integer = 0
		Try
			If row IsNot Nothing AndAlso _
			   Integer.TryParse(row(sqlMEN010F010.itmHSP_HISTORY_NO).ToString, iHspHistoryNo) Then
				pHspHistoryNo = iHspHistoryNo
				Return True
			Else
				Return False
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' DataRow よりキー項目を取得
	''' </summary>
	''' <param name="row">DataRow</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <returns>True:正常</returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getKeyNoFromDataRow(ByVal row As DataRow, ByRef pHspHistoryNo As Integer, ByRef pChNo As Integer) As Boolean
		Dim iHspHistoryNo As Integer = 0
		Dim iChNo As Integer = 0
		Try
			If row IsNot Nothing AndAlso _
			   Integer.TryParse(row(sqlMEN010F010.itmHSP_HISTORY_NO).ToString, iHspHistoryNo) AndAlso _
			   Integer.TryParse(row(sqlMEN010F010.itmCH_NO).ToString, iChNo) Then
				pHspHistoryNo = iHspHistoryNo
				pChNo = iChNo
				Return True
			Else
				Return False
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報のボタンの使用可否を設定
	''' </summary>
	''' <param name="flg">使用可否</param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setHspButtonEnabled(ByVal flg As Boolean)
		log(clsSysMst.logLevel.DBG, "setHspButtonEnabled", "入退院情報のボタンの使用可否を設定 Start")
		Try
			' 入退院一覧プレビューボタン
			Me.btn002MEN010F010.Enabled = flg
			' 入退院一覧印刷ボタン
			Me.btn003MEN010F010.Enabled = flg
			' 修正ボタン
			Me.btn009MEN000F010.Enabled = flg
			' 削除ボタン
			Me.btn010MEN000F010.Enabled = flg
			' プレビューボタン
			Me.btn013MEN010F010.Enabled = flg
			' バーコード印刷ボタン
			Me.btn014MEN010F010.Enabled = flg
			' 入番変更ボタン
			Me.btn016MEN010F010.Enabled = flg
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報のボタンの使用可否を設定
	''' </summary>
	''' <param name="flg">使用可否</param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setChButtonEnabled(ByVal flg As Boolean)
		log(clsSysMst.logLevel.DBG, "setChButtonEnabled", "科歴情報のボタンの使用可否を設定 Start")
		Try
			' 科歴一覧プレビューボタン
			Me.btn005MEN010F010.Enabled = flg
			' 科歴一覧印刷ボタン
			Me.btn006MEN010F010.Enabled = flg
			' 修正(F4)ボタン
			Me.btn012MEN000F010.Enabled = flg
			' 削除(F5)ボタン
			Me.btn013MEN000F010.Enabled = flg
			' プレビューボタン
			Me.btn019MEN010F010.Enabled = flg
			' ＥＸＣＥＬ出力ボタン
			Me.btn020MEN010F010.Enabled = flg
			' 複写(F6)ボタン
			Me.btn014MEN000F010.Enabled = flg
			' がん登録ボタン
			Me.btn021MEN010F010.Enabled = flg
			' バーコード印刷ボタン
			Me.btn022MEN010F010.Enabled = flg
			' 監査ボタン
			Me.btn023MEN010F010.Enabled = flg
			' 管理状況(F9)ボタン
			Me.btn017MEN000F010.Enabled = flg
			' 科番変更ボタン
			Me.btn024MEN010F010.Enabled = flg
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' DataRow よりボタンの使用可否を設定
	''' </summary>
	''' <param name="row"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setChButtonFromDataRow(ByVal row As DataRow)
		log(clsSysMst.logLevel.DBG, "setChButtonFromDataRow", "DataRow よりボタンの使用可否を設定 Start")
		Dim iCnrRegExpectedCount As Integer = 0
		Try
			Select Case False
				Case row IsNot Nothing
				Case Integer.TryParse(row(sqlMEN010F010.itmCNR_REG_EXPECTED_COUNT).ToString, iCnrRegExpectedCount)
				Case iCnrRegExpectedCount > 0
				Case Not String.IsNullOrEmpty(strCnrRegStatusPlan)
				Case Else
					Me.btn021MEN010F010.Enabled = True
					Exit Sub
			End Select
			Me.btn021MEN010F010.Enabled = False
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' フォーカス設定
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setFocus()
		log(clsSysMst.logLevel.DBG, "setFocus", "フォーカス設定 Start")
		Dim cliUser As clsXTM_USER = Nothing
		Try
			cliUser = New clsXTM_USER
			Select Case False
				Case Me.ExeMode = Enum_ExeMode.eEntry OrElse cliUser.getAuthority(clsXTM_USER.Enum_Authority.PRD1_Sansyou)
					' 参照権限がない場合、『管理状況(F9)』ボタン
					Me.btn017MEN000F010.Focus()
				Case dtChHsp Is Nothing OrElse dtChHsp.Rows.Count = 0
					' 科歴情報に明細がある場合、『修正(F4)』ボタン
					Me.btn012MEN000F010.Focus()
				Case Else
					' 科歴情報に明細がない場合、『追加(F3)』ボタン
					Me.btn011MEN000F010.Focus()
			End Select
		Catch ex As Exception
			Throw
		Finally
			cliUser = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入退・科歴一覧、科歴一覧の切り替え
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setSetupMode()
		log(clsSysMst.logLevel.DBG, "setSetupMode", "入退・科歴一覧、科歴一覧の切り替え Start")
		Try
			If eSetUpMode = clsConst.Enum_XSP170F010_SetUpMode.HspCh Then
				' 入退・科歴一覧
				Me.scp011MEN010F010.SplitterDistance = Me.scp011MEN010F010.Height
				Me.mlr025MEN010F010.Height = CST_CH_MULTIROW_HEIGHT_3ROWS
				Me.mlr025MEN010F010.HeaderText(MEN010C012.CST_CH_HEADER_HISTORY_NO) = CST_DISP_HISTORY_NO_HSPCH
				Me.mlr025MEN010F010.DetailVisible(MEN010C013.CST_CH_DETAIL_HISTORY_NO) = False
			Else
				' 科歴一覧
				Me.scp011MEN010F010.SplitterDistance = 0
				Me.mlr025MEN010F010.Height = CST_CH_MULTIROW_HEIGHT_10ROWS
				Me.mlr025MEN010F010.HeaderText(MEN010C012.CST_CH_HEADER_HISTORY_NO) = CST_DISP_HISTORY_NO_CH
				Me.mlr025MEN010F010.DetailVisible(MEN010C013.CST_CH_DETAIL_HISTORY_NO) = True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' カラー変換
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function TryParseColor(ByVal R As Object, ByVal G As Object, ByVal B As Object, ByRef result As Color) As Boolean
		log(clsSysMst.logLevel.DBG, "TryParseColor", "カラー変換 Start")
		Dim bRed As Byte
		Dim bGreen As Byte
		Dim bBlue As Byte
		Try
			' カラー値に変換できるかどうか確認
			If Byte.TryParse(R.ToString, bRed) AndAlso Byte.TryParse(G.ToString, bGreen) AndAlso Byte.TryParse(B.ToString, bBlue) Then
				' カラー変換
				result = Color.FromArgb(bRed, bGreen, bBlue)
				Return True
			End If
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 患者番号入力画面を起動する
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function execXSP170F010() As Boolean
		log(clsSysMst.logLevel.DBG, "execXSP170F010", "患者番号入力画面を起動 Start")
		Try
			' 患者番号の排他制御解除
			Me.updStartStatus(Nothing)
			' 患者番号入力画面を起動
			frmXSP170F010 = Nothing
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				frmXSP170F010 = New XSP170F010(XSP170F010.Enum_ExeMode.eMedicalIns, Me.PatientNo)
			Else
				frmXSP170F010 = New XSP170F010(XSP170F010.Enum_ExeMode.eMedicalReference, Me.PatientNo)
			End If
			Return Me.nextForm(frmXSP170F010)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報登録画面を起動する
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function execMEN020F010() As Boolean
		log(clsSysMst.logLevel.DBG, "execMEN020F010", "入退院情報登録画面を起動 Start")
		Try
			' 患者番号、入退院歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo) Then
				Return False
			End If
			' 入退院情報登録画面を起動
			frmMEN020F010 = Nothing
			Me.HspRec = Nothing
			frmMEN020F010 = New MEN020F010(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo)
			Return Me.nextForm(frmMEN020F010)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴登録画面を起動する
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function execMEN030F010() As Boolean
		log(clsSysMst.logLevel.DBG, "execMEN030F010", "科歴登録画面を起動 Start")
		Try
			' 患者番号、入退院歴番号、科歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo, Me.ChNo) Then
				Return False
			End If
			' 科歴登録画面を起動
			frmMEN030F010 = Nothing
			Me.HspRec = Nothing
			Me.ChRec = Nothing
			frmMEN030F010 = New MEN030F010(Me.ExeMode, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
			Return Me.nextForm(frmMEN030F010)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報の貸出情報を表示する／しないの切り替え
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setVisibleHspLend()
		log(clsSysMst.logLevel.DBG, "setVisibleHspLend", "入退院情報の貸出情報を表示する／しないの切り替え Start")
		Try
			With Me.mlr017MEN010F010
				If Me.chk015MEN010F010.Checked Then
					' 貸出情報を表示する
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_LENDAIM_RNM).Visible = True
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_LCT_RNM).Visible = True
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_ISSUE_DT).Visible = True
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_SUMMARY_MNGSTATUS1_RNM).Left = .HeaderLabel(MEN010C010.CST_HSP_HEADER_OTHER1_MNGSTATUS1_RNM).Left
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_SUMMARY_RECEIPT_DT).Left = .HeaderLabel(MEN010C010.CST_HSP_HEADER_OTHER1_RECEIPT_DT).Left
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_OTHER1_MNGSTATUS1_RNM).Visible = False
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_OTHER1_RECEIPT_DT).Visible = False
					For i As Integer = 0 To .RowCount - 1
						With .Rows(i)
							.Control(MEN010C011.CST_HSP_DETAIL_LENDAIM_RNM).Visible = True
							.Control(MEN010C011.CST_HSP_DETAIL_LCT_RNM).Visible = True
							.Control(MEN010C011.CST_HSP_DETAIL_ISSUE_DT).Visible = True
							.Control(MEN010C011.CST_HSP_DETAIL_SUMMARY_MNGSTATUS1_RNM).Left = .Control(MEN010C011.CST_HSP_DETAIL_OTHER1_MNGSTATUS1_RNM).Left
							.Control(MEN010C011.CST_HSP_DETAIL_SUMMARY_RECEIPT_DT).Left = .Control(MEN010C011.CST_HSP_DETAIL_OTHER1_RECEIPT_DT).Left
							.Control(MEN010C011.CST_HSP_DETAIL_OTHER1_MNGSTATUS1_RNM).Visible = False
							.Control(MEN010C011.CST_HSP_DETAIL_OTHER1_RECEIPT_DT).Visible = False
						End With
					Next
				Else
					' 貸出情報を表示しない
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_LENDAIM_RNM).Visible = False
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_LCT_RNM).Visible = False
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_ISSUE_DT).Visible = False
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_SUMMARY_MNGSTATUS1_RNM).Left = .HeaderLabel(MEN010C010.CST_HSP_HEADER_LENDAIM_RNM).Left
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_SUMMARY_RECEIPT_DT).Left = .HeaderLabel(MEN010C010.CST_HSP_HEADER_ISSUE_DT).Left
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_OTHER1_MNGSTATUS1_RNM).Visible = True
					.HeaderLabel(MEN010C010.CST_HSP_HEADER_OTHER1_RECEIPT_DT).Visible = True
					For i As Integer = 0 To .RowCount - 1
						With .Rows(i)
							.Control(MEN010C011.CST_HSP_DETAIL_LENDAIM_RNM).Visible = False
							.Control(MEN010C011.CST_HSP_DETAIL_LCT_RNM).Visible = False
							.Control(MEN010C011.CST_HSP_DETAIL_ISSUE_DT).Visible = False
							.Control(MEN010C011.CST_HSP_DETAIL_SUMMARY_MNGSTATUS1_RNM).Left = .Control(MEN010C011.CST_HSP_DETAIL_LENDAIM_RNM).Left
							.Control(MEN010C011.CST_HSP_DETAIL_SUMMARY_RECEIPT_DT).Left = .Control(MEN010C011.CST_HSP_DETAIL_ISSUE_DT).Left
							.Control(MEN010C011.CST_HSP_DETAIL_OTHER1_MNGSTATUS1_RNM).Visible = True
							.Control(MEN010C011.CST_HSP_DETAIL_OTHER1_RECEIPT_DT).Visible = True
						End With
					Next
				End If
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報の貸出情報を表示する／しないの切り替え
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setVisibleChLend()
		log(clsSysMst.logLevel.DBG, "setVisibleChLend", "科歴情報の貸出情報を表示する／しないの切り替え Start")
		Try
			With Me.mlr025MEN010F010
				If Me.chk015MEN010F010.Checked Then
					' 貸出情報を表示する
					.HeaderLabel(MEN010C012.CST_CH_HEADER_LENDAIM_RNM).Visible = True
					.HeaderLabel(MEN010C012.CST_CH_HEADER_LCT_RNM).Visible = True
					.HeaderLabel(MEN010C012.CST_CH_HEADER_ISSUE_DT).Visible = True
					.HeaderLabel(MEN010C012.CST_CH_HEADER_SUMMARY_MNGSTATUS1_RNM).Left = .HeaderLabel(MEN010C012.CST_CH_HEADER_OTHER1_MNGSTATUS1_RNM).Left
					.HeaderLabel(MEN010C012.CST_CH_HEADER_SUMMARY_RECEIPT_DT).Left = .HeaderLabel(MEN010C012.CST_CH_HEADER_OTHER1_RECEIPT_DT).Left
					.HeaderLabel(MEN010C012.CST_CH_HEADER_OTHER1_MNGSTATUS1_RNM).Visible = False
					.HeaderLabel(MEN010C012.CST_CH_HEADER_OTHER1_RECEIPT_DT).Visible = False
					For i As Integer = 0 To .RowCount - 1
						With .Rows(i)
							.Control(MEN010C013.CST_CH_DETAIL_LENDAIM_RNM).Visible = True
							.Control(MEN010C013.CST_CH_DETAIL_LCT_RNM).Visible = True
							.Control(MEN010C013.CST_CH_DETAIL_ISSUE_DT).Visible = True
							.Control(MEN010C013.CST_CH_DETAIL_SUMMARY_MNGSTATUS1_RNM).Left = .Control(MEN010C013.CST_CH_DETAIL_OTHER1_MNGSTATUS1_RNM).Left
							.Control(MEN010C013.CST_CH_DETAIL_SUMMARY_RECEIPT_DT).Left = .Control(MEN010C013.CST_CH_DETAIL_OTHER1_RECEIPT_DT).Left
							.Control(MEN010C013.CST_CH_DETAIL_OTHER1_MNGSTATUS1_RNM).Visible = False
							.Control(MEN010C013.CST_CH_DETAIL_OTHER1_RECEIPT_DT).Visible = False
						End With
					Next
				Else
					' 貸出情報を表示しない
					.HeaderLabel(MEN010C012.CST_CH_HEADER_LENDAIM_RNM).Visible = False
					.HeaderLabel(MEN010C012.CST_CH_HEADER_LCT_RNM).Visible = False
					.HeaderLabel(MEN010C012.CST_CH_HEADER_ISSUE_DT).Visible = False
					.HeaderLabel(MEN010C012.CST_CH_HEADER_SUMMARY_MNGSTATUS1_RNM).Left = .HeaderLabel(MEN010C012.CST_CH_HEADER_LENDAIM_RNM).Left
					.HeaderLabel(MEN010C012.CST_CH_HEADER_SUMMARY_RECEIPT_DT).Left = .HeaderLabel(MEN010C012.CST_CH_HEADER_ISSUE_DT).Left
					.HeaderLabel(MEN010C012.CST_CH_HEADER_OTHER1_MNGSTATUS1_RNM).Visible = True
					.HeaderLabel(MEN010C012.CST_CH_HEADER_OTHER1_RECEIPT_DT).Visible = True
					For i As Integer = 0 To .RowCount - 1
						With .Rows(i)
							.Control(MEN010C013.CST_CH_DETAIL_LENDAIM_RNM).Visible = False
							.Control(MEN010C013.CST_CH_DETAIL_LCT_RNM).Visible = False
							.Control(MEN010C013.CST_CH_DETAIL_ISSUE_DT).Visible = False
							.Control(MEN010C013.CST_CH_DETAIL_SUMMARY_MNGSTATUS1_RNM).Left = .Control(MEN010C013.CST_CH_DETAIL_LENDAIM_RNM).Left
							.Control(MEN010C013.CST_CH_DETAIL_SUMMARY_RECEIPT_DT).Left = .Control(MEN010C013.CST_CH_DETAIL_ISSUE_DT).Left
							.Control(MEN010C013.CST_CH_DETAIL_OTHER1_MNGSTATUS1_RNM).Visible = True
							.Control(MEN010C013.CST_CH_DETAIL_OTHER1_RECEIPT_DT).Visible = True
						End With
					Next
				End If
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' SQLパラメータをセットする
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="ptnNo">ＳＱＬパターン</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setSqlParam(ByVal db As clsDB, ByVal ptnNo As sqlMEN010F010.Enum_SqlNo, ByVal pPatientNo As String, Optional ByVal pHspHistoryNo As Integer = 0) As Boolean
		log(clsSysMst.logLevel.DBG, "setSqlParam", "SQLパラメータをセットする Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim intEnv As Integer = 0
		Try
			cliCommon = New clsMENCOMMON
			' パラメータの整合性のチェック
			Select Case ptnNo
				Case sqlMEN010F010.Enum_SqlNo.sqlSelHsp_Patient_Da, sqlMEN010F010.Enum_SqlNo.sqlSelCh_Patient_Da, sqlMEN010F010.Enum_SqlNo.sqlSelHsp_HspOrder
					If Not Me.chkParam(pPatientNo) Then
						Return False
					End If
				Case sqlMEN010F010.Enum_SqlNo.sqlSelCh_HspOrder
					If Not Me.chkParam(pPatientNo, pHspHistoryNo) Then
						Return False
					End If
				Case Else
					Return False
			End Select

			' SELECT文設定
			Select Case ptnNo
				Case sqlMEN010F010.Enum_SqlNo.sqlSelHsp_Patient_Da
					db.setSQLDa(sqlMEN010F010.sqlSelHsp_Patient)							'SELECT文設定
				Case sqlMEN010F010.Enum_SqlNo.sqlSelCh_Patient_Da
					db.setSQLDa(sqlMEN010F010.sqlSelCh_Patient)								'SELECT文設定
				Case sqlMEN010F010.Enum_SqlNo.sqlSelHsp_HspOrder
					db.setSQL(sqlMEN010F010.sqlSelHsp_HspOrder)								'SELECT文設定
				Case sqlMEN010F010.Enum_SqlNo.sqlSelCh_HspOrder
					db.setSQL(sqlMEN010F010.sqlSelCh_HspOrder)								'SELECT文設定
				Case Else
					Return False
			End Select

			' 動作環境設定のサマリ作成単位／返納基準日
			If Not Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00027), intEnv) Then
				intEnv = 0
			End If

			' 患者番号、他
			Select Case ptnNo
				Case sqlMEN010F010.Enum_SqlNo.sqlSelHsp_Patient_Da, sqlMEN010F010.Enum_SqlNo.sqlSelCh_Patient_Da
					db.setParamDa(sqlMEN010F010.prmCheckOff, clsDB.Enum_dbType.dbInt)					'チェックボックスOFFフラグ
					db.setParamDa(sqlMEN010F010.prmCheckOn, clsDB.Enum_dbType.dbInt)					'チェックボックスONフラグ
					db.setParamDa(sqlMEN010F010.prmCheckOffDisp, clsDB.Enum_dbType.dbNVarChar)			'チェックボックスOFFの表示
					db.setParamDa(sqlMEN010F010.prmCheckOnDisp, clsDB.Enum_dbType.dbNVarChar)			'チェックボックスONの表示
					db.setParamDa(sqlMEN010F010.prmSummaryMakeRetDt, clsDB.Enum_dbType.dbInt)			'動作環境設定のサマリ作成単位／返納基準日
					db.setParamDa(sqlMEN010F010.prmMainDpmEnd, clsDB.Enum_dbType.dbInt)					'主科/退院日
					db.setParamDa(sqlMEN010F010.prmLendStatusOutHsp, clsDB.Enum_dbType.dbNVarChar)		'貸出物管理状況固定コード（退院時）
					db.setParamDa(sqlMEN010F010.prmRECORD_UNIT_CD, clsDB.Enum_dbType.dbNVarChar)		'貸出物マスタの単位（カルテ）
					db.setParamDa(sqlMEN010F010.prmSUMMARY_UNIT_CD, clsDB.Enum_dbType.dbNVarChar)		'貸出物マスタの単位（サマリ）
					db.setParamDa(sqlMEN010F010.prmOTHER1_UNIT_CD, clsDB.Enum_dbType.dbNVarChar)		'貸出物マスタの単位（他１）
					db.setParamDa(sqlMEN010F010.prmLendUnitDept, clsDB.Enum_dbType.dbNVarChar)			'貸出物管理単位（診療科毎）
					db.setParamDa(sqlMEN010F010.prmLendUnitHosp, clsDB.Enum_dbType.dbNVarChar)			'貸出物管理単位（入退院毎）
					db.setParamDa(sqlMEN010F010.prmLendUnitPatient, clsDB.Enum_dbType.dbNVarChar)		'貸出物管理単位（患者毎）
					db.setParamDa(sqlMEN010F010.prmLenditemRecord, clsDB.Enum_dbType.dbNVarChar)		'貸出物コード（カルテ）
					db.setParamDa(sqlMEN010F010.prmLenditemSummary, clsDB.Enum_dbType.dbNVarChar)		'貸出物コード（サマリ）
					db.setParamDa(sqlMEN010F010.prmLenditemOther1, clsDB.Enum_dbType.dbNVarChar)		'貸出物コード（他１）
					db.setParamDa(sqlMEN010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'患者番号
					db.setValDa(sqlMEN010F010.prmCheckOff, clsConst.Enum_CheckBox_Flg.CheckOff, False)
					db.setValDa(sqlMEN010F010.prmCheckOn, clsConst.Enum_CheckBox_Flg.CheckOn, False)
					db.setValDa(sqlMEN010F010.prmCheckOffDisp, cliCommon.getCheckFlgDisp(clsConst.Enum_CheckBox_Flg.CheckOff))
					db.setValDa(sqlMEN010F010.prmCheckOnDisp, cliCommon.getCheckFlgDisp(clsConst.Enum_CheckBox_Flg.CheckOn))
					db.setValDa(sqlMEN010F010.prmSummaryMakeRetDt, intEnv, False)
					db.setValDa(sqlMEN010F010.prmMainDpmEnd, clsConst.Enum_SummaryMakeRetDt.MainDpmEnd, False)
					db.setValDa(sqlMEN010F010.prmLendStatusOutHsp, clsConst.Enum_LendStat_Fix1.Disccharge, False)
					db.setValDa(sqlMEN010F010.prmRECORD_UNIT_CD, Me.LendItemMst(clsConst.Enum_Lenditem.MedicalRecord).UNIT_CD, False)
					db.setValDa(sqlMEN010F010.prmSUMMARY_UNIT_CD, Me.LendItemMst(clsConst.Enum_Lenditem.Summary).UNIT_CD, False)
					If Me.LendItemMst(clsConst.Enum_Lenditem.LendItem3) IsNot Nothing Then
						db.setValDa(sqlMEN010F010.prmOTHER1_UNIT_CD, Me.LendItemMst(clsConst.Enum_Lenditem.LendItem3).UNIT_CD, False)
					Else
						db.setValDa(sqlMEN010F010.prmOTHER1_UNIT_CD, String.Empty)
					End If
					db.setValDa(sqlMEN010F010.prmLendUnitDept, clsConst.Enum_LendUnit.Each_Dept, False)
					db.setValDa(sqlMEN010F010.prmLendUnitHosp, clsConst.Enum_LendUnit.Each_Hosp, False)
					db.setValDa(sqlMEN010F010.prmLendUnitPatient, clsConst.Enum_LendUnit.Each_Patient, False)
					db.setValDa(sqlMEN010F010.prmLenditemRecord, clsConst.Enum_Lenditem.MedicalRecord, False)
					db.setValDa(sqlMEN010F010.prmLenditemSummary, clsConst.Enum_Lenditem.Summary, False)
					db.setValDa(sqlMEN010F010.prmLenditemOther1, clsConst.Enum_Lenditem.LendItem3, False)
					db.setValDa(sqlMEN010F010.prmPATIENT_NO, pPatientNo)
				Case sqlMEN010F010.Enum_SqlNo.sqlSelHsp_HspOrder, sqlMEN010F010.Enum_SqlNo.sqlSelCh_HspOrder
					db.setParam(sqlMEN010F010.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)			'患者番号
					db.setVal(sqlMEN010F010.prmPATIENT_NO, pPatientNo)
				Case Else
					Return False
			End Select
'(A) STR V4-14014-000 023 20130412 ID)平井(登録状況が登録完了(固定コード:9)の前景色を青色、太字とする。)
			If ptnNo = sqlMEN010F010.Enum_SqlNo.sqlSelCh_Patient_Da Then
				db.setParamDa(sqlMEN010F010.prmRegStatusFix_Cd1, clsDB.Enum_dbType.dbNVarChar)			'登録状況．固定コード１
				db.setParamDa(sqlMEN010F010.prmRegStatusKanryoColorR, clsDB.Enum_dbType.dbInt)			'登録状況が完了の前景色(RED)
				db.setParamDa(sqlMEN010F010.prmRegStatusKanryoColorG, clsDB.Enum_dbType.dbInt)			'登録状況が完了の前景色(GREEN)
				db.setParamDa(sqlMEN010F010.prmRegStatusKanryoColorB, clsDB.Enum_dbType.dbInt)			'登録状況が完了の前景色(BLUE)
				db.setParamDa(sqlMEN010F010.prmRegStatusKanryoFontStyle, clsDB.Enum_dbType.dbInt)		'登録状況が完了のスタイル(フォント)
				db.setParamDa(sqlMEN010F010.prmRegStatusMikanryoColorR, clsDB.Enum_dbType.dbInt)		'登録状況が未完了の前景色(RED)
				db.setParamDa(sqlMEN010F010.prmRegStatusMikanryoColorG, clsDB.Enum_dbType.dbInt)		'登録状況が未完了の前景色(GREEN)
				db.setParamDa(sqlMEN010F010.prmRegStatusMikanryoColorB, clsDB.Enum_dbType.dbInt)		'登録状況が未完了の前景色(BLUE)
				db.setParamDa(sqlMEN010F010.prmRegStatusMikanryoFontStyle, clsDB.Enum_dbType.dbInt)		'登録状況が未完了のスタイル(フォント)

				db.setValDa(sqlMEN010F010.prmRegStatusFix_Cd1, CType(clsConst.Enum_RegStatus_Fix1.RegFinish, String), False)
				db.setValDa(sqlMEN010F010.prmRegStatusKanryoColorR, CType(Color.Blue.R, String), False)
				db.setValDa(sqlMEN010F010.prmRegStatusKanryoColorG, CType(Color.Blue.G, String), False)
				db.setValDa(sqlMEN010F010.prmRegStatusKanryoColorB, CType(Color.Blue.B, String), False)
				db.setValDa(sqlMEN010F010.prmRegStatusKanryoFontStyle, FontStyle.Bold, False)
				db.setValDa(sqlMEN010F010.prmRegStatusMikanryoColorR, CType(Color.Black.R, String), False)
				db.setValDa(sqlMEN010F010.prmRegStatusMikanryoColorG, CType(Color.Black.G, String), False)
				db.setValDa(sqlMEN010F010.prmRegStatusMikanryoColorB, CType(Color.Black.B, String), False)
				db.setValDa(sqlMEN010F010.prmRegStatusMikanryoFontStyle, FontStyle.Regular, False)
			End If
'(A) END V4-14014-000 023 20130412

			' 入退院歴番号
			Select Case ptnNo
				Case sqlMEN010F010.Enum_SqlNo.sqlSelCh_HspOrder
					db.setParam(sqlMTI_CH.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)				'入退院歴番号
					db.setVal(sqlMTI_CH.prmHSP_HISTORY_NO, pHspHistoryNo, False)
				Case Else
					Return True
			End Select
			Return True
		Catch ex As Exception
			Throw
		Finally
			cliCommon = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １患者分の入退院情報＋αを取得します（データテーブル）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <returns>１患者分の入退院情報</returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHspPatientDa(ByVal db As clsDB, ByVal pPatientNo As String) As DataTable
		log(clsSysMst.logLevel.DBG, "getHspPatientDa", "１患者分の入退院情報＋αを取得 Start")
		Dim retDat As DataTable = Nothing
		Try
			' データテーブル取得
			retDat = New DataTable
			If setSqlParam(db, sqlMEN010F010.Enum_SqlNo.sqlSelHsp_Patient_Da, pPatientNo) Then
				db.execQueryDa(retDat)	'値取得
			End If
			Return retDat
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １患者分の科歴情報＋αを取得します（データテーブル）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <returns>１患者分の科歴情報＋名称</returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getChPatientDa(ByVal db As clsDB, ByVal pPatientNo As String) As DataTable
		log(clsSysMst.logLevel.DBG, "getChPatientDa", "１患者分の科歴情報＋αを取得 Start")
		Dim retDat As DataTable = Nothing
		Try
			' データテーブル取得
			retDat = New DataTable
			If setSqlParam(db, sqlMEN010F010.Enum_SqlNo.sqlSelCh_Patient_Da, pPatientNo) Then
				db.execQueryDa(retDat)	'値取得
			End If
			Return retDat
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １患者分の入退院情報を入院日、退院日、入退院歴番号順に取得します（データクラス）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <returns>１患者分の入退院情報（ArrayList内にdatMTI_HSP_OneRecクラス）</returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getHspOrder(ByVal db As clsDB, ByVal pPatientNo As String) As ArrayList
		log(clsSysMst.logLevel.DBG, "getHspOrder", "１患者分の入退院情報を入院日、退院日、入退院歴番号順に取得 Start")
		Dim retData As ArrayList = Nothing
		Dim iRet As Long = 0
		Try
			retData = New ArrayList
			If setSqlParam(db, sqlMEN010F010.Enum_SqlNo.sqlSelHsp_HspOrder, pPatientNo) Then
				iRet = db.execQuery(GetType(datMTI_HSP_OneRec), retData)	'値取得
			End If
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' １入退院分の科歴情報を開始日、終了日、科歴番号順に取得します（データクラス）
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <returns>１入退院分の科歴情報（ArrayList内にdatMTI_CH_OneRecクラス）</returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getChOrder(ByVal db As clsDB, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer) As ArrayList
		log(clsSysMst.logLevel.DBG, "getChOrder", "１入退院分の科歴情報を開始日、終了日、科歴番号順に取得 Start")
		Dim retData As ArrayList = Nothing
		Dim iRet As Long = 0
		Try
			retData = New ArrayList
			If setSqlParam(db, sqlMEN010F010.Enum_SqlNo.sqlSelCh_HspOrder, pPatientNo, pHspHistoryNo) Then
				iRet = db.execQuery(GetType(datMTI_CH_OneRec), retData)	'値取得
			End If
		Catch ex As Exception
			Throw
		End Try
		'返り値設定
		Return retData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報を新規追加する際のチェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkHspAdd() As Boolean
		log(clsSysMst.logLevel.DBG, "chkHspAdd", "入退院情報を新規追加する際のチェック Start")
		Dim rows() As DataRow = Nothing
		Try
			' 入退院情報なしはチェックしない
			If dtHspPatient IsNot Nothing Then
				' 退院日の入っていない入退院情報がある場合
				rows = dtHspPatient.Select(sqlMEN010F010.itmOUT_HSP_DT & " = ''")
				If rows.Length > 0 Then
					Me.showMsg("E0033", "まだ入院中になっているデータが", Nothing)
					Return False
				End If
			End If
'(D) STR V4-12004-000 007 2012/03/16 FJSK)H.Y 入退院歴・科歴追加時の死亡チェック廃止
'			' 死亡情報がある場合
'			If Me.DeathRec IsNot Nothing Then
'				Me.showMsg("E0012", "死亡", Nothing)
'				Return False
'			End If
'(D) END V4-12004-000 007 2012/03/16 FJSK)H.Y 入退院歴・科歴追加時の死亡チェック廃止
			' 次の入退院歴番号と科歴番号を取得
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), _
				  cliHsp As clsMTI_HSP = New clsMTI_HSP, _
				  cliCh As clsMTI_CH = New clsMTI_CH
				' 次の入退院歴番号を取得
				Me.HspHistoryNo = cliHsp.getMaxHistoryNoPatient(db, Me.PatientNo) + 1
				' 次の科歴番号を取得
				Me.ChNo = cliCh.getMaxChNoHsp(db, Me.PatientNo, Me.HspHistoryNo) + 1
			End Using
			Return True
		Catch ex As Exception
			Throw
		Finally
			rows = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報を新規追加する際のチェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkChAdd() As Boolean
		log(clsSysMst.logLevel.DBG, "chkChAdd", "科歴情報を新規追加する際のチェック Start")
		Dim rows() As DataRow = Nothing
		Try
			' 科歴情報なしはチェックしない
			If dtChPatient IsNot Nothing Then
				' 退院フラグがオンの科歴情報がある場合
				rows = dtChPatient.Select(sqlMEN010F010.itmHSP_HISTORY_NO & " = " & Me.HspHistoryNo.ToString & " AND " & sqlMEN010F010.itmOUT_HSP_FLG & " = " & clsConst.Enum_CheckBox_Flg.CheckOn)
				If rows.Length > 0 Then
					Me.showMsg("E0003", "既に退院となっている", "科歴を追加することは", Nothing)
					Return False
				End If
			End If
'(D) STR V4-12004-000 007 2012/03/16 FJSK)H.Y 入退院歴・科歴追加時の死亡チェック廃止
'			' 死亡情報がある場合
'			If Me.DeathRec IsNot Nothing Then
'				Me.showMsg("E0012", "死亡", Nothing)
'				Return False
'			End If
'(D) END V4-12004-000 007 2012/03/16 FJSK)H.Y 入退院歴・科歴追加時の死亡チェック廃止
			' 次の入退院歴番号と科歴番号を取得
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), _
				  cliHsp As clsMTI_HSP = New clsMTI_HSP, _
				  cliCh As clsMTI_CH = New clsMTI_CH
				' 入退院歴番号がない場合、次の入退院歴番号を取得
				If Me.HspHistoryNo = 0 Then
					Me.HspHistoryNo = cliHsp.getMaxHistoryNoPatient(db, Me.PatientNo) + 1
				End If
				' 次の科歴番号を取得
				Me.ChNo = cliCh.getMaxChNoHsp(db, Me.PatientNo, Me.HspHistoryNo) + 1
			End Using
			Return True
		Catch ex As Exception
			Throw
		Finally
			rows = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報を削除する際のチェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkChDelete() As Boolean
		log(clsSysMst.logLevel.DBG, "chkChDelete", "科歴情報を削除する際のチェック Start")
		Dim row As DataRow = Nothing
		Try
			With Me.mlr025MEN010F010
				' 患者番号、入退院歴番号、科歴番号は必須
				If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo, Me.ChNo) OrElse .SelectedIndex < 0 Then
					Return False
				End If
				' 入院フラグ、退院フラグ、主科フラグの取得
				row = .DataSource.Rows(.SelectedIndex)
				Dim iHspFlg As Integer = clsConst.Enum_CheckBox_Flg.CheckOff
				Dim iOutHspFlg As Integer = clsConst.Enum_CheckBox_Flg.CheckOff
				Dim iMainDpmFlg As Integer = clsConst.Enum_CheckBox_Flg.CheckOff
				If (Integer.TryParse(row(sqlMEN010F010.itmHSP_FLG).ToString, iHspFlg) AndAlso iHspFlg = clsConst.Enum_CheckBox_Flg.CheckOn) OrElse _
				   (Integer.TryParse(row(sqlMEN010F010.itmOUT_HSP_FLG).ToString, iOutHspFlg) AndAlso iOutHspFlg = clsConst.Enum_CheckBox_Flg.CheckOn) OrElse _
				   (Integer.TryParse(row(sqlMEN010F010.itmMAIN_DPM_FLG).ToString, iMainDpmFlg) AndAlso iMainDpmFlg = clsConst.Enum_CheckBox_Flg.CheckOn) Then
					' 入院フラグ、退院フラグ、主科フラグのいずれかが立っている場合、エラーメッセージを出力し、処理を抜ける。
					Me.showMsg("E0003", "入院、退院、主科にチェックされている", "削除", Nothing)
					Return False
				End If
			End With
			Return True
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴番号を変更する際のチェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkChRenum() As Boolean
		log(clsSysMst.logLevel.DBG, "chkChRenum", "科歴番号を変更する際のチェック Start")
		Dim row As DataRow = Nothing
		Try
			With Me.mlr025MEN010F010
				' 患者番号、入退院歴番号、科歴番号は必須
				If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo, Me.ChNo) OrElse .SelectedIndex < 0 Then
					Return False
				End If
				' 入院フラグの取得
				row = .DataSource.Rows(.SelectedIndex)
				Dim iFlg As Integer = clsConst.Enum_CheckBox_Flg.CheckOff
				If Integer.TryParse(row(sqlMEN010F010.itmHSP_FLG).ToString, iFlg) AndAlso iFlg = clsConst.Enum_CheckBox_Flg.CheckOn Then
					' 入院フラグが立っている場合、エラーメッセージを出力し、処理を抜ける。
					Me.showMsg("E0039", "入院時の科歴データ", "科歴番号変更", Nothing)
					Return False
				End If
			End With
			Return True
		Catch ex As Exception
			Throw
		Finally
			row = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 患者終了時のチェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkFinish() As Boolean
		log(clsSysMst.logLevel.DBG, "chkFinish", "患者終了時のチェック Start")
		Dim arDataHsp As ArrayList = Nothing
		Dim arDataCh As ArrayList = Nothing
		Dim dbPreviousHsp As datMTI_HSP_OneRec = Nothing
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' １患者分の入退院情報を入院日、退院日、入退院歴番号順で取得
				arDataHsp = getHspOrder(db, Me.PatientNo)
				dbPreviousHsp = New datMTI_HSP_OneRec
				For Each dbDataHsp As datMTI_HSP_OneRec In arDataHsp
					' 前回の入院日、退院日が共に入力されている場合
					If Not (dbPreviousHsp.HSP_DT.Equals(Nothing) OrElse dbPreviousHsp.OUT_HSP_DT.Equals(Nothing)) Then
						' 入院日と前回退院日を比較
						If dbPreviousHsp.OUT_HSP_DT > dbDataHsp.HSP_DT Then
							Me.addErrList("E0021", Nothing, "入退院情報", "前回退院日以前の入院日", Nothing)
						End If
						' 前回入退院番号と比較
						If dbPreviousHsp.HSP_HISTORY_NO > dbDataHsp.HSP_HISTORY_NO Then
							Me.addErrList("E0035", Nothing, "入退院情報", "入退院歴の順番", Nothing)
						End If
					End If
					' 退院フラグがチェックされているが主科フラグがない場合
					If Not dbDataHsp.OUT_HSP_DT.Equals(Nothing) AndAlso String.IsNullOrEmpty(dbDataHsp.DEPT_CD) Then
						Me.addErrList("E0016", Nothing, "入退院情報", "主科のチェック", Nothing)
					End If
					' １入退院分の科歴情報を開始日、終了日、科歴番号順で取得
					arDataCh = getChOrder(db, Me.PatientNo, dbDataHsp.HSP_HISTORY_NO)
					For Each dbDataCh As datMTI_CH_OneRec In arDataCh
						' 入院日と開始日を比較
						If Not (dbDataHsp.HSP_DT.Equals(Nothing) OrElse dbDataCh.START_DT.Equals(Nothing)) Then
							If dbDataHsp.HSP_DT > dbDataCh.START_DT Then
								Me.addErrList("E0021", Nothing, "科歴情報", "入院日より過去の開始日", Nothing)
							End If
						End If
						' 退院日と終了日を比較
						If Not (dbDataHsp.OUT_HSP_DT.Equals(Nothing) OrElse dbDataCh.END_DT.Equals(Nothing)) Then
							If dbDataHsp.OUT_HSP_DT < dbDataCh.END_DT Then
								Me.addErrList("E0021", Nothing, "科歴情報", "退院日より未来の終了日", Nothing)
							End If
						End If
					Next
					dbPreviousHsp = dbDataHsp
				Next
			End Using

			' エラー出力
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()
				Return False
			Else
				Return True
			End If
		Catch ex As Exception
			Throw
		Finally
			arDataHsp = Nothing
			arDataCh = Nothing
			dbPreviousHsp = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報とそれに付随する情報を全て削除
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function delHsp() As Boolean
		log(clsSysMst.logLevel.DBG, "delHsp", "入退院情報とそれに付随する情報を全て削除 Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim datDelHspRec As datMTI_HSP_PLUS_OneRec = Nothing
		Dim datChRec_OutHsp As datMTI_CH_PLUS_OneRec = Nothing
		Dim intFixedCd As Integer = 0
		Dim bDelDeath As Boolean = True
		Dim arDataHsp As ArrayList = Nothing
		Dim arDataCh As ArrayList = Nothing
		Dim dtLastLeftHsp As Date = Nothing
		Dim strDpcModelYear As String = Nothing
		Dim intMaxDpcRenban As Integer = 0
		Try
			cliCommon = New clsMENCOMMON
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' 削除対象の入退院情報を取得
				Using cliHsp As clsMTI_HSP = New clsMTI_HSP
					datDelHspRec = cliHsp.getHspPlusOneRec(db, Me.PatientNo, Me.HspHistoryNo)
				End Using
				' 退院フラグがオンの科歴情報を取得
				Using cliCh As clsMTI_CH = New clsMTI_CH
					datChRec_OutHsp = cliCh.getChPlusFlg(db, Me.PatientNo, Me.HspHistoryNo, sqlMTI_CH.Enum_Flg.OUT_HSP_FLG)
				End Using
				' ＤＰＣ対象年度取得
				Select Case True
					Case datDelHspRec Is Nothing
					Case datDelHspRec.HSP_DT.Equals(Nothing)
					Case String.IsNullOrEmpty(datDelHspRec.DEPT_CD)
					Case Else
						strDpcModelYear = cliCommon.getDpcModelYear(datDelHspRec.OUT_HSP_DT.ToString)
						Select Case strDpcModelYear
							Case clsMENCOMMON.CONST_DPC_MODEL_YEAR_2008, clsMENCOMMON.CONST_DPC_MODEL_YEAR_2010
								' ＤＰＣ２００８以降は病棟情報より病棟種別単位移動履歴の件数を取得する
								Using cliWard As clsMTI_WARD = New clsMTI_WARD
									Using dtWard As DataTable = cliWard.getWardPlusHspDa(db, Me.PatientNo, Me.HspHistoryNo)
										Using dtMoveWardGrp As DataTable = cliCommon.getMoveWardGrp(dtWard, datDelHspRec.OUT_HSP_DT)
											intMaxDpcRenban = dtMoveWardGrp.Rows.Count
										End Using
									End Using
								End Using
							Case Else
						End Select
				End Select

				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)

				Try
					' 各テーブルを入退院歴番号単位で削除
					Using cliHsp As clsMTI_HSP = New clsMTI_HSP
						' 入退院情報の削除
						cliHsp.execDelHspOneRec(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliCh As clsMTI_CH = New clsMTI_CH
						' 科歴情報の削除
						cliCh.execDelChHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliDoctor As clsMTI_DOCTOR = New clsMTI_DOCTOR
						' 医師情報の削除
						cliDoctor.execDelDoctorHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliWard As clsMTI_WARD = New clsMTI_WARD
						' 病棟情報の削除
						cliWard.execDelWardHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliMedCost As clsMTI_MED_COST = New clsMTI_MED_COST
						' 医療費情報の削除
						cliMedCost.execDelMedCostHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliOtherDept As clsMTI_OTHER_DEPT = New clsMTI_OTHER_DEPT
						' 対診科情報の削除
						cliOtherDept.execDelOtherDeptHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliDisease As clsMTI_DISEASE = New clsMTI_DISEASE
						' 病名情報の削除
						cliDisease.execDelDiseaseHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliOpe As clsMTI_OPE = New clsMTI_OPE
						' 手術情報の削除
						cliOpe.execDelOpeHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliOpeDoctor As clsMTI_OPE_DOCTOR = New clsMTI_OPE_DOCTOR
						' 手術医師情報の削除
						cliOpeDoctor.execDelOpeDoctorHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliCare As clsMTI_CARE = New clsMTI_CARE
						' 治療処置情報の削除
						cliCare.execDelCareHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliTest As clsMTI_TEST = New clsMTI_TEST
						' 検査情報の削除
						cliTest.execDelTestHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliAsst1 As clsMTI_ASST1 = New clsMTI_ASST1
						' 補足項目１情報の削除
						cliAsst1.execDelAsst1Hsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliAsst2 As clsMTI_ASST2 = New clsMTI_ASST2
						' 補足項目２情報の削除
						cliAsst2.execDelAsst2Hsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliCb As clsMTI_CB = New clsMTI_CB
						' 分娩情報の削除
						cliCb.execDelCbHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliCbChild As clsMTI_CB_CHILD = New clsMTI_CB_CHILD
						' 分娩子情報の削除
						cliCbChild.execDelCbChildHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliCbSb As clsMTI_CB_SB = New clsMTI_CB_SB
						' 分娩子流死産情報の削除
						cliCbSb.execDelCbSbHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliEmergency As clsMTI_EMERGENCY = New clsMTI_EMERGENCY
						' 救命救急情報の削除
						cliEmergency.execDelEmergencyHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliPath As clsMTI_PATH = New clsMTI_PATH
						' パス情報の削除
						cliPath.execDelPathHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliLendItem As clsMTI_LENDITM = New clsMTI_LENDITM
						' 貸出物情報の削除
						cliLendItem.execDelLendItemHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliLend As clsMTI_LEND = New clsMTI_LEND
						' 貸出情報の削除
						cliLend.execDelLendHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					Using cliInspect As clsMTI_INSPECT = New clsMTI_INSPECT
						' 監査情報の削除
						cliInspect.execDelInspectHsp(db, Me.PatientNo, Me.HspHistoryNo)
					End Using
					If Not String.IsNullOrEmpty(strDpcModelYear) Then
						Using cliDpc As clsMTI_DPC = New clsMTI_DPC
							' ＤＰＣ情報の削除
							If strDpcModelYear = clsMENCOMMON.CONST_DPC_MODEL_YEAR_2006 Then
								' ＤＰＣ２００６は単レコード削除
								cliDpc.delDPCInfo(db, Me.PatientNo, datDelHspRec.HSP_DT.ToString, datDelHspRec.DEPT_CD, strDpcModelYear)
							Else
								' ＤＰＣ２００８以降は親様式、子様式共に削除
								For i As Integer = 0 To intMaxDpcRenban
									cliDpc.delDPCInfo(db, Me.PatientNo, datDelHspRec.HSP_DT.ToString, datDelHspRec.DEPT_CD, strDpcModelYear & i.ToString("000"))
								Next
							End If
						End Using
					End If

					' 削除により入退院情報が無くなる場合
					Using cliHsp As clsMTI_HSP = New clsMTI_HSP
						arDataHsp = cliHsp.getHspPatient(db, Me.PatientNo)
					End Using
					If arDataHsp Is Nothing OrElse arDataHsp.Count = 0 Then
						Using cliMedCostDetails As clsMTI_MED_COST_DETAILS = New clsMTI_MED_COST_DETAILS
							' 医療費明細情報の全削除
							cliMedCostDetails.execDelMedCostDetailsPatient(db, Me.PatientNo)
						End Using
						Using cliLendItem As clsMTI_LENDITM = New clsMTI_LENDITM
							' 貸出物情報の全削除
							cliLendItem.execDelLendItemPatient(db, Me.PatientNo)
						End Using
						Using cliDpc As clsMTI_DPC = New clsMTI_DPC
							' ＤＰＣ情報の全削除
							cliDpc.delDPCInfo(db, Me.PatientNo)
						End Using
					End If

					' 退院フラグがオンの科歴情報で退院転帰が「死亡」の場合
					If Me.DeathRec IsNot Nothing AndAlso _
					   datChRec_OutHsp IsNot Nothing AndAlso _
					   Integer.TryParse(datChRec_OutHsp.END_OUTCOME_FIXED_CD, intFixedCd) AndAlso _
					   intFixedCd = clsConst.Enum_DiscchargeOutcome_Fix1.Decease Then
						' 他の科歴情報に死亡に該当する終了転帰コードを探す
						Using cliCh As clsMTI_CH = New clsMTI_CH
							' １患者分の科歴情報を取得
							arDataCh = cliCh.getChPlusPatient(db, Me.PatientNo)
						End Using
						For Each dbDataCh As datMTI_CH_PLUS_OneRec In arDataCh
							If Integer.TryParse(dbDataCh.END_OUTCOME_FIXED_CD, intFixedCd) AndAlso _
							   intFixedCd = clsConst.Enum_DiscchargeOutcome_Fix1.Decease Then
								bDelDeath = False
								Exit For
							End If
						Next
					End If

					' 他の科歴情報に死亡に該当する終了転帰コードがない場合
					If Me.DeathRec IsNot Nothing AndAlso bDelDeath Then
						Using cliBasicInfo As clsXTI_BASICINFO = New clsXTI_BASICINFO
							' 死亡情報の削除
							cliBasicInfo.ExecDellPatientNo_DeathOnly(db, Me.PatientNo)
						End Using
					End If

					' 基本情報の最終退院日を更新
					cliCommon.updBasicInfoLastLeftHspDt(db, Me.PatientNo)

					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using

			' 画面の全描画
			If False AndAlso eRunMode = Enum_RunMode.eFromMenu Then
				' 通常モードの場合
				Return setRepaintAll(True)	'科歴情報がない場合、画面終了させる → 廃止
			Else
				' 他画面より起動時
				Return setRepaintAll(False)	'科歴情報がない場合、画面終了させない
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCommon = Nothing
			datDelHspRec = Nothing
			datChRec_OutHsp = Nothing
			arDataHsp = Nothing
			arDataCh = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴削除とそれに付随する情報を全て削除
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function delCh() As Boolean
		log(clsSysMst.logLevel.DBG, "delCh", "科歴削除とそれに付随する情報を全て削除 Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim datNewHspRec As datMTI_HSP_PLUS_OneRec = Nothing
		Try
			cliCommon = New clsMENCOMMON
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)

				Try
					' 各テーブルを科歴番号単位で削除
					Using cliCh As clsMTI_CH = New clsMTI_CH
						' 科歴情報の削除
						cliCh.execDelChOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliDoctor As clsMTI_DOCTOR = New clsMTI_DOCTOR
						' 医師情報の削除
						cliDoctor.execDelDoctorCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliWard As clsMTI_WARD = New clsMTI_WARD
						' 病棟情報の削除
						cliWard.execDelWardCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliMedCost As clsMTI_MED_COST = New clsMTI_MED_COST
						' 医療費情報の削除
						cliMedCost.execDelMedCostOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliOtherDept As clsMTI_OTHER_DEPT = New clsMTI_OTHER_DEPT
						' 対診科情報の削除
						cliOtherDept.execDelOtherDeptOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliDisease As clsMTI_DISEASE = New clsMTI_DISEASE
						' 病名情報の削除
						cliDisease.execDelDiseaseCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliOpe As clsMTI_OPE = New clsMTI_OPE
						' 手術情報の削除
						cliOpe.execDelOpeCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliOpeDoctor As clsMTI_OPE_DOCTOR = New clsMTI_OPE_DOCTOR
						' 手術医師情報の削除
						cliOpeDoctor.execDelOpeDoctorCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliCare As clsMTI_CARE = New clsMTI_CARE
						' 治療処置情報の削除
						cliCare.execDelCareCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliTest As clsMTI_TEST = New clsMTI_TEST
						' 検査情報の削除
						cliTest.execDelTestCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliAsst1 As clsMTI_ASST1 = New clsMTI_ASST1
						' 補足項目１情報の削除
						cliAsst1.execDelAsst1OneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliAsst2 As clsMTI_ASST2 = New clsMTI_ASST2
						' 補足項目２情報の削除
						cliAsst2.execDelAsst2OneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliCb As clsMTI_CB = New clsMTI_CB
						' 分娩情報の削除
						cliCb.execDelCbOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliCbChild As clsMTI_CB_CHILD = New clsMTI_CB_CHILD
						' 分娩子情報の削除
						cliCbChild.execDelCbChildCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliCbSb As clsMTI_CB_SB = New clsMTI_CB_SB
						' 分娩子流死産情報の削除
						cliCbSb.execDelCbSbCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliEmergency As clsMTI_EMERGENCY = New clsMTI_EMERGENCY
						' 救命救急情報の削除
						cliEmergency.execDelEmergencyCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliPath As clsMTI_PATH = New clsMTI_PATH
						' パス情報の削除
						cliPath.execDelPathCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliLendItem As clsMTI_LENDITM = New clsMTI_LENDITM
						' 貸出物情報の削除
						cliLendItem.execDelLendItemOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliLend As clsMTI_LEND = New clsMTI_LEND
						' 貸出情報の削除
						cliLend.execDelLendCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using
					Using cliInspect As clsMTI_INSPECT = New clsMTI_INSPECT
						' 監査情報の削除
						cliInspect.execDelInspectOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					End Using

					' 削除後の科歴情報より入退院情報を設定する
					datNewHspRec = cliCommon.getHspRecFromChInfo(db, Me.PatientNo, Me.HspHistoryNo)

					' 入退院情報の更新
					Using cliHsp As clsMTI_HSP = New clsMTI_HSP
						' 入退院情報を削除→追加
						cliHsp.execDelHspOneRec(db, Me.PatientNo, Me.HspHistoryNo)
						cliHsp.execInsHspOneRec(db, datNewHspRec)
					End Using

					' 基本情報の最終退院日を更新
					cliCommon.updBasicInfoLastLeftHspDt(db, Me.PatientNo)

					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using

			' 画面の全描画
			Return setRepaintAll(True)	'科歴情報がない場合、画面終了させる
		Catch ex As Exception
			Throw
		Finally
			cliCommon = Nothing
			datNewHspRec = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面の全描画
	''' </summary>
	''' <param name="bChEndFlg">科歴情報が無い場合の画面終了可否</param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setRepaintAll(ByVal bChEndFlg As Boolean) As Boolean
		log(clsSysMst.logLevel.DBG, "setRepaintAll", "画面の全描画 Start")
		Try
			' 基本情報、死亡情報の取得
			Using cliBasicInfo As clsXTI_BASICINFO = New clsXTI_BASICINFO, _
				  cliDeath As clsMTI_DEATH = New clsMTI_DEATH
				' 基本情報
				Me.BasicInfoRec = cliBasicInfo.getPatientPlusOneRec(Me.PatientNo)
				' 死亡情報
				Me.DeathRec = cliDeath.getDeathPlusOneRec(Me.PatientNo)
			End Using
			' 入退院歴番号、科歴番号をクリア
			Me.HspHistoryNo = 0
			Me.ChNo = 0
			' 患者情報の表示
			Me.setPatientInfo()
			repaint()
			' 科歴情報がない場合は
			If dtChPatient Is Nothing OrElse dtChPatient.Rows.Count = 0 Then
				If Me.BasicInfoRec Is Nothing OrElse bChEndFlg Then
					If eRunMode = Enum_RunMode.eFromMenu Then
						' 通常モードの場合、患者番号入力画面(XSP170F010)を起動する
						execXSP170F010()
					Else
						' 他画面より起動時、画面を終了する
						Me.EndProc()
					End If
				End If
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 患者終了
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function endPatient() As Boolean
		log(clsSysMst.logLevel.DBG, "endPatient", "患者終了 Start")
		Try
			' 登録モードの場合、患者終了時のチェックを行い、エラー発生時はエラー画面を表示する。
			If Me.ExeMode = Enum_ExeMode.eEntry AndAlso Not chkFinish() Then
				Return False
			End If
			If eRunMode = Enum_RunMode.eFromMenu Then
				' 通常モードの場合、画面をクリア後、患者番号入力画面(XSP170F010)を起動する
				Me.BasicInfoRec = Nothing
				Me.DeathRec = Nothing
				Me.HspHistoryNo = 0
				Me.ChNo = 0
				dtHspPatient = Nothing
				dtChPatient = Nothing
				Me.setPatientInfo()
				setHspMultiRow(True)
				execXSP170F010()
			Else
				' 他画面より起動時、画面を終了する
				Me.EndProc()
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 画面再描画
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面再描画 Start")
		Try
			' コントロールのレイアウトロジックを一時的に中断
			SuspendLayout()

			' １患者分の入退院情報および科歴情報を取得
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				dtHspPatient = getHspPatientDa(db, Me.PatientNo)
				dtChPatient = getChPatientDa(db, Me.PatientNo)
			End Using

			' 入退・科歴一覧、科歴一覧の切り替え
			setSetupMode()

			' 入退院情報 MultiRow をセット
			setHspMultiRow(False)

			' フォーカス設定
			setFocus()
		Catch ex As Exception
			Throw
		Finally
			' レイアウトロジックを再開
			ResumeLayout(False)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 子画面からデータ受信時
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		If ret = Enum_FormReturn.NONE Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面からデータ受信時 Start")
		Try
			' 子画面判定
			Select Case de.Key.ToString
				Case CST_SHOW_XSP170F010_ID		'患者番号入力
					If ret = Enum_FormReturn.OK Then
						' 戻り値より患者指定
						With CType(de.Value, ArrayList)
							' 基本情報
							Me.BasicInfoRec = .Item(0)
							' 患者番号
							Me.PatientNo = Me.BasicInfoRec.PATIENT_NO
							' 死亡情報
							Using cliDeath As clsMTI_DEATH = New clsMTI_DEATH
								Me.DeathRec = cliDeath.getDeathPlusOneRec(Me.PatientNo)
							End Using
							' 入退院歴番号
							Me.HspHistoryNo = .Item(1)
							' 科歴番号
							Me.ChNo = .Item(2)
							' 患者番号入力画面の起動モード
							eSetUpMode = .Item(3)
						End With
						' 患者番号で排他登録後
						If Me.updStartStatus(Me.PatientNo) Then
							' 入退院情報、科歴情報が特定された場合
							If Me.chkParam(Me.PatientNo, Me.HspHistoryNo, Me.ChNo) Then
								' 患者情報の表示
								Me.setPatientInfo()
								repaint()
								' 科歴登録画面を起動
								execMEN030F010()
							Else
								' 患者情報の表示
								Me.setPatientInfo()
								repaint()
							End If
						Else
							' インスタンス開放
							If frmXSP170F010 IsNot Nothing Then
								frmXSP170F010.Dispose()
							End If
							If eRunMode = Enum_RunMode.eFromMenu Then
								' 通常モードの場合、画面をクリア後、患者番号入力画面(XSP170F010)を起動する
								Me.BasicInfoRec = Nothing
								Me.DeathRec = Nothing
								Me.HspHistoryNo = 0
								Me.ChNo = 0
								dtHspPatient = Nothing
								dtChPatient = Nothing
								Me.setPatientInfo()
								setHspMultiRow(True)
								execXSP170F010()
							Else
								' 他画面より起動時、画面を終了する
								Me.EndProc()
							End If
						End If
					Else
						' インスタンス開放
						If frmXSP170F010 IsNot Nothing Then
							frmXSP170F010.Dispose()
						End If
						' 画面終了
						Me.EndProc()
					End If
				Case CST_SHOW_MEN030F010_ID		'科歴登録
					If ret = Enum_FormReturn.OK Then
						If eRunMode = Enum_RunMode.eFromMenu Then
							' 通常モードの場合、画面をクリア後、患者番号入力画面(XSP170F010)を起動する
							Me.BasicInfoRec = Nothing
							Me.DeathRec = Nothing
							Me.HspHistoryNo = 0
							Me.ChNo = 0
							dtHspPatient = Nothing
							dtChPatient = Nothing
							Me.setPatientInfo()
							setHspMultiRow(True)
							execXSP170F010()
						Else
							' 他画面より起動時、画面を終了する
							If frmMEN030F010 IsNot Nothing Then
								frmMEN030F010.Dispose()
							End If
							Me.EndProc()
						End If
					Else
						' 死亡情報
						Using cliDeath As clsMTI_DEATH = New clsMTI_DEATH
							Me.DeathRec = cliDeath.getDeathPlusOneRec(Me.PatientNo)
						End Using
						' 患者情報の表示
						Me.setPatientInfo()
						repaint()
					End If
				Case CST_SHOW_MEN010F020_ID		'入退院歴番号変更
					If ret = Enum_FormReturn.OK Then
						' 入退院歴番号、科歴番号をクリア
						Me.HspHistoryNo = 0
						Me.ChNo = 0
						' 画面再描画
						repaint()
					End If
				Case CST_SHOW_MEN010F030_ID		'科歴複写
					If ret = Enum_FormReturn.OK Then
						' 入退院歴番号、科歴番号をクリア
						Me.HspHistoryNo = 0
						Me.ChNo = 0
						' 画面再描画
						repaint()
					End If
				Case CST_SHOW_MEN010F040_ID		'科歴番号変更
					If ret = Enum_FormReturn.OK Then
						' 入退院歴番号、科歴番号をクリア
						Me.HspHistoryNo = 0
						Me.ChNo = 0
						' 画面再描画
						repaint()
					End If
				Case CST_SHOW_MEN010F060_ID		'チェック処理
					If ret = Enum_FormReturn.OK Then
						' 入退院歴番号、科歴番号をクリア
						Me.HspHistoryNo = 0
						Me.ChNo = 0
						' 画面再描画
						repaint()
					End If
				Case CST_SHOW_MEN020F010_ID		'入退院登録
					If ret = Enum_FormReturn.OK Then
						' 入退院歴番号、科歴番号をクリア
						Me.HspHistoryNo = 0
						Me.ChNo = 0
						' 画面再描画
						repaint()
					End If
				Case CST_SHOW_XSP180F010_ID		'患者登録
					If ret = Enum_FormReturn.OK Then
						' インスタンス開放
						If frmXSP180F010 IsNot Nothing Then
							frmXSP180F010.Dispose()
						End If
						' 画面の全描画
						setRepaintAll(False)	'科歴情報がない場合、画面終了させない
					End If
				Case CST_SHOW_XCM020F010_ID		'エラーメッセージ画面
					' 確認メッセージ
					If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "エラーがあります。終了", Nothing) = MsgBoxResult.Yes Then
						If eRunMode = Enum_RunMode.eFromMenu Then
							' 通常モードの場合、画面をクリア後、患者番号入力画面(XSP170F010)を起動する
							Me.BasicInfoRec = Nothing
							Me.DeathRec = Nothing
							Me.HspHistoryNo = 0
							Me.ChNo = 0
							dtHspPatient = Nothing
							dtChPatient = Nothing
							Me.setPatientInfo()
							setHspMultiRow(True)
							execXSP170F010()
						Else
							' エラーメッセージ画面を強制終了する
							For Each frm As frmBase In Me.OwnedForms
								If frm.Name = CST_SHOW_XCM020F010_ID Then
									frm.Dispose()
									Exit For
								End If
							Next
							' 他画面より起動時、画面を終了する
							Me.EndProc()
						End If
					End If
				Case CST_SHOW_XSP080F010_ID		'管理状況
					If ret = Enum_FormReturn.OK Then
						' 患者情報の表示
						MyBase.rcvData(ret, de)
						repaint()
					End If
				Case Else
					MyBase.rcvData(ret, de)
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 患者登録画面を起動（患者処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PatientProc() As Boolean
		log(clsSysMst.logLevel.DBG, "PatientProc", "患者登録画面を起動 Start")
		Try
			' 患者番号は必須
			If Not Me.chkParam(Me.PatientNo) Then
				Return False
			End If
			' 患者登録画面を起動
			frmXSP180F010 = Nothing
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				frmXSP180F010 = New XSP180F010(XSP000F030.Enum_XSP000F030_ExeMode.Upd, Me.PatientNo, , False)
			Else
				frmXSP180F010 = New XSP180F010(XSP000F030.Enum_XSP000F030_ExeMode.Ref, Me.PatientNo, , False)
			End If
			Return Me.nextForm(frmXSP180F010)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェック処理画面を起動（機能１処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func1Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func1Proc", "チェック処理画面を起動 Start")
		Try
			' 患者番号は必須
			If Not Me.chkParam(Me.PatientNo) Then
				Return False
			End If
			' チェック処理画面を起動
			frmMEN010F060 = Nothing
			frmMEN010F060 = New MEN010F060(Me.PatientNo)
			Return Me.nextForm(frmMEN010F060)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 管理状況すべて画面を起動（機能２処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func2Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func2Proc", "管理状況すべて画面を起動 Start")
		Try
			' 患者番号は必須
			If Not Me.chkParam(Me.PatientNo) Then
				Return False
			End If
			' 管理状況すべて画面を起動
			frmMEN010F070 = Nothing
			frmMEN010F070 = New MEN010F070(Me.PatientNo)
			Return Me.nextForm(frmMEN010F070)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報を新規追加（機能３処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func3Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func3Proc", "入退院情報を新規追加 Start")
		Try
			' 入退院情報を新規追加する際のチェック
			If Not chkHspAdd() Then
				Return False
			End If
			' 科歴登録画面を起動
			Return execMEN030F010()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報を修正（機能４処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func4Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func4Proc", "入退院情報を修正 Start")
		Try
			' 入退院情報登録画面を起動
			Return execMEN020F010()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報を削除（機能５処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func5Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func5Proc", "入退院情報を削除 Start")
		Try
			' 患者番号、入退院歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo) Then
				Return False
			End If
			' 確認メッセージ
			If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "この入退院歴のすべてを削除", Nothing) <> MsgBoxResult.Yes Then
				Return False
			End If
			' 入退院情報とそれに付随する情報を全て削除
			Return delHsp()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報を新規追加（Ｆ３キー押下処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncAddProc", "科歴情報を新規追加 Start")
		Try
			' 科歴情報を新規追加する際のチェック
			If Not chkChAdd() Then
				Return False
			End If
			' 科歴登録画面を起動
			Return execMEN030F010()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報を修正（Ｆ４キー押下処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncModifyProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncModifyProc", "科歴情報を修正 Start")
		Try
			' 科歴登録画面を起動
			Return execMEN030F010()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報を削除（Ｆ５キー押下処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncDeleteProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncDeleteProc", "科歴情報を削除 Start")
		Try
			' 科歴情報を削除する際のチェック
			If Not chkChDelete() Then
				Return False
			End If
			' 確認メッセージ
			If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "この科歴のすべてを削除", Nothing) <> MsgBoxResult.Yes Then
				Return False
			End If
			' 科歴情報とそれに付随する情報を全て削除
			Return delCh()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴複写画面を起動（Ｆ６キー押下処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCopyProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCopyProc", "科歴複写画面を起動 Start")
		Try
			' 患者番号、入退院歴番号、科歴番号は必須
			If Not Me.chkParam(Me.PatientNo, Me.HspHistoryNo, Me.ChNo) Then
				Return False
			End If
			' 科歴複写画面を起動
			frmMEN010F030 = Nothing
			frmMEN010F030 = New MEN010F030(Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
			Return Me.nextForm(frmMEN010F030)
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 患者終了（Ｆ１２キー押下処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCloseProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCloseProc", "患者終了（Ｆ１２キー押下処理） Start")
		Try
			' 患者終了
			Return endPatient()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 患者終了（シフト＋Ｆ１２キー押下処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/11 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncFinishProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncFinishProc", "患者終了（シフト＋Ｆ１２キー押下処理） Start")
		Try
			' 患者終了
			Return endPatient()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/11/18 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If dtHspPatient IsNot Nothing Then
				dtHspPatient.Dispose()
			End If
			If dtChPatient IsNot Nothing Then
				dtChPatient.Dispose()
			End If
			If dtChHsp IsNot Nothing Then
				dtChHsp.Dispose()
			End If
'(A) STR V4-12075-000 008 20130206 ID)平井(病名、手術画面起動の高速化)
			If clsSysMst.dtICD10 IsNot Nothing Then
				clsSysMst.dtICD10.Dispose()
			End If
			If clsSysMst.dtICD9CM IsNot Nothing Then
				clsSysMst.dtICD9CM.Dispose()
			End If
'(A) END V4-12075-000 008 20130206
			If frmMEN010F020 IsNot Nothing Then
				frmMEN010F020.Dispose()
			End If
			If frmMEN010F030 IsNot Nothing Then
				frmMEN010F030.Dispose()
			End If
			If frmMEN010F040 IsNot Nothing Then
				frmMEN010F040.Dispose()
			End If
			If frmMEN010F050 IsNot Nothing Then
				frmMEN010F050.Dispose()
			End If
			If frmMEN010F060 IsNot Nothing Then
				frmMEN010F060.Dispose()
			End If
			If frmMEN010F070 IsNot Nothing Then
				frmMEN010F070.Dispose()
			End If
			If frmMEN020F010 IsNot Nothing Then
				frmMEN020F010.Dispose()
			End If
			If frmMEN030F010 IsNot Nothing Then
				frmMEN030F010.Dispose()
			End If
			If frmXSP160F010 IsNot Nothing Then
				frmXSP160F010.Dispose()
			End If
			If frmXSP170F010 IsNot Nothing Then
				frmXSP170F010.Dispose()
			End If
			If frmXSP180F010 IsNot Nothing Then
				frmXSP180F010.Dispose()
			End If
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			dtHspPatient = Nothing
			dtChPatient = Nothing
			dtChHsp = Nothing
'(A) STR V4-12075-000 006 20130206 ID)平井(病名、手術画面起動の高速化)
			clsSysMst.dtICD10 = Nothing
			clsSysMst.ICD10Status = clsSysMst.Enum_AsyncStatus.Enum_None
			clsSysMst.dtICD9CM = Nothing
			clsSysMst.ICD9CMStatus = clsSysMst.Enum_AsyncStatus.Enum_None
'(A) END V4-12075-000 006 20130206
			frmMEN010F020 = Nothing
			frmMEN010F030 = Nothing
			frmMEN010F040 = Nothing
			frmMEN010F050 = Nothing
			frmMEN010F060 = Nothing
			frmMEN010F070 = Nothing
			frmMEN020F010 = Nothing
			frmMEN030F010 = Nothing
			frmXSP160F010 = Nothing
			frmXSP170F010 = Nothing
			frmXSP180F010 = Nothing
		End Try
	End Sub

#End Region

End Class