﻿Imports XSP
Imports XCM

''' ---------------------------------------------
''' <summary>
''' 登録／参照＿入退院歴番号変更
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN010F020

#Region "コンスタント"

	' 初期値
	Private Const CST_STR_ONE As String = "1"
	' ソート
	Private Const CST_SORT As String = "PATIENT_NO,HSP_HISTORY_NO"
	' 自動採番時の暫定置換用入退院履歴番号
	Private Const CST_START_NO As Integer = 10001
	' 更新対象テーブル名群
	Private ReadOnly UPD_TBL() As String = { _
	 "MTI_HSP", _
	 "MTI_CH", _
	 "MTI_WARD", _
	 "MTI_DOCTOR", _
	 "MTI_MED_COST", _
	 "MTI_OTHER_DEPT", _
	 "MTI_DISEASE", _
	 "MTI_OPE", _
	 "MTI_OPE_DOCTOR", _
	 "MTI_TEST", _
	 "MTI_CARE", _
	 "MTI_ASST1", _
	 "MTI_ASST2", _
	 "MTI_EMERGENCY", _
	 "MTI_CB", _
	 "MTI_CB_CHILD", _
	 "MTI_CB_SB", _
	 "MTI_PATH", _
	 "MTI_DPC", _
	 "MTI_LENDITM", _
	 "MTI_LEND", _
	 "MTI_INSPECT" _
	 }
	Private Const UPD_TBL_MAIN As String = "MTI_HSP"

#End Region

#Region "変数"

	' ＤＢ更新時情報
	Private pUpdUserCd As String = Nothing
	Private pUpdDt As Date = Nothing

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.PatientNo = pPatientNo			'患者番号
		Me.HspHistoryNo = pHspHistoryNo		'入退院歴番号
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN010F020_FormClosing", "画面終了時 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F020_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN010F020_Load", "画面ロード時 Start")
		Try
			' 初期情報設定
			Me.ReturnValue = Nothing
			' 病歴番号の表記
			Me.c02012MEN010F020.HeaderText = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面初回起動時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F020_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN010F020_Shown", "画面初回起動時 Start")
		Dim cliGridStyle As clsGridStyle
		Try
			' 初期値設定
			Me.rdo006MEN010F020.Checked = True
			Me.rdo002MEN010F020.Checked = True
			Me.num004MEN010F020.Text = CST_STR_ONE
			Me.lbl008MEN010F020.Text = Me.HspHistoryNo.ToString
			Me.num010MEN010F020.Text = Me.HspHistoryNo.ToString
			' グリッドの書式設定
			cliGridStyle = New clsGridStyle
			cliGridStyle.setGridHeight(Me.dgv012MEN010F020)
			Me.dgv012MEN010F020.AutoGenerateColumns = False
			Me.dgv012MEN010F020.DataSource = Nothing
			' データを取得
			Using cliMTI_HSP As clsMTI_HSP = New clsMTI_HSP
				Using dtHSP As DataTable = cliMTI_HSP.getHspPlusPatientDa(Me.PatientNo)
					' データの並べ替え
					dtHSP.DefaultView.ApplyDefaultSort = True
					dtHSP.DefaultView.Sort = CST_SORT
					Me.dgv012MEN010F020.DataSource = dtHSP
					Me.dgv012MEN010F020.CurrentCell = Nothing
				End Using
			End Using
			' フォーカス設定
			Me.num004MEN010F020.Focus()
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 一覧セルダブルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv012MEN010F020_CellDoubleClick(ByVal sender As System.Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgv012MEN010F020.CellDoubleClick
		log(clsSysMst.logLevel.NRM, "dgv012MEN010F020_CellDoubleClick", "一覧セルダブルクリック Start")
		Try
			SetCurrentCellNo()
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' CurrentCellの該当行に対する番号を設定
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub SetCurrentCellNo()
		log(clsSysMst.logLevel.DBG, "SetCurrentCellNo", "CurrentCellの該当行に対する番号を設定 Start")
		Try
			Me.lbl008MEN010F020.Text = Me.dgv012MEN010F020.Rows(Me.dgv012MEN010F020.CurrentCell.RowIndex).Cells(Me.c01012MEN010F020.Name).Value.ToString
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 該当キーに対する件数を取得
	''' </summary>
	''' <returns>件数</returns>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetCount() As Integer
		log(clsSysMst.logLevel.DBG, "GetCount", "該当キーに対する件数を取得 Start")
		Dim iRet As Integer = 0
		Try
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				Using dtData As DataTable = New DataTable
					With db
						.setSQLDa(sqlMEN010F020.sqlSelectCount)
						.setParamDa(sqlMEN010F020.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
						.setValDa(sqlMEN010F020.prmPATIENT_NO, Me.PatientNo)
						.setParamDa(sqlMEN010F020.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
						.setValDa(sqlMEN010F020.prmHSP_HISTORY_NO, CInt(Me.num010MEN010F020.Text))
						.execQueryDa(dtData)
						If dtData IsNot Nothing AndAlso dtData.Rows.Count > 0 Then
							iRet = CInt(dtData.Rows(0).Item(sqlMEN010F020.itmCOUNT).ToString)
						End If
					End With
				End Using
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return iRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 番号更新（全件）
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdNoAll()
		log(clsSysMst.logLevel.DBG, "UpdNoAll", "番号更新（全件） Start")
		Dim arTgtNo_Pre As ArrayList
		Dim arTgtNo_Post As ArrayList
		Dim arLockData As ArrayList
		Try
			arTgtNo_Post = New ArrayList(0)
			pUpdUserCd = Me._userID
			pUpdDt = Now()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					.ctlTran(clsDB.Enum_TranMode.Begin)
					' 更新対象のデータを取得
					arTgtNo_Pre = GetTgtNoAll(db)
					If arTgtNo_Pre.Count > 0 Then
						Try
							For Each sTblNm As String In UPD_TBL
								' 更新前参照
								arLockData = GetTgtDataAll(db, sTblNm)
								If arLockData.Count = 0 Then
									' 更新対象がない場合は次のテーブルへ
									Continue For
								End If
								' 更新(暫定キー)
								UpdTgtDataAll(db, sTblNm, arTgtNo_Pre, CST_START_NO)
								If sTblNm = UPD_TBL_MAIN Then
									' 更新後(暫定キー)の再取得
									arTgtNo_Post = GetTgtNoAll(db)
								End If
								' 更新(置換後キー)
								UpdTgtDataAll(db, sTblNm, arTgtNo_Post, CInt(Me.num004MEN010F020.Text))
							Next
							.ctlTran(clsDB.Enum_TranMode.Commit)
						Catch ex As Exception
							If .statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
							Throw
						End Try
					Else
						.ctlTran(clsDB.Enum_TranMode.RollBack)
					End If
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			arTgtNo_Pre = Nothing
			arTgtNo_Post = Nothing
			arLockData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 番号更新（個別）
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdNoIndividual()
		log(clsSysMst.logLevel.DBG, "UpdNoIndividual", "番号更新（個別） Start")
		Dim arLockData As ArrayList
		Try
			pUpdUserCd = Me._userID
			pUpdDt = Now()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				With db
					.ctlTran(clsDB.Enum_TranMode.Begin)
					Try
						For Each sTblNm As String In UPD_TBL
							' 更新前参照
							arLockData = GetTgtDataIndividual(db, sTblNm)
							If arLockData.Count = 0 Then
								' 更新対象がない場合は次のテーブルへ
								Continue For
							End If
							' 更新
							UpdTgtDataIndividual(db, sTblNm)
						Next
						.ctlTran(clsDB.Enum_TranMode.Commit)
					Catch ex As Exception
						If .statTran() Then .ctlTran(clsDB.Enum_TranMode.RollBack)
						Throw
					End Try
				End With
			End Using
		Catch ex As Exception
			Throw
		Finally
			arLockData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新対象キー情報全件取得
	''' </summary>
	''' <param name="db">DBアクセスクラス</param>
	''' <returns>取得内容</returns>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetTgtNoAll(ByRef db As clsDB) As ArrayList
		log(clsSysMst.logLevel.DBG, "GetTgtNoAll", "更新対象キー情報全件取得 Start")
		Dim arRet As ArrayList
		Try
			arRet = New ArrayList(0)
			With db
				.setSQL(sqlMEN010F020.sqlSelectForAutoNumber)
				.setParam(sqlMEN010F020.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMEN010F020.prmPATIENT_NO, Me.PatientNo)
				.execQuery(GetType(datMEN010F020_KeyRec), arRet, False)
			End With
		Catch ex As Exception
			Throw
		End Try
		Return arRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 対象テーブル全件取得
	''' </summary>
	''' <param name="db">DBアクセスクラス</param>
	''' <param name="sTblNm">対象テーブル</param>
	''' <returns>取得内容</returns>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetTgtDataAll(ByRef db As clsDB, ByVal sTblNm As String) As ArrayList
		log(clsSysMst.logLevel.DBG, "GetTgtDataAll", "対象テーブル全件取得 Start")
		Dim arRet As ArrayList
		Try
			arRet = New ArrayList(0)
			With db
				.setSQL(sqlMEN010F020.sqlSelectForLockAll.Replace(sqlMEN010F020.sqlRepTblNm, sTblNm))
				.setParam(sqlMEN010F020.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMEN010F020.prmPATIENT_NO, Me.PatientNo)
				.execQuery(GetType(datMEN010F020_KeyRec), arRet, False)
			End With
		Catch ex As Exception
			Throw
		End Try
		Return arRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 対象テーブル個別取得
	''' </summary>
	''' <param name="db">DBアクセスクラス</param>
	''' <param name="sTblNm">対象テーブル</param>
	''' <returns>取得内容</returns>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function GetTgtDataIndividual(ByRef db As clsDB, ByVal sTblNm As String) As ArrayList
		log(clsSysMst.logLevel.DBG, "GetTgtDataIndividual", "対象テーブル個別取得 Start")
		Dim arRet As ArrayList
		Try
			arRet = New ArrayList(0)
			With db
				.setSQL(sqlMEN010F020.sqlSelectForLockIndividual.Replace(sqlMEN010F020.sqlRepTblNm, sTblNm))
				.setParam(sqlMEN010F020.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMEN010F020.prmPATIENT_NO, Me.PatientNo)
				.setParam(sqlMEN010F020.prmHSP_HISTORY_NO, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMEN010F020.prmHSP_HISTORY_NO, CInt(Me.lbl008MEN010F020.Text))
				.execQuery(GetType(datMEN010F020_KeyRec), arRet, False)
			End With
		Catch ex As Exception
			Throw
		End Try
		Return arRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 対象テーブル全件更新
	''' </summary>
	''' <param name="db">DBアクセスクラス</param>
	''' <param name="sTblNm">対象テーブル</param>
	''' <param name="arTgtNoData">変更対象キー情報</param>
	''' <param name="iStartNo">開始番号</param>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdTgtDataAll(ByRef db As clsDB, ByVal sTblNm As String, ByRef arTgtNoData As ArrayList, ByVal iStartNo As Integer)
		log(clsSysMst.logLevel.DBG, "UpdTgtDataAll", "対象テーブル全件更新 Start")
		Dim datKeyRec As datMEN010F020_KeyRec
		Dim iUpdNo As Integer
		Dim iRet As Integer
		Try
			With db
				iUpdNo = iStartNo
				For i As Integer = 0 To arTgtNoData.Count - 1
					datKeyRec = CType(arTgtNoData(i), datMEN010F020_KeyRec)
					.setSQL(sqlMEN010F020.sqlUpdate.Replace(sqlMEN010F020.sqlRepTblNm, sTblNm))
					.setParam(sqlMEN010F020.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMEN010F020.prmPATIENT_NO, Me.PatientNo)
					.setParam(sqlMEN010F020.prmHSP_HISTORY_NO_OLD, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMEN010F020.prmHSP_HISTORY_NO_OLD, datKeyRec.HSP_HISTORY_NO)
					.setParam(sqlMEN010F020.prmHSP_HISTORY_NO_NEW, clsDB.Enum_dbType.dbInt)
					.setVal(sqlMEN010F020.prmHSP_HISTORY_NO_NEW, iUpdNo)
					.setParam(sqlMEN010F020.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
					.setVal(sqlMEN010F020.prmLASTUPDUSER_CD, pUpdUserCd)
					.setParam(sqlMEN010F020.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
					.setVal(sqlMEN010F020.prmLASTUPD_DT, pUpdDt)
					iRet = .execNonQuery(False)
					iUpdNo += 1
				Next
			End With
		Catch ex As Exception
			Throw
		Finally
			datKeyRec = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 対象テーブル個別更新
	''' </summary>
	''' <param name="db">DBアクセスクラス</param>
	''' <param name="sTblNm">対象テーブル</param>
	''' <remarks>
	''' 2010/12/01 新規作成 CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdTgtDataIndividual(ByRef db As clsDB, ByVal sTblNm As String)
		log(clsSysMst.logLevel.DBG, "UpdTgtDataIndividual", "対象テーブル個別更新 Start")
		Dim iRet As Integer
		Try
			With db
				.setSQL(sqlMEN010F020.sqlUpdate.Replace(sqlMEN010F020.sqlRepTblNm, sTblNm))
				.setParam(sqlMEN010F020.prmPATIENT_NO, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMEN010F020.prmPATIENT_NO, Me.PatientNo)
				.setParam(sqlMEN010F020.prmHSP_HISTORY_NO_OLD, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMEN010F020.prmHSP_HISTORY_NO_OLD, CInt(Me.lbl008MEN010F020.Text))
				.setParam(sqlMEN010F020.prmHSP_HISTORY_NO_NEW, clsDB.Enum_dbType.dbInt)
				.setVal(sqlMEN010F020.prmHSP_HISTORY_NO_NEW, CInt(Me.num010MEN010F020.Text))
				.setParam(sqlMEN010F020.prmLASTUPDUSER_CD, clsDB.Enum_dbType.dbNVarChar)
				.setVal(sqlMEN010F020.prmLASTUPDUSER_CD, pUpdUserCd)
				.setParam(sqlMEN010F020.prmLASTUPD_DT, clsDB.Enum_dbType.dbDateTime)
				.setVal(sqlMEN010F020.prmLASTUPD_DT, pUpdDt)
				iRet = .execNonQuery(False)
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' ファンクションキーイベント
	''' </summary>
	''' <param name="msg"></param>
	''' <param name="KeyData"></param>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Protected Overrides Function ProcessCmdKey(ByRef msg As Message, ByVal KeyData As Keys) As Boolean
		log(clsSysMst.logLevel.DBG, "ProcessCmdKey", "ファンクションキーイベント Start")
		Try
			Const WM_KEYDOWN As Integer = &H100
			' KEYDOWN時
			If msg.Msg = WM_KEYDOWN Then
				Dim key As Keys = KeyData And Keys.KeyCode
				' Shift+Enter(Shift+Tab) または Enter(Tab) の場合　
				If KeyData.Equals(Keys.Enter Or Keys.Shift) OrElse KeyData.Equals(Keys.Tab Or Keys.Shift) Then
					' 前のコントロールへフォーカス移動
					' ※RadioButtonコントロール移動を制御
					Select Case True
						Case Me.rdo002MEN010F020.Focused
							If Me.dgv012MEN010F020.Enabled Then
								Me.dgv012MEN010F020.Focus()
							Else
								Me.rdo006MEN010F020.Focus()
							End If
							Me.Show()
							Return True
						Case Me.num004MEN010F020.Focused
							Me.rdo002MEN010F020.Focus()
							Me.Show()
							Return True
						Case Me.rdo006MEN010F020.Focused
							If Me.num004MEN010F020.Enabled Then
								Me.num004MEN010F020.Focus()
							Else
								Me.rdo002MEN010F020.Focus()
							End If
							Me.Show()
							Return True
						Case Me.num010MEN010F020.Focused
							Me.rdo006MEN010F020.Focus()
							Me.Show()
							Return True
						Case Else
					End Select
				ElseIf key = Keys.Enter OrElse key = Keys.Tab Then
					' 次のコントロールへフォーカス移動
					' Buttonコントロールはスキップ
					If Not (TypeOf Me.ActiveControl Is Button) AndAlso Not (TypeOf Me.ActiveControl Is BT_Button) Then
						' ※RadioButtonコントロール移動を制御
						Select Case True
							Case Me.rdo002MEN010F020.Focused
								If Me.num004MEN010F020.Enabled Then
									Me.num004MEN010F020.Focus()
								Else
									Me.rdo006MEN010F020.Focus()
								End If
								Me.Show()
								Return True
							Case Me.num004MEN010F020.Focused
								Me.rdo006MEN010F020.Focus()
								Me.Show()
								Return True
							Case Me.rdo006MEN010F020.Focused
								If Me.num010MEN010F020.Enabled Then
									Me.num010MEN010F020.Focus()
								Else
									Me.rdo002MEN010F020.Focus()
								End If
								Me.Show()
								Return True
							Case Else
						End Select
					End If
				End If
			End If
			Return MyBase.ProcessCmdKey(msg, KeyData)
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Enterキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.NRM, "EnterProc", "Enterキー押下処理 Start")
		Try
			If Me.ActiveControl.Name = Me.dgv012MEN010F020.Name Then
				SetCurrentCellNo()
			Else
				Return MyBase.EnterProc()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdChkData", "更新前チェック処理 Start")
		Dim bRet As Boolean = False
		Try
			' 子コントロールの検証
			bRet = Me.ValidateChildren
		Catch ex As Exception
			Throw
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンでは処理しない（更新前確認メッセージ）
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		Return MsgBoxResult.No
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "チェック処理 Start")
		Dim bRet As Boolean = False
		Try
			If Me.rdo002MEN010F020.Checked AndAlso String.IsNullOrEmpty(Me.num004MEN010F020.Text) Then
				addErrList("E0001", Me.num004MEN010F020.Name, "入退院歴番号開始", Nothing)
				nextErrForm()
				Return bRet
			End If
			If Me.rdo006MEN010F020.Checked AndAlso String.IsNullOrEmpty(Me.num010MEN010F020.Text) Then
				addErrList("E0001", Me.num010MEN010F020.Name, "新入退院歴番号", Nothing)
				nextErrForm()
				Return bRet
			End If
			' 新番号が重複していないかどうかチェック
			If Me.rdo006MEN010F020.Checked AndAlso GetCount() > 0 Then
				showMsg("E0020", "存在しない番号に", Nothing)
				Return bRet
			End If
			bRet = True
		Catch ex As Exception
			Throw
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Dim bRet As Boolean = False
		Try
			If Me.rdo002MEN010F020.Checked Then
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
				'If confMsg("Q0005", "入退院歴を自動採番", Nothing) = MsgBoxResult.Cancel Then
				If confMsg("Q0005", "入退院歴を自動採番", Nothing) = MsgBoxResult.No Then
'(M) END V4-12053-000 004 2012/12/14 ID
					Return bRet
				End If
				UpdNoAll()
			Else
'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
				'If confMsg("Q0005", "入退院歴番号を変更", Nothing) = MsgBoxResult.Cancel Then
				If confMsg("Q0005", "入退院歴番号を変更", Nothing) = MsgBoxResult.No Then
'(M) END V4-12053-000 004 2012/12/14 ID
					Return bRet
				End If
				UpdNoIndividual()
			End If
			bRet = True
		Catch ex As Exception
			Throw
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新後処理
	''' </summary>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function AfterUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "AfterUpdProc", "更新後処理 Start")
		Dim bRet As Boolean = False
		Try
			Me.FormReturn = Enum_FormReturn.OK
			EndProc()
			bRet = True
		Catch ex As Exception
			Throw
		End Try
		Return bRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/01 新規作成　CS)松本<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			Me.dgv012MEN010F020.DataSource = Nothing
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
		End Try
	End Sub

#End Region

End Class