﻿Imports XSP
Imports XCM

''' ---------------------------------------------
''' <summary>
''' 科歴複写
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN010F030

#Region "コンスタント"

	' 入退院情報表示順
	Private Const CST_HSPREC_SORT_ASC As String = _
	 "" _
	  & sqlMTI_HSP.itmHSP_HISTORY_NO

#End Region

#Region "変数"

	' DataDrid データテーブル
	Private dtHspPatient As DataTable = Nothing

	' 固定コードのない最初の入院経路コード
	Private strHspCnlEmpty As String = Nothing

	' 固定コードのない最初の退院経路コード
	Private strOutHspCnlEmpty As String = Nothing

	' 固定コードのない最初の退院転帰コード
	Private strOutHspOutcomeEmpty As String = Nothing

	' がん登録状況コード
	Private strCnrRegStatusPlan As String = Nothing		'抽出予定
	Private strCnrRegStatusFinish As String = Nothing	'抽出完了

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F030_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN010F030_FormClosing", "画面終了時 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F030_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN010F030_Load", "画面ロード時 Start")
		Dim cliGridStyle As clsGridStyle
		Try
			' 病歴番号の表記
			Me.c02015MEN010F030.HeaderText = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)

			' 初期表示
			Me.lbl002MEN010F030.Text = Me.HspHistoryNo.ToString
			Me.lbl004MEN010F030.Text = Me.ChNo.ToString
			Me.rdo011MEN010F030.Checked = True					'イベントを発生させるため両方選択
			Me.rdo007MEN010F030.Checked = True					'イベントを発生させるため両方選択

			' データグリッドの初期設定
			cliGridStyle = New clsGridStyle
			cliGridStyle.setGridHeight(Me.dgv015MEN010F030)		'グリッド１行の高さを設定
			Me.dgv015MEN010F030.AutoGenerateColumns = False

			' １患者分の入退院情報を取得
			Using cliHsp As clsMTI_HSP = New clsMTI_HSP
				dtHspPatient = cliHsp.getHspPlusPatientDa(Me.PatientNo)
				dtHspPatient.DefaultView.Sort = CST_HSPREC_SORT_ASC
			End Using
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面初回起動時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN010F030_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN010F030_Shown", "画面初回起動時 Start")
		Try
			' 入退院情報のデータソースをセット
			Me.dgv015MEN010F030.DataSource = dtHspPatient
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 新規複写選択時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub rdo011MEN010F030_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles rdo011MEN010F030.CheckedChanged
		If Not Me.rdo011MEN010F030.Checked Then
			Exit Sub
		End If
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "rdo011MEN010F030_CheckedChanged", "新規複写選択時 Start")
		log(clsSysMst.logLevel.DBG, "rdo011MEN010F030_CheckedChanged", "新規複写選択時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			' 次の入退院歴番号を取得
			Using cliHsp As clsMTI_HSP = New clsMTI_HSP
				Me.num013MEN010F030.Text = cliHsp.getMaxHistoryNoPatient(Me.PatientNo) + 1
			End Using
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 選択セル変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv015MEN010F030_SelectionChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles dgv015MEN010F030.SelectionChanged
		If Me.dgv015MEN010F030.DataSource Is Nothing Then
			Exit Sub
		End If
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dgv015MEN010F030_SelectionChanged", "選択セル変更時 Start")
		log(clsSysMst.logLevel.DBG, "dgv015MEN010F030_SelectionChanged", "選択セル変更時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			If Me.dgv015MEN010F030.SelectedRows IsNot Nothing Then
				For Each row As DataGridViewRow In Me.dgv015MEN010F030.SelectedRows
					Me.num009MEN010F030.Text = row.Cells(Me.c01015MEN010F030.Name).Value
				Next
			End If
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 入退院情報の存在有無を確認
	''' </summary>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <returns>存在有無</returns>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function isExistHsp(ByVal pHspHistoryNo As Integer) As Boolean
		log(clsSysMst.logLevel.DBG, "isExistHsp", "入退院情報の存在有無を確認 Start")
		Dim rows() As DataRow
		Try
			' 入退院情報の存在を確認する
			rows = dtHspPatient.Select(sqlMTI_HSP.itmHSP_HISTORY_NO & " = " & pHspHistoryNo.ToString)
			Return (rows.Length > 0)
		Catch ex As Exception
			Throw
		Finally
			rows = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 選択複写
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function execCopyInfoSelected() As Boolean
		log(clsSysMst.logLevel.DBG, "execCopyInfoSelected", "選択複写 Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim bStartChangeDept As Boolean = False
		Dim bStartHoldDept As Boolean = False
		Dim dDeath As Boolean = False
		Dim intHspHistoryNo As Integer = 0
		Dim intChNo As Integer = 0
		Dim intCnrRegExpectedCount As Integer = 0
		Dim intFixedCd As Integer = 0
		Try
			' 共通クラスインスタンス化
			cliCommon = New clsMENCOMMON

			' 開始経路コードの確認
			If Integer.TryParse(Me.ChRec.START_CNL_FIXED_CD, intFixedCd) Then
				Select Case intFixedCd
					Case clsConst.Enum_HspChannel_Fix1.ChangeDept
						' 開始経路コードが「転科」の場合
						bStartChangeDept = True
					Case clsConst.Enum_HspChannel_Fix1.HoldDept
						' 開始経路コードが「兼科」の場合
						bStartHoldDept = True
					Case Else
				End Select
			End If

			' 終了転帰コードの確認
			If Integer.TryParse(Me.ChRec.END_OUTCOME_FIXED_CD, intFixedCd) Then
				Select Case intFixedCd
					Case clsConst.Enum_DiscchargeOutcome_Fix1.Decease
						' 終了転帰コードが「死亡」の場合
						Me.showMsg("I0010", "複写先の終了経路、終了転帰が変更", Nothing)
						dDeath = True
					Case Else
				End Select
			End If

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)

				Try
					' 複写先キー項目の取得
					intHspHistoryNo = Integer.Parse(Me.num009MEN010F030.Text)
					Using cliCh As clsMTI_CH = New clsMTI_CH
						intChNo = cliCh.getMaxChNoHsp(db, Me.PatientNo, intHspHistoryNo) + 1
					End Using

					' 科歴情報に付随する病名情報を複写
					intCnrRegExpectedCount = execCopyDiseaseInfo(db, intHspHistoryNo, intChNo)

					' 科歴情報に付随するその他の情報を複写
					execCopyOtherInfo(db, intHspHistoryNo, intChNo)

					Using cliCh As clsMTI_CH = New clsMTI_CH
						' 科歴情報の取得
						Dim dbData As datMTI_CH_PLUS_OneRec = Me.ChRec.Copy
						' 項目の変更
						dbData.HSP_HISTORY_NO = intHspHistoryNo								'入退院歴番号
						dbData.CH_NO = intChNo												'科歴番号
						dbData.HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOff				'入院フラグ ← オフ
						dbData.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOff			'退院フラグ ← オフ
						dbData.MAIN_DPM_FLG = clsConst.Enum_CheckBox_Flg.CheckOff			'主科フラグ ← オフ
						dbData.HSP_AIM_CD = Nothing											'入院目的コード ← NULL
						dbData.HSP_FORM_CD = Nothing										'入院形態コード ← NULL
						If dDeath Then
							' 終了転帰コードが「死亡」の場合
							dbData.END_CNL_CD = strOutHspCnlEmpty							'終了経路コード ← 固定コードのない最初の退院経路コード
							dbData.END_OUTCOME_CD = strOutHspOutcomeEmpty					'終了転帰コード ← 固定コードのない最初の退院転帰コード
						End If
						dbData.CNR_REG_COUNT = 0											'がん登録数 ← 0
						dbData.CNR_REG_EXPECTED_COUNT = intCnrRegExpectedCount				'がん登録予定数 ← 病名情報のがん登録状況コードが「抽出予定」の件数
						' 科歴情報の追加
						cliCh.execInsChOneRec(db, dbData)
					End Using

					' 科歴情報より入退院情報を設定する
					Me.HspRec = cliCommon.getHspRecFromChInfo(db, Me.PatientNo, intHspHistoryNo)

					Using cliHsp As clsMTI_HSP = New clsMTI_HSP
						' 入退院情報の削除
						cliHsp.execDelHspOneRec(db, Me.PatientNo, intHspHistoryNo)
						' 入退院情報の追加
						cliHsp.execInsHspOneRec(db, Me.HspRec, False)
					End Using

					' 科歴情報に付随する手術情報を複写
					execCopyOpeInfo(db, intHspHistoryNo, intChNo)

					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
			Return True
		Catch ex As Exception
			Throw
		Finally
			cliCommon = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 新規複写
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function execCopyInfoNew() As Boolean
		log(clsSysMst.logLevel.DBG, "execCopyInfoNew", "新規複写 Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim bStartChangeDept As Boolean = False
		Dim bStartHoldDept As Boolean = False
		Dim bEndChangeDept As Boolean = False
		Dim bDeath As Boolean = False
		Dim intHspHistoryNo As Integer = 0
		Dim intChNo As Integer = 0
		Dim intCnrRegExpectedCount As Integer = 0
		Dim intFixedCd As Integer = 0
		Try
			' 共通クラスインスタンス化
			cliCommon = New clsMENCOMMON

			' 開始経路コードの確認
			If Integer.TryParse(Me.ChRec.START_CNL_FIXED_CD, intFixedCd) Then
				Select Case intFixedCd
					Case clsConst.Enum_HspChannel_Fix1.ChangeDept
						' 開始経路コードが「転科」の場合
						bStartChangeDept = True
					Case clsConst.Enum_HspChannel_Fix1.HoldDept
						' 開始経路コードが「兼科」の場合
						bStartHoldDept = True
					Case Else
				End Select
			End If

			' 終了経路コードの確認
			If Integer.TryParse(Me.ChRec.END_CNL_FIXED_CD, intFixedCd) Then
				Select Case intFixedCd
					Case clsConst.Enum_DiscchargeCannel_Fix1.ChangeDept
						' 終了経路コードが「転科」の場合
						bEndChangeDept = True
					Case Else
				End Select
			End If

			' 終了転帰コードの確認
			If Integer.TryParse(Me.ChRec.END_OUTCOME_FIXED_CD, intFixedCd) Then
				Select Case intFixedCd
					Case clsConst.Enum_DiscchargeOutcome_Fix1.Decease
						' 終了転帰コードが「死亡」の場合
						Me.showMsg("I0010", "複写先の終了経路、終了転帰が変更", Nothing)
						bDeath = True
					Case Else
				End Select
			End If

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)

				Try
					' 複写先キー項目の取得
					intHspHistoryNo = Integer.Parse(Me.num013MEN010F030.Text)
					intChNo = 1

					' 科歴情報に付随する病名情報を複写
					intCnrRegExpectedCount = execCopyDiseaseInfo(db, intHspHistoryNo, intChNo)

					' 科歴情報に付随するその他の情報を複写
					execCopyOtherInfo(db, intHspHistoryNo, intChNo)

					Using cliCh As clsMTI_CH = New clsMTI_CH
						' 科歴情報の取得
						Dim dbData As datMTI_CH_PLUS_OneRec = Me.ChRec.Copy
						' 項目の変更
						dbData.HSP_HISTORY_NO = intHspHistoryNo								'入退院歴番号
						dbData.CH_NO = intChNo												'科歴番号
						dbData.HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn					'入院フラグ ← オン
						If bEndChangeDept Then
							' 終了経路コードが「転科」の場合
							dbData.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOff		'退院フラグ ← オフ
							dbData.MAIN_DPM_FLG = clsConst.Enum_CheckBox_Flg.CheckOff		'主科フラグ ← オフ
						Else
							If dbData.END_DT.Equals(Nothing) Then
								' 終了日が未設定の場合
								dbData.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOff	'退院フラグ ← オフ
							Else
								' そうでない場合
								dbData.OUT_HSP_FLG = clsConst.Enum_CheckBox_Flg.CheckOn		'退院フラグ ← オン
							End If
							dbData.MAIN_DPM_FLG = clsConst.Enum_CheckBox_Flg.CheckOn		'主科フラグ ← オン
						End If
						If bStartChangeDept OrElse bStartHoldDept Then
							dbData.START_CNL_CD = strHspCnlEmpty							'開始経路コード ← 固定コードのない最初の入院経路コード
						End If
						If bDeath Then
							' 終了転帰コードが「死亡」の場合
							dbData.END_CNL_CD = strOutHspCnlEmpty							'終了経路コード ← 固定コードのない最初の退院経路コード
							dbData.END_OUTCOME_CD = strOutHspOutcomeEmpty					'終了転帰コード ← 固定コードのない最初の退院転帰コード
						End If
						dbData.CNR_REG_COUNT = 0											'がん登録数 ← 0
						dbData.CNR_REG_EXPECTED_COUNT = intCnrRegExpectedCount				'がん登録予定数 ← 病名情報のがん登録状況コードが「抽出予定」の件数
						' 科歴情報の追加
						cliCh.execInsChOneRec(db, dbData)
					End Using

					' 科歴情報より入退院情報を設定する
					Me.HspRec = cliCommon.getHspRecFromChInfo(db, Me.PatientNo, intHspHistoryNo)

					Using cliHsp As clsMTI_HSP = New clsMTI_HSP
						' 入退院情報の追加
						cliHsp.execInsHspOneRec(db, Me.HspRec)
					End Using

					' 科歴情報に付随する手術情報を複写
					execCopyOpeInfo(db, intHspHistoryNo, intChNo)

					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
			Return True
		Catch ex As Exception
			Throw
		Finally
			cliCommon = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報に付随する病名情報を複写
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <returns>がん登録予定数</returns>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function execCopyDiseaseInfo(ByVal db As clsDB, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer) As Integer
		log(clsSysMst.logLevel.DBG, "execCopyDiseaseInfo", "科歴情報に付随する病名情報を複写 Start")
		Dim retVal As Integer = 0
		Try
			Using cliDisease As clsMTI_DISEASE = New clsMTI_DISEASE
				' 病名情報の取得
				Dim arData As ArrayList = cliDisease.getDiseasePlusCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_DISEASE_PLUS_OneRec In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 元のがん登録状況コードが「抽出完了」の場合
					If Not String.IsNullOrEmpty(strCnrRegStatusFinish) AndAlso _
					   dbData.CNR_REG_STATUS_CD = strCnrRegStatusFinish Then
						dbData.CNR_REG_STATUS_CD = strCnrRegStatusPlan		'がん登録状況コード ← 「抽出予定」
						dbData.CNR_REG_EXTRACT_DT = Nothing					'がん登録抽出日 ← NULL
					End If
					' がん登録状況コードが「抽出予定」をカウント
					If Not String.IsNullOrEmpty(strCnrRegStatusPlan) AndAlso _
					   dbData.CNR_REG_STATUS_CD = strCnrRegStatusPlan Then
						retVal += 1
					End If
					' 病名情報の追加
					cliDisease.execInsDiseaseOneRec(db, dbData)
				Next
			End Using
			Return retVal
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報に付随する手術情報を複写
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub execCopyOpeInfo(ByVal db As clsDB, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		log(clsSysMst.logLevel.DBG, "execCopyOpeInfo", "科歴情報に付随する手術情報を複写 Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim strDays As String = Nothing
		Try
			' 共通クラスインスタンス化
			cliCommon = New clsMENCOMMON

			Using cliOpe As clsMTI_OPE = New clsMTI_OPE
				' 手術情報の取得
				Dim arData As ArrayList = cliOpe.getOpeCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_OPE_OneRec In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 実施日と複写先の入退院情報の入院日より術前日数を再計算する
					strDays = cliCommon.calcPreOpeDays(Me.HspRec.HSP_DT, dbData.OPE_DT)
					If Not Integer.TryParse(strDays, dbData.PRE_OPE_DAYS) Then
						dbData.PRE_OPE_DAYS = 0
					End If
					' 終了日と複写先の入退院情報の退院日より術後日数を再計算する
					strDays = cliCommon.calcAfterOpeDays(Me.HspRec.OUT_HSP_DT, dbData.END_DT, dbData.OPE_DT)
					If Not Integer.TryParse(strDays, dbData.AFTER_OPE_DAYS) Then
						dbData.AFTER_OPE_DAYS = 0
					End If
					' 手術情報の追加
					cliOpe.execInsOpeOneRec(db, dbData)
				Next
			End Using
			Using cliOpeDoctor As clsMTI_OPE_DOCTOR = New clsMTI_OPE_DOCTOR
				' 手術医師情報の取得
				Dim arData As ArrayList = cliOpeDoctor.getOpeDoctorCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_OPE_DOCTOR_OneRec In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 手術医師情報の追加
					cliOpeDoctor.execInsOpeDoctorOneRec(db, dbData)
				Next
			End Using
		Catch ex As Exception
			Throw
		Finally
			cliCommon = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報に付随するその他の情報を複写
	''' </summary>
	''' <param name="db">ＤＢクラス</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub execCopyOtherInfo(ByVal db As clsDB, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		log(clsSysMst.logLevel.DBG, "execCopyInfo", "科歴情報に付随するその他の情報を複写 Start")
		Try
			Using cliDoctor As clsMTI_DOCTOR = New clsMTI_DOCTOR
				' 医師情報の取得
				Dim arData As ArrayList = cliDoctor.getDoctorCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_DOCTOR_OneRec In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 医師情報の追加
					cliDoctor.execInsDoctorOneRec(db, dbData)
				Next
			End Using
			Using cliWard As clsMTI_WARD = New clsMTI_WARD
				' 病棟情報の取得
				Dim arData As ArrayList = cliWard.getWardCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_WARD_OneRec In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 病棟情報の追加
					cliWard.execInsWardOneRec(db, dbData)
				Next
			End Using
			Using cliMedCost As clsMTI_MED_COST = New clsMTI_MED_COST
				' 医療費情報の取得
				Dim dbData As datMTI_MED_COST_OneRec = cliMedCost.getMedCostOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				If dbData IsNot Nothing Then
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 医療費情報の追加
					cliMedCost.execInsMedCostOneRec(db, dbData)
				End If
			End Using
			Using cliOtherDept As clsMTI_OTHER_DEPT = New clsMTI_OTHER_DEPT
				' 対診科情報の取得
				Dim dbData As datMTI_OTHER_DEPT_OneRec = cliOtherDept.getOtherDeptOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				If dbData IsNot Nothing Then
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 対診科情報の追加
					cliOtherDept.execInsOtherDeptOneRec(db, dbData)
				End If
			End Using
			Using cliCare As clsMTI_CARE = New clsMTI_CARE
				' 治療処置情報の取得
				Dim arData As ArrayList = cliCare.getCareCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_CARE_OneRec In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 治療処置情報の追加
					cliCare.execInsCareOneRec(db, dbData)
				Next
			End Using
			Using cliTest As clsMTI_TEST = New clsMTI_TEST
				' 検査情報の取得
				Dim arData As ArrayList = cliTest.getTestCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_TEST_OneRec In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 検査情報の追加
					cliTest.execInsTestOneRec(db, dbData)
				Next
			End Using
			Using cliAsst1 As clsMTI_ASST1 = New clsMTI_ASST1
				' 補足項目１情報の取得
				Dim dbData As datMTI_ASST1_OneRec = cliAsst1.getAsst1OneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				If dbData IsNot Nothing Then
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 補足項目１情報の追加
					cliAsst1.execInsAsst1OneRec(db, dbData)
				End If
			End Using
			Using cliAsst2 As clsMTI_ASST2 = New clsMTI_ASST2
				' 補足項目２情報の取得
				Dim dbData As datMTI_ASST2_OneRec = cliAsst2.getAsst2OneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				If dbData IsNot Nothing Then
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 補足項目２情報の追加
					cliAsst2.execInsAsst2OneRec(db, dbData)
				End If
			End Using
			Using cliCb As clsMTI_CB = New clsMTI_CB
				' 分娩情報の取得
				Dim dbData As datMTI_CB_OneRec = cliCb.getCbOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				If dbData IsNot Nothing Then
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 分娩情報の追加
					cliCb.execInsCbOneRec(db, dbData)
				End If
			End Using
			Using cliCbChild As clsMTI_CB_CHILD = New clsMTI_CB_CHILD
				' 分娩子情報の取得
				Dim arData As ArrayList = cliCbChild.getCbChildCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_CB_CHILD_OneRec In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 分娩子情報の追加
					cliCbChild.execInsCbChildOneRec(db, dbData)
				Next
			End Using
			Using cliCbSb As clsMTI_CB_SB = New clsMTI_CB_SB
				' 分娩子流死産情報の取得
				Dim arData As ArrayList = cliCbSb.getCbSbCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_CB_SB_OneRec In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 分娩子流死産情報の追加
					cliCbSb.execInsCbSbOneRec(db, dbData)
				Next
			End Using
			Using cliEmergency As clsMTI_EMERGENCY = New clsMTI_EMERGENCY
				' 救命救急情報の取得
				Dim arData As ArrayList = cliEmergency.getEmergencyCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_EMERGENCY_OneRec In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 救命救急情報の追加
					cliEmergency.execInsEmergencyOneRec(db, dbData)
				Next
			End Using
			Using cliPath As clsMTI_PATH = New clsMTI_PATH
				' パス情報の取得
				Dim arData As ArrayList = cliPath.getPathCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_PATH_OneRec In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' パス情報の追加
					cliPath.execInsPathOneRec(db, dbData)
				Next
			End Using
			Using cliLendItem As clsMTI_LENDITM = New clsMTI_LENDITM
				' 貸出物情報の取得（診療科別）
				Dim dbData As datMTI_LENDITM_OneRec = cliLendItem.getLendItemOneRec(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				If dbData IsNot Nothing Then
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 貸出物情報の追加（診療科別）
					cliLendItem.execInsLendItemOneRec(db, dbData)
				End If
				If Me.HspHistoryNo <> pHspHistoryNo Then
					' 貸出物情報の確認（入退院別）
					dbData = cliLendItem.getLendItemOneRec(db, Me.PatientNo, pHspHistoryNo, 0)
					If dbData Is Nothing Then
						' 貸出物情報の取得（入退院別）
						dbData = cliLendItem.getLendItemOneRec(db, Me.PatientNo, Me.HspHistoryNo, 0)
						If dbData IsNot Nothing Then
							' キー項目の変更
							dbData.HSP_HISTORY_NO = pHspHistoryNo
							' 貸出物情報の追加（入退院別）
							cliLendItem.execInsLendItemOneRec(db, dbData)
						End If
					End If
				End If
			End Using
			Using cliLend As clsMTI_LEND = New clsMTI_LEND
				' 貸出情報の取得（診療科別）
				Dim arData As ArrayList = cliLend.getDataFromChKey(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
				For Each dbData As datMTI_LEND In arData
					' キー項目の変更
					dbData.HSP_HISTORY_NO = pHspHistoryNo
					dbData.CH_NO = pChNo
					' 貸出情報の追加（診療科別）
					cliLend.addLend(db, dbData)
				Next
				If Me.HspHistoryNo <> pHspHistoryNo Then
					' 貸出情報の取得（入退院別）
					arData = cliLend.getDataFromChKey(db, Me.PatientNo, Me.HspHistoryNo, 0)
					For Each dbData As datMTI_LEND In arData
						' キー項目の変更
						dbData.HSP_HISTORY_NO = pHspHistoryNo
						' 貸出情報の追加（入退院別）
						cliLend.addLend(db, dbData)
					Next
				End If
			End Using
		Catch ex As Exception
			Throw
		End Try
	End Sub

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタン処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCloseProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCloseProc", "閉じるボタン処理 Start")
		Try
			' 画面終了
			Me.EndProc()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdProc", "更新前処理 Start")
		Try
			' 子コントロールの検証
			Return Me.ValidateChildren
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "チェック処理 Start")
		Dim intHspHistoryNo As Integer = 0
		Try
			Select Case True
				Case Me.rdo007MEN010F030.Checked	'選択複写時
					' 未入力チェック
					If Not Integer.TryParse(Me.num009MEN010F030.Text, intHspHistoryNo) Then
						addErrList("E0001", Me.num009MEN010F030.Name, "複写先入退院歴番号", Nothing)
						Exit Select
					End If
					' 存在チェック
					If Not isExistHsp(intHspHistoryNo) Then
						Me.showMsg("E0020", "存在する番号に", Nothing)
						Return False
					End If
				Case Me.rdo011MEN010F030.Checked	'新規複写時
					' 未入力チェック
					If Not Integer.TryParse(Me.num013MEN010F030.Text, intHspHistoryNo) Then
						addErrList("E0001", Me.num013MEN010F030.Name, "新規入退院歴番号", Nothing)
						Exit Select
					End If
					' 重複チェック
					If isExistHsp(intHspHistoryNo) Then
						showMsg("E0020", "存在しない番号に", Nothing)
						Return False
					End If
				Case Else
					Return False
			End Select

			' エラー出力
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()
				Return False
			Else
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Dim cliCombo As clsComboCom = Nothing
		Dim intFixedCd As Integer = 0
		Try
			' 共通クラスインスタンス化
			cliCombo = New clsComboCom

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' 固定コードのない最初の入院経路コードを取得する
				Using dtHspCnl As DataTable = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_HspCnl)
					If dtHspCnl IsNot Nothing AndAlso dtHspCnl.Rows.Count > 0 Then
						For Each row As DataRow In dtHspCnl.Rows
							If Not Integer.TryParse(row(sqlComboCom.itmFIXED_CD).ToString, intFixedCd) Then
								strHspCnlEmpty = row(sqlComboCom.itmHSP_CNL_CD).ToString
								Exit For
							End If
						Next
					End If
				End Using

				' 固定コードのない最初の退院経路コードを取得する
				Using dtOutHspCnl As DataTable = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_OutHspCnl)
					If dtOutHspCnl IsNot Nothing AndAlso dtOutHspCnl.Rows.Count > 0 Then
						For Each row As DataRow In dtOutHspCnl.Rows
							If Not Integer.TryParse(row(sqlComboCom.itmFIXED_CD).ToString, intFixedCd) Then
								strOutHspCnlEmpty = row(sqlComboCom.itmOUT_HSP_CNL_CD).ToString
								Exit For
							End If
						Next
					End If
				End Using

				' 固定コードのない最初の退院転帰コードを取得する
				Using dtOutHspOutcome As DataTable = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_OutHspOutcome)
					If dtOutHspOutcome IsNot Nothing AndAlso dtOutHspOutcome.Rows.Count > 0 Then
						For Each row As DataRow In dtOutHspOutcome.Rows
							If Not Integer.TryParse(row(sqlComboCom.itmFIXED_CD).ToString, intFixedCd) Then
								strOutHspOutcomeEmpty = row(sqlComboCom.itmOUT_HSP_OUTCOME_CD).ToString
								Exit For
							End If
						Next
					End If
				End Using

				' がん登録状況コードを取得する
				Using dtCnrRegStatus As DataTable = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CnrRegStatus)
					If dtCnrRegStatus IsNot Nothing AndAlso dtCnrRegStatus.Rows.Count > 0 Then
						For Each row As DataRow In dtCnrRegStatus.Rows
							If Integer.TryParse(row(sqlComboCom.itmFIXED_CD).ToString, intFixedCd) Then
								Select Case intFixedCd
									Case clsConst.Enum_ClrRegStatus_Fix1.Plan
										' 抽出予定のがん登録状況コードを取得
										strCnrRegStatusPlan = row(sqlComboCom.itmREG_STATUS_CD).ToString
									Case clsConst.Enum_ClrRegStatus_Fix1.Finish
										' 抽出完了のがん登録状況コードを取得
										strCnrRegStatusFinish = row(sqlComboCom.itmREG_STATUS_CD).ToString
									Case Else
								End Select
							End If
						Next
					End If
				End Using
			End Using

			Select Case True
				Case Me.rdo007MEN010F030.Checked AndAlso Me.confMsg("Q0005", MessageBoxButtons.YesNo, "科歴を複写", Nothing) = MsgBoxResult.Yes
					'選択複写時
					Application.DoEvents()
					Return execCopyInfoSelected()
				Case Me.rdo011MEN010F030.Checked AndAlso Me.confMsg("Q0005", MessageBoxButtons.YesNo, "科歴を追加", Nothing) = MsgBoxResult.Yes
					'新規複写時
					Application.DoEvents()
					Return execCopyInfoNew()
				Case Else
					Return False
			End Select
		Catch ex As Exception
			Throw
		Finally
			cliCombo = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新後処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function AfterUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "AfterUpdProc", "更新後処理 Start")
		Try
			' 画面終了
			Me.FormReturn = Enum_FormReturn.OK
			Me.EndProc()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If dtHspPatient IsNot Nothing Then
				dtHspPatient.Dispose()
			End If
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			dtHspPatient = Nothing
		End Try
	End Sub

#End Region

End Class