﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 病棟登録
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN030F060

#Region "変数"

	' MultiRow データテーブル
	Private dtWard As DataTable

	' 動作環境設定の転科、転棟の終了日から開始日の関係
	Private eEnvChangeDeptStrAndEndRelaShip As clsConst.Enum_ChangeDeptStrAndEndRelaShip = clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual

	' 画面抑制
	Private bShowed As Boolean = False					'Show イベント終了

	' 更新フラグ
	Private flgUpdWard As Boolean = False				'病棟情報

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <param name="pDtWard">病棟情報データテーブル</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer, ByVal pDtWard As DataTable)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
		dtWard = pDtWard.Copy						'病棟情報
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F060_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN030F060_FormClosing", "画面終了時 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F060_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN030F060_Load", "画面ロード時 Start")
		Dim cliCombo As clsComboCom
		Dim intEnv As Integer = 0
		Try
			' コンボボックス項目取得共通クラスのインスタンス化
			cliCombo = New clsComboCom

			' 動作環境設定の転科、転棟の終了日から開始日の関係
			If Not Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00005), intEnv) Then
				intEnv = clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptEqual
			End If
			eEnvChangeDeptStrAndEndRelaShip = intEnv

			' 病棟情報起動ボタンは非表示
			Me.mlr001MEN030F060.HeaderVisible(MEN030C012.CST_WARD_HEADER_BUTTON) = False

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' コンボボックスの初期設定
				With Me.mlr001MEN030F060.DetailProperty(MEN030C013.CST_WARD_DETAIL_WARD_CD)
					' コンボボックス項目取得共通処理（病棟コード）
					.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_Ward_Dsp)
				End With
			End Using

			' データソース設定
			dtWard.AcceptChanges()
			Me.mlr001MEN030F060.DataSource = dtWard		'病棟情報マルチロウ
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliCombo = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面初回起動時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN030F060_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN030F060_Shown", "画面初回起動時 Start")
		Try
			' 画面初回起動終了
			bShowed = True
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟情報マルチロウコントロールチェック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F060_Control_CheckedChanged(ByVal sender As System.Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F060.Control_CheckedChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "mlr001MEN030F060_Control_CheckedChanged", "病棟情報マルチロウコントロールチェック時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "病棟情報マルチロウコントロールチェック時 Start")
'(M) END V4-11023-000 004 20110816
		Dim cliCommon As clsMENCOMMON = Nothing
		Try
			Select Case CType(sender, Control).Name
				Case MEN030C013.CST_WARD_DETAIL_MAIN_WARD_FLG
					' 主病棟フラグチェック時
					If CType(sender, BT_CheckBox).Checked Then
						' ある明細行のチェックオンで他の行をすべてチェックオフとし、同時に複数行のチェックオンの状態にはならない。
						cliCommon = New clsMENCOMMON
						For i As Integer = 0 To dtWard.Rows.Count - 1
							With dtWard.Rows(i)
								If .RowState = DataRowState.Deleted Then
									Continue For
								End If
								flgUpdWard = cliCommon.setDtTableField_Checked(.Item(sqlMTI_WARD.itmMAIN_WARD_FLG), (i = e.Index)) OrElse flgUpdWard
							End With
						Next
						Me.mlr001MEN030F060.Requery()
					End If
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			cliCommon = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟情報マルチロウコントロールクリック時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F060_Control_Click(ByVal sender As System.Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F060.Control_Click
		log(clsSysMst.logLevel.NRM, "mlr001MEN030F060_Control_Click", "病棟情報マルチロウコントロールクリック時 Start")
		Try
			Select Case CType(sender, Control).Name
				Case MEN030C013.CST_WARD_DETAIL_MAIN_WARD_FLG
					' 病棟情報の病棟コードへフォーカス移動
					Me.mlr001MEN030F060.Rows(e.DetailIndex).Control(MEN030C013.CST_WARD_DETAIL_WARD_CD).Focus()
				Case MEN030C013.CST_WARD_DETAIL_BUTTON_DELETE
					If e.Index < 0 Then
						Exit Sub
					End If
					' 確認メッセージ出力後、内部変数より該当する病棟情報を削除する。
					If Me.confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "削除", Nothing) = MsgBoxResult.Yes Then
						' 行削除
						dtWard.Rows(e.Index).Delete()
						Me.mlr001MEN030F060.Requery()
						' 病棟情報の病棟コードへフォーカス移動
						Me.mlr001MEN030F060.Rows(e.DetailIndex).Control(MEN030C013.CST_WARD_DETAIL_WARD_CD).Focus()
						flgUpdWard = True
					End If
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟情報マルチロウコンボ変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F060_Control_SelectedIndexChanged(ByVal sender As Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F060.Control_SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "mlr001MEN030F060_Control_SelectedIndexChanged", "病棟情報マルチロウコンボ変更時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "病棟情報マルチロウコンボ変更時 Start")
'(M) END V4-11023-000 004 20110816
		Dim dtEndDate As Date = Nothing
		Try
			Select Case CType(sender, Control).Name
				Case MEN030C013.CST_WARD_DETAIL_WARD_CD
					' 一つ前の病棟情報がある場合、一つ前の病棟終了日を取得する
					For i As Integer = e.Index - 1 To 0 Step -1
						With dtWard.Rows(i)
							If .RowState = DataRowState.Deleted Then
								Continue For
							End If
							If Not Date.TryParse(.Item(sqlMTI_WARD.itmWARD_END_DT).ToString, dtEndDate) Then
								dtEndDate = Nothing
							End If
							Exit For
						End With
					Next
					With Me.mlr001MEN030F060.Rows(e.DetailIndex)
						' 病棟開始日が未入力の場合
						With CType(.Control(MEN030C013.CST_WARD_DETAIL_WARD_START_DT), BT_Date)
							If String.IsNullOrEmpty(.Text) Then
								If Not dtEndDate.Equals(Nothing) Then
									' 一つ前の病棟終了日が取得できた場合、動作環境設定より病棟開始日を計算する。
									If eEnvChangeDeptStrAndEndRelaShip = clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift Then
										' 動作環境設定の転科、転棟の終了日から開始日の関係＝一日ずらす場合、
										.DateValue = dtEndDate.AddDays(1)	'病棟開始日 ← 一つ前の病棟終了日＋１
									Else
										' 動作環境設定の転科、転棟の終了日から開始日の関係＝同一日の場合、
										.DateValue = dtEndDate				'病棟開始日 ← 一つ前の病棟終了日
									End If
									If Not Me.ChRec.END_DT.Equals(Nothing) AndAlso .DateValue > Me.ChRec.END_DT Then
										' 設定した病棟開始日が終了日より未来の場合、病棟開始日には終了日を設定する。
										.DateValue = Me.ChRec.END_DT		'病棟開始日 ← 終了日
									End If
								Else
									' 一つ前の病棟終了日が取得できなかった場合、
									.DateValue = Me.ChRec.START_DT			'病棟開始日 ← 開始日
								End If
								' 病棟日数計算
								calcWardDays(Me.mlr001MEN030F060.Rows(e.DetailIndex))
							End If
						End With
						' 病棟終了日が未入力の場合
						With CType(.Control(MEN030C013.CST_WARD_DETAIL_WARD_END_DT), BT_Date)
							If String.IsNullOrEmpty(.Text) Then
								' 病棟終了日には終了日を設定する。
								.DateValue = Me.ChRec.END_DT				'病棟終了日 ← 終了日
								' 病棟日数計算
								calcWardDays(Me.mlr001MEN030F060.Rows(e.DetailIndex))
							End If
						End With
					End With
					flgUpdWard = True
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟情報マルチロウ日付変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F060_Control_TextChanged(ByVal sender As Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F060.Control_TextChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "mlr001MEN030F060_Control_TextChanged", "病棟情報マルチロウ日付変更時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "病棟情報マルチロウ日付変更時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			Select Case CType(sender, Control).Name
				Case MEN030C013.CST_WARD_DETAIL_WARD_START_DT
					flgUpdWard = True
				Case MEN030C013.CST_WARD_DETAIL_WARD_END_DT
					flgUpdWard = True
				Case Else
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟情報マルチロウ明細行初期化時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F060_DetailInit(ByVal sender As System.Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F060.DetailInit
		log(clsSysMst.logLevel.DBG, "mlr001MEN030F060_DetailInit", "病棟情報マルチロウ明細行初期化時 Start")
		Try
			With CType(sender, BT_MultiRowDetail)
				' ボタン画像を設定
				Me.setButtonBMP(.Control(MEN030C013.CST_WARD_DETAIL_BUTTON_DELETE), clsBmp.Enum_BmpType.Delete)
			End With
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟情報マルチロウ明細行追加時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F060_Row_Added(ByVal sender As System.Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F060.Row_Added
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "mlr001MEN030F060_Row_Added", "病棟情報マルチロウ明細行追加時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "病棟情報マルチロウ明細行追加時 Start")
'(M) END V4-11023-000 004 20110816
		Dim row As DataRow = Nothing
		Dim dtEndDate As Date = Nothing
		Try
			' 病棟連番
			row = dtWard.Rows(e.Index)
			row(sqlMTI_WARD.itmWARD_SERIAL_NO) = dtWard.Rows.Count
			' 一つ前の病棟情報がある場合、一つ前の病棟終了日を取得する
			For i As Integer = e.Index - 1 To 0 Step -1
				With dtWard.Rows(i)
					If .RowState = DataRowState.Deleted Then
						Continue For
					End If
					If Not Date.TryParse(.Item(sqlMTI_WARD.itmWARD_END_DT).ToString, dtEndDate) Then
						dtEndDate = Nothing
					End If
					Exit For
				End With
			Next
			With CType(sender, BT_MultiRowDetail)
				' １行目の追加の場合のみ、主病棟フラグをオンにする。
				If .ViewIndex = 0 Then
					If .Control(MEN030C013.CST_WARD_DETAIL_MAIN_WARD_FLG).Equals(e.CurrentControl) Then
						' 主病棟フラグの入力中は設定しない
					Else
						row(sqlMTI_WARD.itmMAIN_WARD_FLG) = clsConst.Enum_CheckBox_Flg.CheckOn
					End If
				End If
				' 病棟開始日
				If .Control(MEN030C013.CST_WARD_DETAIL_WARD_START_DT).Equals(e.CurrentControl) Then
					' 病棟開始日の入力中は設定しない
				Else
					If Not dtEndDate.Equals(Nothing) Then
						' 一つ前の病棟終了日が取得できた場合、動作環境設定より病棟開始日を計算する。
						If eEnvChangeDeptStrAndEndRelaShip = clsConst.Enum_ChangeDeptStrAndEndRelaShip.ChangeDeptShift Then
							' 動作環境設定の転科、転棟の終了日から開始日の関係＝一日ずらす場合、
							row(sqlMTI_WARD.itmWARD_START_DT) = dtEndDate.AddDays(1)	'病棟開始日 ← 一つ前の病棟終了日＋１
						Else
							' 動作環境設定の転科、転棟の終了日から開始日の関係＝同一日の場合、
							row(sqlMTI_WARD.itmWARD_START_DT) = dtEndDate				'病棟開始日 ← 一つ前の病棟終了日
						End If
						If Not Me.ChRec.END_DT.Equals(Nothing) AndAlso row(sqlMTI_WARD.itmWARD_START_DT) > Me.ChRec.END_DT Then
							' 設定した病棟開始日が終了日より未来の場合、病棟開始日には終了日を設定する。
							row(sqlMTI_WARD.itmWARD_START_DT) = Me.ChRec.END_DT			'病棟開始日 ← 終了日
						End If
					Else
						' 一つ前の病棟終了日が取得できなかった場合、
						row(sqlMTI_WARD.itmWARD_START_DT) = Me.ChRec.START_DT			'病棟開始日 ← 開始日
					End If
				End If
				' 病棟終了日
				With CType(.Control(MEN030C013.CST_WARD_DETAIL_WARD_END_DT), BT_Date)
					If .Equals(e.CurrentControl) Then
						' 病棟終了日の入力中は設定しない
					Else
						' 病棟終了日には終了日を設定する。
						row(sqlMTI_WARD.itmWARD_END_DT) = Me.ChRec.END_DT				'病棟終了日 ← 終了日
					End If
				End With
			End With
			' 病棟日数計算
			calcWardDays(row)
			Me.mlr001MEN030F060.Requery()
			flgUpdWard = True
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟情報マルチロウ明細行変更時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub mlr001MEN030F060_Row_Validated(ByVal sender As System.Object, ByVal e As XCM.BT_MultiRow.MultiRowEventArgs) Handles mlr001MEN030F060.Row_Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "mlr001MEN030F060_Row_Validated", "病棟情報マルチロウ明細行変更時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "病棟情報マルチロウ明細行変更時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			' 病棟日数計算
			calcWardDays(CType(sender, BT_MultiRowDetail))
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 病棟情報の病棟日数を計算する
	''' </summary>
	''' <param name="sender"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub calcWardDays(ByVal sender As BT_MultiRowDetail)
		log(clsSysMst.logLevel.DBG, "calcWardDays", "病棟情報の病棟日数を計算 Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim strFormat As String = Nothing
		Dim dtStartDate As Date = Nothing
		Dim dtEndDate As Date = Nothing
		Dim strDays As String = Nothing
		Dim intDays As Integer = 0
		Dim row As DataRow = Nothing
		Try
			' 病棟日数表示用フォーマット
			strFormat = Me.mlr001MEN030F060.DetailProperty(MEN030C013.CST_WARD_DETAIL_WARD_DAYS).Format
			' 病棟日数計算
			cliCommon = New clsMENCOMMON
			With sender
				dtStartDate = CType(.Control(MEN030C013.CST_WARD_DETAIL_WARD_START_DT), BT_Date).DateValue
				dtEndDate = CType(.Control(MEN030C013.CST_WARD_DETAIL_WARD_END_DT), BT_Date).DateValue
				strDays = cliCommon.calcDateTime(clsMENCOMMON.Enum_Mode.eDate, _
												 dtStartDate, _
												 dtEndDate, _
												 Nothing, _
												 Nothing, _
												 Me.ChRec.OUT_HSP_FLG, _
												 Me.ChRec.END_DT)
				If String.IsNullOrEmpty(strDays) OrElse String.IsNullOrEmpty(strFormat) Then
					.Control(MEN030C013.CST_WARD_DETAIL_WARD_DAYS).Text = strDays
				Else
					.Control(MEN030C013.CST_WARD_DETAIL_WARD_DAYS).Text = Integer.Parse(strDays).ToString(strFormat)
				End If
				If .Index >= 0 AndAlso .Index < dtWard.Rows.Count Then
					row = dtWard.Rows(.Index)
					If Integer.TryParse(strDays, intDays) Then
						If IsDBNull(row(sqlMTI_WARD.itmWARD_DAYS)) OrElse row(sqlMTI_WARD.itmWARD_DAYS) <> intDays Then
							row(sqlMTI_WARD.itmWARD_DAYS) = intDays
						End If
					Else
						If Not IsDBNull(row(sqlMTI_WARD.itmWARD_DAYS)) Then
							row(sqlMTI_WARD.itmWARD_DAYS) = DBNull.Value
						End If
					End If
				End If
			End With
		Catch ex As Exception
			Throw
		Finally
			cliCommon = Nothing
			row = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病棟情報の病棟日数を計算する
	''' </summary>
	''' <param name="pRow"></param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub calcWardDays(ByVal pRow As DataRow)
		log(clsSysMst.logLevel.DBG, "calcWardDays", "病棟情報の病棟日数を計算 Start")
		Dim cliCommon As clsMENCOMMON = Nothing
		Dim dtStartDate As Date = Nothing
		Dim dtEndDate As Date = Nothing
		Dim strDays As String = Nothing
		Dim intDays As Integer = 0
		Try
			' 病棟日数計算
			If Date.TryParse(pRow(sqlMTI_WARD.itmWARD_START_DT).ToString, dtStartDate) AndAlso _
			   Date.TryParse(pRow(sqlMTI_WARD.itmWARD_END_DT).ToString, dtEndDate) Then
				cliCommon = New clsMENCOMMON
				strDays = cliCommon.calcDateTime(clsMENCOMMON.Enum_Mode.eDate, _
												 dtStartDate, _
												 dtEndDate, _
												 Nothing, _
												 Nothing, _
												 Me.ChRec.OUT_HSP_FLG, _
												 Me.ChRec.END_DT)
			End If
			If Integer.TryParse(strDays, intDays) Then
				If IsDBNull(pRow(sqlMTI_WARD.itmWARD_DAYS)) OrElse pRow(sqlMTI_WARD.itmWARD_DAYS) <> intDays Then
					pRow(sqlMTI_WARD.itmWARD_DAYS) = intDays
					flgUpdWard = True
				End If
			Else
				If Not IsDBNull(pRow(sqlMTI_WARD.itmWARD_DAYS)) Then
					pRow(sqlMTI_WARD.itmWARD_DAYS) = DBNull.Value
					flgUpdWard = True
				End If
			End If
		Catch ex As Exception
			Throw
		Finally
			cliCommon = Nothing
		End Try
	End Sub

#End Region

#Region "オーバライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 更新前チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdChkData", "更新前チェック処理 Start")
		Try
			' 子コントロールの検証
			Return Me.ValidateChildren
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdProc", "更新前処理 Start")
		Try
			Return flgUpdWard
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Try
			Me.ReturnValue = dtWard.Copy
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新後処理
	''' </summary>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function AfterUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "AfterUpdProc", "更新後処理 Start")
		Try
			Me.FormReturn = Enum_FormReturn.OK
			flgUpdWard = False
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/28 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If dtWard IsNot Nothing Then
				dtWard.Dispose()
			End If

			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			dtWard = Nothing
		End Try
	End Sub

#End Region

End Class