﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 病名情報複写
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN040F020

#Region "コンスタント"

	'入退院情報表示列コントロール
	Private DSPCOL_NAME_HISTORY As String() = { _
	"c01003MEN040F020", "c02003MEN040F020", "c03003MEN040F020", "c04003MEN040F020", "c05003MEN040F020", _
	"c06003MEN040F020", "c07003MEN040F020", "c08003MEN040F020", "c09003MEN040F020", "c10003MEN040F020", _
	"c11003MEN040F020", "c12003MEN040F020", "c13003MEN040F020"}
	'科歴情報表示列コントロール
	Private DSPCOL_NAME_CH As String() = { _
	"c01005MEN040F020", "c02005MEN040F020", "c03005MEN040F020", "c04005MEN040F020", "c05005MEN040F020", _
	"c06005MEN040F020", "c07005MEN040F020", "c08005MEN040F020", "c09005MEN040F020", "c10005MEN040F020", _
	"c11005MEN040F020", "c12005MEN040F020", "c13005MEN040F020", "c14005MEN040F020"}
	'病名情報表示列コントロール
	Private DSPCOL_NAME_DISEASE As String() = { _
	"c02007MEN040F020", "c03007MEN040F020", "c04007MEN040F020", "c05007MEN040F020", "c06007MEN040F020", _
	"c07007MEN040F020", "c08007MEN040F020", "c09007MEN040F020", "c10007MEN040F020", "c11007MEN040F020", _
	"c12007MEN040F020", "c13007MEN040F020", "c14007MEN040F020", "c15007MEN040F020", "c16007MEN040F020"}

	'病歴番号列コントロール名
	Private Const BR_NO_COL_CTRL_HISTORY As String = "c02003MEN040F020"
	Private Const BR_NO_COL_CTRL_CH As String = "c02005MEN040F020"

#End Region

#Region "変数"

	Private pdtHistory As DataTable					'入退院情報データテーブル
	Private pdtCh As DataTable						'科歴情報データテーブル
	Private pdtDisease As DataTable					'病名情報データテーブル
	Private pdtParent As DataTable					'親画面の病名情報データテーブル

	Private pSelectHistoryNo As Integer = Nothing	'入退院歴番号（絞込み条件）
	Private pSelectChNo As Integer = Nothing		'科歴番号（絞込み条件）

	Private pRetDisease As DataTable				'追加病名情報一覧

#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="patientNo">患者番号</param>
	''' <param name="historyNo">入退院歴番号</param>
	''' <param name="chNo">科歴番号</param>
	''' <param name="dtParent">親画面のデータテーブル</param>
	''' <remarks>
	''' 2010/11/15 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal patientNo As String, ByVal historyNo As Integer, ByVal chNo As Integer, ByVal dtParent As DataTable)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.PatientNo = patientNo		'患者番号
		Me.HspHistoryNo = historyNo		'入退院歴番号
		Me.ChNo = chNo					'科歴番号
		Me.pdtParent = dtParent.Copy	'親画面の病名情報データテーブル
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN040F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN040F020_FormClosing", "画面終了時イベント Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			Me.ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			Me.ClosedProc(e.Cancel)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面ロード時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN040F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN040F020_Load", "画面ロード時イベント Start")
		Dim cliGridStyle As clsGridStyle
		Dim envTitle As String = Nothing
		Dim envSortDisease As clsConst.Enum_SortDisease = clsConst.Enum_SortDisease.NoSort
		Try
			cliGridStyle = New clsGridStyle

			'「追加しました。」メッセージラベルを非表示
			Me.lbl008MEN040F020.Visible = False

			'初期化
			Me.pdtHistory = New DataTable			'入退院情報データテーブル
			Me.pdtCh = New DataTable				'科歴情報データテーブル
			Me.pdtDisease = New DataTable			'病名情報データテーブル
			Me.pRetDisease = New DataTable			'追加病名一覧
			Me.pSelectHistoryNo = Nothing			'入退院歴番号（絞込み条件）
			Me.pSelectChNo = Nothing				'科歴番号（絞込み条件）

			'動作環境設定テーブルより「入退院歴情報」および「科歴情報」の病歴番号列タイトルを設定する。
			envTitle = clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00001)
			Me.dgv003MEN040F020.Columns.Item(BR_NO_COL_CTRL_HISTORY).HeaderText = envTitle
			Me.dgv005MEN040F020.Columns.Item(BR_NO_COL_CTRL_CH).HeaderText = envTitle

			'動作環境設定テーブルより病名一覧並び替え設定を取得する
			If Not Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00045), envSortDisease) Then
				envSortDisease = clsConst.Enum_SortDisease.NoSort
			End If

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				'入退院情報の検索
				Using cliHsp As clsMTI_HSP = New clsMTI_HSP
					Me.pdtHistory = cliHsp.getHspPlusPatientDa(db, Me.PatientNo)
				End Using
				'科歴情報の検索
				Using cliCh As clsMTI_CH = New clsMTI_CH
					Me.pdtCh = cliCh.getChPlusPatientDa(db, Me.PatientNo)
				End Using
				'病名情報の検索
				Using cliDisease As clsMTI_DISEASE = New clsMTI_DISEASE(envSortDisease)
					Me.pdtDisease = cliDisease.getDiseasePlusPatientDa(db, Me.PatientNo)
					Me.pdtDisease.Columns.Add(sqlMENCOMMON.itmAddCol4NewRow, GetType(String))
					Me.pdtDisease.Columns.Add(sqlMENCOMMON.itmAddCol4RowSeq, GetType(Integer))
				End Using
			End Using

			'病名情報と同じ型にしておく
			pRetDisease = Me.pdtDisease.Clone

			cliGridStyle.setGridHeight(Me.dgv003MEN040F020)
			cliGridStyle.setGridHeight(Me.dgv005MEN040F020)
			cliGridStyle.setGridHeight(Me.dgv007MEN040F020)
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliGridStyle = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 画面オープン時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN040F020_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN040F020_Shown", "画面オープン時イベント Start")
		Try
			'入退院歴情報一覧表示
			Me.setHistoryList()
			'入退院歴一覧にフォーカス移動
			Me.dgv003MEN040F020.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「入退院歴情報」行変更時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv003MEN040F020_SelectionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv003MEN040F020.SelectionChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dgv003MEN040F020_SelectionChanged", "「入退院歴情報」行変更時イベント Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "「入退院歴情報」行変更時イベント Start")
'(M) END V4-11023-000 004 20110816
		Try
			With Me.dgv003MEN040F020
				If .CurrentRow IsNot Nothing AndAlso .CurrentRow.Index > -1 Then
					Me.pSelectHistoryNo = .Rows(.CurrentRow.Index).Cells(1).Value
				End If
			End With
			'科歴情報一覧表示
			Me.setChList()
			'科歴情報一覧にフォーカス移動
			Me.dgv005MEN040F020.Focus()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「科歴情報」行変更時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv005MEN040F020_SelectionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv005MEN040F020.SelectionChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dgv005MEN040F020_SelectionChanged", "「科歴情報」行変更時イベント Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "「科歴情報」行変更時イベント Start")
'(M) END V4-11023-000 004 20110816
		Try
			With Me.dgv005MEN040F020
				If .CurrentRow IsNot Nothing AndAlso .CurrentRow.Index > -1 Then
					Me.pSelectChNo = .Rows(.CurrentRow.Index).Cells(2).Value
				End If
			End With
			'病名情報一覧表示
			Me.setDiseaseList(False)
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「病名情報」ダブルクリック時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv007MEN040F020_DoubleClick(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv007MEN040F020.DoubleClick
		log(clsSysMst.logLevel.NRM, "dgv007MEN040F020_DoubleClick", "「病名情報」ダブルクリック時イベント Start")
		Try
			'追加処理
			Me.addDisease()
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 「病名情報」行変更時イベント
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv007MEN040F020_SelectionChanged(ByVal sender As Object, ByVal e As System.EventArgs) Handles dgv007MEN040F020.SelectionChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "dgv007MEN040F020_SelectionChanged", "「病名情報」行変更時イベント Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "「病名情報」行変更時イベント Start")
'(M) END V4-11023-000 004 20110816
		Try
			'「追加しました。」メッセージラベルを非表示
			Me.lbl008MEN040F020.Visible = False
		Catch ex As Exception
			Me.ErrorProc(ex)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 入退院歴情報一覧表示
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setHistoryList()
		log(clsSysMst.logLevel.DBG, "setHistoryList", "入退院歴情報一覧表示 Start")
		Try
			With Me.dgv003MEN040F020
				.DataSource = Me.pdtHistory
				If CType(.DataSource, DataTable).Rows.Count > 0 Then
					.Rows(0).Selected = True
					Me.pSelectHistoryNo = .Rows(.CurrentRow.Index).Cells(1).Value
				End If
				'列の表示設定
				For i As Integer = 0 To .ColumnCount - 1
					If Array.IndexOf(Me.DSPCOL_NAME_HISTORY, .Columns(i).Name) > -1 Then
						.Columns(i).Visible = True
					Else
						.Columns(i).Visible = False
					End If
				Next
				'表示順設定
				For i As Integer = 0 To CType(Me.DSPCOL_NAME_HISTORY, Array).GetUpperBound(0)
					.Columns.Item(Me.DSPCOL_NAME_HISTORY(i)).DisplayIndex = i
				Next
			End With
			'科歴情報一覧表示
			Me.setChList()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 科歴情報一覧表示
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setChList()
		log(clsSysMst.logLevel.DBG, "setChList", "科歴情報一覧表示 Start")
		Dim listData As DataTable
		Try
			listData = Me.pdtCh.Clone
			With Me.pdtCh
				For i As Integer = 0 To .Rows.Count - 1
					If Me.pSelectHistoryNo = .Rows(i)(1) Then
						listData.ImportRow(.Rows(i))
					End If
				Next
			End With
			Me.dgv005MEN040F020.DataSource = listData
			With Me.dgv005MEN040F020
				If CType(.DataSource, DataTable).Rows.Count > 0 Then
					.Rows(0).Selected = True
					Me.pSelectChNo = .Rows(.CurrentRow.Index).Cells(2).Value
				End If
				'列の表示設定
				For i As Integer = 0 To .ColumnCount - 1
					If Array.IndexOf(Me.DSPCOL_NAME_CH, .Columns(i).Name) > -1 Then
						.Columns(i).Visible = True
					Else
						.Columns(i).Visible = False
					End If
				Next
				'表示順設定
				For i As Integer = 0 To CType(Me.DSPCOL_NAME_CH, Array).GetUpperBound(0)
					.Columns.Item(Me.DSPCOL_NAME_CH(i)).DisplayIndex = i
				Next
			End With
			'病名情報一覧表示
			Me.setDiseaseList(False)
		Catch ex As Exception
			Throw
		Finally
			listData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名情報一覧表示
	''' </summary>
	''' <param name="allFlg">全情報表示フラグ</param>
	''' <remarks>
	''' 2010/11/15 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setDiseaseList(ByVal allFlg As Boolean)
		log(clsSysMst.logLevel.DBG, "setDiseaseList", "病名情報一覧表示 Start")
		Dim listData As DataTable
		Try
			listData = Me.pdtDisease.Clone
			Select Case True
				Case allFlg
					'全情報表示
					For Each row As DataRow In Me.pdtDisease.Rows
						Select Case True
							Case Me.HspHistoryNo < row(1)
								Exit Select
							Case Me.HspHistoryNo > row(1)
								Exit For
							Case Me.ChNo < row(2)
								Exit Select
							Case Else
								Exit For
						End Select
						listData.ImportRow(row)
					Next
					For Each row As DataRow In Me.pdtParent.Rows
						Select Case True
							Case row.RowState = DataRowState.Deleted
								Continue For
							Case row(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW
								Continue For
							Case Else
								row(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_ADDROW
								listData.ImportRow(row)
						End Select
					Next
					For Each row As DataRow In Me.pdtDisease.Rows
						Select Case True
							Case Me.HspHistoryNo < row(1)
								Continue For
							Case Me.HspHistoryNo > row(1)
								Exit Select
							Case Me.ChNo < row(2)
								Continue For
							Case Me.ChNo > row(2)
								Exit Select
							Case Else
								Continue For
						End Select
						listData.ImportRow(row)
					Next
				Case Me.pSelectHistoryNo = Me.HspHistoryNo AndAlso Me.pSelectChNo = Me.ChNo
					'親画面と同じ
					For Each row As DataRow In Me.pdtParent.Rows
						Select Case True
							Case row.RowState = DataRowState.Deleted
								Continue For
							Case row(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW
								Continue For
							Case Else
								row(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_ADDROW
								listData.ImportRow(row)
						End Select
					Next
				Case Else
					'選択
					For Each row As DataRow In Me.pdtDisease.Rows
						If Me.pSelectHistoryNo = row(1) AndAlso Me.pSelectChNo = row(2) Then
							listData.ImportRow(row)
						End If
					Next
			End Select
			Me.dgv007MEN040F020.DataSource = listData
			With Me.dgv007MEN040F020
				If CType(.DataSource, DataTable).Rows.Count > 0 Then
					.Rows(0).Selected = True
				End If
				'列の表示設定
				For i As Integer = 0 To .ColumnCount - 1
					If Array.IndexOf(Me.DSPCOL_NAME_DISEASE, .Columns(i).Name) > -1 Then
						.Columns(i).Visible = True
					Else
						.Columns(i).Visible = False
					End If
				Next
				'表示順設定
				For i As Integer = 0 To CType(Me.DSPCOL_NAME_DISEASE, Array).GetUpperBound(0)
					.Columns.Item(Me.DSPCOL_NAME_DISEASE(i)).DisplayIndex = i
				Next
			End With
			'「追加しました。」メッセージラベルを非表示
			Me.lbl008MEN040F020.Visible = False
		Catch ex As Exception
			Throw
		Finally
			listData = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 追加処理
	''' </summary>
	''' <remarks>
	''' 2010/11/16 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub addDisease()
		log(clsSysMst.logLevel.DBG, "addDisease", "追加処理 Start")
		Try
			'病名情報が０件の場合
			If Me.dgv007MEN040F020.DataSource Is Nothing OrElse CType(Me.dgv007MEN040F020.DataSource, DataTable).Rows.Count <= 0 Then
				'エラーメッセージを出力し処理を抜ける。
				Me.showMsg("E0003", "病名情報が０件の", "複写", Nothing)
				Exit Sub
			End If
			'病名情報が選択されていない場合
			If Me.dgv007MEN040F020.CurrentCell Is Nothing OrElse Me.dgv007MEN040F020.CurrentCell.ColumnIndex < 0 OrElse Me.dgv007MEN040F020.CurrentCell.RowIndex < 0 Then
				'エラーメッセージを出力し処理を抜ける。
				Me.showMsg("E0014", "病名情報", Nothing)
				Exit Sub
			End If
			'内部変数に病名情報をセット
			With CType(Me.dgv007MEN040F020.DataSource, DataTable)
				'追加
				pRetDisease.ImportRow(.Rows(Me.dgv007MEN040F020.CurrentCell.RowIndex))
			End With
			'「追加しました。」メッセージラベルを表示
			Me.lbl008MEN040F020.Visible = True
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 戻り値作成処理
	''' </summary>
	''' <remarks>
	''' 2010/11/26 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getReturnValue() As ArrayList
		log(clsSysMst.logLevel.DBG, "getReturnValue", "戻り値作成処理 Start")
		Dim arData As ArrayList = Nothing
		Dim dtData As datMTI_DISEASE_PLUS_OneRec = Nothing
		Dim iHspHistoryNo As Integer = 0
		Dim iChNo As Integer = 0
		Dim iDiseaseSerialNo As Integer = 0
		Try
			arData = New ArrayList()
			Using cliDisease As clsMTI_DISEASE = New clsMTI_DISEASE
				For Each row As DataRow In Me.pRetDisease.Rows
					Select Case False
						Case Integer.TryParse(row(sqlMTI_DISEASE.itmHSP_HISTORY_NO).ToString, iHspHistoryNo) AndAlso iHspHistoryNo > 0
						Case Integer.TryParse(row(sqlMTI_DISEASE.itmCH_NO).ToString, iChNo) AndAlso iChNo > 0
						Case Integer.TryParse(row(sqlMTI_DISEASE.itmDISEASE_SERIAL_NO).ToString, iDiseaseSerialNo) AndAlso iDiseaseSerialNo > 0
						Case Else
							dtData = cliDisease.getDiseasePlusRecFromDataRow(row)
							If dtData IsNot Nothing Then
								arData.Add(dtData)
							End If
					End Select
				Next
			End Using
			Return arData
		Catch ex As Exception
			Throw
		Finally
			arData = Nothing
			dtData = Nothing
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ３キー（追加）押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/16 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncAddProc", "Ｆ３キー押下処理 Start")
		Try
			'追加処理
			Me.addDisease()
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１２キー（閉じる）押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/16 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCloseProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCloseProc", "Ｆ１２キー押下処理 Start")
		Dim retArray As ArrayList
		Try
			'戻り値を作成
			retArray = getReturnValue()
			'呼び出し元画面に戻る
			If retArray.Count > 0 Then
				Me.ReturnValue = retArray
				Me.FormReturn = Enum_FormReturn.OK
			End If
			'終了処理
			Me.EndProc()
		Catch ex As Exception
			Throw
		Finally
			retArray = Nothing
		End Try

		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/16 新規作成　CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.DBG, "EnterProc", "ＥＮＴＥＲキー押下処理 Start")
		Try
			If Me.ActiveControl.Name = Me.dgv007MEN040F020.Name Then
				'追加処理
				Me.addDisease()
			Else
				Return MyBase.EnterProc()
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 「全情報表示」ボタン押下時イベント
	''' </summary>
	''' <remarks>
	''' 2010/11/16 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func1Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func1Proc", "「全情報表示」ボタン押下時イベント Start")
		Try
			'病名情報一覧表示
			Me.setDiseaseList(True)
			'病名情報一覧にフォーカス移動
			Me.dgv007MEN040F020.Focus()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 「全件追加」ボタン押下時イベント
	''' </summary>
	''' <remarks>
	''' 2010/11/16 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func2Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func2Proc", "「全件追加」ボタン押下時イベント Start")
		Dim retArray As ArrayList
		Try
			'病名情報が０件の場合
			If Me.dgv007MEN040F020.DataSource Is Nothing OrElse CType(Me.dgv007MEN040F020.DataSource, DataTable).Rows.Count <= 0 Then
				'エラーメッセージを出力し処理を抜ける。
				Me.showMsg("E0003", "病名情報が０件の", "複写", Nothing)
				Exit Function
			End If

'(M) STR V4-12053-000 004 2012/12/14 ID 病歴大将V4PKG 管理No.49 確認メッセージ「OK/キャンセル」→「はい/いいえ」に修正
			'If Me.confMsg("Q0005", "病名情報を全件追加", Nothing) = MsgBoxResult.Ok Then
			If Me.confMsg("Q0005", "病名情報を全件追加", Nothing) = MsgBoxResult.Yes Then
'(M) END V4-12053-000 004 2012/12/14 ID
				With CType(Me.dgv007MEN040F020.DataSource, DataTable)
					For i As Integer = 0 To .Rows.Count - 1
						'追加
						pRetDisease.ImportRow(.Rows(i))
					Next
				End With
				'「追加しました。」メッセージラベルを表示
				Me.lbl008MEN040F020.Visible = True
				'戻り値を作成
				retArray = getReturnValue()
				'呼び出し元画面に戻る
				If retArray.Count > 0 Then
					Me.ReturnValue = retArray
					Me.FormReturn = Enum_FormReturn.OK
				End If
				'終了処理
				Me.EndProc()
			End If
		Catch ex As Exception
			Throw
		Finally
			retArray = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/11/18 新規作成 CS)中岡<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If pdtHistory IsNot Nothing Then
				pdtHistory.Dispose()
			End If
			If pdtCh IsNot Nothing Then
				pdtCh.Dispose()
			End If
			If pdtDisease IsNot Nothing Then
				pdtDisease.Dispose()
			End If
			If pdtParent IsNot Nothing Then
				pdtParent.Dispose()
			End If
			If pRetDisease IsNot Nothing Then
				pRetDisease.Dispose()
			End If
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			pdtHistory = Nothing
			pdtCh = Nothing
			pdtDisease = Nothing
			pdtParent = Nothing
			pRetDisease = Nothing
		End Try
	End Sub

#End Region

End Class