﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 病名マスタ追加
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN040F030

#Region "コンスタント"

#End Region

#Region "変数"
	Private _MNG_DIV As String								'管理記号
	Private _MNG_NO As Integer								'管理番号
	Private _DISEASE_NM As String							'病名
	Private _HSP_DISEASE_CD As String						'院内病名コード
	Private DataMTM_DISEASE_DIV_DSP_ITM As DataTable		'病名分類表示項目マスタ検索結果テーブル
	Private MAX_MNG_NO As Integer							'管理番号(マックス)
	Private datNewDisRec As datMTM_DISEASE_OneRec			'変更用病名レコード
	Private datGetDisRec As datMTM_DISEASE_PLUS_OneRec		'現状病名+名称レコード
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/11/02 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Sub New(ByVal MNG_DIV As String, ByVal MNG_NO As Integer, ByVal DISEASE_NM As String, ByVal HSP_DISEASE_CD As String)
		' この呼び出しは、Windows フォーム デザイナで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		_MNG_DIV = MNG_DIV					'管理記号
		_MNG_NO = MNG_NO					'管理番号
		_DISEASE_NM = DISEASE_NM			'病名
		_HSP_DISEASE_CD = HSP_DISEASE_CD	'院内病名コード
	End Sub
#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 病名マスタ追加画面＿初期表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN040F030_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN040F030_Load", "病名マスタ追加画面＿初期表示 Start")
		Try
			DataMTM_DISEASE_DIV_DSP_ITM = getDataMTM_DISEASE_DIV_DSP_ITM()
			Using cliMTM_DISEASE As clsMTM_DISEASE = New clsMTM_DISEASE
				datGetDisRec = cliMTM_DISEASE.getMTM_DISEASE_PLUS_OneRec(_MNG_DIV, _MNG_NO)
				MAX_MNG_NO = cliMTM_DISEASE.getMTM_DISEASE_MAX_MNG_NO(clsConst.CST_SIGN_U)
			End Using
			If datGetDisRec Is Nothing Then
				Me.showMsg("E0015", "指定された管理記号・管理番号で設定されている病名", Nothing)
				' 画面終了
				Me.EndProc4Load()
				Exit Sub
			End If
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名マスタ追加画面＿初期値表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN040F030_Shown(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN040F030_Shown", "病名マスタ追加画面＿初期値表示 Start")
		Try
			Dim count As Integer = DataMTM_DISEASE_DIV_DSP_ITM.Rows.Count
			Dim Rowscounter As Long

			chk043MEN040F030.Visible = False
			chk044MEN040F030.Visible = False
			chk045MEN040F030.Visible = False
			chk046MEN040F030.Visible = False
			chk047MEN040F030.Visible = False
			chk061MEN040F030.Visible = False
			chk062MEN040F030.Visible = False
			chk063MEN040F030.Visible = False
			chk064MEN040F030.Visible = False
			chk065MEN040F030.Visible = False

			If count <> 0 Then
				For Rowscounter = 0 To count - 1
					'頻度表記
					Select Case True
						Case Rowscounter = 0
							chk043MEN040F030.Visible = True
							chk043MEN040F030.Text = DataMTM_DISEASE_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
							chk061MEN040F030.Visible = True
							chk061MEN040F030.Text = DataMTM_DISEASE_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 1
							chk044MEN040F030.Visible = True
							chk044MEN040F030.Text = DataMTM_DISEASE_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
							chk062MEN040F030.Visible = True
							chk062MEN040F030.Text = DataMTM_DISEASE_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 2
							chk045MEN040F030.Visible = True
							chk045MEN040F030.Text = DataMTM_DISEASE_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
							chk063MEN040F030.Visible = True
							chk063MEN040F030.Text = DataMTM_DISEASE_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 3
							chk046MEN040F030.Visible = True
							chk046MEN040F030.Text = DataMTM_DISEASE_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
							chk064MEN040F030.Visible = True
							chk064MEN040F030.Text = DataMTM_DISEASE_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Rowscounter = 4
							chk047MEN040F030.Visible = True
							chk047MEN040F030.Text = DataMTM_DISEASE_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
							chk065MEN040F030.Visible = True
							chk065MEN040F030.Text = DataMTM_DISEASE_DIV_DSP_ITM.Rows(Rowscounter).Item(1).ToString
						Case Else
					End Select
				Next Rowscounter
			End If

			'元データ
			lbl003MEN040F030.Text = datGetDisRec.MNG_DIV
			lbl004MEN040F030.Text = datGetDisRec.MNG_NO
			lbl006MEN040F030.Text = datGetDisRec.ICD10_CD
			lbl008MEN040F030.Text = datGetDisRec.HSP_DISEASE_CD
			lbl010MEN040F030.Text = datGetDisRec.DISEASE_NM
			lbl012MEN040F030.Text = datGetDisRec.DISEASE_KNM
			lbl014MEN040F030.Text = datGetDisRec.L_GRP_CD
			lbl015MEN040F030.Text = datGetDisRec.L_GRP_NM
			lbl017MEN040F030.Text = datGetDisRec.M_GRP_CD
			lbl018MEN040F030.Text = datGetDisRec.M_GRP_NM
			lbl020MEN040F030.Text = datGetDisRec.S_GRP_CD
			lbl021MEN040F030.Text = datGetDisRec.S_GRP_NM
			lbl023MEN040F030.Text = datGetDisRec.GRP300_CD
			lbl024MEN040F030.Text = datGetDisRec.GRP300_NM
			lbl026MEN040F030.Text = datGetDisRec.A_GRP_CD
			lbl027MEN040F030.Text = datGetDisRec.A_GRP_NM
			lbl029MEN040F030.Text = datGetDisRec.B_GRP_CD
			lbl030MEN040F030.Text = datGetDisRec.B_GRP_NM
			lbl032MEN040F030.Text = datGetDisRec.C_GRP_CD
			lbl033MEN040F030.Text = datGetDisRec.C_GRP_NM
			lbl035MEN040F030.Text = datGetDisRec.DEATH_GRP_CD
			lbl036MEN040F030.Text = datGetDisRec.DEATH_GRP_NM
			lbl038MEN040F030.Text = datGetDisRec.ICD10_PLURAL_GRP_CD
			lbl040MEN040F030.Text = datGetDisRec.RECEIPT_CD
			lbl042MEN040F030.Text = datGetDisRec.DISEASE_EXCHANGE_CD
			If chk043MEN040F030.Visible = True Then
				If String.IsNullOrEmpty(datGetDisRec.DSP_GRP1_FLG) Then
					Me.chk043MEN040F030.Checked = IIf(datGetDisRec.DSP_GRP1_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk044MEN040F030.Visible = True Then
				If String.IsNullOrEmpty(datGetDisRec.DSP_GRP2_FLG) Then
					Me.chk044MEN040F030.Checked = IIf(datGetDisRec.DSP_GRP2_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk045MEN040F030.Visible = True Then
				If String.IsNullOrEmpty(datGetDisRec.DSP_GRP3_FLG) Then
					Me.chk045MEN040F030.Checked = IIf(datGetDisRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk046MEN040F030.Visible = True Then
				If String.IsNullOrEmpty(datGetDisRec.DSP_GRP4_FLG) Then
					Me.chk046MEN040F030.Checked = IIf(datGetDisRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk047MEN040F030.Visible = True Then
				If String.IsNullOrEmpty(datGetDisRec.DSP_GRP5_FLG) Then
					Me.chk047MEN040F030.Checked = IIf(datGetDisRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If

			'追加データ
			lbl051MEN040F030.Text = datGetDisRec.ICD10_CD
			If String.IsNullOrEmpty(_DISEASE_NM) Then
				Me.txt056MEN040F030.Text = datGetDisRec.DISEASE_NM
			Else
				Me.txt056MEN040F030.Text = _DISEASE_NM
			End If
			Me.txt058MEN040F030.Text = datGetDisRec.DISEASE_KNM
			If String.IsNullOrEmpty(_HSP_DISEASE_CD) Then
				Me.txt060MEN040F030.Text = datGetDisRec.HSP_DISEASE_CD
			Else
				Me.txt060MEN040F030.Text = _HSP_DISEASE_CD
			End If
			If chk061MEN040F030.Visible = True Then
				If String.IsNullOrEmpty(datGetDisRec.DSP_GRP1_FLG) Then
					Me.chk061MEN040F030.Checked = IIf(datGetDisRec.DSP_GRP1_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk062MEN040F030.Visible = True Then
				If String.IsNullOrEmpty(datGetDisRec.DSP_GRP2_FLG) Then
					Me.chk062MEN040F030.Checked = IIf(datGetDisRec.DSP_GRP2_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk063MEN040F030.Visible = True Then
				If String.IsNullOrEmpty(datGetDisRec.DSP_GRP3_FLG) Then
					Me.chk063MEN040F030.Checked = IIf(datGetDisRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk064MEN040F030.Visible = True Then
				If String.IsNullOrEmpty(datGetDisRec.DSP_GRP4_FLG) Then
					Me.chk064MEN040F030.Checked = IIf(datGetDisRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
			If chk065MEN040F030.Visible = True Then
				If String.IsNullOrEmpty(datGetDisRec.DSP_GRP5_FLG) Then
					Me.chk065MEN040F030.Checked = IIf(datGetDisRec.DSP_GRP3_FLG.ToString = clsConst.Enum_CheckBox_Flg.CheckOn, True, False)
				End If
			End If
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 病名マスタ追加画面＿終了処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN040F030_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN040F030_FormClosing", "病名マスタ追加画面＿終了処理 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 病名分類表示項目マスタ一覧データ取得
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function getDataMTM_DISEASE_DIV_DSP_ITM() As DataTable
		log(clsSysMst.logLevel.DBG, "getDataMTM_DISEASE_DIV_DSP_ITM", "病名分類表示項目マスタ一覧データ取得 Start")
		Dim dtData As DataTable
		Try
			dtData = New DataTable
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				db.setSQLDa(sqlMEN040F030.sqlMTM_DISEASE_DIV_DSP_ITM)
				db.execQueryDa(dtData)
			End Using
		Catch ex As Exception
			Throw
		End Try
		Return dtData
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病名マスタ情報を新規追加する際のチェック
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkChAdd() As Boolean
		log(clsSysMst.logLevel.DBG, "chkChAdd", "病名マスタ情報を新規追加する際のチェック Start")
		Try
			'必須項目の未入力チェック
			If String.IsNullOrEmpty(Me.txt056MEN040F030.Text) Then
				Me.addErrList("E0001", Me.txt056MEN040F030.Name, Me.lbl055MEN040F030.Text, Nothing)
			End If
			If String.IsNullOrEmpty(Me.txt058MEN040F030.Text) Then
				Me.addErrList("E0001", Me.txt058MEN040F030.Name, Me.lbl057MEN040F030.Text, Nothing)
			End If
			If Me.getErrCount() > 0 Then
				Me.nextErrForm()
				Return False
			Else
				Return True
			End If
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病名マスタ情報を新規追加する際のデータ作成
	''' </summary>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setAdd()
		log(clsSysMst.logLevel.DBG, "setAdd", "病名マスタ情報を新規追加する際のデータ作成 Start")
		Try
			Using cliMTM_DISEASE As clsMTM_DISEASE = New clsMTM_DISEASE
				datNewDisRec = cliMTM_DISEASE.getMTM_DISEASE_OneRec(_MNG_DIV, _MNG_NO)
			End Using
			datNewDisRec.MNG_DIV = clsConst.CST_SIGN_U
			datNewDisRec.MNG_NO = MAX_MNG_NO
			datNewDisRec.DISEASE_NM = txt056MEN040F030.Text				'病名表記
			datNewDisRec.DISEASE_KNM = txt058MEN040F030.Text			'病名表記カナ
			If String.IsNullOrEmpty(Me.txt060MEN040F030.Text) Then
				datNewDisRec.HSP_DISEASE_CD = Nothing
			Else
				datNewDisRec.HSP_DISEASE_CD = txt060MEN040F030.Text		'院内病名コード
			End If
			datNewDisRec.ICD10_CD = lbl051MEN040F030.Text				'ＩＣＤ１０コード
			datNewDisRec.NONDSP_FLG = clsConst.Enum_NonDsp_Flg.Dsp		'非表示フラグ
			datNewDisRec.DSP_GRP1_FLG = IIf(Me.chk061MEN040F030.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)	'表示分類フラグ１
			datNewDisRec.DSP_GRP2_FLG = IIf(Me.chk062MEN040F030.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)	'表示分類フラグ２
			datNewDisRec.DSP_GRP3_FLG = IIf(Me.chk063MEN040F030.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)	'表示分類フラグ３
			datNewDisRec.DSP_GRP4_FLG = IIf(Me.chk064MEN040F030.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)	'表示分類フラグ４
			datNewDisRec.DSP_GRP5_FLG = IIf(Me.chk065MEN040F030.Checked, clsConst.Enum_CheckBox_Flg.CheckOn, clsConst.Enum_CheckBox_Flg.CheckOff)	'表示分類フラグ５
		Catch ex As Exception
			Throw
		End Try
	End Sub
#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 閉じるボタンでは処理しない（更新前確認メッセージ）
	''' </summary>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		Return MsgBoxResult.No
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 病名マスタ情報を新規追加（Ｆ３キー押下処理）
	''' </summary>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncAddProc", "病名マスタ情報を新規追加 Start")
		Try
			' 病名マスタ情報を新規追加する際のチェック
			If Not chkChAdd() Then
				Return False
			End If
			' 病名マスタ追加
			datNewDisRec = New datMTM_DISEASE_OneRec
			setAdd()
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					Using cliMTM_DISEASE As clsMTM_DISEASE = New clsMTM_DISEASE
						cliMTM_DISEASE.execInsMTM_DISEASE_OneRec(db, datNewDisRec)
					End Using
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
'(A) STR V4-12075-000 004 20130207 ID)平井(病名、手術画面起動の高速化)
					' 登録時、共有メモリーを初期化
					clsSysMst.ICD10Status = clsSysMst.Enum_AsyncStatus.Enum_None
'(A) END V4-12075-000 004 20130207
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
			Using cliMTM_DISEASE As clsMTM_DISEASE = New clsMTM_DISEASE
				datNewDisRec = cliMTM_DISEASE.getMTM_DISEASE_OneRec(clsConst.CST_SIGN_U, MAX_MNG_NO)
			End Using
			Me.FormReturn = Enum_FormReturn.OK
			Me.ReturnValue = datNewDisRec
			Me.EndProc()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/13 新規作成　CS)森田<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			If DataMTM_DISEASE_DIV_DSP_ITM IsNot Nothing Then DataMTM_DISEASE_DIV_DSP_ITM.Dispose()
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			DataMTM_DISEASE_DIV_DSP_ITM = Nothing
			datNewDisRec = Nothing
			datGetDisRec = Nothing
		End Try
	End Sub

#End Region

End Class