﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 治療処置登録／参照
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN060F010

#Region "コンスタント"
	Private Const CONST_C01001MEN060F010 As String = "c01001MEN060F010"
'(A) STR V4-13014-000 003 20130213 ID)平井(区分のマウススクロールによる変更抑止)
	Private Const CONST_C02001MEN060F010 As String = "c02001MEN060F010"		'区分
'(A) END V4-13014-000 003 20130213
	Private Const CONST_CMB006MEN060F010 As String = "cmb006MEN060F010"		'ICD9CM
	Private Const CONST_BTN008MEN060F010 As String = "btn008MEN060F010"		'名称検索
	Private Const CONST_BTN008MEN000F010 As String = "btn008MEN000F010"		'マスタより
	Private Const CONST_FILTER_EQ_STRING As String = " = "
#End Region

#Region "変数"
	'前回値取得・保存コントロール名
	Private LastValueCtl() As String = {"cmb022MEN000F040", "cmb024MEN000F040"}
	' 引数連番
	Private _pSerialNo As Integer
	' 入力チェッククラス
	Private cliMEN010F060 As clsMEN010F060
	' MEN共通クラス
	Private cliMENCOMMON As clsMENCOMMON
	'グリッドスタイルクラス
	Private cliGridStyle As clsGridStyle
	'共通コンボクラス
	Private cliCombo As clsComboCom
	'共通メソッドクラス
	Private cliCom As clsCom
	'治療処置データテーブル
	Private datMtiCare As DataTable
	' 現在編集中連番
	Private pNowSerialNo As Integer = 0
	' 現在編集中ICD9CMコンボ
	Private pNowICD9CM_Text As String = Nothing
	Private pNowICD9CM_Index As Integer = Nothing
	'ICD9CMチェック不可フラグ
	Private pIcd9CmChFlg As Boolean = False
	'グリッドソートフラグ
	Private pGridSortFlg As clsConst.Enum_SortCare = clsConst.Enum_SortCare.NoSort
	Private pGridSortString As String = Nothing
	'区分の初期プロパティ
	Private pFirstSelectValue As String = String.Empty
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <remarks>
	''' 2010/11/15 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer)
		Me.New(pExeMode, pPatientNo, pHspHistoryNo, pChNo, 0)
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <param name="pExeMode">処理モード</param>
	''' <param name="pPatientNo">患者番号</param>
	''' <param name="pHspHistoryNo">入退院歴番号</param>
	''' <param name="pChNo">科歴番号</param>
	''' <param name="aSerialNo">連番</param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal pExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer, ByVal aSerialNo As Integer)
		' この呼び出しはデザイナーで必要です。
		MyBase.New()
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = pExeMode						'処理モード
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
		Me.BeforeTransit = Enum_Transit.eCare		'画面遷移前は「治療処置」
		_pSerialNo = aSerialNo
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 処置登録＿Ｌｏａｄ処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN060F010_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN060F010_Load", "処置登録＿Ｌｏａｄ処理 Start")
		Dim lArOrderBy As ArrayList = Nothing
		Try
			cliMEN010F060 = New clsMEN010F060
			cliMENCOMMON = New clsMENCOMMON
			cliGridStyle = New clsGridStyle
			cliCombo = New clsComboCom
			cliCom = New clsCom
			datMtiCare = New DataTable
			'コントロール名の設定
			setControlName()
			' 参照モード？
			If Me.ExeMode = Enum_ExeMode.eReference Then showReferenceMode()
			'入力必須項目については該当する見出しの前景色を青色にする。
			'治療処置区分コード
			lbl002MEN060F010.ForeColor = clsConst.CST_REQUIRED_COLOR
			'ＩＣＤ９ＣＭコード
			btn005MEN060F010.ForeColor = clsConst.CST_REQUIRED_COLOR
			If clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00069) <> CStr(clsConst.Enum_CareDtRange.NoCheck) Then
				'実施日
				lbl011MEN060F010.ForeColor = clsConst.CST_REQUIRED_COLOR
			End If
			'処置一覧並び替え設定
			If Not Integer.TryParse(clsSysMst.ctlEnvData.getEnv(datEnv.Enum_ENV.ENV_00047), pGridSortFlg) Then
				pGridSortFlg = clsConst.Enum_SortCare.NoSort
			End If
			'処置一覧並び替え実行文字列
			lArOrderBy = New ArrayList
			Select Case pGridSortFlg
				Case clsConst.Enum_SortCare.NoSort
					' 並び替えを行わない
				Case clsConst.Enum_SortCare.Sort
					' 保存時に並び替えを行う（実施日順・区分順）
					lArOrderBy.Add(sqlMENCOMMON.itmAddCol4NewRow)			'新規行識別
					lArOrderBy.Add(sqlMENCOMMON.itmAddCol4RowSeq)			'順番識別
					lArOrderBy.Add(sqlMTI_CARE.itmCARE_DT)					'実施日
					lArOrderBy.Add(sqlMTI_CARE.itmCARE_DIV_DSPORDER)		'治療処置区分コード（表示順）
					lArOrderBy.Add(sqlMTI_CARE.itmCARE_DIV)					'治療処置区分コード
					lArOrderBy.Add(sqlMTI_CARE.itmCARE_SERIAL_NO)			'治療処置連番
				Case clsConst.Enum_SortCare.SortDivDt
					' 保存時に並び替えを行う（区分順・実施日順）
					lArOrderBy.Add(sqlMENCOMMON.itmAddCol4NewRow)			'新規行識別
					lArOrderBy.Add(sqlMENCOMMON.itmAddCol4RowSeq)			'順番識別
					lArOrderBy.Add(sqlMTI_CARE.itmCARE_DIV_DSPORDER)		'治療処置区分コード（表示順）
					lArOrderBy.Add(sqlMTI_CARE.itmCARE_DIV)					'治療処置区分コード
					lArOrderBy.Add(sqlMTI_CARE.itmCARE_DT)					'実施日
					lArOrderBy.Add(sqlMTI_CARE.itmCARE_SERIAL_NO)			'治療処置連番
				Case Else
			End Select
			pGridSortString = Join(CType(lArOrderBy.ToArray(GetType(String)), String()), clsMENCOMMON.CONTROL_STRING_COMMA)
			' コンボボックスの値取得
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				'治療処置区分コード
				cmb003MEN060F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CareDiv)
				cmb003MEN060F010.setDropDownWidth()
				'ICD9CMコード
				cliCombo.setICD9CMCombo(Me, cmb006MEN060F010, db)
				cmb006MEN060F010.setDropDownWidth()
				'治療処置補助区分
				cmb014MEN060F010.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_CareAsstDiv)
				cmb014MEN060F010.setDropDownWidth()
				' 治療処置情報
				Using cliCare As clsMTI_CARE = New clsMTI_CARE(pGridSortFlg)
					datMtiCare = cliCare.getCarePlusChDa(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					datMtiCare.Columns.Add(sqlMENCOMMON.itmAddCol4NewRow, GetType(String))
					datMtiCare.Columns.Add(sqlMENCOMMON.itmAddCol4RowSeq, GetType(Integer))
				End Using
			End Using
			' グリッド設定
			dgv001MEN060F010.AutoGenerateColumns = False		'自動行追加禁止
			cliGridStyle.setGridHeight(dgv001MEN060F010)		'グリッド１行の高さを設定
			dgv001MEN060F010.DataSource = datMtiCare
			datMtiCare.AcceptChanges()							'変更をすべてクリアする
			'前回値を継承元で保存しない
			Me.LastValueSkip = True
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			lArOrderBy = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 処置登録＿初期表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN060F010_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN060F010_Shown", "処置登録＿初期表示 Start")
		Try
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				' 前回値取得
				Me.LoadLastValue(LastValueCtl)
			End If
			' レコードなしチェック
			If datMtiCare.Rows.Count = 0 Then
				If Me.ExeMode = Enum_ExeMode.eEntry Then
					' 新規レコード追加
					AddNewRow()
				End If
			Else
				' 治療処置連番でレコードを取得しセットする（なければ先頭）
				srhSerialNo(Me._pSerialNo)
				' ソート処理を行う
				sortDatMtiCare(False)
			End If
			dspDataRow()
'(A) STR V4-13014-000 003 20130213 ID)平井(区分のマウススクロールによる変更抑止)
			setInitialFocus()
'(A) END V4-13014-000 003 20130213
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD9CMクリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn005MEN060F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn005MEN060F010.Click
		log(clsSysMst.logLevel.NRM, "btn005MEN060F010_Click", "ICD9CMクリック処理 Start")
		Try
			cmb006MEN060F010.Focus()
			nextForm(New XSP.XSP140F010(CONST_CMB006MEN060F010, cmb022MEN000F040.SelectedValue, cmb024MEN000F040.SelectedValue, Me.BasicInfoRec.GENDER_CD, cmb006MEN060F010.Text))
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッドKeyDown処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001MEN060F010_KeyDown(ByVal sender As Object, ByVal e As System.Windows.Forms.KeyEventArgs) Handles dgv001MEN060F010.KeyDown
		log(clsSysMst.logLevel.DBG, "dgv001MEN060F010_KeyDown", "グリッドKeyDown処理 Start")	'大量ログ出力の為、DBGに変更
		Dim lPageDisplayedCnt As Integer = dgv001MEN060F010.DisplayedRowCount(False)
		Dim lCurrentIndex As Integer = 0
		Try
			Select Case e.KeyCode
				Case Keys.Down
					If dgv001MEN060F010.RowCount = 0 Then Exit Sub
					If dgv001MEN060F010.RowCount - 1 <= dgv001MEN060F010.CurrentRow.Index Then Exit Sub
					GrdRowUpDownIndex(False)
					e.SuppressKeyPress = True
				Case Keys.Up
					If dgv001MEN060F010.RowCount = 0 Then Exit Sub
					If 0 >= dgv001MEN060F010.CurrentRow.Index Then Exit Sub
					GrdRowUpDownIndex(True)
					e.SuppressKeyPress = True
				Case Keys.PageUp
					If dgv001MEN060F010.RowCount = 0 Then Exit Sub
					lCurrentIndex = dgv001MEN060F010.FirstDisplayedScrollingRowIndex
					If Not setDataRow(srhSerialNo(pNowSerialNo, True), False) Then Exit Sub
					Select Case True
						Case 0 <= lCurrentIndex - (lPageDisplayedCnt)
							srhSerialNo(dgv001MEN060F010.Rows(lCurrentIndex - lPageDisplayedCnt).Cells(CONST_C01001MEN060F010).Value)
							dspDataRow()
						Case 0 > lCurrentIndex - (lPageDisplayedCnt)
							srhSerialNo(dgv001MEN060F010.Rows(0).Cells(CONST_C01001MEN060F010).Value)
							dspDataRow()
						Case Else
					End Select
					e.SuppressKeyPress = True
				Case Keys.PageDown
					If dgv001MEN060F010.RowCount = 0 Then Exit Sub
					lCurrentIndex = dgv001MEN060F010.CurrentCell.RowIndex
					If Not setDataRow(srhSerialNo(pNowSerialNo, True), False) Then Exit Sub
					Select Case True
						Case dgv001MEN060F010.Rows.Count - 1 >= lCurrentIndex + lPageDisplayedCnt
							srhSerialNo(dgv001MEN060F010.Rows(lCurrentIndex + lPageDisplayedCnt).Cells(CONST_C01001MEN060F010).Value, False, False)
							dspDataRow()
						Case dgv001MEN060F010.Rows.Count - 1 < lCurrentIndex + lPageDisplayedCnt
							srhSerialNo(dgv001MEN060F010.Rows(dgv001MEN060F010.Rows.Count - 1).Cells(CONST_C01001MEN060F010).Value, False, False)
							dspDataRow()
						Case Else
					End Select
					e.SuppressKeyPress = True
			End Select
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			lPageDisplayedCnt = Nothing
			lCurrentIndex = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッドセルクリック
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dgv001MEN060F010_CellMouseClick(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellMouseEventArgs) Handles dgv001MEN060F010.CellMouseClick
		log(clsSysMst.logLevel.NRM, "dgv001MEN060F010_CellMouseClick", "グリッドセルクリック Start")
		Try
			If e.RowIndex < 0 OrElse e.ColumnIndex < 0 Then Exit Sub
			selGridView()
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD9CMコンボドロップダウン開始時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb006MEN060F010_DropDown(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmb006MEN060F010.DropDown
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb006MEN060F010_DropDown", "ICD9CMコンボドロップダウン開始時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ICD9CMコンボドロップダウン開始時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'インデックスを保存
			pNowICD9CM_Index = cmb006MEN060F010.SelectedIndex
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD9CMコンボドロップダウン終了時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb006MEN060F010_DropDownClosed(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmb006MEN060F010.DropDownClosed
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb006MEN060F010_DropDownClosed", "ICD9CMコンボドロップダウン終了時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ICD9CMコンボドロップダウン終了時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'分類コードセット処理
			'##S BT-41012-001 2011/10/06 FJSK)mana(障害対応:コンボ対応)
			'If pNowICD9CM_Index <> cmb006MEN060F010.SelectedIndex Then setBunruiCode()
			'##E BT-41012-001
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD9CMコンボフォーカス取得時
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb006MEN060F010_Enter(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmb006MEN060F010.Enter
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb006MEN060F010_Enter", "ICD9CMコンボフォーカス取得時 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ICD9CMコンボフォーカス取得時 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'コンボ内容を保存
			pNowICD9CM_Text = cmb006MEN060F010.Text
			'インデックスを保存
			pNowICD9CM_Index = cmb006MEN060F010.SelectedIndex
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD9CMコンボ選択変更時処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb006MEN060F010_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles cmb006MEN060F010.SelectedIndexChanged
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb006MEN060F010_SelectedIndexChanged", "ICD9CMコンボ選択変更時処理 Start")
		log(clsSysMst.logLevel.DBG, "cmb006MEN060F010_SelectedIndexChanged", "ICD9CMコンボ選択変更時処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'インデックスを保存
			'##S BT-41012-001 2011/10/06 FJSK)mana(障害対応:コンボ対応)
			'pNowICD9CM_Index = cmb006MEN060F010.SelectedIndex
			If pNowSerialNo = 0 Then Exit Sub
			If cmb006MEN060F010.SelectedRowValue Is Nothing Then Exit Sub
			If pNowICD9CM_Index <> cmb006MEN060F010.SelectedIndex Then setBunruiCode()
			'##E BT-41012-001
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' ICD9CMコンボチェック後処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/12/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub cmb006MEN060F010_Validated(ByVal sender As Object, ByVal e As System.EventArgs) Handles cmb006MEN060F010.Validated
'(M) STR V4-11023-000 004 20110816 FJSK)荒川 XXX号 病歴大将V4PKG問題点No127 不要なログ削除対応
'		log(clsSysMst.logLevel.NRM, "cmb006MEN060F010_Validated", "ICD9CMコンボチェック後処理 Start")
		log(clsSysMst.logLevel.DBG, Reflection.MethodBase.GetCurrentMethod.Name, "ICD9CMコンボチェック後処理 Start")
'(M) END V4-11023-000 004 20110816
		Try
			'##S BT-41012-001 2011/10/06 FJSK)mana(障害対応:コンボ対応)
			'If Me.ValidatedSkip AndAlso cmb006MEN060F010.ContainsFocus = False Then Exit Sub
			''分類コードセット処理
			'If pNowICD9CM_Text <> cmb006MEN060F010.Text Then setBunruiCode()
			'##E BT-41012-001

'(A) STR V4-12019-000 007 2012/02/16 FJSK)H.Y 病名・手術分類付番の正確化
			'ICD9CMを手入力した場合(FindStringExactで見つからなかった場合)、分類を付与する
			If Me.ValidatedSkip AndAlso cmb006MEN060F010.ContainsFocus = False Then Exit Sub
			If cmb006MEN060F010.FindStringExact(cmb006MEN060F010.Text) < 0 Then
				setBunruiCode2()
			End If
'(A) END V4-12019-000 007 2012/02/16 FJSK)H.Y 病名・手術分類付番の正確化
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 名称検索クリック処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub btn008MEN060F010_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btn008MEN060F010.Click
		log(clsSysMst.logLevel.NRM, "btn008MEN060F010_Click", "名称検索クリック処理 クリック Start")
		Try
			cmb006MEN060F010.Focus()
			nextForm(New XSP.XSP140F010(CONST_BTN008MEN060F010, cmb022MEN000F040.SelectedValue, cmb024MEN000F040.SelectedValue, Me.BasicInfoRec.GENDER_CD, cmb006MEN060F010.Text, txt007MEN060F010.Text))
		Catch ex As Exception
			ErrorProc(ex)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 処置登録＿終了処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN060F010_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN060F010_FormClosing", "処置登録＿終了処理 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				' 前回値保存
				Me.SaveLastValue(LastValueCtl)
			End If
			' 終了時処理
			Me.ClosingProc()
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' コントロール名の設定
	''' </summary>
	''' <remarks>
	''' 2011/03/16 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setControlName()
		log(clsSysMst.logLevel.DBG, "setControlName", "コントロール名の設定 Start")
		Try
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CARE_DIV) = cmb003MEN060F010.Name	'治療処置区分コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.ICD9CM_CD) = cmb006MEN060F010.Name	'ＩＣＤ９ＣＭコード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CARE_NM) = txt007MEN060F010.Name	'治療処置名
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.SCORE_CD) = txt010MEN060F010.Name	'点数表コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.CARE_DT) = dte012MEN060F010.Name	'実施日
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.ASST_DIV) = cmb014MEN060F010.Name	'補助区分コード
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.REMARKS1) = txt017MEN060F010.Name	'備考１
			cliMEN010F060.ControlName(clsMEN010F060.Enum_Control_ID.REMARKS2) = num019MEN060F010.Name	'備考２
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 表示切替_参照処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showReferenceMode()
		log(clsSysMst.logLevel.DBG, "showReferenceMode", "表示切替_参照処理 Start")
		Try
			btn004MEN000F010.Visible = False
			btn005MEN000F010.Visible = False
			pnl020MEN000F040.Visible = False
			btn011MEN000F010.Visible = False
			btn013MEN000F010.Visible = False
			btn008MEN000F010.Visible = False
			pnl019MEN000F040.Visible = False
			pnl020MEN000F040.Visible = False

			btn008MEN060F010.Visible = False
			cmb003MEN060F010.CanInput = False
			btn005MEN060F010.CanInput = False
			cmb006MEN060F010.CanInput = False
			dte012MEN060F010.CanInput = False
			cmb014MEN060F010.CanInput = False
			txt010MEN060F010.CanInput = False
			txt017MEN060F010.CanInput = False
			num019MEN060F010.CanInput = False
			txt007MEN060F010.CanInput = False
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 新規レコード追加処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub AddNewRow(Optional ByVal aOneRec As datMTM_OPE_NM_OneRec = Nothing, Optional ByRef aAddSeq As Integer = 0)
		log(clsSysMst.logLevel.DBG, "AddNewRow", "新規レコード追加処理 Start")
		Dim wGridViewRow As DataGridViewRow = Nothing
		Dim wDataRowView As DataRowView = Nothing
		Dim wRow As DataRow = Nothing
		Dim lSerialNo As Integer = Nothing
		Dim lRowIndex As Integer = Nothing
		Dim lRetString As String = String.Empty
		Dim lDiv_Nm As String = String.Empty
		Dim lDiv_Rnm As String = String.Empty
		Dim lFixed_Cd As String = String.Empty
		Dim lDsporder As Nullable(Of Integer) = Nothing
		Try
			' 既存の最大連番を取得する
			If dgv001MEN060F010.Rows.Count = 0 Then
				lSerialNo = 0
			Else
				lSerialNo = dgv001MEN060F010.Rows(dgv001MEN060F010.Rows.Count - 1).Cells(CONST_C01001MEN060F010).Value
			End If
			' 最大連番の選択行を取得する
			lRowIndex = srhSerialNo(lSerialNo, True)
			If lRowIndex < 0 Then
				' 選択行なしは新規追加
				wRow = datMtiCare.NewRow
				lSerialNo = lSerialNo + 1
			Else
				' 選択行レコード取得
				wGridViewRow = dgv001MEN060F010.Rows(lRowIndex)
				wDataRowView = CType(wGridViewRow.DataBoundItem, DataRowView)
				wRow = CType(wDataRowView.Row, DataRow)
				If wRow(sqlMENCOMMON.itmAddCol4NewRow).ToString <> clsMENCOMMON.CONST_NEWROW Then
					' 選択行が新規行以外は新規追加
					lRowIndex = -1
					wRow = datMtiCare.NewRow
					lSerialNo = lSerialNo + 1
				Else
					' 選択行が新規行のときは更新開始
					wRow.BeginEdit()
				End If
			End If
			wRow(sqlMTI_CARE.itmCARE_SERIAL_NO) = lSerialNo
			If Not aOneRec Is Nothing Then
				'患者番号
				wRow(sqlMTI_CARE.itmPATIENT_NO) = Me.PatientNo
				'入退院歴番号
				wRow(sqlMTI_CARE.itmHSP_HISTORY_NO) = Me.HspHistoryNo
				'科歴番号
				wRow(sqlMTI_CARE.itmCH_NO) = Me.ChNo
				'治療処置区分コード（常に固定コードが有るものを返す）
				cliMENCOMMON.selectCodeKbnDefIndex(cmb003MEN060F010.DataSource, 1, lRetString, lDiv_Nm, lDiv_Rnm, lFixed_Cd, lDsporder, clsMENCOMMON.Enum_ScrKind.eCare)
				wRow(sqlMTI_CARE.itmCARE_DIV) = lRetString
				wRow(sqlMTI_CARE.itmCARE_DIV_NM) = lDiv_Rnm
				wRow(sqlMTI_CARE.itmCARE_DIV_RNM) = lDiv_Rnm
				wRow(sqlMTI_CARE.itmCARE_DIV_FIXED_CD) = lFixed_Cd
				wRow(sqlMTI_CARE.itmCARE_DIV_DSPORDER) = If(lDsporder.HasValue, lDsporder.Value, DBNull.Value)
				'ＩＣＤ９ＣＭコード
				wRow(sqlMTI_CARE.itmICD9CM_CD) = aOneRec.ICD9CM1_CD
				'治療処置名
				wRow(sqlMTI_CARE.itmCARE_NM) = aOneRec.OPE_KANJI
				'点数表コード
				wRow(sqlMTI_CARE.itmSCORE_CD) = aOneRec.K_CD
				'大分類コード
				wRow(sqlMTI_CARE.itmL_GRP_CD) = aOneRec.L_GRP_CD
				'中分類コード
				wRow(sqlMTI_CARE.itmM_GRP_CD) = aOneRec.M_GRP_CD
				'３桁分類コード
				wRow(sqlMTI_CARE.itmDIGS3_GRP_CD) = aOneRec.DIGS3_GRP_CD
				'院内手術コード
				wRow(sqlMTI_CARE.itmHSP_OPE_CD) = aOneRec.HSP_OPE_CD
				'管理記号
				wRow(sqlMTI_CARE.itmMNG_DIV) = aOneRec.MNG_DIV
				'管理番号
				wRow(sqlMTI_CARE.itmMNG_NO) = aOneRec.MNG_NO
				'新規登録日
				wRow(sqlMTI_CARE.itmNEW_REG_DT) = Now
				'更新ユーザＩＤ
				wRow(sqlMTI_CARE.itmLASTUPDUSER_CD) = clsSysMst.getLoginId
				'最終更新日
				wRow(sqlMTI_CARE.itmLASTUPD_DT) = Now
				'追加行
				aAddSeq += 1
				wRow(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_ADDROW
				wRow(sqlMENCOMMON.itmAddCol4RowSeq) = aAddSeq
			Else
				'新規行
				wRow(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_NEWROW
			End If
			If lRowIndex < 0 Then
				'追加
				datMtiCare.Rows.Add(wRow)
			Else
				'更新終了
				wRow.EndEdit()
			End If
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN060F010, Me)
			' 新規選択
			pNowSerialNo = lSerialNo
			srhSerialNo(pNowSerialNo)
		Catch ex As Exception
			Throw
		Finally
			wGridViewRow = Nothing
			wDataRowView = Nothing
			wRow = Nothing
			lSerialNo = Nothing
			lRowIndex = Nothing
			lRetString = Nothing
			lDiv_Rnm = Nothing
			lDsporder = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 過去データ追加処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub AddCareOneRec(ByVal aOneRec As datMTI_CARE_PLUS_OneRec, ByRef aAddSeq As Integer)
		log(clsSysMst.logLevel.DBG, "AddCareOneRec", "過去データ追加処理 Start")
		Dim wGridViewRow As DataGridViewRow = Nothing
		Dim wDataRowView As DataRowView = Nothing
		Dim wRow As DataRow = Nothing
		Dim lSerialNo As Integer = Nothing
		Dim lRowIndex As Integer = Nothing
		Try
			' 既存の最大連番を取得する
			If dgv001MEN060F010.Rows.Count = 0 Then
				lSerialNo = 0
			Else
				lSerialNo = dgv001MEN060F010.Rows(dgv001MEN060F010.Rows.Count - 1).Cells(CONST_C01001MEN060F010).Value
			End If
			' 最大連番の選択行を取得する
			lRowIndex = srhSerialNo(lSerialNo, True)
			If lRowIndex < 0 Then
				' 選択行なしは新規追加
				wRow = datMtiCare.NewRow
				lSerialNo = lSerialNo + 1
			Else
				' 選択行レコード取得
				wGridViewRow = dgv001MEN060F010.Rows(lRowIndex)
				wDataRowView = CType(wGridViewRow.DataBoundItem, DataRowView)
				wRow = CType(wDataRowView.Row, DataRow)
				If wRow(sqlMENCOMMON.itmAddCol4NewRow).ToString <> clsMENCOMMON.CONST_NEWROW Then
					' 選択行が新規行以外は新規追加
					lRowIndex = -1
					wRow = datMtiCare.NewRow
					lSerialNo = lSerialNo + 1
				Else
					' 選択行が新規行のときは更新開始
					wRow.BeginEdit()
				End If
			End If
			wRow(sqlMTI_CARE.itmCARE_SERIAL_NO) = lSerialNo
			'患者番号
			wRow(sqlMTI_CARE.itmPATIENT_NO) = Me.PatientNo
			'入退院歴番号
			wRow(sqlMTI_CARE.itmHSP_HISTORY_NO) = Me.HspHistoryNo
			'科歴番号
			wRow(sqlMTI_CARE.itmCH_NO) = Me.ChNo
			'新規登録日
			wRow(sqlMTI_CARE.itmNEW_REG_DT) = Now
			'最終更新日
			wRow(sqlMTI_CARE.itmLASTUPD_DT) = Now
			'更新ユーザＩＤ
			wRow(sqlMTI_CARE.itmLASTUPDUSER_CD) = clsSysMst.getLoginId
			'治療処置区分コード
			wRow(sqlMTI_CARE.itmCARE_DIV) = aOneRec.CARE_DIV
			wRow(sqlMTI_CARE.itmCARE_DIV_NM) = aOneRec.CARE_DIV_NM
			wRow(sqlMTI_CARE.itmCARE_DIV_RNM) = aOneRec.CARE_DIV_RNM
			wRow(sqlMTI_CARE.itmCARE_DIV_FIXED_CD) = aOneRec.CARE_DIV_FIXED_CD
			If aOneRec.CARE_DIV_DSPORDER.HasValue Then
				wRow(sqlMTI_CARE.itmCARE_DIV_DSPORDER) = aOneRec.CARE_DIV_DSPORDER.Value
			End If
			'ＩＣＤ９ＣＭコード
			wRow(sqlMTI_CARE.itmICD9CM_CD) = aOneRec.ICD9CM_CD
			'治療処置名
			wRow(sqlMTI_CARE.itmCARE_NM) = aOneRec.CARE_NM
			'点数表コード
			wRow(sqlMTI_CARE.itmSCORE_CD) = aOneRec.SCORE_CD
			'補助区分コード
			wRow(sqlMTI_CARE.itmASST_DIV) = aOneRec.ASST_DIV
			'備考１
			wRow(sqlMTI_CARE.itmREMARKS1) = aOneRec.REMARKS1
			'備考２
			If aOneRec.REMARKS2.HasValue Then
				wRow(sqlMTI_CARE.itmREMARKS2) = aOneRec.REMARKS2.Value
			End If
			'大分類コード
			wRow(sqlMTI_CARE.itmL_GRP_CD) = aOneRec.L_GRP_CD
			'中分類コード
			wRow(sqlMTI_CARE.itmM_GRP_CD) = aOneRec.M_GRP_CD
			'３桁分類コード
			wRow(sqlMTI_CARE.itmDIGS3_GRP_CD) = aOneRec.DIGS3_GRP_CD
			'院内手術コード
			wRow(sqlMTI_CARE.itmHSP_OPE_CD) = aOneRec.HSP_OPE_CD
			'管理記号
			wRow(sqlMTI_CARE.itmMNG_DIV) = aOneRec.MNG_DIV
			'管理番号
			wRow(sqlMTI_CARE.itmMNG_NO) = aOneRec.MNG_NO
			'追加行
			aAddSeq += 1
			wRow(sqlMENCOMMON.itmAddCol4NewRow) = clsMENCOMMON.CONST_ADDROW
			wRow(sqlMENCOMMON.itmAddCol4RowSeq) = aAddSeq
			If lRowIndex < 0 Then
				'追加
				datMtiCare.Rows.Add(wRow)
			Else
				'更新
				wRow.EndEdit()
			End If
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN060F010, Me)
			' 新規選択
			pNowSerialNo = lSerialNo
			srhSerialNo(pNowSerialNo)
		Catch ex As Exception
			Throw
		Finally
			wGridViewRow = Nothing
			wDataRowView = Nothing
			wRow = Nothing
			lSerialNo = Nothing
			lRowIndex = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 連番を探しカレントにする
	''' </summary>
	''' <param name="aSerialNo">シリアル番号</param>
	''' <param name="aMvFlg">移動可否</param>
	''' <param name="aDisplayScroll">スクロール可否</param>
	''' <returns>行番号</returns>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function srhSerialNo(ByVal aSerialNo As Integer, Optional ByVal aMvFlg As Boolean = False, Optional ByVal aDisplayScroll As Boolean = True) As Integer
		log(clsSysMst.logLevel.DBG, "srhSerialNo", "連番を探しカレントにする Start")
		Dim lRetIndex As Integer = -1
		Dim lcnt As Integer = 0
		Try
			For lcnt = 0 To dgv001MEN060F010.Rows.Count - 1
				If dgv001MEN060F010.Rows(lcnt).Cells(CONST_C01001MEN060F010).Value = aSerialNo Then
					If Not aMvFlg Then
						dgv001MEN060F010.Rows(lcnt).Selected = True
						dgv001MEN060F010.Rows(lcnt).Cells(1).Selected = True
						If aDisplayScroll Then
							dgv001MEN060F010.FirstDisplayedScrollingRowIndex = lcnt
						End If
						dgv001MEN060F010.Refresh()
					End If
					lRetIndex = lcnt
					Exit For
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			lcnt = Nothing
		End Try
		Return lRetIndex
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 修正表示処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub dspDataRow()
		log(clsSysMst.logLevel.DBG, "dspDataRow", "修正表示処理 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			' 選択行レコード取得
			lGridViewRow = dgv001MEN060F010.CurrentRow
			If lGridViewRow Is Nothing Then Exit Sub
			lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
			lDataRow = CType(lDataRowView.Row, DataRow)

			' 編集中連番を退避する
			pNowSerialNo = lDataRow.Item(sqlMTI_CARE.itmCARE_SERIAL_NO)
			txt007MEN060F010.Text = lDataRow.Item(sqlMTI_CARE.itmCARE_NM).ToString					'治療処置名
			'実施日
			If IsDBNull(lDataRow.Item(sqlMTI_CARE.itmCARE_DT)) Then
				dte012MEN060F010.DateValue = Nothing
			Else
				dte012MEN060F010.DateValue = lDataRow.Item(sqlMTI_CARE.itmCARE_DT)
			End If
			cliCom.setComboValue(cmb014MEN060F010, lDataRow.Item(sqlMTI_CARE.itmASST_DIV).ToString)	'補助区分コード
			txt010MEN060F010.Text = lDataRow.Item(sqlMTI_CARE.itmSCORE_CD).ToString					'点数表コード
			txt017MEN060F010.Text = lDataRow.Item(sqlMTI_CARE.itmREMARKS1).ToString					'備考１
			num019MEN060F010.Text = lDataRow.Item(sqlMTI_CARE.itmREMARKS2).ToString					'備考２
			' ＩＣＤ９ＣＭコード
			pIcd9CmChFlg = True
			cliCom.setManyValueComboValue(cmb006MEN060F010, lDataRow.Item(sqlMTI_CARE.itmICD9CM_CD).ToString, lDataRow.Item(sqlMTI_CARE.itmMNG_DIV).ToString, lDataRow.Item(sqlMTI_CARE.itmMNG_NO).ToString)
			cliCom.setComboValue(cmb003MEN060F010, lDataRow.Item(sqlMTI_CARE.itmCARE_DIV).ToString)	'治療処置区分コード
			' 大、中、３桁分類
			lbl021MEN060F010.Text = lDataRow.Item(sqlMTI_CARE.itmL_GRP_CD).ToString
			lbl023MEN060F010.Text = lDataRow.Item(sqlMTI_CARE.itmM_GRP_CD).ToString
			lbl025MEN060F010.Text = lDataRow.Item(sqlMTI_CARE.itmDIGS3_GRP_CD).ToString
			lbl027MEN060F010.Text = lDataRow.Item(sqlMTI_CARE.itmHSP_OPE_CD).ToString				'院内手術コード
			' 管理番号
			lbl029MEN060F010.Text = lDataRow.Item(sqlMTI_CARE.itmMNG_DIV).ToString
			lbl030MEN060F010.Text = lDataRow.Item(sqlMTI_CARE.itmMNG_NO).ToString
			' 最終更新日
			lbl032MEN060F010.Text = cliMENCOMMON.getDateFormat(lDataRow.Item(sqlMTI_CARE.itmLASTUPD_DT))
			' データ取込み日
			lbl034MEN060F010.Text = cliMENCOMMON.getDateFormat(lDataRow.Item(sqlMTI_CARE.itmDATA_CAPTURE_DT))
			' 新規登録日
			lbl036MEN060F010.Text = cliMENCOMMON.getDateFormat(lDataRow.Item(sqlMTI_CARE.itmNEW_REG_DT))
			If Me.ExeMode = Enum_ExeMode.eEntry Then
				' 矢印制御
				cliMENCOMMON.dspUpDownButtonFace(dgv001MEN060F010, Me)
				' コンボ初期値設定
				selcmbKbn_DefIndex()
				'区分の初期プロパティ
				If lDataRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then
					pFirstSelectValue = cmb003MEN060F010.Text
				Else
					pFirstSelectValue = String.Empty
				End If
			End If
		Catch ex As Exception
			Throw
		Finally
			pIcd9CmChFlg = False
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッド上下移動処理
	''' </summary>
	''' <param name="aUpFlg"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub GrdRowUpDownIndex(ByVal aUpFlg As Boolean)
		log(clsSysMst.logLevel.DBG, "GrdRowUpDownIndex", "グリッド上下移動処理 クリック Start")
		Try
			Dim wRowIndex As Integer = srhSerialNo(pNowSerialNo, True)
			Dim wRowNextIndex As Integer = IIf(aUpFlg, wRowIndex - 1, wRowIndex + 1)
			' グリッドに反映
			If Not setDataRow(wRowIndex, False) Then Exit Sub
			If wRowNextIndex >= 0 AndAlso wRowNextIndex < dgv001MEN060F010.RowCount Then
				dgv001MEN060F010.Rows(wRowNextIndex).Cells(1).Selected = True
			End If
			' グリッドから取得
			dspDataRow()
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 修正データグリッド反映処理
	''' </summary>
	''' <param name="aRowIndex">対象行番号</param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function setDataRow(ByVal aRowIndex As Integer, Optional ByVal aFocusSelect As Boolean = True) As Boolean
		log(clsSysMst.logLevel.DBG, "setDataRow", "修正データグリッド反映処理 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			'更新モード以外は抜ける
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Return True
			If dgv001MEN060F010.Rows.Count = 0 Then Return True
			' コントロール値確定
			If aRowIndex < 0 Then Return False
			If Not Me.ValidateChildren() Then Return False
			Dim lRowState As Boolean = False
			' 選択行レコード取得
			lGridViewRow = dgv001MEN060F010.Rows(aRowIndex)
			lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
			lDataRow = CType(lDataRowView.Row, DataRow)
			' 入力チェックを行う
			Select Case chkDataRow()
				Case MsgBoxResult.Cancel
					Return True
				Case MsgBoxResult.No
					If Me.getErrCount <> 0 Then nextErrForm()
					Return False
				Case Else
			End Select
			With lDataRow
				.BeginEdit()
				.Item(sqlMTI_CARE.itmPATIENT_NO) = Me.PatientNo
				.Item(sqlMTI_CARE.itmHSP_HISTORY_NO) = Me.HspHistoryNo
				.Item(sqlMTI_CARE.itmCH_NO) = Me.ChNo
				' 治療処理コード
				If cliMENCOMMON.setDtTableField_BTMultiCombo(.Item(sqlMTI_CARE.itmCARE_DIV), cmb003MEN060F010) Then
					If cmb003MEN060F010.SelectedRowValue Is Nothing Then
						.Item(sqlMTI_CARE.itmCARE_DIV_NM) = DBNull.Value
						.Item(sqlMTI_CARE.itmCARE_DIV_RNM) = DBNull.Value
						.Item(sqlMTI_CARE.itmCARE_DIV_FIXED_CD) = DBNull.Value
						.Item(sqlMTI_CARE.itmCARE_DIV_DSPORDER) = DBNull.Value
					Else
						.Item(sqlMTI_CARE.itmCARE_DIV_NM) = cmb003MEN060F010.SelectedRowValue.Item(sqlComboCom.itmCARE_DIV_NM)
						.Item(sqlMTI_CARE.itmCARE_DIV_RNM) = cmb003MEN060F010.SelectedRowValue.Item(sqlComboCom.itmCARE_DIV_RNM)
						.Item(sqlMTI_CARE.itmCARE_DIV_FIXED_CD) = cmb003MEN060F010.SelectedRowValue.Item(sqlComboCom.itmFIXED_CD)
						.Item(sqlMTI_CARE.itmCARE_DIV_DSPORDER) = cmb003MEN060F010.SelectedRowValue.Item(sqlComboCom.itmDSPORDER)
					End If
					lRowState = True
				End If
				' ＩＣＤ９ＣＭコード
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_CARE.itmICD9CM_CD), cmb006MEN060F010.Text) Then
					lRowState = True
				End If
				'実施日
				If cliMENCOMMON.setDtTableField_BTDate(.Item(sqlMTI_CARE.itmCARE_DT), dte012MEN060F010) Then
					lRowState = True
				End If
				' 治療処置名
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_CARE.itmCARE_NM), txt007MEN060F010.Text) Then
					lRowState = True
				End If
				' 点数表コード
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_CARE.itmSCORE_CD), txt010MEN060F010.Text) Then
					lRowState = True
				End If
				'補助区分コード
				If cliMENCOMMON.setDtTableField_BTMultiCombo(.Item(sqlMTI_CARE.itmASST_DIV), cmb014MEN060F010) Then
					lRowState = True
				End If
				'備考１
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_CARE.itmREMARKS1), txt017MEN060F010.Text) Then
					lRowState = True
				End If
				'備考２
				If cliMENCOMMON.setDtTableField_BTNumber(.Item(sqlMTI_CARE.itmREMARKS2), num019MEN060F010) Then
					lRowState = True
				End If
				'大
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_CARE.itmL_GRP_CD), lbl021MEN060F010.Text) Then
					lRowState = True
				End If
				'中
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_CARE.itmM_GRP_CD), lbl023MEN060F010.Text) Then
					lRowState = True
				End If
				'３桁
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_CARE.itmDIGS3_GRP_CD), lbl025MEN060F010.Text) Then
					lRowState = True
				End If
				'院内手術コード
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_CARE.itmHSP_OPE_CD), lbl027MEN060F010.Text) Then
					lRowState = True
				End If
				'管理記号
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_CARE.itmMNG_DIV), lbl029MEN060F010.Text) Then
					lRowState = True
				End If
				'管理番号
				If cliMENCOMMON.setDtTableField_Text(.Item(sqlMTI_CARE.itmMNG_NO), lbl030MEN060F010.Text) Then
					lRowState = True
				End If
				' 更新チェック
				If lRowState Then
					If .Item(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then
						.Item(sqlMTI_CARE.itmNEW_REG_DT) = Now						'新規登録日
					End If
					.Item(sqlMTI_CARE.itmLASTUPDUSER_CD) = clsSysMst.getLoginId		'更新者コード
					.Item(sqlMTI_CARE.itmLASTUPD_DT) = Now							'最終更新日
					.EndEdit()
					' 新規行クリア
					resetNewRow(.Item(sqlMENCOMMON.itmAddCol4NewRow).ToString)
				Else
					.CancelEdit()
				End If
				' ソート処理を行う
				sortDatMtiCare(aFocusSelect)
			End With
			pFirstSelectValue = String.Empty	'区分初期値のクリア
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 新規行クリア処理
	''' </summary>
	''' <param name="aNewRow">新規行識別</param>
	''' <remarks>
	''' 2010/12/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub resetNewRow(ByVal aNewRow As String)
		log(clsSysMst.logLevel.DBG, "resetNewRow", "新規行クリア処理 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			If String.IsNullOrEmpty(aNewRow) Then Exit Sub
			For Each lGridViewRow In dgv001MEN060F010.Rows
				lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
				lDataRow = CType(lDataRowView.Row, DataRow)
				With lDataRow
					'同じ新規行識別
					If .Item(sqlMENCOMMON.itmAddCol4NewRow).ToString <> aNewRow Then Continue For
					'ソート項目あり
					If String.IsNullOrEmpty(.Item(sqlMTI_CARE.itmCARE_DIV).ToString) Then Continue For
					If String.IsNullOrEmpty(.Item(sqlMTI_CARE.itmCARE_DT).ToString) Then Continue For
					.BeginEdit()
					.Item(sqlMENCOMMON.itmAddCol4NewRow) = DBNull.Value				'新規行識別
					.Item(sqlMENCOMMON.itmAddCol4RowSeq) = DBNull.Value				'順番識別
					.EndEdit()
				End With
			Next
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataRow() As MsgBoxResult
		log(clsSysMst.logLevel.DBG, "chkDataRow", "入力チェック Start")
		Dim lRet As MsgBoxResult = MsgBoxResult.Yes
		Dim ldtCareInfoRow As datCareInfo		' チェック用テーブル
		Dim lArList As ArrayList
		Dim lRetErrCnt As ArrayList
		Dim lChkObj As Object = Nothing
		Try
			' すべて入力なしの場合は抜ける
			Select Case False
				Case String.IsNullOrEmpty(cmb003MEN060F010.Text) OrElse cmb003MEN060F010.Text = pFirstSelectValue
				Case String.IsNullOrEmpty(cmb006MEN060F010.Text)
				Case String.IsNullOrEmpty(txt010MEN060F010.Text)
				Case String.IsNullOrEmpty(txt007MEN060F010.Text)
				Case String.IsNullOrEmpty(dte012MEN060F010.Text)
				Case String.IsNullOrEmpty(cmb014MEN060F010.Text)
				Case String.IsNullOrEmpty(txt017MEN060F010.Text)
				Case String.IsNullOrEmpty(num019MEN060F010.Text)
				Case Else
					cliCom.setComboValue(cmb003MEN060F010, Nothing)
					Return MsgBoxResult.Cancel
			End Select
			ldtCareInfoRow = New datCareInfo
			ldtCareInfoRow.PATIENT_NO = Me.PatientNo
			ldtCareInfoRow.HSP_HISTORY_NO = Me.HspHistoryNo
			ldtCareInfoRow.CH_NO = Me.ChNo
			ldtCareInfoRow.CARE_SERIAL_NO = pNowSerialNo
			ldtCareInfoRow.CARE_DIV = cmb003MEN060F010.Text				'治療処置区分コード
			ldtCareInfoRow.CARE_DIV_NM = lbl004MEN060F010.Text			'治療処置区分名
			ldtCareInfoRow.ICD9CM_CD = cmb006MEN060F010.Text			'ICD9CM
			ldtCareInfoRow.CARE_NM = txt007MEN060F010.Text				'治療処置名
			ldtCareInfoRow.SCORE_CD = txt010MEN060F010.Text				'点数表コード
			'実施日
			If Not String.IsNullOrEmpty(dte012MEN060F010.Text) Then
				ldtCareInfoRow.CARE_DT = dte012MEN060F010.Text
			End If
			ldtCareInfoRow.ASST_DIV = cmb014MEN060F010.Text				'補助区分
			ldtCareInfoRow.REMARKS1 = txt017MEN060F010.Text				'備考１
			'備考２
			If Not String.IsNullOrEmpty(num019MEN060F010.Text) Then
				ldtCareInfoRow.REMARKS2 = num019MEN060F010.Text
			End If
			ldtCareInfoRow.L_GRP_CD = lbl021MEN060F010.Text				'大
			ldtCareInfoRow.M_GRP_CD = lbl023MEN060F010.Text				'中
			ldtCareInfoRow.DIGS3_GRP_CD = lbl025MEN060F010.Text			'３
			ldtCareInfoRow.MNG_DIV = lbl029MEN060F010.Text				'管理記号
			If Not String.IsNullOrEmpty(lbl030MEN060F010.Text) Then
				ldtCareInfoRow.MNG_NO = lbl030MEN060F010.Text			'管理番号
			End If
			'科歴開始日
			If Not ChRec.START_DT.Equals(Nothing) Then
				ldtCareInfoRow.START_DT = ChRec.START_DT
			End If
			'科歴終了日
			If Not ChRec.END_DT.Equals(Nothing) Then
				ldtCareInfoRow.CH_END_DT = ChRec.END_DT
			End If
			'入退院_入院日
			If Not HspRec.HSP_DT.Equals(Nothing) Then
				ldtCareInfoRow.HSP_DT = HspRec.HSP_DT
			End If
			'入退院_退院日
			If Not HspRec.OUT_HSP_DT.Equals(Nothing) Then
				ldtCareInfoRow.OUT_HSP_DT = HspRec.OUT_HSP_DT
			End If
			'チェック
			lArList = New ArrayList
			lArList.Add(ldtCareInfoRow)
			lRetErrCnt = cliMEN010F060.chkCareInfo(lArList, Me)
			For Each lChkObj In lRetErrCnt
				If IIf(lChkObj Is Nothing, 0, lChkObj) <> 0 Then
					lRet = MsgBoxResult.No
				End If
			Next
		Catch ex As Exception
			Throw
		Finally
			ldtCareInfoRow = Nothing
			lArList = Nothing
			lRetErrCnt = Nothing
			lChkObj = Nothing
		End Try
		Return lRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 全入力チェック
	''' </summary>
	''' <returns>成否</returns>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDataRowAll() As Boolean
		log(clsSysMst.logLevel.DBG, "chkDataRowAll", "全入力チェック Start")
		Dim lRet As Boolean = True
		Dim lDtRow As DataRow = Nothing
		Dim ldtCareInfoRow As datCareInfo		' チェック用テーブル
		Dim lArList As ArrayList
		Dim lRetErrCnt As ArrayList
		Dim lChkObj As Object = Nothing
		Try
			lArList = New ArrayList
			For Each lDtRow In datMtiCare.Rows
				If lDtRow.RowState = DataRowState.Deleted Then Continue For
				If lDtRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then Continue For
				ldtCareInfoRow = New datCareInfo
				With ldtCareInfoRow
					.PATIENT_NO = lDtRow(sqlMTI_CARE.itmPATIENT_NO)
					.HSP_HISTORY_NO = lDtRow(sqlMTI_CARE.itmHSP_HISTORY_NO)
					.CH_NO = lDtRow(sqlMTI_CARE.itmCH_NO)
					.CARE_SERIAL_NO = lDtRow(sqlMTI_CARE.itmCARE_SERIAL_NO)
					'治療処置区分
					.CARE_DIV = lDtRow(sqlMTI_CARE.itmCARE_DIV).ToString
					.CARE_DIV_NM = lDtRow(sqlMTI_CARE.itmCARE_DIV_NM).ToString
					'ＩＣＤ９ＣＭコード
					.ICD9CM_CD = lDtRow(sqlMTI_CARE.itmICD9CM_CD).ToString
					'治療処置名
					.CARE_NM = lDtRow(sqlMTI_CARE.itmCARE_NM).ToString
					'点数表コード
					.SCORE_CD = lDtRow(sqlMTI_CARE.itmSCORE_CD).ToString
					'実施日
					If IsDate(lDtRow(sqlMTI_CARE.itmCARE_DT)) Then
						.CARE_DT = lDtRow(sqlMTI_CARE.itmCARE_DT)
					End If
					'補助区分
					.ASST_DIV = lDtRow(sqlMTI_CARE.itmASST_DIV).ToString
					'備考１
					.REMARKS1 = lDtRow(sqlMTI_CARE.itmREMARKS1).ToString
					'備考２
					If IsNumeric(lDtRow(sqlMTI_CARE.itmREMARKS2)) Then
						.REMARKS2 = lDtRow(sqlMTI_CARE.itmREMARKS2)
					End If
					'大、中、３桁分類
					.L_GRP_CD = lDtRow(sqlMTI_CARE.itmL_GRP_CD).ToString
					.M_GRP_CD = lDtRow(sqlMTI_CARE.itmM_GRP_CD).ToString
					.DIGS3_GRP_CD = lDtRow(sqlMTI_CARE.itmDIGS3_GRP_CD).ToString
					'院内手術コード
					.HSP_OPE_CD = lDtRow(sqlMTI_CARE.itmHSP_OPE_CD).ToString
					'管理記号
					.MNG_DIV = lDtRow(sqlMTI_CARE.itmMNG_DIV).ToString
					'管理番号
					If IsNumeric(lDtRow(sqlMTI_CARE.itmMNG_NO)) Then
						.MNG_NO = lDtRow(sqlMTI_CARE.itmMNG_NO)
					End If
					'科歴開始日
					If Not ChRec.START_DT.Equals(Nothing) Then
						.START_DT = ChRec.START_DT
					End If
					'科歴終了日
					If Not ChRec.END_DT.Equals(Nothing) Then
						.CH_END_DT = ChRec.END_DT
					End If
					'入退院_入院日
					If Not HspRec.HSP_DT.Equals(Nothing) Then
						.HSP_DT = HspRec.HSP_DT
					End If
					'入退院_退院日
					If Not HspRec.OUT_HSP_DT.Equals(Nothing) Then
						.OUT_HSP_DT = HspRec.OUT_HSP_DT
					End If
				End With
				lArList.Add(ldtCareInfoRow)
			Next
			'チェック
			If lArList.Count > 0 Then
				lRetErrCnt = cliMEN010F060.chkCareInfo(lArList, Me)
				For Each lChkObj In lRetErrCnt
					If IIf(lChkObj Is Nothing, 0, lChkObj) <> 0 Then
						lRet = False
					End If
				Next
			End If
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
			ldtCareInfoRow = Nothing
			lArList = Nothing
			lRetErrCnt = Nothing
			lChkObj = Nothing
		End Try
		Return lRet
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' グリッド上下入替え処理
	''' </summary>
	''' <param name="aRowIndex1">入替え元Index</param>
	''' <param name="aRowIndex2">入替え先Index</param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub chgUpDownGrid(ByVal aRowIndex1 As Integer, ByVal aRowIndex2 As Integer)
		log(clsSysMst.logLevel.DBG, "chgUpDownGrid", "グリッド上下入替え処理 クリック Start")
		Dim wGridViewRow1 As DataGridViewRow = Nothing
		Dim wGridViewRow2 As DataGridViewRow = Nothing
		Dim wDataRowView1 As DataRowView = Nothing
		Dim wDataRowView2 As DataRowView = Nothing
		Dim wDataRow1 As DataRow = Nothing
		Dim wDataRow2 As DataRow = Nothing
		Dim ldv As DataView = Nothing
		Try
			dgv001MEN060F010.Columns(CONST_C01001MEN060F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending
			Dim wIndex As Integer
			Dim wIndex2 As Integer
			wGridViewRow1 = Me.dgv001MEN060F010.Rows(aRowIndex1)
			wGridViewRow2 = Me.dgv001MEN060F010.Rows(aRowIndex2)
			wDataRowView1 = CType(wGridViewRow1.DataBoundItem, DataRowView)
			wDataRowView2 = CType(wGridViewRow2.DataBoundItem, DataRowView)
			wDataRow1 = CType(wDataRowView1.Row, DataRow)
			wDataRow2 = CType(wDataRowView2.Row, DataRow)
			' Index退避
			wIndex = dgv001MEN060F010.Rows(aRowIndex1).Cells(CONST_C01001MEN060F010).Value
			wIndex2 = dgv001MEN060F010.Rows(aRowIndex2).Cells(CONST_C01001MEN060F010).Value
			' 選択行レコード取得
			wDataRow1.BeginEdit()
			wDataRow2.BeginEdit()
			wDataRow1(sqlMTI_CARE.itmCARE_SERIAL_NO) = wIndex2
			wDataRow2(sqlMTI_CARE.itmCARE_SERIAL_NO) = wIndex
			wDataRow1.EndEdit()
			wDataRow2.EndEdit()
			' ソート処理
			ldv = datMtiCare.DefaultView
			ldv.Sort = sqlMTI_CARE.itmCARE_SERIAL_NO
			dgv001MEN060F010.Columns(CONST_C01001MEN060F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending
			' 現在行にフォーカス移動
			srhSerialNo(wIndex2)
			pNowSerialNo = wIndex2
			' ボタン表示切替
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN060F010, Me)
		Catch ex As Exception
			Throw
		Finally
			wGridViewRow1 = Nothing
			wGridViewRow2 = Nothing
			wDataRowView1 = Nothing
			wDataRowView2 = Nothing
			wDataRow1 = Nothing
			wDataRow2 = Nothing
			ldv = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 治療処置区分ディフォルト選択処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub selcmbKbn_DefIndex()
		log(clsSysMst.logLevel.DBG, "selcmbKbn_DefIndex", "治療処置区分ディフォルト選択処理 Start")
		Dim lRetString As String = String.Empty
		Dim lDiv_Nm As String = String.Empty
		Dim lDiv_Rnm As String = String.Empty
		Dim lFixed_Cd As String = String.Empty
		Dim lDsporder As Nullable(Of Integer) = Nothing
		Try
			'治療処置区分の選択
			If String.IsNullOrEmpty(cmb003MEN060F010.Text) Then
				cliMENCOMMON.selectCodeKbnDefIndex(cmb003MEN060F010.DataSource, 1, lRetString, lDiv_Nm, lDiv_Rnm, lFixed_Cd, lDsporder, clsMENCOMMON.Enum_ScrKind.eCare)
				cliCom.setComboValue(cmb003MEN060F010, lRetString)
			End If
		Catch ex As Exception
			Throw
		Finally
			lRetString = Nothing
			lDiv_Rnm = Nothing
			lDsporder = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分類コードセット処理
	''' </summary>
	''' <remarks>
	''' 2010/12/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setBunruiCode()
		log(clsSysMst.logLevel.DBG, "setBunruiCode", "分類コードセット処理 Start")
		Dim lDtRow As DataRow = Nothing
		Dim lArList As ArrayList = Nothing
		Dim lOpeNmOneRec As datMTM_OPE_NM_OneRec = Nothing
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pIcd9CmChFlg Then Exit Sub
			lDtRow = cmb006MEN060F010.SelectedRowValue
			Select Case True
				Case lDtRow IsNot Nothing
					With lDtRow
						lbl021MEN060F010.Text = .Item(XSP.sqlComboCom.itmSelICD9CMCombo_L_GRP_CD).ToString
						lbl023MEN060F010.Text = .Item(XSP.sqlComboCom.itmSelICD9CMCombo_M_GRP_CD).ToString
						lbl025MEN060F010.Text = .Item(XSP.sqlComboCom.itmSelICD9CMCombo_DIGS3_GRP_CD).ToString
						lbl029MEN060F010.Text = .Item(XSP.sqlComboCom.itmSelICD9CMCombo_MNG_DIV).ToString
						lbl030MEN060F010.Text = .Item(XSP.sqlComboCom.itmSelICD9CMCombo_MNG_NO).ToString
						lbl027MEN060F010.Text = .Item(XSP.sqlComboCom.itmSelICD9CMCombo_HSP_OPE_CD).ToString
						If cmb022MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt007MEN060F010.Text) Then
							txt007MEN060F010.Text = .Item(XSP.sqlComboCom.itmSelICD9CMCombo_OPE_KANJI).ToString
						End If
						If cmb024MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt010MEN060F010.Text) Then
							txt010MEN060F010.Text = .Item(XSP.sqlComboCom.itmSelICD9CMCombo_K_CD).ToString
						End If
					End With
				Case String.IsNullOrEmpty(cmb006MEN060F010.Text)
					lbl021MEN060F010.Text = Nothing
					lbl023MEN060F010.Text = Nothing
					lbl025MEN060F010.Text = Nothing
					lbl029MEN060F010.Text = Nothing
					lbl030MEN060F010.Text = Nothing
					lbl027MEN060F010.Text = Nothing
					If cmb022MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt007MEN060F010.Text) Then
						txt007MEN060F010.Text = Nothing
					End If
					If cmb024MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt010MEN060F010.Text) Then
						txt010MEN060F010.Text = Nothing
					End If
				Case Else
					Using cliOpeNm As clsMTM_OPE_NM = New clsMTM_OPE_NM
						lArList = cliOpeNm.getMTM_OPE_NM_SAME_ICD9CM_CD(cmb006MEN060F010.Text)
					End Using
					Select Case True
						Case lArList IsNot Nothing
							lOpeNmOneRec = lArList(0)
							With lOpeNmOneRec
								lbl021MEN060F010.Text = .L_GRP_CD
								lbl023MEN060F010.Text = .M_GRP_CD
								lbl025MEN060F010.Text = .DIGS3_GRP_CD
								lbl029MEN060F010.Text = .MNG_DIV
								lbl030MEN060F010.Text = .MNG_NO
								lbl027MEN060F010.Text = .HSP_OPE_CD
								If cmb022MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt007MEN060F010.Text) Then
									txt007MEN060F010.Text = .OPE_KANJI
								End If
								If cmb024MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt010MEN060F010.Text) Then
									txt010MEN060F010.Text = .K_CD
								End If
							End With
						Case Else
							lbl029MEN060F010.Text = Nothing
							lbl030MEN060F010.Text = Nothing
							lbl027MEN060F010.Text = Nothing
							If cmb022MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt007MEN060F010.Text) Then
								txt007MEN060F010.Text = Nothing
							End If
							If cmb024MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt010MEN060F010.Text) Then
								txt010MEN060F010.Text = Nothing
							End If
							cliMENCOMMON.getICD9CMToBunruCode(cmb006MEN060F010.Text, _
							  lbl021MEN060F010.Text, _
							  lbl023MEN060F010.Text, _
							  lbl025MEN060F010.Text)
					End Select
			End Select
			'コンボ内容を保存
			pNowICD9CM_Text = cmb006MEN060F010.Text
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
			lArList = Nothing
			lOpeNmOneRec = Nothing
		End Try
	End Sub

'(A) STR V4-12019-000 080 2012/02/16 FJSK)H.Y 病名・手術分類付番の正確化
	''' ---------------------------------------------
	''' <summary>
	''' 分類コードセット処理(ICD9CMコードを元に分類を設定する)
	''' </summary>
	''' <remarks>
	''' 2012/02/16 新規作成　FJSK)柳原<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setBunruiCode2()
		log(clsSysMst.logLevel.DBG, "setBunruiCode2", "分類コードセット処理 Start")
		Dim lArList As ArrayList = Nothing
		Dim lOpeNmOneRec As datMTM_OPE_NM_OneRec = Nothing
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If pIcd9CmChFlg Then Exit Sub
			Select Case True
				Case String.IsNullOrEmpty(cmb006MEN060F010.Text)
					'ICD9CM未入力の場合、分類はクリアする
					lbl021MEN060F010.Text = Nothing
					lbl023MEN060F010.Text = Nothing
					lbl025MEN060F010.Text = Nothing
					lbl029MEN060F010.Text = Nothing
					lbl030MEN060F010.Text = Nothing
					lbl027MEN060F010.Text = Nothing
					If cmb022MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt007MEN060F010.Text) Then
						txt007MEN060F010.Text = Nothing
					End If
					If cmb024MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt010MEN060F010.Text) Then
						txt010MEN060F010.Text = Nothing
					End If
				Case Else
					Using cliOpeNm As clsMTM_OPE_NM = New clsMTM_OPE_NM
						lArList = cliOpeNm.getMTM_OPE_NM_SAME_ICD9CM_CD(cmb006MEN060F010.Text)
					End Using
					Select Case True
						Case lArList IsNot Nothing
							'入力されたICD9CMがマスタにヒットした場合、分類をセットする
							lOpeNmOneRec = lArList(0)
							With lOpeNmOneRec
								lbl021MEN060F010.Text = .L_GRP_CD
								lbl023MEN060F010.Text = .M_GRP_CD
								lbl025MEN060F010.Text = .DIGS3_GRP_CD
								lbl029MEN060F010.Text = .MNG_DIV
								lbl030MEN060F010.Text = .MNG_NO
								lbl027MEN060F010.Text = .HSP_OPE_CD
								If cmb022MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt007MEN060F010.Text) Then
									txt007MEN060F010.Text = .OPE_KANJI
								End If
								If cmb024MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt010MEN060F010.Text) Then
									txt010MEN060F010.Text = .K_CD
								End If
							End With
						Case Else
							'入力されたICD9CMがマスタにヒットしない場合、入力値から分類をセットする
							lbl029MEN060F010.Text = Nothing
							lbl030MEN060F010.Text = Nothing
							lbl027MEN060F010.Text = Nothing
							If cmb022MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt007MEN060F010.Text) Then
								txt007MEN060F010.Text = Nothing
							End If
							If cmb024MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt010MEN060F010.Text) Then
								txt010MEN060F010.Text = Nothing
							End If
							cliMENCOMMON.getICD9CMToBunruCode(cmb006MEN060F010.Text, _
							  lbl021MEN060F010.Text, _
							  lbl023MEN060F010.Text, _
							  lbl025MEN060F010.Text)
					End Select
			End Select
			'コンボ内容を保存
			pNowICD9CM_Text = cmb006MEN060F010.Text
		Catch ex As Exception
			Throw
		Finally
			lArList = Nothing
			lOpeNmOneRec = Nothing
		End Try
	End Sub
'(A) END V4-12019-000 080 2012/02/16 FJSK)H.Y 病名・手術分類付番の正確化

	''' ---------------------------------------------
	''' <summary>
	''' ICD9CMのコンボボックスデータセット処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setICD9CMComboDataSource()
		log(clsSysMst.logLevel.DBG, "setICD9CMComboDataSource", "ICD9CMのコンボボックスデータセット処理 Start")
		Dim lwkICD9CM_CD As String = String.Empty
		Dim lwkMNG_DIV As String = String.Empty
		Dim lwkMNG_NO As String = String.Empty
		Try
			' コンボボックスの値を退避する
			pIcd9CmChFlg = True
			lwkICD9CM_CD = cmb006MEN060F010.Text	'ＩＣＤ９ＣＭコード
			lwkMNG_DIV = lbl029MEN060F010.Text		'管理記号
			lwkMNG_NO = lbl030MEN060F010.Text		'管理番号
			' コンボボックスの内容を設定する
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				cliCombo.setICD9CMCombo(Me, cmb006MEN060F010, db)
				cmb006MEN060F010.setDropDownWidth()
			End Using
			' コンボボックスに値を戻す
			cliCom.setManyValueComboValue(cmb006MEN060F010, lwkICD9CM_CD, lwkMNG_DIV, lwkMNG_NO)
		Catch ex As Exception
			Throw
		Finally
			pIcd9CmChFlg = False
			lwkICD9CM_CD = Nothing
			lwkMNG_DIV = Nothing
			lwkMNG_NO = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' データテーブルソート処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub sortDatMtiCare(Optional ByVal aFocusSelect As Boolean = True)
		log(clsSysMst.logLevel.DBG, "sortDatMtiCare", "データテーブルソート処理 Start")
		Dim lSerialNo As Integer = 0
		Dim ldv As DataView = datMtiCare.DefaultView
		Dim lwkSerialNo As Integer = pNowSerialNo
		Try
			If Not String.IsNullOrEmpty(pGridSortString) Then
				ldv.Sort = pGridSortString
			End If
			For Each dtview As DataRowView In ldv
				lSerialNo = lSerialNo + 1
				With datMtiCare.Rows(datMtiCare.Rows.IndexOf(dtview.Row))
					' 現在行のNoを新しく振られたNoにする
					If pNowSerialNo = .Item(sqlMTI_CARE.itmCARE_SERIAL_NO) Then
						lwkSerialNo = lSerialNo
					End If
					.Item(sqlMTI_CARE.itmCARE_SERIAL_NO) = lSerialNo
				End With
			Next
			' ソート処理
			dgv001MEN060F010.Columns(CONST_C01001MEN060F010).HeaderCell.SortGlyphDirection = SortOrder.Ascending
			If aFocusSelect Then
				' 現在行にフォーカス移動
				srhSerialNo(lwkSerialNo)
				pNowSerialNo = lwkSerialNo
			End If
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN060F010, Me)
		Catch ex As Exception
			Throw
		Finally
			lSerialNo = Nothing
			ldv = Nothing
			lwkSerialNo = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 治療処置情報更新処理
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub UpdProcCare()
		log(clsSysMst.logLevel.DBG, "UpdProcCare", "治療処置情報更新処理 Start")
		Dim lDtRow As DataRow
		Dim lSerialNo As Integer = 0
		Dim ldv As DataView = datMtiCare.DefaultView
		Dim lInsertCount As Integer = 0
		Try
			'更新モード以外は抜ける
			If Me.ExeMode <> Enum_ExeMode.eEntry Then Exit Sub
			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData), cliCare As clsMTI_CARE = New clsMTI_CARE, cliCh As clsMTI_CH = New clsMTI_CH
				' トランザクション開始
				db.ctlTran(clsDB.Enum_TranMode.Begin)
				Try
					' 治療処置情報の対象レコード削除
					cliCare.execDelCareCh(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					' 治療処置情報を登録
					ldv.Sort = sqlMTI_CARE.itmCARE_SERIAL_NO
					For Each lDtRow In ldv.ToTable.Rows
						Select Case lDtRow.RowState
							Case DataRowState.Added, DataRowState.Modified, DataRowState.Unchanged	' 追加 変更 変更なし
								' キーが入っていないものは登録しない
								If IsDBNull(lDtRow(sqlMTI_CARE.itmCARE_DIV)) Then Continue For
								If IsDBNull(lDtRow(sqlMTI_CARE.itmICD9CM_CD)) Then Continue For
								lSerialNo = lSerialNo + 1
							Case Else
								Continue For
						End Select

						' 更新
						lDtRow(sqlMTI_CARE.itmPATIENT_NO) = Me.PatientNo
						lDtRow(sqlMTI_CARE.itmHSP_HISTORY_NO) = Me.HspHistoryNo
						lDtRow(sqlMTI_CARE.itmCH_NO) = Me.ChNo
						lDtRow(sqlMTI_CARE.itmCARE_SERIAL_NO) = lSerialNo
						cliCare.execInsCareOneRec(db, lDtRow)
						lInsertCount = lInsertCount + 1
					Next
					' 治療処置数を更新
					cliCh.execUpdChCareCount(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo, lInsertCount)
					' 輸血チェックを行い輸血ありの場合、科歴の更新を行う
					cliMENCOMMON.chkBloodTran(db, Me.PatientNo, Me.HspHistoryNo, Me.ChNo)
					' コミット
					db.ctlTran(clsDB.Enum_TranMode.Commit)
				Catch ex As Exception
					' ロールバック
					db.ctlTran(clsDB.Enum_TranMode.RollBack)
					Throw
				End Try
			End Using
		Catch ex As Exception
			Throw
		Finally
			lDtRow = Nothing
			ldv = Nothing
			lSerialNo = Nothing
			lInsertCount = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' グリッドの行確定処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub selGridView()
		log(clsSysMst.logLevel.DBG, "selGridView", "グリッドの行確定処理 クリック Start")
		Try
			If pNowSerialNo = 0 Then Exit Sub
			If Not setDataRow(srhSerialNo(pNowSerialNo, True), False) Then
				srhSerialNo(pNowSerialNo)
				dgv001MEN060F010.Refresh()
				Exit Sub
			End If
			dspDataRow()
		Catch ex As Exception
			Throw
		End Try
	End Sub

'(A) STR V4-13014-000 028 20130213 ID)平井(区分のマウススクロールによる変更抑止)
	''' ---------------------------------------------
	''' <summary>
	''' 初期フォーカス設定
	''' </summary>
	''' <remarks>
	''' 2013/02/13 新規作成　ID)平井<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setInitialFocus()
		log(clsSysMst.logLevel.DBG, "setInitialFocus", "初期フォーカス設定 Start")
		Try
			If String.IsNullOrEmpty(cmb003MEN060F010.Text) Then
				cmb003MEN060F010.Focus()
			Else
				If dgv001MEN060F010.Rows IsNot Nothing AndAlso _
					dgv001MEN060F010.SelectedRows IsNot Nothing AndAlso _
					String.IsNullOrEmpty(dgv001MEN060F010.SelectedRows(0).Cells(CONST_C02001MEN060F010).Value.ToString) Then
					cmb003MEN060F010.Focus()
				Else
					txt007MEN060F010.Focus()
				End If
			End If
		Catch ex As Exception
			Throw
		End Try
	End Sub
'(A) END V4-13014-000 028 20130213

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 更新処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "更新処理 Start")
		Try
			' 現状行のDataTable反映
			If Not setDataRow(srhSerialNo(pNowSerialNo, True), False) Then
				Return False
			End If
			dspDataRow()
			' 全入力行のチェック処理
			If Not chkDataRowAll() Then
				If Me.getErrCount <> 0 Then nextErrForm()
				Return False
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＤＢ更新
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DBProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DBProc", "ＤＢ更新 Start")
		Try
			' 更新処理
			UpdProcCare()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 表示切替処理
	''' </summary>
	''' <remarks>
	''' 2010/10/18 新規作成　CS)溝渕<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DispChangeProc(ByVal flg As Boolean) As Boolean
		log(clsSysMst.logLevel.DBG, "DispChangeProc", "表示切替処理 Start")
		Try
			Me.lbl020MEN060F010.Visible = flg
			Me.lbl021MEN060F010.Visible = flg
			Me.lbl022MEN060F010.Visible = flg
			Me.lbl023MEN060F010.Visible = flg
			Me.lbl024MEN060F010.Visible = flg
			Me.lbl025MEN060F010.Visible = flg
			Me.lbl026MEN060F010.Visible = flg
			Me.lbl027MEN060F010.Visible = flg
			Me.lbl028MEN060F010.Visible = flg
			Me.lbl029MEN060F010.Visible = flg
			Me.lbl030MEN060F010.Visible = flg
		Catch ex As Exception
			Throw
		End Try
		Return True
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 上へ処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpWardProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpWardProc", "上へ処理 クリック Start")
		Try
			chgUpDownGrid(dgv001MEN060F010.CurrentCell.RowIndex, dgv001MEN060F010.CurrentCell.RowIndex - 1)
			' フォーカスを治療処置区分へ
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.UpWardProc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 下へ処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function DownWardProc() As Boolean
		log(clsSysMst.logLevel.DBG, "DownWardProc", "下へ処理 クリック Start")
		Try
			chgUpDownGrid(dgv001MEN060F010.CurrentCell.RowIndex, dgv001MEN060F010.CurrentCell.RowIndex + 1)
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.DownWardProc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' カーソル上移動処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func1Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func1Proc", "カーソル上移動処理 クリック Start")
		Try
			GrdRowUpDownIndex(True)
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' カーソル下移動処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func2Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func2Proc", "カーソル下移動処理 クリック Start")
		Try
			GrdRowUpDownIndex(False)
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' マスタより処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func3Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func3Proc", "マスタより処理 クリック Start")
		Try
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return False
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
			nextForm(New XSP.XSP140F010(CONST_BTN008MEN000F010, Me.BasicInfoRec.GENDER_CD))
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 過去より処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func4Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func4Proc", "過去より処理 クリック Start")
		Try
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return False
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
			nextForm(New MEN.MEN050F020(MEN.clsMENCOMMON.Enum_ScrKind.eCare, Me.PatientNo, Me.HspHistoryNo, Me.ChNo, datMtiCare))
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ﾏｽﾀ登録処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function Func5Proc() As Boolean
		log(clsSysMst.logLevel.DBG, "Func5Proc", "ﾏｽﾀ登録処理 クリック Start")
		Try
			If String.IsNullOrEmpty(lbl029MEN060F010.Text) OrElse lbl029MEN060F010.Text.Equals(clsMENCOMMON.CONST_MNGSIGN_F) = False Then
				showMsg("E0003", "病歴大将で追加した情報でない", "マスタに追加", Nothing)
				Return False
			End If
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
			'起動時の引数（管理記号、管理番号、ＩＣＤ９ＣＭコード、治療処置名）
			nextForm(New MEN.MEN050F030(lbl029MEN060F010.Text, lbl030MEN060F010.Text, txt007MEN060F010.Text))
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ３キー押下による追加
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncAddProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncAddProc", "Ｆ３キー押下 Start")
		Try
			' グリッドに反映
			If Not setDataRow(srhSerialNo(pNowSerialNo, True), False) Then Return False
			AddNewRow()
			dspDataRow()
			' ソート処理を行う
			sortDatMtiCare()
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ５キー押下による削除
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncDeleteProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncDeleteProc", "Ｆ５キー押下 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Try
			lGridViewRow = Me.dgv001MEN060F010.CurrentRow
			If lGridViewRow Is Nothing Then Return False
			If confMsg("Q0005", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "削除", Nothing) = MsgBoxResult.Yes Then
				' 選択行レコード取得
				lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
				lDataRow = CType(lDataRowView.Row, DataRow)
				' 最終行の場合は１つカーソルを前に移動する
				If dgv001MEN060F010.CurrentCell.RowIndex = dgv001MEN060F010.Rows.Count - 1 AndAlso dgv001MEN060F010.Rows.Count <> 1 Then
					dgv001MEN060F010.Rows(dgv001MEN060F010.Rows.Count - 2).Cells(1).Selected = True
				End If
				lDataRow.Delete()
				' すべて削除されている場合は新規追加
				If dgv001MEN060F010.Rows.Count = 0 Then
					AddNewRow()
					dspDataRow()
				Else
					dspDataRow()
				End If
			End If
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ６キー押下による複写
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCopyProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCopyProc", "Ｆ６キー押下 Start")
		Dim lGridViewRow As DataGridViewRow = Nothing
		Dim lDataRowView As DataRowView = Nothing
		Dim lDataRow As DataRow = Nothing
		Dim lNewRow As DataRow = Nothing
		Dim lSerialNo As Integer = Nothing
		Dim lRowIndex As Integer = Nothing
		Try
			' 選択行レコード取得
			lGridViewRow = Me.dgv001MEN060F010.CurrentRow
			If lGridViewRow Is Nothing Then Return True
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return True
			lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
			lDataRow = CType(lDataRowView.Row, DataRow)
			If lDataRow(sqlMENCOMMON.itmAddCol4NewRow).ToString = clsMENCOMMON.CONST_NEWROW Then Return True
			If confMsg("Q0005", MessageBoxButtons.YesNo, "選択された情報を複写", Nothing) = MsgBoxResult.Yes Then
				lSerialNo = dgv001MEN060F010.Rows(dgv001MEN060F010.Rows.Count - 1).Cells(CONST_C01001MEN060F010).Value
				lRowIndex = srhSerialNo(lSerialNo, True)
				If lRowIndex < 0 Then
					' 選択行なしは新規追加
					lNewRow = datMtiCare.NewRow
					lSerialNo = lSerialNo + 1
				Else
					' 選択行レコード取得
					lGridViewRow = dgv001MEN060F010.Rows(lRowIndex)
					lDataRowView = CType(lGridViewRow.DataBoundItem, DataRowView)
					lNewRow = CType(lDataRowView.Row, DataRow)
					If lNewRow(sqlMENCOMMON.itmAddCol4NewRow).ToString <> clsMENCOMMON.CONST_NEWROW Then
						' 選択行が新規行以外は新規追加
						lRowIndex = -1
						lNewRow = datMtiCare.NewRow
						lSerialNo = lSerialNo + 1
					Else
						' 選択行が新規行のときは更新開始
						lNewRow.BeginEdit()
					End If
				End If
				lNewRow.ItemArray = lDataRow.ItemArray
				lNewRow(sqlMTI_CARE.itmCARE_SERIAL_NO) = lSerialNo
				If lRowIndex < 0 Then
					datMtiCare.Rows.Add(lNewRow)
				Else
					lNewRow.EndEdit()
				End If
				cliMENCOMMON.dspUpDownButtonFace(dgv001MEN060F010, Me)
				' 新規行選択
				pNowSerialNo = lSerialNo
				srhSerialNo(lSerialNo)
				dspDataRow()
			End If
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
		Catch ex As Exception
			Throw
		Finally
			lGridViewRow = Nothing
			lDataRowView = Nothing
			lDataRow = Nothing
			lNewRow = Nothing
			lSerialNo = Nothing
			lRowIndex = Nothing
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ７キー押下による保存
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncExecProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncExecProc", "Ｆ７キー押下 Start")
		Try
			If Not setDataRow(srhSerialNo(pNowSerialNo, True)) Then Return True
			cliMENCOMMON.dspUpDownButtonFace(dgv001MEN060F010, Me)
			dspDataRow()
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ８キー押下による取消し
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function FuncCancelProc() As Boolean
		log(clsSysMst.logLevel.DBG, "FuncCancelProc", "Ｆ８キー押下 Start")
		Try
			If confMsg("Q0001", MessageBoxButtons.YesNo, MessageBoxDefaultButton.Button2, "修正内容を取消します。", Nothing) = MsgBoxResult.Yes Then
				dspDataRow()
			End If
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'			cmb003MEN060F010.Focus()
			setInitialFocus()
'(M) END V4-13014-000 007 20130213
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 子画面処理後の処理
	''' </summary>
	''' <param name="ret"></param>
	''' <param name="de"></param>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub rcvData(ByVal ret As XCM.frmBase.Enum_FormReturn, ByVal de As System.Collections.DictionaryEntry)
		log(clsSysMst.logLevel.DBG, "rcvData", "子画面処理後の処理 start")
		Dim ldatOpeNmOneRec As datMTM_OPE_NM_OneRec
		Dim ldatCarePlusOneRec As datMTI_CARE_PLUS_OneRec
		Dim lAddSeq As Integer = 0
		Try
			Select Case de.Key.ToString
				Case CONST_CMB006MEN060F010, CONST_BTN008MEN060F010	'ICD9CM Or 名称検索
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						cmb022MEN000F040.SelectedValue = CType(de.Value, ArrayList)(0)
						cmb024MEN000F040.SelectedValue = CType(de.Value, ArrayList)(1)
						setICD9CMComboDataSource()
						If CType(de.Value, ArrayList).Count < clsMENCOMMON.CONST_XSP140_RETURNCOUNT Then Exit Sub
						ldatOpeNmOneRec = CType(CType(de.Value, ArrayList)(2), datMTM_OPE_NM_OneRec)
						'ＩＣＤ９ＣＭコード
						pIcd9CmChFlg = True
						cliCom.setManyValueComboValue(cmb006MEN060F010, ldatOpeNmOneRec.ICD9CM1_CD, ldatOpeNmOneRec.MNG_DIV, ldatOpeNmOneRec.MNG_NO)
						'治療処置名
						If cmb022MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt007MEN060F010.Text) Then
							txt007MEN060F010.Text = ldatOpeNmOneRec.OPE_KANJI
						End If
						'点数表コード		←		手術名マスタ.Ｋコード
						If cmb024MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt010MEN060F010.Text) Then
							txt010MEN060F010.Text = ldatOpeNmOneRec.K_CD
						End If
						'大分類コード
						lbl021MEN060F010.Text = ldatOpeNmOneRec.L_GRP_CD
						'中分類コード
						lbl023MEN060F010.Text = ldatOpeNmOneRec.M_GRP_CD
						'３桁分類コード
						lbl025MEN060F010.Text = ldatOpeNmOneRec.DIGS3_GRP_CD
						'院内手術コード
						lbl027MEN060F010.Text = ldatOpeNmOneRec.HSP_OPE_CD
						'管理記号
						lbl029MEN060F010.Text = ldatOpeNmOneRec.MNG_DIV
						'管理番号
						lbl030MEN060F010.Text = ldatOpeNmOneRec.MNG_NO
					End If
				Case CONST_BTN008MEN000F010	'マスタより
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						setICD9CMComboDataSource()
						If CType(de.Value, ArrayList).Count < clsMENCOMMON.CONST_XSP140_RETURNCOUNT Then Exit Sub
						For Each ldatOpeNmOneRec In CType(de.Value, ArrayList).GetRange(clsMENCOMMON.CONST_XSP140_RETURNCOUNT - 1, CType(de.Value, ArrayList).Count - (clsMENCOMMON.CONST_XSP140_RETURNCOUNT - 1))
							AddNewRow(ldatOpeNmOneRec, lAddSeq)
						Next
						dspDataRow()
						' ソート処理を行う
						sortDatMtiCare()
					End If
				Case clsMENCOMMON.CONST_MEN050F020	'過去より
					If Not TryCast(de.Value, ArrayList) Is Nothing Then
						For Each ldatCarePlusOneRec In CType(de.Value, ArrayList)
							AddCareOneRec(ldatCarePlusOneRec, lAddSeq)
						Next
						dspDataRow()
						' ソート処理を行う
						sortDatMtiCare()
					End If
				Case clsMENCOMMON.CONST_MEN050F030	'マスタ登録
					If Not TryCast(de.Value, datMTM_OPE_NM_OneRec) Is Nothing Then
						setICD9CMComboDataSource()
						ldatOpeNmOneRec = CType(de.Value, datMTM_OPE_NM_OneRec)
						'ＩＣＤ９ＣＭコード
						pIcd9CmChFlg = True
						cliCom.setManyValueComboValue(cmb006MEN060F010, ldatOpeNmOneRec.ICD9CM1_CD, ldatOpeNmOneRec.MNG_DIV, ldatOpeNmOneRec.MNG_NO)
						'治療処置名
						If cmb022MEN000F040.SelectedValue = clsConst.Enum_OverWrite.OverWrite OrElse String.IsNullOrEmpty(txt007MEN060F010.Text) Then
							txt007MEN060F010.Text = ldatOpeNmOneRec.OPE_KANJI
						End If
						'管理記号
						lbl029MEN060F010.Text = ldatOpeNmOneRec.MNG_DIV
						'管理番号
						lbl030MEN060F010.Text = ldatOpeNmOneRec.MNG_NO
					End If
				Case CST_SHOW_XSP080F010_ID
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'					cmb003MEN060F010.Focus()
					setInitialFocus()
'(M) END V4-13014-000 007 20130213
					MyBase.rcvData(ret, de)
				Case Else
					MyBase.rcvData(ret, de)
			End Select
		Catch ex As Exception
			Throw
		Finally
			pIcd9CmChFlg = False
			ldatOpeNmOneRec = Nothing
			ldatCarePlusOneRec = Nothing
			lAddSeq = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' Ｆ１キー押下処理
	''' </summary>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function F1KeyProc() As Boolean
		log(clsSysMst.logLevel.DBG, "F1KeyProc", "Ｆ１キー押下処理 Start")
		Try
			Select Case True
				Case Me.ExeMode = Enum_ExeMode.eReference
					' 処理モード＝「参照」の場合は処理しない
					Return MyBase.F1KeyProc()
				Case cmb006MEN060F010.Focused	'ICD9CM
					nextForm(New XSP.XSP140F010(CONST_CMB006MEN060F010, cmb022MEN000F040.SelectedValue, cmb024MEN000F040.SelectedValue, Me.BasicInfoRec.GENDER_CD, cmb006MEN060F010.Text))
					Return True
				Case Else
					Return MyBase.F1KeyProc()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' ＥＮＴＥＲキー押下処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function EnterProc() As Boolean
		log(clsSysMst.logLevel.DBG, "EnterProc", "ＥＮＴＥＲキー押下処理 Start")
		Try
			Select Case True
				Case dgv001MEN060F010.Focused
					selGridView()
'(M) STR V4-13014-000 007 20130213 ID)平井(区分のマウススクロールによる変更抑止)
'					cmb003MEN060F010.Focus()
					setInitialFocus()
'(M) END V4-13014-000 007 20130213
					Return True
				Case Else
					Return MyBase.EnterProc()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' インスタンス開放
			If cliMEN010F060 IsNot Nothing Then cliMEN010F060.Dispose()
			If datMtiCare IsNot Nothing Then datMtiCare.Dispose()

			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			LastValueCtl = Nothing
			_pSerialNo = Nothing
			cliMEN010F060 = Nothing
			cliMENCOMMON = Nothing
			cliGridStyle = Nothing
			cliCombo = Nothing
			cliCom = Nothing
			datMtiCare = Nothing
			pNowSerialNo = Nothing
			pNowICD9CM_Text = Nothing
			pNowICD9CM_Index = Nothing
			pIcd9CmChFlg = Nothing
			pGridSortFlg = Nothing
			pGridSortString = Nothing
			pFirstSelectValue = Nothing
		End Try
	End Sub

#End Region

End Class
