﻿Imports XCM
Imports XSP

''' ---------------------------------------------
''' <summary>
''' 分娩児死産情報登録画面処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class MEN100F020

#Region "コンスタント"
#End Region

#Region "変数"
	' 起動モード
	Private _pCbChild As datMTI_CB_CHILD_PLUS_OneRec
	Private _pCbSbRow As datMTI_CB_SB_OneRec
	Private _pCbSbRowOld As datMTI_CB_SB_OneRec

	' 変更フラグ
	Private updFlg As clsMENCOMMON.Enum_UpdFlg = clsMENCOMMON.Enum_UpdFlg.eInit
#End Region

#Region "コンストラクタ"

	''' ---------------------------------------------
	''' <summary>
	''' コンストラクタ
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Sub New(ByVal aExeMode As Enum_ExeMode, ByVal pPatientNo As String, ByVal pHspHistoryNo As Integer, ByVal pChNo As Integer, ByVal aCbChild As datMTI_CB_CHILD_PLUS_OneRec, ByVal aCbSbRow As datMTI_CB_SB_OneRec)
		' この呼び出しはデザイナーで必要です。
		InitializeComponent()

		' InitializeComponent() 呼び出しの後で初期化を追加します。
		Me.ExeMode = aExeMode
		Me.PatientNo = pPatientNo					'患者番号
		Me.HspHistoryNo = pHspHistoryNo				'入退院歴番号
		Me.ChNo = pChNo								'科歴番号
		_pCbChild = aCbChild
		_pCbSbRow = aCbSbRow
	End Sub

#End Region

#Region "イベント"

	''' ---------------------------------------------
	''' <summary>
	''' 分娩時死産情報登録＿Ｌｏａｄ処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN100F020_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN100F020_Load", "分娩時死産情報登録＿Ｌｏａｄ処理 Start")
		Dim cliCombo As clsComboCom
		Dim lDtChk As DataTable
		Dim lDtDivItm As DataTable
		Dim lDtRow As DataRow = Nothing
		Try
			cliCombo = New clsComboCom
			lDtDivItm = New DataTable

			' 参照モード？
			If Me.ExeMode = Enum_ExeMode.eReference Then showReferenceMode()
			' 新規レコード？
			If _pCbSbRow Is Nothing Then
				_pCbSbRow = New datMTI_CB_SB_OneRec
				If Me.ExeMode = Enum_ExeMode.eEntry Then '登録モード
					Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty
					_pCbSbRow.PATIENT_NO = Me.PatientNo
					_pCbSbRow.HSP_HISTORY_NO = Me.HspHistoryNo
					_pCbSbRow.CH_NO = Me.ChNo
					_pCbSbRow.CB_SERIAL_NO = _pCbChild.CB_SERIAL_NO
				End If
			Else
				_pCbSbRowOld = _pCbSbRow.Copy
			End If

			Using db As clsDB = New clsDB(clsSysMst.ctlConfigData)
				cmb042MEN100F020.DataSource = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_M_AborionLct)
				lDtChk = cliCombo.getCombo(db, clsComboCom.Enum_ComboType.Enum_X_Chk)
				cmb045MEN100F020.DataSource = lDtChk.Copy
				cmb050MEN100F020.DataSource = lDtChk.Copy
				cmb053MEN100F020.DataSource = lDtChk.Copy
				cmb042MEN100F020.setDropDownWidth()
				cmb045MEN100F020.setDropDownWidth()
				cmb050MEN100F020.setDropDownWidth()
				cmb053MEN100F020.setDropDownWidth()

				'区分名称をセットする
				lbl021MEN100F020.Text = Nothing
				lbl024MEN100F020.Text = Nothing
				lbl027MEN100F020.Text = Nothing
				lbl030MEN100F020.Text = Nothing
				db.setSQLDa(sqlMENCOMMON.sqlMtmCbDivItm)
				db.execQueryDa(lDtDivItm)
				For Each lDtRow In lDtDivItm.Rows
					Select Case lDtRow(sqlMENCOMMON.itmITEM_CD)
						Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle1)
							lbl021MEN100F020.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle2)
							lbl024MEN100F020.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle3)
							lbl027MEN100F020.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						Case CStr(clsMENCOMMON.Enum_Cb_Delivery_Kbn.eDeliveryStyle4)
							lbl030MEN100F020.Text = lDtRow(sqlMENCOMMON.itmITEM_NM).ToString
						Case Else
					End Select
				Next
			End Using
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Load()
		Finally
			cliCombo = Nothing
			lDtChk = Nothing
			lDtDivItm = Nothing
			lDtRow = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩時死産情報登録＿初期表示
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN100F020_Shown(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Shown
		If Me.DesignMode OrElse Me.LoadError Then
			Exit Sub
		End If
		log(clsSysMst.logLevel.NRM, "MEN100F020_Shown", "分娩時死産情報登録＿初期表示 Start")
		Try
			Me.repaint()
			If dte036MEN100F020.DateValue.Equals(Nothing) Then
				dte036MEN100F020.DateValue = _pCbChild.CHD_CB_DT
			End If
		Catch ex As Exception
			ErrorProc(ex)
			Me.EndProc4Shown()
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩時死産情報登録＿終了処理
	''' </summary>
	''' <param name="sender"></param>
	''' <param name="e"></param>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub MEN100F020_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
		log(clsSysMst.logLevel.NRM, "MEN100F020_FormClosing", "分娩時死産情報登録＿終了処理 Start")
		Try
			' 画面途中でエラーの場合は処理しない
			If Me.LoadError OrElse e.Cancel Then
				Exit Try
			End If
		Catch ex As Exception
			e.Cancel = True		'エラー時は画面を閉じない
			ErrorProc(ex)
		Finally
			' 変数の解放は ClosedProc に記述する
			ClosedProc(e.Cancel)
		End Try
	End Sub

#End Region

#Region "メソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 表示切替_参照処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showReferenceMode()
		log(clsSysMst.logLevel.DBG, "showReferenceMode", "表示切替_参照処理 Start")
		Try
			btn004MEN000F010.Visible = False
			btn005MEN000F010.Visible = False
			btn011MEN000F010.Visible = False
			btn013MEN000F010.Visible = False
			btn008MEN000F010.Visible = False
			btn015MEN000F010.Visible = False

			txt034MEN100F020.CanInput = False
			dte036MEN100F020.CanInput = False
			msk038MEN100F020.CanInput = False
			num040MEN100F020.CanInput = False
			cmb042MEN100F020.CanInput = False
			cmb045MEN100F020.CanInput = False
			txt048MEN100F020.CanInput = False
			cmb050MEN100F020.CanInput = False
			cmb053MEN100F020.CanInput = False
			txt056MEN100F020.CanInput = False
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩児情報表示
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function showCbChild() As Boolean
		log(clsSysMst.logLevel.DBG, "showCbChild", "分娩時情報表示 Start")
		Try
			'性別
			lbl004MEN100F020.Text = _pCbChild.GENDER_CD
			lbl005MEN100F020.Text = _pCbChild.GENDER_NM
			'身長体重
			If _pCbChild.NEWBORN_STATURE.HasValue Then
				lbl007MEN100F020.Text = _pCbChild.NEWBORN_STATURE.Value.ToString("0.0")
			End If
			If _pCbChild.NEWBORN_WEIGHT.HasValue Then
				lbl010MEN100F020.Text = _pCbChild.NEWBORN_WEIGHT.Value.ToString("#,##0")
			End If
			'アプガー
			lbl013MEN100F020.Text = _pCbChild.APGARSCORE_1MIN
			lbl014MEN100F020.Text = _pCbChild.APGARSCORE1
			lbl016MEN100F020.Text = _pCbChild.APGARSCORE_5MIN
			lbl017MEN100F020.Text = _pCbChild.APGARSCORE5
			'分娩様式
			lbl022MEN100F020.Text = _pCbChild.CB_PTN1
			lbl023MEN100F020.Text = _pCbChild.CB_PTN_NM1
			lbl025MEN100F020.Text = _pCbChild.CB_PTN2
			lbl026MEN100F020.Text = _pCbChild.CB_PTN_NM2
			lbl028MEN100F020.Text = _pCbChild.CB_PTN3
			lbl029MEN100F020.Text = _pCbChild.CB_PTN_NM3
			lbl031MEN100F020.Text = _pCbChild.CB_PTN4
			lbl032MEN100F020.Text = _pCbChild.CB_PTN_NM4
			'未熟、奇形、流死産
			chk018MEN100F020.Checked = _pCbChild.IMMATURE
			chk019MEN100F020.Checked = _pCbChild.DEFORMITY
			chk020MEN100F020.Checked = _pCbChild.STILLBIRTH
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 分娩死情報表示
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub showCbSbRow()
		log(clsSysMst.logLevel.DBG, "showCbSbRow", "分娩死情報表示 Start")
		Dim cliCom As clsCom
		Dim cliMENCOMMON As clsMENCOMMON
		Try
			cliCom = New clsCom
			cliMENCOMMON = New clsMENCOMMON
			With _pCbSbRow
				'死産番号
				txt034MEN100F020.Text = .SB_NO
				'死産日
				dte036MEN100F020.DateValue = .SB_DT
				'死産時間
				msk038MEN100F020.Text = .SB_TIME
				'周期
				num040MEN100F020.Text = .WEEK_COUNT
				'場所
				cliCom.setComboValue(cmb042MEN100F020, .SB_LCT)
				'剖検有無
				cliCom.setComboValue(cmb045MEN100F020, .AUTOPSY_CHK)
				'剖検番号
				txt048MEN100F020.Text = .AUTOPSY_NO
				'人口中絶
				cliCom.setComboValue(cmb050MEN100F020, .INDUCED_ABORTION_CHK)
				'母体合併症
				cliCom.setComboValue(cmb053MEN100F020, .MOTHER_CMPC_CHK)
				'コメント
				txt056MEN100F020.Text = .REMARKS
				'最終更新日
				lbl058MEN100F020.Text = cliMENCOMMON.getDateFormat(.LASTUPD_DT)
			End With
		Catch ex As Exception
			Throw
		Finally
			cliCom = Nothing
			cliMENCOMMON = Nothing
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩死情報DataRowセット処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Sub setCbSbRow()
		log(clsSysMst.logLevel.DBG, "setCbSbRow", "分娩死情報DataRowセット処理 Start")
		Try
			' コントロール値確定
			With _pCbSbRow
				'死産番号
				.SB_NO = txt034MEN100F020.Text
				'死産日
				.SB_DT = dte036MEN100F020.DateValue
				'死産時間
				If msk038MEN100F020.IsNullOrEmpty Then
					.SB_TIME = Nothing
				Else
					.SB_TIME = msk038MEN100F020.Text
				End If
				'周期
				If String.IsNullOrEmpty(num040MEN100F020.Text) Then
					.WEEK_COUNT = Nothing
				Else
					.WEEK_COUNT = CInt(num040MEN100F020.DblValue)
				End If
				'場所
				.SB_LCT = cmb042MEN100F020.Text
				'剖検有無
				.AUTOPSY_CHK = cmb045MEN100F020.Text
				'剖検番号
				.AUTOPSY_NO = txt048MEN100F020.Text
				'人口中絶
				.INDUCED_ABORTION_CHK = cmb050MEN100F020.Text
				'母体合併症
				.MOTHER_CMPC_CHK = cmb053MEN100F020.Text
				'コメント
				.REMARKS = txt056MEN100F020.Text
			End With
		Catch ex As Exception
			Throw
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 分娩死情報DataRowチェック処理
	''' </summary>
	''' <remarks>
	''' 2010/11/15 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkCbSbRow() As Boolean
		log(clsSysMst.logLevel.DBG, "chkCbSbRow", "分娩死情報DataRowチェック処理 Start")
		Try
			Select Case False
				Case _pCbSbRowOld IsNot Nothing
				Case _pCbSbRow.SB_NO = _pCbSbRowOld.SB_NO
				Case _pCbSbRow.SB_DT = _pCbSbRowOld.SB_DT
				Case _pCbSbRow.SB_TIME = _pCbSbRowOld.SB_TIME
				Case _pCbSbRow.WEEK_COUNT = _pCbSbRowOld.WEEK_COUNT
				Case _pCbSbRow.SB_LCT = _pCbSbRowOld.SB_LCT
				Case _pCbSbRow.AUTOPSY_CHK = _pCbSbRowOld.AUTOPSY_CHK
				Case _pCbSbRow.AUTOPSY_NO = _pCbSbRowOld.AUTOPSY_NO
				Case _pCbSbRow.INDUCED_ABORTION_CHK = _pCbSbRowOld.INDUCED_ABORTION_CHK
				Case _pCbSbRow.MOTHER_CMPC_CHK = _pCbSbRowOld.MOTHER_CMPC_CHK
				Case _pCbSbRow.REMARKS = _pCbSbRowOld.REMARKS
				Case Else
					Return False
			End Select
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面削除チェック処理
	''' </summary>
	''' <returns></returns>
	''' <remarks>
	''' 2010/12/08 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Private Function chkDelRow() As Boolean
		log(clsSysMst.logLevel.DBG, "chkDelRow", "画面削除チェック処理 Start")
		Try
			Select Case False
				Case String.IsNullOrEmpty(txt034MEN100F020.Text)
				Case String.IsNullOrEmpty(dte036MEN100F020.Text)
				Case msk038MEN100F020.IsNullOrEmpty
				Case String.IsNullOrEmpty(num040MEN100F020.Text)
				Case String.IsNullOrEmpty(cmb042MEN100F020.Text)
				Case String.IsNullOrEmpty(cmb045MEN100F020.Text)
				Case String.IsNullOrEmpty(txt048MEN100F020.Text)
				Case String.IsNullOrEmpty(cmb050MEN100F020.Text)
				Case String.IsNullOrEmpty(cmb053MEN100F020.Text)
				Case String.IsNullOrEmpty(txt056MEN100F020.Text)
				Case Else
					Return True
			End Select
			Return False
		Catch ex As Exception
			Throw
		End Try
	End Function

#End Region

#Region "オーバーライドメソッド"

	''' ---------------------------------------------
	''' <summary>
	''' 画面再描画
	''' </summary>
	''' <remarks>
	''' 2010/11/01 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub repaint()
		log(clsSysMst.logLevel.DBG, "repaint", "画面再描画 Start")
		Try
			SuspendLayout()

			showCbChild()
			showCbSbRow()
		Catch ex As Exception
			Throw
		Finally
			ResumeLayout(False)
		End Try
	End Sub

	''' ---------------------------------------------
	''' <summary>
	''' 更新前チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdChkData", "更新前チェック処理 Start")
		Try
			' 子コントロールの検証
			Return Me.ValidateChildren
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "PreUpdProc", "更新前処理 Start")
		Try
			' 分娩死情報DataRowセット処理
			setCbSbRow()
			' 分娩死情報DataRowチェック処理
			Return chkCbSbRow()
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新前確認メッセージ
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function PreUpdConfirm() As MsgBoxResult
		log(clsSysMst.logLevel.DBG, "PreUpdConfirm", "更新前確認メッセージ Start")
		Try
			Select Case True
				Case Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eEmpty
					Return MsgBoxResult.Yes
				Case chkDelRow()
					Return Me.confMsg("Q0005", MessageBoxButtons.YesNoCancel, MessageBoxDefaultButton.Button1, "死産情報を削除", Nothing)
				Case Else
					Return MyBase.PreUpdConfirm()
			End Select
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' チェック処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function ChkData() As Boolean
		log(clsSysMst.logLevel.DBG, "ChkData", "チェック処理 Start")
		Try
			' 全項目未入力なら削除
			If chkDelRow() Then
				Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eDelete
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 確定処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function UpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "UpdProc", "確定処理 Start")
		Try
			Me.FormReturn = Enum_FormReturn.OK
			If Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eDelete Then
				Me.ReturnValue = Nothing
			Else
				_pCbSbRow.LASTUPD_DT = Now
				Me.ReturnValue = _pCbSbRow.Copy
			End If
			Return True
		Catch ex As Exception
			Throw
		End Try
		Return MyBase.UpdProc()
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 更新後処理
	''' </summary>
	''' <remarks>
	''' 2010/10/25 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Function AfterUpdProc() As Boolean
		log(clsSysMst.logLevel.DBG, "AfterUpdProc", "更新後処理 Start")
		Try
			_pCbSbRowOld = _pCbSbRow.Copy
			If Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eDelete Then
				_pCbSbRow.LASTUPD_DT = Nothing
			Else
				Me.updFlg = clsMENCOMMON.Enum_UpdFlg.eUpdate
			End If
			Me.repaint()
			Return True
		Catch ex As Exception
			Throw
		End Try
	End Function

	''' ---------------------------------------------
	''' <summary>
	''' 画面終了後処理
	''' </summary>
	''' <param name="bCancel">キャンセルフラグ</param>
	''' <remarks>
	''' 2010/12/10 新規作成　NCS)久米<BR/>
	''' </remarks>
	''' ---------------------------------------------
	Public Overrides Sub ClosedProc(ByVal bCancel As Boolean)
		If bCancel Then
			Exit Sub
		End If
		Try
			' 画面終了後処理
			MyBase.ClosedProc(bCancel)
		Catch ex As Exception
			ErrorProc(ex)
		Finally
			_pCbChild = Nothing
			_pCbSbRow = Nothing
			_pCbSbRowOld = Nothing
		End Try
	End Sub

#End Region

End Class