﻿''' ---------------------------------------------
''' <summary>
''' 登録参照＿病名登録処理
''' </summary>
''' <remarks>
''' Copyright 2010 FUJITSU SHIKOKU SYSTEMS LIMITED All rights reserved.<BR/>
''' FUJITSU SHIKOKU SYSTEMS LIMITED CONFIDENTIAL<BR/>
''' </remarks>
''' ---------------------------------------------
Public Class sqlMEN040F010
	Public Const prmPATIENT_NO As String = "@PATIENT_NO"								'患者番号
	Public Const prmHSP_HISTORY_NO As String = "@HSP_HISTORY_NO"						'入退院歴番号
	Public Const prmCH_NO As String = "@CH_NO"											'科歴番号
	Public Const prmDISEASE_DIV As String = "@DISEASE_DIV"								'病名区分コード
	Public Const prmICD10_CD As String = "@ICD10_CD"									'ＩＣＤ１０コード
	Public Const prmM_GRP_CD As String = "@M_GRP_CD"									'中分類コード
	Public Const prmCAUSE_L_GRP_CD As String = "@CAUSE_L_GRP_CD"						'外因大分類コード
	Public Const prmCAUSE_4GRP_PTN As String = "@CAUSE_4GRP_PTN"						'外因４桁細分類パターン
	Public Const prmCheckFlg As String = "@CheckFlg"									'チェックフラグ

	Public Const itmL_GRP_CD As String = "L_GRP_CD"										'大分類コード
	Public Const itmM_GRP_CD As String = "M_GRP_CD"										'中分類コード
	Public Const itmCAUSE_L_GRP_NM As String = "CAUSE_L_GRP_NM"							'外因大分類名称

	' TM_連携病名コードマスタの取得
	Public Const sqlMtmImpDisease As String = "SELECT" & _
	 " IMP_DISEASE_DIV_CD, LEFT(START_ICD10_CD+'000000', 6) AS START_ICD10_CD, LEFT(END_ICD10_CD+'ZZZZZZ', 6) AS END_ICD10_CD," & _
	 " LASTUPDUSER_CD, LASTUPD_DT" & _
	 " FROM MTM_IMP_DISEASE" & _
	 " WHERE ISNULL(START_ICD10_CD, '') <> ''" & _
	 " AND ISNULL(END_ICD10_CD, '') <> ''" & _
	 " ORDER BY IMP_DISEASE_DIV_CD"

	'死因大分類名称取得
	Public Const sqlMtmCauseLgrp As String = "SELECT" & _
	 " CAUSE_L_GRP_NM" & _
	 " FROM MTM_CAUSE_LGRP" & _
	 " WHERE CAUSE_L_GRP_CD = " & prmCAUSE_L_GRP_CD

	'入院契機病名フラグチェック
	Public Const sqlHSP_CHANCE_DISEASE_FLG_CHK As String = "SELECT COUNT(*) AS CNT FROM" & _
	 " (SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, HSP_CHANCE_DISEASE_FLG" & _
	 " FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND HSP_CHANCE_DISEASE_FLG = " & prmCheckFlg & _
	 ") AS DISEASE" & _
	 " WHERE NOT EXISTS (" & _
	 "SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, HSP_CHANCE_DISEASE_FLG FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO = " & prmCH_NO & _
	 " AND DISEASE.PATIENT_NO = PATIENT_NO" & _
	 " AND DISEASE.HSP_HISTORY_NO = HSP_HISTORY_NO" & _
	 " AND DISEASE.CH_NO = CH_NO" & _
	 " AND DISEASE.DISEASE_SERIAL_NO = DISEASE_SERIAL_NO" & _
	 ")"

	'医療資源投入病名フラグ１チェック
	Public Const sqlDISEASE_MED_RES_FLG1_CHK As String = "SELECT COUNT(*) AS CNT FROM" & _
	 " (SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, DISEASE_MED_RES_FLG1" & _
	 " FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND DISEASE_MED_RES_FLG1 = " & prmCheckFlg & _
	 ") AS DISEASE" & _
	 " WHERE NOT EXISTS (" & _
	 "SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, DISEASE_MED_RES_FLG1 FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO = " & prmCH_NO & _
	 " AND DISEASE.PATIENT_NO = PATIENT_NO" & _
	 " AND DISEASE.HSP_HISTORY_NO = HSP_HISTORY_NO" & _
	 " AND DISEASE.CH_NO = CH_NO" & _
	 " AND DISEASE.DISEASE_SERIAL_NO = DISEASE_SERIAL_NO" & _
	 ")"

	'医療資源投入病名フラグ２チェック
	Public Const sqlDISEASE_MED_RES_FLG2_CHK As String = "SELECT COUNT(*) AS CNT FROM" & _
	 " (SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, DISEASE_MED_RES_FLG2" & _
	 " FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND DISEASE_MED_RES_FLG2 = " & prmCheckFlg & _
	 ") AS DISEASE" & _
	 " WHERE NOT EXISTS (" & _
	 "SELECT PATIENT_NO, HSP_HISTORY_NO, CH_NO, DISEASE_SERIAL_NO, DISEASE_MED_RES_FLG2 FROM MTI_DISEASE" & _
	 " WHERE PATIENT_NO = " & prmPATIENT_NO & _
	 " AND HSP_HISTORY_NO = " & prmHSP_HISTORY_NO & _
	 " AND CH_NO = " & prmCH_NO & _
	 " AND DISEASE.PATIENT_NO = PATIENT_NO" & _
	 " AND DISEASE.HSP_HISTORY_NO = HSP_HISTORY_NO" & _
	 " AND DISEASE.CH_NO = CH_NO" & _
	 " AND DISEASE.DISEASE_SERIAL_NO = DISEASE_SERIAL_NO" & _
	 ")"

	'TM_病名９中分類マスタの取得
	Public Const sqlMTM_DISEASE9_M_GRP As String = "SELECT L_GRP_CD, M_GRP_CD, M_GRP_NM, GRP300_CD FROM MTM_DISEASE9_M_GRP" & _
	  " WHERE M_GRP_CD = " & prmM_GRP_CD

End Class
